/* Copyright (C) 2010-2018 The RetroArch team
 *
 * ---------------------------------------------------------------------------------------
 * The following license statement only applies to this libretro SDK code part (glsym).
 * ---------------------------------------------------------------------------------------
 *
 * Permission is hereby granted, free of charge,
 * to any person obtaining a copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation the rights to
 * use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software,
 * and to permit persons to whom the Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 * OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 */

#include <stddef.h>

#include <glsym/glsym.h>

#define SYM(x) { "gl" #x, &(__gl##x) }

RGLSYMGLACCUMPROC __glAccum;
RGLSYMGLACCUMXOESPROC __glAccumxOES;
RGLSYMGLACTIVESHADERPROGRAMPROC __glActiveShaderProgram;
RGLSYMGLACTIVETEXTUREARBPROC __glActiveTextureARB;
RGLSYMGLACTIVETEXTUREPROC __glActiveTexture;
RGLSYMGLALPHAFUNCPROC __glAlphaFunc;
RGLSYMGLALPHAFUNCXOESPROC __glAlphaFuncxOES;
RGLSYMGLARETEXTURESRESIDENTPROC __glAreTexturesResident;
RGLSYMGLARRAYELEMENTPROC __glArrayElement;
RGLSYMGLATTACHOBJECTARBPROC __glAttachObjectARB;
RGLSYMGLATTACHSHADERPROC __glAttachShader;
RGLSYMGLBEGINCONDITIONALRENDERPROC __glBeginConditionalRender;
RGLSYMGLBEGINPROC __glBegin;
RGLSYMGLBEGINQUERYARBPROC __glBeginQueryARB;
RGLSYMGLBEGINQUERYINDEXEDPROC __glBeginQueryIndexed;
RGLSYMGLBEGINQUERYPROC __glBeginQuery;
RGLSYMGLBEGINTRANSFORMFEEDBACKPROC __glBeginTransformFeedback;
RGLSYMGLBINDATTRIBLOCATIONARBPROC __glBindAttribLocationARB;
RGLSYMGLBINDATTRIBLOCATIONPROC __glBindAttribLocation;
RGLSYMGLBINDBUFFERARBPROC __glBindBufferARB;
RGLSYMGLBINDBUFFERBASEPROC __glBindBufferBase;
RGLSYMGLBINDBUFFERPROC __glBindBuffer;
RGLSYMGLBINDBUFFERRANGEPROC __glBindBufferRange;
RGLSYMGLBINDBUFFERSBASEPROC __glBindBuffersBase;
RGLSYMGLBINDBUFFERSRANGEPROC __glBindBuffersRange;
RGLSYMGLBINDFRAGDATALOCATIONINDEXEDPROC __glBindFragDataLocationIndexed;
RGLSYMGLBINDFRAGDATALOCATIONPROC __glBindFragDataLocation;
RGLSYMGLBINDFRAMEBUFFERPROC __glBindFramebuffer;
RGLSYMGLBINDIMAGETEXTUREPROC __glBindImageTexture;
RGLSYMGLBINDIMAGETEXTURESPROC __glBindImageTextures;
RGLSYMGLBINDPROGRAMARBPROC __glBindProgramARB;
RGLSYMGLBINDPROGRAMPIPELINEPROC __glBindProgramPipeline;
RGLSYMGLBINDRENDERBUFFERPROC __glBindRenderbuffer;
RGLSYMGLBINDSAMPLERPROC __glBindSampler;
RGLSYMGLBINDSAMPLERSPROC __glBindSamplers;
RGLSYMGLBINDTEXTUREPROC __glBindTexture;
RGLSYMGLBINDTEXTURESPROC __glBindTextures;
RGLSYMGLBINDTRANSFORMFEEDBACKPROC __glBindTransformFeedback;
RGLSYMGLBINDVERTEXARRAYPROC __glBindVertexArray;
RGLSYMGLBINDVERTEXBUFFERPROC __glBindVertexBuffer;
RGLSYMGLBINDVERTEXBUFFERSPROC __glBindVertexBuffers;
RGLSYMGLBITMAPPROC __glBitmap;
RGLSYMGLBITMAPXOESPROC __glBitmapxOES;
RGLSYMGLBLENDCOLORPROC __glBlendColor;
RGLSYMGLBLENDCOLORXOESPROC __glBlendColorxOES;
RGLSYMGLBLENDEQUATIONIARBPROC __glBlendEquationiARB;
RGLSYMGLBLENDEQUATIONIPROC __glBlendEquationi;
RGLSYMGLBLENDEQUATIONPROC __glBlendEquation;
RGLSYMGLBLENDEQUATIONSEPARATEIARBPROC __glBlendEquationSeparateiARB;
RGLSYMGLBLENDEQUATIONSEPARATEIPROC __glBlendEquationSeparatei;
RGLSYMGLBLENDEQUATIONSEPARATEPROC __glBlendEquationSeparate;
RGLSYMGLBLENDFUNCIARBPROC __glBlendFunciARB;
RGLSYMGLBLENDFUNCIPROC __glBlendFunci;
RGLSYMGLBLENDFUNCPROC __glBlendFunc;
RGLSYMGLBLENDFUNCSEPARATEIARBPROC __glBlendFuncSeparateiARB;
RGLSYMGLBLENDFUNCSEPARATEIPROC __glBlendFuncSeparatei;
RGLSYMGLBLENDFUNCSEPARATEPROC __glBlendFuncSeparate;
RGLSYMGLBLITFRAMEBUFFERPROC __glBlitFramebuffer;
RGLSYMGLBUFFERDATAARBPROC __glBufferDataARB;
RGLSYMGLBUFFERDATAPROC __glBufferData;
RGLSYMGLBUFFERSTORAGEPROC __glBufferStorage;
RGLSYMGLBUFFERSUBDATAARBPROC __glBufferSubDataARB;
RGLSYMGLBUFFERSUBDATAPROC __glBufferSubData;
RGLSYMGLCALLLISTPROC __glCallList;
RGLSYMGLCALLLISTSPROC __glCallLists;
RGLSYMGLCHECKFRAMEBUFFERSTATUSPROC __glCheckFramebufferStatus;
RGLSYMGLCLAMPCOLORARBPROC __glClampColorARB;
RGLSYMGLCLAMPCOLORPROC __glClampColor;
RGLSYMGLCLEARACCUMPROC __glClearAccum;
RGLSYMGLCLEARACCUMXOESPROC __glClearAccumxOES;
RGLSYMGLCLEARBUFFERDATAPROC __glClearBufferData;
RGLSYMGLCLEARBUFFERFIPROC __glClearBufferfi;
RGLSYMGLCLEARBUFFERFVPROC __glClearBufferfv;
RGLSYMGLCLEARBUFFERIVPROC __glClearBufferiv;
RGLSYMGLCLEARBUFFERSUBDATAPROC __glClearBufferSubData;
RGLSYMGLCLEARBUFFERUIVPROC __glClearBufferuiv;
RGLSYMGLCLEARCOLORPROC __glClearColor;
RGLSYMGLCLEARCOLORXOESPROC __glClearColorxOES;
RGLSYMGLCLEARDEPTHFOESPROC __glClearDepthfOES;
RGLSYMGLCLEARDEPTHFPROC __glClearDepthf;
RGLSYMGLCLEARDEPTHPROC __glClearDepth;
RGLSYMGLCLEARDEPTHXOESPROC __glClearDepthxOES;
RGLSYMGLCLEARINDEXPROC __glClearIndex;
RGLSYMGLCLEARPROC __glClear;
RGLSYMGLCLEARSTENCILPROC __glClearStencil;
RGLSYMGLCLEARTEXIMAGEPROC __glClearTexImage;
RGLSYMGLCLEARTEXSUBIMAGEPROC __glClearTexSubImage;
RGLSYMGLCLIENTACTIVETEXTUREARBPROC __glClientActiveTextureARB;
RGLSYMGLCLIENTACTIVETEXTUREPROC __glClientActiveTexture;
RGLSYMGLCLIENTWAITSYNCPROC __glClientWaitSync;
RGLSYMGLCLIPPLANEFOESPROC __glClipPlanefOES;
RGLSYMGLCLIPPLANEPROC __glClipPlane;
RGLSYMGLCLIPPLANEXOESPROC __glClipPlanexOES;
RGLSYMGLCOLOR3BPROC __glColor3b;
RGLSYMGLCOLOR3BVPROC __glColor3bv;
RGLSYMGLCOLOR3DPROC __glColor3d;
RGLSYMGLCOLOR3DVPROC __glColor3dv;
RGLSYMGLCOLOR3FPROC __glColor3f;
RGLSYMGLCOLOR3FVPROC __glColor3fv;
RGLSYMGLCOLOR3IPROC __glColor3i;
RGLSYMGLCOLOR3IVPROC __glColor3iv;
RGLSYMGLCOLOR3SPROC __glColor3s;
RGLSYMGLCOLOR3SVPROC __glColor3sv;
RGLSYMGLCOLOR3UBPROC __glColor3ub;
RGLSYMGLCOLOR3UBVPROC __glColor3ubv;
RGLSYMGLCOLOR3UIPROC __glColor3ui;
RGLSYMGLCOLOR3UIVPROC __glColor3uiv;
RGLSYMGLCOLOR3USPROC __glColor3us;
RGLSYMGLCOLOR3USVPROC __glColor3usv;
RGLSYMGLCOLOR3XOESPROC __glColor3xOES;
RGLSYMGLCOLOR3XVOESPROC __glColor3xvOES;
RGLSYMGLCOLOR4BPROC __glColor4b;
RGLSYMGLCOLOR4BVPROC __glColor4bv;
RGLSYMGLCOLOR4DPROC __glColor4d;
RGLSYMGLCOLOR4DVPROC __glColor4dv;
RGLSYMGLCOLOR4FPROC __glColor4f;
RGLSYMGLCOLOR4FVPROC __glColor4fv;
RGLSYMGLCOLOR4IPROC __glColor4i;
RGLSYMGLCOLOR4IVPROC __glColor4iv;
RGLSYMGLCOLOR4SPROC __glColor4s;
RGLSYMGLCOLOR4SVPROC __glColor4sv;
RGLSYMGLCOLOR4UBPROC __glColor4ub;
RGLSYMGLCOLOR4UBVPROC __glColor4ubv;
RGLSYMGLCOLOR4UIPROC __glColor4ui;
RGLSYMGLCOLOR4UIVPROC __glColor4uiv;
RGLSYMGLCOLOR4USPROC __glColor4us;
RGLSYMGLCOLOR4USVPROC __glColor4usv;
RGLSYMGLCOLOR4XOESPROC __glColor4xOES;
RGLSYMGLCOLOR4XVOESPROC __glColor4xvOES;
RGLSYMGLCOLORMASKIPROC __glColorMaski;
RGLSYMGLCOLORMASKPROC __glColorMask;
RGLSYMGLCOLORMATERIALPROC __glColorMaterial;
RGLSYMGLCOLORP3UIPROC __glColorP3ui;
RGLSYMGLCOLORP3UIVPROC __glColorP3uiv;
RGLSYMGLCOLORP4UIPROC __glColorP4ui;
RGLSYMGLCOLORP4UIVPROC __glColorP4uiv;
RGLSYMGLCOLORPOINTERPROC __glColorPointer;
RGLSYMGLCOLORSUBTABLEPROC __glColorSubTable;
RGLSYMGLCOLORTABLEPARAMETERFVPROC __glColorTableParameterfv;
RGLSYMGLCOLORTABLEPARAMETERIVPROC __glColorTableParameteriv;
RGLSYMGLCOLORTABLEPROC __glColorTable;
RGLSYMGLCOMPILESHADERARBPROC __glCompileShaderARB;
RGLSYMGLCOMPILESHADERINCLUDEARBPROC __glCompileShaderIncludeARB;
RGLSYMGLCOMPILESHADERPROC __glCompileShader;
RGLSYMGLCOMPRESSEDTEXIMAGE1DARBPROC __glCompressedTexImage1DARB;
RGLSYMGLCOMPRESSEDTEXIMAGE1DPROC __glCompressedTexImage1D;
RGLSYMGLCOMPRESSEDTEXIMAGE2DARBPROC __glCompressedTexImage2DARB;
RGLSYMGLCOMPRESSEDTEXIMAGE2DPROC __glCompressedTexImage2D;
RGLSYMGLCOMPRESSEDTEXIMAGE3DARBPROC __glCompressedTexImage3DARB;
RGLSYMGLCOMPRESSEDTEXIMAGE3DPROC __glCompressedTexImage3D;
RGLSYMGLCOMPRESSEDTEXSUBIMAGE1DARBPROC __glCompressedTexSubImage1DARB;
RGLSYMGLCOMPRESSEDTEXSUBIMAGE1DPROC __glCompressedTexSubImage1D;
RGLSYMGLCOMPRESSEDTEXSUBIMAGE2DARBPROC __glCompressedTexSubImage2DARB;
RGLSYMGLCOMPRESSEDTEXSUBIMAGE2DPROC __glCompressedTexSubImage2D;
RGLSYMGLCOMPRESSEDTEXSUBIMAGE3DARBPROC __glCompressedTexSubImage3DARB;
RGLSYMGLCOMPRESSEDTEXSUBIMAGE3DPROC __glCompressedTexSubImage3D;
RGLSYMGLCONVOLUTIONFILTER1DPROC __glConvolutionFilter1D;
RGLSYMGLCONVOLUTIONFILTER2DPROC __glConvolutionFilter2D;
RGLSYMGLCONVOLUTIONPARAMETERFPROC __glConvolutionParameterf;
RGLSYMGLCONVOLUTIONPARAMETERFVPROC __glConvolutionParameterfv;
RGLSYMGLCONVOLUTIONPARAMETERIPROC __glConvolutionParameteri;
RGLSYMGLCONVOLUTIONPARAMETERIVPROC __glConvolutionParameteriv;
RGLSYMGLCONVOLUTIONPARAMETERXOESPROC __glConvolutionParameterxOES;
RGLSYMGLCONVOLUTIONPARAMETERXVOESPROC __glConvolutionParameterxvOES;
RGLSYMGLCOPYBUFFERSUBDATAPROC __glCopyBufferSubData;
RGLSYMGLCOPYCOLORSUBTABLEPROC __glCopyColorSubTable;
RGLSYMGLCOPYCOLORTABLEPROC __glCopyColorTable;
RGLSYMGLCOPYCONVOLUTIONFILTER1DPROC __glCopyConvolutionFilter1D;
RGLSYMGLCOPYCONVOLUTIONFILTER2DPROC __glCopyConvolutionFilter2D;
RGLSYMGLCOPYIMAGESUBDATAPROC __glCopyImageSubData;
RGLSYMGLCOPYPIXELSPROC __glCopyPixels;
RGLSYMGLCOPYTEXIMAGE1DPROC __glCopyTexImage1D;
RGLSYMGLCOPYTEXIMAGE2DPROC __glCopyTexImage2D;
RGLSYMGLCOPYTEXSUBIMAGE1DPROC __glCopyTexSubImage1D;
RGLSYMGLCOPYTEXSUBIMAGE2DPROC __glCopyTexSubImage2D;
RGLSYMGLCOPYTEXSUBIMAGE3DPROC __glCopyTexSubImage3D;
RGLSYMGLCREATEPROGRAMOBJECTARBPROC __glCreateProgramObjectARB;
RGLSYMGLCREATEPROGRAMPROC __glCreateProgram;
RGLSYMGLCREATESHADEROBJECTARBPROC __glCreateShaderObjectARB;
RGLSYMGLCREATESHADERPROC __glCreateShader;
RGLSYMGLCREATESHADERPROGRAMVPROC __glCreateShaderProgramv;
RGLSYMGLCREATESYNCFROMCLEVENTARBPROC __glCreateSyncFromCLeventARB;
RGLSYMGLCULLFACEPROC __glCullFace;
RGLSYMGLCURRENTPALETTEMATRIXARBPROC __glCurrentPaletteMatrixARB;
RGLSYMGLDEBUGMESSAGECALLBACKARBPROC __glDebugMessageCallbackARB;
RGLSYMGLDEBUGMESSAGECALLBACKPROC __glDebugMessageCallback;
RGLSYMGLDEBUGMESSAGECONTROLARBPROC __glDebugMessageControlARB;
RGLSYMGLDEBUGMESSAGECONTROLPROC __glDebugMessageControl;
RGLSYMGLDEBUGMESSAGEINSERTARBPROC __glDebugMessageInsertARB;
RGLSYMGLDEBUGMESSAGEINSERTPROC __glDebugMessageInsert;
RGLSYMGLDELETEBUFFERSARBPROC __glDeleteBuffersARB;
RGLSYMGLDELETEBUFFERSPROC __glDeleteBuffers;
RGLSYMGLDELETEFRAMEBUFFERSPROC __glDeleteFramebuffers;
RGLSYMGLDELETELISTSPROC __glDeleteLists;
RGLSYMGLDELETENAMEDSTRINGARBPROC __glDeleteNamedStringARB;
RGLSYMGLDELETEOBJECTARBPROC __glDeleteObjectARB;
RGLSYMGLDELETEPROGRAMPIPELINESPROC __glDeleteProgramPipelines;
RGLSYMGLDELETEPROGRAMPROC __glDeleteProgram;
RGLSYMGLDELETEPROGRAMSARBPROC __glDeleteProgramsARB;
RGLSYMGLDELETEQUERIESARBPROC __glDeleteQueriesARB;
RGLSYMGLDELETEQUERIESPROC __glDeleteQueries;
RGLSYMGLDELETERENDERBUFFERSPROC __glDeleteRenderbuffers;
RGLSYMGLDELETESAMPLERSPROC __glDeleteSamplers;
RGLSYMGLDELETESHADERPROC __glDeleteShader;
RGLSYMGLDELETESYNCPROC __glDeleteSync;
RGLSYMGLDELETETEXTURESPROC __glDeleteTextures;
RGLSYMGLDELETETRANSFORMFEEDBACKSPROC __glDeleteTransformFeedbacks;
RGLSYMGLDELETEVERTEXARRAYSPROC __glDeleteVertexArrays;
RGLSYMGLDEPTHFUNCPROC __glDepthFunc;
RGLSYMGLDEPTHMASKPROC __glDepthMask;
RGLSYMGLDEPTHRANGEARRAYVPROC __glDepthRangeArrayv;
RGLSYMGLDEPTHRANGEFOESPROC __glDepthRangefOES;
RGLSYMGLDEPTHRANGEFPROC __glDepthRangef;
RGLSYMGLDEPTHRANGEINDEXEDPROC __glDepthRangeIndexed;
RGLSYMGLDEPTHRANGEPROC __glDepthRange;
RGLSYMGLDEPTHRANGEXOESPROC __glDepthRangexOES;
RGLSYMGLDETACHOBJECTARBPROC __glDetachObjectARB;
RGLSYMGLDETACHSHADERPROC __glDetachShader;
RGLSYMGLDISABLECLIENTSTATEPROC __glDisableClientState;
RGLSYMGLDISABLEIPROC __glDisablei;
RGLSYMGLDISABLEPROC __glDisable;
RGLSYMGLDISABLEVERTEXATTRIBARRAYARBPROC __glDisableVertexAttribArrayARB;
RGLSYMGLDISABLEVERTEXATTRIBARRAYPROC __glDisableVertexAttribArray;
RGLSYMGLDISPATCHCOMPUTEGROUPSIZEARBPROC __glDispatchComputeGroupSizeARB;
RGLSYMGLDISPATCHCOMPUTEINDIRECTPROC __glDispatchComputeIndirect;
RGLSYMGLDISPATCHCOMPUTEPROC __glDispatchCompute;
RGLSYMGLDRAWARRAYSINDIRECTPROC __glDrawArraysIndirect;
RGLSYMGLDRAWARRAYSINSTANCEDARBPROC __glDrawArraysInstancedARB;
RGLSYMGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC __glDrawArraysInstancedBaseInstance;
RGLSYMGLDRAWARRAYSINSTANCEDPROC __glDrawArraysInstanced;
RGLSYMGLDRAWARRAYSPROC __glDrawArrays;
RGLSYMGLDRAWBUFFERPROC __glDrawBuffer;
RGLSYMGLDRAWBUFFERSARBPROC __glDrawBuffersARB;
RGLSYMGLDRAWBUFFERSPROC __glDrawBuffers;
RGLSYMGLDRAWELEMENTSBASEVERTEXPROC __glDrawElementsBaseVertex;
RGLSYMGLDRAWELEMENTSINDIRECTPROC __glDrawElementsIndirect;
RGLSYMGLDRAWELEMENTSINSTANCEDARBPROC __glDrawElementsInstancedARB;
RGLSYMGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC __glDrawElementsInstancedBaseInstance;
RGLSYMGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC __glDrawElementsInstancedBaseVertexBaseInstance;
RGLSYMGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC __glDrawElementsInstancedBaseVertex;
RGLSYMGLDRAWELEMENTSINSTANCEDPROC __glDrawElementsInstanced;
RGLSYMGLDRAWELEMENTSPROC __glDrawElements;
RGLSYMGLDRAWPIXELSPROC __glDrawPixels;
RGLSYMGLDRAWRANGEELEMENTSBASEVERTEXPROC __glDrawRangeElementsBaseVertex;
RGLSYMGLDRAWRANGEELEMENTSPROC __glDrawRangeElements;
RGLSYMGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC __glDrawTransformFeedbackInstanced;
RGLSYMGLDRAWTRANSFORMFEEDBACKPROC __glDrawTransformFeedback;
RGLSYMGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC __glDrawTransformFeedbackStreamInstanced;
RGLSYMGLDRAWTRANSFORMFEEDBACKSTREAMPROC __glDrawTransformFeedbackStream;
RGLSYMGLEDGEFLAGPOINTERPROC __glEdgeFlagPointer;
RGLSYMGLEDGEFLAGPROC __glEdgeFlag;
RGLSYMGLEDGEFLAGVPROC __glEdgeFlagv;
RGLSYMGLEGLIMAGETARGETRENDERBUFFERSTORAGEOESPROC __glEGLImageTargetRenderbufferStorageOES;
RGLSYMGLEGLIMAGETARGETTEXTURE2DOESPROC __glEGLImageTargetTexture2DOES;
RGLSYMGLENABLECLIENTSTATEPROC __glEnableClientState;
RGLSYMGLENABLEIPROC __glEnablei;
RGLSYMGLENABLEPROC __glEnable;
RGLSYMGLENABLEVERTEXATTRIBARRAYARBPROC __glEnableVertexAttribArrayARB;
RGLSYMGLENABLEVERTEXATTRIBARRAYPROC __glEnableVertexAttribArray;
RGLSYMGLENDCONDITIONALRENDERPROC __glEndConditionalRender;
RGLSYMGLENDLISTPROC __glEndList;
RGLSYMGLENDPROC __glEnd;
RGLSYMGLENDQUERYARBPROC __glEndQueryARB;
RGLSYMGLENDQUERYINDEXEDPROC __glEndQueryIndexed;
RGLSYMGLENDQUERYPROC __glEndQuery;
RGLSYMGLENDTRANSFORMFEEDBACKPROC __glEndTransformFeedback;
RGLSYMGLEVALCOORD1DPROC __glEvalCoord1d;
RGLSYMGLEVALCOORD1DVPROC __glEvalCoord1dv;
RGLSYMGLEVALCOORD1FPROC __glEvalCoord1f;
RGLSYMGLEVALCOORD1FVPROC __glEvalCoord1fv;
RGLSYMGLEVALCOORD1XOESPROC __glEvalCoord1xOES;
RGLSYMGLEVALCOORD1XVOESPROC __glEvalCoord1xvOES;
RGLSYMGLEVALCOORD2DPROC __glEvalCoord2d;
RGLSYMGLEVALCOORD2DVPROC __glEvalCoord2dv;
RGLSYMGLEVALCOORD2FPROC __glEvalCoord2f;
RGLSYMGLEVALCOORD2FVPROC __glEvalCoord2fv;
RGLSYMGLEVALCOORD2XOESPROC __glEvalCoord2xOES;
RGLSYMGLEVALCOORD2XVOESPROC __glEvalCoord2xvOES;
RGLSYMGLEVALMESH1PROC __glEvalMesh1;
RGLSYMGLEVALMESH2PROC __glEvalMesh2;
RGLSYMGLEVALPOINT1PROC __glEvalPoint1;
RGLSYMGLEVALPOINT2PROC __glEvalPoint2;
RGLSYMGLFEEDBACKBUFFERPROC __glFeedbackBuffer;
RGLSYMGLFEEDBACKBUFFERXOESPROC __glFeedbackBufferxOES;
RGLSYMGLFENCESYNCPROC __glFenceSync;
RGLSYMGLFINISHPROC __glFinish;
RGLSYMGLFLUSHMAPPEDBUFFERRANGEPROC __glFlushMappedBufferRange;
RGLSYMGLFLUSHPROC __glFlush;
RGLSYMGLFOGCOORDDPROC __glFogCoordd;
RGLSYMGLFOGCOORDDVPROC __glFogCoorddv;
RGLSYMGLFOGCOORDFPROC __glFogCoordf;
RGLSYMGLFOGCOORDFVPROC __glFogCoordfv;
RGLSYMGLFOGCOORDPOINTERPROC __glFogCoordPointer;
RGLSYMGLFOGFPROC __glFogf;
RGLSYMGLFOGFVPROC __glFogfv;
RGLSYMGLFOGIPROC __glFogi;
RGLSYMGLFOGIVPROC __glFogiv;
RGLSYMGLFOGXOESPROC __glFogxOES;
RGLSYMGLFOGXVOESPROC __glFogxvOES;
RGLSYMGLFRAMEBUFFERPARAMETERIPROC __glFramebufferParameteri;
RGLSYMGLFRAMEBUFFERRENDERBUFFERPROC __glFramebufferRenderbuffer;
RGLSYMGLFRAMEBUFFERTEXTURE1DPROC __glFramebufferTexture1D;
RGLSYMGLFRAMEBUFFERTEXTURE2DPROC __glFramebufferTexture2D;
RGLSYMGLFRAMEBUFFERTEXTURE3DPROC __glFramebufferTexture3D;
RGLSYMGLFRAMEBUFFERTEXTUREARBPROC __glFramebufferTextureARB;
RGLSYMGLFRAMEBUFFERTEXTUREFACEARBPROC __glFramebufferTextureFaceARB;
RGLSYMGLFRAMEBUFFERTEXTURELAYERARBPROC __glFramebufferTextureLayerARB;
RGLSYMGLFRAMEBUFFERTEXTURELAYERPROC __glFramebufferTextureLayer;
RGLSYMGLFRAMEBUFFERTEXTUREPROC __glFramebufferTexture;
RGLSYMGLFRONTFACEPROC __glFrontFace;
RGLSYMGLFRUSTUMFOESPROC __glFrustumfOES;
RGLSYMGLFRUSTUMPROC __glFrustum;
RGLSYMGLFRUSTUMXOESPROC __glFrustumxOES;
RGLSYMGLGENBUFFERSARBPROC __glGenBuffersARB;
RGLSYMGLGENBUFFERSPROC __glGenBuffers;
RGLSYMGLGENERATEMIPMAPPROC __glGenerateMipmap;
RGLSYMGLGENFRAMEBUFFERSPROC __glGenFramebuffers;
RGLSYMGLGENLISTSPROC __glGenLists;
RGLSYMGLGENPROGRAMPIPELINESPROC __glGenProgramPipelines;
RGLSYMGLGENPROGRAMSARBPROC __glGenProgramsARB;
RGLSYMGLGENQUERIESARBPROC __glGenQueriesARB;
RGLSYMGLGENQUERIESPROC __glGenQueries;
RGLSYMGLGENRENDERBUFFERSPROC __glGenRenderbuffers;
RGLSYMGLGENSAMPLERSPROC __glGenSamplers;
RGLSYMGLGENTEXTURESPROC __glGenTextures;
RGLSYMGLGENTRANSFORMFEEDBACKSPROC __glGenTransformFeedbacks;
RGLSYMGLGENVERTEXARRAYSPROC __glGenVertexArrays;
RGLSYMGLGETACTIVEATOMICCOUNTERBUFFERIVPROC __glGetActiveAtomicCounterBufferiv;
RGLSYMGLGETACTIVEATTRIBARBPROC __glGetActiveAttribARB;
RGLSYMGLGETACTIVEATTRIBPROC __glGetActiveAttrib;
RGLSYMGLGETACTIVESUBROUTINENAMEPROC __glGetActiveSubroutineName;
RGLSYMGLGETACTIVESUBROUTINEUNIFORMIVPROC __glGetActiveSubroutineUniformiv;
RGLSYMGLGETACTIVESUBROUTINEUNIFORMNAMEPROC __glGetActiveSubroutineUniformName;
RGLSYMGLGETACTIVEUNIFORMARBPROC __glGetActiveUniformARB;
RGLSYMGLGETACTIVEUNIFORMBLOCKIVPROC __glGetActiveUniformBlockiv;
RGLSYMGLGETACTIVEUNIFORMBLOCKNAMEPROC __glGetActiveUniformBlockName;
RGLSYMGLGETACTIVEUNIFORMNAMEPROC __glGetActiveUniformName;
RGLSYMGLGETACTIVEUNIFORMPROC __glGetActiveUniform;
RGLSYMGLGETACTIVEUNIFORMSIVPROC __glGetActiveUniformsiv;
RGLSYMGLGETATTACHEDOBJECTSARBPROC __glGetAttachedObjectsARB;
RGLSYMGLGETATTACHEDSHADERSPROC __glGetAttachedShaders;
RGLSYMGLGETATTRIBLOCATIONARBPROC __glGetAttribLocationARB;
RGLSYMGLGETATTRIBLOCATIONPROC __glGetAttribLocation;
RGLSYMGLGETBOOLEANI_VPROC __glGetBooleani_v;
RGLSYMGLGETBOOLEANVPROC __glGetBooleanv;
RGLSYMGLGETBUFFERPARAMETERI64VPROC __glGetBufferParameteri64v;
RGLSYMGLGETBUFFERPARAMETERIVARBPROC __glGetBufferParameterivARB;
RGLSYMGLGETBUFFERPARAMETERIVPROC __glGetBufferParameteriv;
RGLSYMGLGETBUFFERPOINTERVARBPROC __glGetBufferPointervARB;
RGLSYMGLGETBUFFERPOINTERVPROC __glGetBufferPointerv;
RGLSYMGLGETBUFFERSUBDATAARBPROC __glGetBufferSubDataARB;
RGLSYMGLGETBUFFERSUBDATAPROC __glGetBufferSubData;
RGLSYMGLGETCLIPPLANEFOESPROC __glGetClipPlanefOES;
RGLSYMGLGETCLIPPLANEPROC __glGetClipPlane;
RGLSYMGLGETCLIPPLANEXOESPROC __glGetClipPlanexOES;
RGLSYMGLGETCOLORTABLEPARAMETERFVPROC __glGetColorTableParameterfv;
RGLSYMGLGETCOLORTABLEPARAMETERIVPROC __glGetColorTableParameteriv;
RGLSYMGLGETCOLORTABLEPROC __glGetColorTable;
RGLSYMGLGETCOMPRESSEDTEXIMAGEARBPROC __glGetCompressedTexImageARB;
RGLSYMGLGETCOMPRESSEDTEXIMAGEPROC __glGetCompressedTexImage;
RGLSYMGLGETCONVOLUTIONFILTERPROC __glGetConvolutionFilter;
RGLSYMGLGETCONVOLUTIONPARAMETERFVPROC __glGetConvolutionParameterfv;
RGLSYMGLGETCONVOLUTIONPARAMETERIVPROC __glGetConvolutionParameteriv;
RGLSYMGLGETCONVOLUTIONPARAMETERXVOESPROC __glGetConvolutionParameterxvOES;
RGLSYMGLGETDEBUGMESSAGELOGARBPROC __glGetDebugMessageLogARB;
RGLSYMGLGETDEBUGMESSAGELOGPROC __glGetDebugMessageLog;
RGLSYMGLGETDOUBLEI_VPROC __glGetDoublei_v;
RGLSYMGLGETDOUBLEVPROC __glGetDoublev;
RGLSYMGLGETERRORPROC __glGetError;
RGLSYMGLGETFIXEDVOESPROC __glGetFixedvOES;
RGLSYMGLGETFLOATI_VPROC __glGetFloati_v;
RGLSYMGLGETFLOATVPROC __glGetFloatv;
RGLSYMGLGETFRAGDATAINDEXPROC __glGetFragDataIndex;
RGLSYMGLGETFRAGDATALOCATIONPROC __glGetFragDataLocation;
RGLSYMGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC __glGetFramebufferAttachmentParameteriv;
RGLSYMGLGETFRAMEBUFFERPARAMETERIVPROC __glGetFramebufferParameteriv;
RGLSYMGLGETGRAPHICSRESETSTATUSARBPROC __glGetGraphicsResetStatusARB;
RGLSYMGLGETHANDLEARBPROC __glGetHandleARB;
RGLSYMGLGETHISTOGRAMPARAMETERFVPROC __glGetHistogramParameterfv;
RGLSYMGLGETHISTOGRAMPARAMETERIVPROC __glGetHistogramParameteriv;
RGLSYMGLGETHISTOGRAMPARAMETERXVOESPROC __glGetHistogramParameterxvOES;
RGLSYMGLGETHISTOGRAMPROC __glGetHistogram;
RGLSYMGLGETIMAGEHANDLEARBPROC __glGetImageHandleARB;
RGLSYMGLGETIMAGETRANSFORMPARAMETERFVHPPROC __glGetImageTransformParameterfvHP;
RGLSYMGLGETIMAGETRANSFORMPARAMETERIVHPPROC __glGetImageTransformParameterivHP;
RGLSYMGLGETINFOLOGARBPROC __glGetInfoLogARB;
RGLSYMGLGETINTEGER64I_VPROC __glGetInteger64i_v;
RGLSYMGLGETINTEGER64VPROC __glGetInteger64v;
RGLSYMGLGETINTEGERI_VPROC __glGetIntegeri_v;
RGLSYMGLGETINTEGERVPROC __glGetIntegerv;
RGLSYMGLGETINTERNALFORMATI64VPROC __glGetInternalformati64v;
RGLSYMGLGETINTERNALFORMATIVPROC __glGetInternalformativ;
RGLSYMGLGETLIGHTFVPROC __glGetLightfv;
RGLSYMGLGETLIGHTIVPROC __glGetLightiv;
RGLSYMGLGETLIGHTXOESPROC __glGetLightxOES;
RGLSYMGLGETMAPDVPROC __glGetMapdv;
RGLSYMGLGETMAPFVPROC __glGetMapfv;
RGLSYMGLGETMAPIVPROC __glGetMapiv;
RGLSYMGLGETMAPXVOESPROC __glGetMapxvOES;
RGLSYMGLGETMATERIALFVPROC __glGetMaterialfv;
RGLSYMGLGETMATERIALIVPROC __glGetMaterialiv;
RGLSYMGLGETMATERIALXOESPROC __glGetMaterialxOES;
RGLSYMGLGETMINMAXPARAMETERFVPROC __glGetMinmaxParameterfv;
RGLSYMGLGETMINMAXPARAMETERIVPROC __glGetMinmaxParameteriv;
RGLSYMGLGETMINMAXPROC __glGetMinmax;
RGLSYMGLGETMULTISAMPLEFVPROC __glGetMultisamplefv;
RGLSYMGLGETNAMEDSTRINGARBPROC __glGetNamedStringARB;
RGLSYMGLGETNAMEDSTRINGIVARBPROC __glGetNamedStringivARB;
RGLSYMGLGETNCOLORTABLEARBPROC __glGetnColorTableARB;
RGLSYMGLGETNCOMPRESSEDTEXIMAGEARBPROC __glGetnCompressedTexImageARB;
RGLSYMGLGETNCONVOLUTIONFILTERARBPROC __glGetnConvolutionFilterARB;
RGLSYMGLGETNHISTOGRAMARBPROC __glGetnHistogramARB;
RGLSYMGLGETNMAPDVARBPROC __glGetnMapdvARB;
RGLSYMGLGETNMAPFVARBPROC __glGetnMapfvARB;
RGLSYMGLGETNMAPIVARBPROC __glGetnMapivARB;
RGLSYMGLGETNMINMAXARBPROC __glGetnMinmaxARB;
RGLSYMGLGETNPIXELMAPFVARBPROC __glGetnPixelMapfvARB;
RGLSYMGLGETNPIXELMAPUIVARBPROC __glGetnPixelMapuivARB;
RGLSYMGLGETNPIXELMAPUSVARBPROC __glGetnPixelMapusvARB;
RGLSYMGLGETNPOLYGONSTIPPLEARBPROC __glGetnPolygonStippleARB;
RGLSYMGLGETNSEPARABLEFILTERARBPROC __glGetnSeparableFilterARB;
RGLSYMGLGETNTEXIMAGEARBPROC __glGetnTexImageARB;
RGLSYMGLGETNUNIFORMDVARBPROC __glGetnUniformdvARB;
RGLSYMGLGETNUNIFORMFVARBPROC __glGetnUniformfvARB;
RGLSYMGLGETNUNIFORMIVARBPROC __glGetnUniformivARB;
RGLSYMGLGETNUNIFORMUIVARBPROC __glGetnUniformuivARB;
RGLSYMGLGETOBJECTLABELPROC __glGetObjectLabel;
RGLSYMGLGETOBJECTPARAMETERFVARBPROC __glGetObjectParameterfvARB;
RGLSYMGLGETOBJECTPARAMETERIVARBPROC __glGetObjectParameterivARB;
RGLSYMGLGETOBJECTPTRLABELPROC __glGetObjectPtrLabel;
RGLSYMGLGETPIXELMAPFVPROC __glGetPixelMapfv;
RGLSYMGLGETPIXELMAPUIVPROC __glGetPixelMapuiv;
RGLSYMGLGETPIXELMAPUSVPROC __glGetPixelMapusv;
RGLSYMGLGETPIXELMAPXVPROC __glGetPixelMapxv;
RGLSYMGLGETPOINTERVPROC __glGetPointerv;
RGLSYMGLGETPOLYGONSTIPPLEPROC __glGetPolygonStipple;
RGLSYMGLGETPROGRAMBINARYPROC __glGetProgramBinary;
RGLSYMGLGETPROGRAMENVPARAMETERDVARBPROC __glGetProgramEnvParameterdvARB;
RGLSYMGLGETPROGRAMENVPARAMETERFVARBPROC __glGetProgramEnvParameterfvARB;
RGLSYMGLGETPROGRAMINFOLOGPROC __glGetProgramInfoLog;
RGLSYMGLGETPROGRAMINTERFACEIVPROC __glGetProgramInterfaceiv;
RGLSYMGLGETPROGRAMIVARBPROC __glGetProgramivARB;
RGLSYMGLGETPROGRAMIVPROC __glGetProgramiv;
RGLSYMGLGETPROGRAMLOCALPARAMETERDVARBPROC __glGetProgramLocalParameterdvARB;
RGLSYMGLGETPROGRAMLOCALPARAMETERFVARBPROC __glGetProgramLocalParameterfvARB;
RGLSYMGLGETPROGRAMPIPELINEINFOLOGPROC __glGetProgramPipelineInfoLog;
RGLSYMGLGETPROGRAMPIPELINEIVPROC __glGetProgramPipelineiv;
RGLSYMGLGETPROGRAMRESOURCEINDEXPROC __glGetProgramResourceIndex;
RGLSYMGLGETPROGRAMRESOURCEIVPROC __glGetProgramResourceiv;
RGLSYMGLGETPROGRAMRESOURCELOCATIONINDEXPROC __glGetProgramResourceLocationIndex;
RGLSYMGLGETPROGRAMRESOURCELOCATIONPROC __glGetProgramResourceLocation;
RGLSYMGLGETPROGRAMRESOURCENAMEPROC __glGetProgramResourceName;
RGLSYMGLGETPROGRAMSTAGEIVPROC __glGetProgramStageiv;
RGLSYMGLGETPROGRAMSTRINGARBPROC __glGetProgramStringARB;
RGLSYMGLGETQUERYINDEXEDIVPROC __glGetQueryIndexediv;
RGLSYMGLGETQUERYIVARBPROC __glGetQueryivARB;
RGLSYMGLGETQUERYIVPROC __glGetQueryiv;
RGLSYMGLGETQUERYOBJECTI64VPROC __glGetQueryObjecti64v;
RGLSYMGLGETQUERYOBJECTIVARBPROC __glGetQueryObjectivARB;
RGLSYMGLGETQUERYOBJECTIVPROC __glGetQueryObjectiv;
RGLSYMGLGETQUERYOBJECTUI64VPROC __glGetQueryObjectui64v;
RGLSYMGLGETQUERYOBJECTUIVARBPROC __glGetQueryObjectuivARB;
RGLSYMGLGETQUERYOBJECTUIVPROC __glGetQueryObjectuiv;
RGLSYMGLGETRENDERBUFFERPARAMETERIVPROC __glGetRenderbufferParameteriv;
RGLSYMGLGETSAMPLERPARAMETERFVPROC __glGetSamplerParameterfv;
RGLSYMGLGETSAMPLERPARAMETERIIVPROC __glGetSamplerParameterIiv;
RGLSYMGLGETSAMPLERPARAMETERIUIVPROC __glGetSamplerParameterIuiv;
RGLSYMGLGETSAMPLERPARAMETERIVPROC __glGetSamplerParameteriv;
RGLSYMGLGETSEPARABLEFILTERPROC __glGetSeparableFilter;
RGLSYMGLGETSHADERINFOLOGPROC __glGetShaderInfoLog;
RGLSYMGLGETSHADERIVPROC __glGetShaderiv;
RGLSYMGLGETSHADERPRECISIONFORMATPROC __glGetShaderPrecisionFormat;
RGLSYMGLGETSHADERSOURCEARBPROC __glGetShaderSourceARB;
RGLSYMGLGETSHADERSOURCEPROC __glGetShaderSource;
RGLSYMGLGETSTRINGIPROC __glGetStringi;
RGLSYMGLGETSTRINGPROC __glGetString;
RGLSYMGLGETSUBROUTINEINDEXPROC __glGetSubroutineIndex;
RGLSYMGLGETSUBROUTINEUNIFORMLOCATIONPROC __glGetSubroutineUniformLocation;
RGLSYMGLGETSYNCIVPROC __glGetSynciv;
RGLSYMGLGETTEXENVFVPROC __glGetTexEnvfv;
RGLSYMGLGETTEXENVIVPROC __glGetTexEnviv;
RGLSYMGLGETTEXENVXVOESPROC __glGetTexEnvxvOES;
RGLSYMGLGETTEXGENDVPROC __glGetTexGendv;
RGLSYMGLGETTEXGENFVPROC __glGetTexGenfv;
RGLSYMGLGETTEXGENIVPROC __glGetTexGeniv;
RGLSYMGLGETTEXGENXVOESPROC __glGetTexGenxvOES;
RGLSYMGLGETTEXIMAGEPROC __glGetTexImage;
RGLSYMGLGETTEXLEVELPARAMETERFVPROC __glGetTexLevelParameterfv;
RGLSYMGLGETTEXLEVELPARAMETERIVPROC __glGetTexLevelParameteriv;
RGLSYMGLGETTEXLEVELPARAMETERXVOESPROC __glGetTexLevelParameterxvOES;
RGLSYMGLGETTEXPARAMETERFVPROC __glGetTexParameterfv;
RGLSYMGLGETTEXPARAMETERIIVPROC __glGetTexParameterIiv;
RGLSYMGLGETTEXPARAMETERIUIVPROC __glGetTexParameterIuiv;
RGLSYMGLGETTEXPARAMETERIVPROC __glGetTexParameteriv;
RGLSYMGLGETTEXPARAMETERXVOESPROC __glGetTexParameterxvOES;
RGLSYMGLGETTEXTUREHANDLEARBPROC __glGetTextureHandleARB;
RGLSYMGLGETTEXTURESAMPLERHANDLEARBPROC __glGetTextureSamplerHandleARB;
RGLSYMGLGETTRANSFORMFEEDBACKVARYINGPROC __glGetTransformFeedbackVarying;
RGLSYMGLGETUNIFORMBLOCKINDEXPROC __glGetUniformBlockIndex;
RGLSYMGLGETUNIFORMDVPROC __glGetUniformdv;
RGLSYMGLGETUNIFORMFVARBPROC __glGetUniformfvARB;
RGLSYMGLGETUNIFORMFVPROC __glGetUniformfv;
RGLSYMGLGETUNIFORMINDICESPROC __glGetUniformIndices;
RGLSYMGLGETUNIFORMIVARBPROC __glGetUniformivARB;
RGLSYMGLGETUNIFORMIVPROC __glGetUniformiv;
RGLSYMGLGETUNIFORMLOCATIONARBPROC __glGetUniformLocationARB;
RGLSYMGLGETUNIFORMLOCATIONPROC __glGetUniformLocation;
RGLSYMGLGETUNIFORMSUBROUTINEUIVPROC __glGetUniformSubroutineuiv;
RGLSYMGLGETUNIFORMUIVPROC __glGetUniformuiv;
RGLSYMGLGETVERTEXATTRIBDVARBPROC __glGetVertexAttribdvARB;
RGLSYMGLGETVERTEXATTRIBDVPROC __glGetVertexAttribdv;
RGLSYMGLGETVERTEXATTRIBFVARBPROC __glGetVertexAttribfvARB;
RGLSYMGLGETVERTEXATTRIBFVPROC __glGetVertexAttribfv;
RGLSYMGLGETVERTEXATTRIBIIVPROC __glGetVertexAttribIiv;
RGLSYMGLGETVERTEXATTRIBIUIVPROC __glGetVertexAttribIuiv;
RGLSYMGLGETVERTEXATTRIBIVARBPROC __glGetVertexAttribivARB;
RGLSYMGLGETVERTEXATTRIBIVPROC __glGetVertexAttribiv;
RGLSYMGLGETVERTEXATTRIBLDVPROC __glGetVertexAttribLdv;
RGLSYMGLGETVERTEXATTRIBLUI64VARBPROC __glGetVertexAttribLui64vARB;
RGLSYMGLGETVERTEXATTRIBPOINTERVARBPROC __glGetVertexAttribPointervARB;
RGLSYMGLGETVERTEXATTRIBPOINTERVPROC __glGetVertexAttribPointerv;
RGLSYMGLHINTPROC __glHint;
RGLSYMGLHISTOGRAMPROC __glHistogram;
RGLSYMGLIMAGETRANSFORMPARAMETERFHPPROC __glImageTransformParameterfHP;
RGLSYMGLIMAGETRANSFORMPARAMETERFVHPPROC __glImageTransformParameterfvHP;
RGLSYMGLIMAGETRANSFORMPARAMETERIHPPROC __glImageTransformParameteriHP;
RGLSYMGLIMAGETRANSFORMPARAMETERIVHPPROC __glImageTransformParameterivHP;
RGLSYMGLINDEXDPROC __glIndexd;
RGLSYMGLINDEXDVPROC __glIndexdv;
RGLSYMGLINDEXFPROC __glIndexf;
RGLSYMGLINDEXFVPROC __glIndexfv;
RGLSYMGLINDEXIPROC __glIndexi;
RGLSYMGLINDEXIVPROC __glIndexiv;
RGLSYMGLINDEXMASKPROC __glIndexMask;
RGLSYMGLINDEXPOINTERPROC __glIndexPointer;
RGLSYMGLINDEXSPROC __glIndexs;
RGLSYMGLINDEXSVPROC __glIndexsv;
RGLSYMGLINDEXUBPROC __glIndexub;
RGLSYMGLINDEXUBVPROC __glIndexubv;
RGLSYMGLINDEXXOESPROC __glIndexxOES;
RGLSYMGLINDEXXVOESPROC __glIndexxvOES;
RGLSYMGLINITNAMESPROC __glInitNames;
RGLSYMGLINTERLEAVEDARRAYSPROC __glInterleavedArrays;
RGLSYMGLINVALIDATEBUFFERDATAPROC __glInvalidateBufferData;
RGLSYMGLINVALIDATEBUFFERSUBDATAPROC __glInvalidateBufferSubData;
RGLSYMGLINVALIDATEFRAMEBUFFERPROC __glInvalidateFramebuffer;
RGLSYMGLINVALIDATESUBFRAMEBUFFERPROC __glInvalidateSubFramebuffer;
RGLSYMGLINVALIDATETEXIMAGEPROC __glInvalidateTexImage;
RGLSYMGLINVALIDATETEXSUBIMAGEPROC __glInvalidateTexSubImage;
RGLSYMGLISBUFFERARBPROC __glIsBufferARB;
RGLSYMGLISBUFFERPROC __glIsBuffer;
RGLSYMGLISENABLEDIPROC __glIsEnabledi;
RGLSYMGLISENABLEDPROC __glIsEnabled;
RGLSYMGLISFRAMEBUFFERPROC __glIsFramebuffer;
RGLSYMGLISIMAGEHANDLERESIDENTARBPROC __glIsImageHandleResidentARB;
RGLSYMGLISLISTPROC __glIsList;
RGLSYMGLISNAMEDSTRINGARBPROC __glIsNamedStringARB;
RGLSYMGLISPROGRAMARBPROC __glIsProgramARB;
RGLSYMGLISPROGRAMPIPELINEPROC __glIsProgramPipeline;
RGLSYMGLISPROGRAMPROC __glIsProgram;
RGLSYMGLISQUERYARBPROC __glIsQueryARB;
RGLSYMGLISQUERYPROC __glIsQuery;
RGLSYMGLISRENDERBUFFERPROC __glIsRenderbuffer;
RGLSYMGLISSAMPLERPROC __glIsSampler;
RGLSYMGLISSHADERPROC __glIsShader;
RGLSYMGLISSYNCPROC __glIsSync;
RGLSYMGLISTEXTUREHANDLERESIDENTARBPROC __glIsTextureHandleResidentARB;
RGLSYMGLISTEXTUREPROC __glIsTexture;
RGLSYMGLISTRANSFORMFEEDBACKPROC __glIsTransformFeedback;
RGLSYMGLISVERTEXARRAYPROC __glIsVertexArray;
RGLSYMGLLIGHTFPROC __glLightf;
RGLSYMGLLIGHTFVPROC __glLightfv;
RGLSYMGLLIGHTIPROC __glLighti;
RGLSYMGLLIGHTIVPROC __glLightiv;
RGLSYMGLLIGHTMODELFPROC __glLightModelf;
RGLSYMGLLIGHTMODELFVPROC __glLightModelfv;
RGLSYMGLLIGHTMODELIPROC __glLightModeli;
RGLSYMGLLIGHTMODELIVPROC __glLightModeliv;
RGLSYMGLLIGHTMODELXOESPROC __glLightModelxOES;
RGLSYMGLLIGHTMODELXVOESPROC __glLightModelxvOES;
RGLSYMGLLIGHTXOESPROC __glLightxOES;
RGLSYMGLLIGHTXVOESPROC __glLightxvOES;
RGLSYMGLLINESTIPPLEPROC __glLineStipple;
RGLSYMGLLINEWIDTHPROC __glLineWidth;
RGLSYMGLLINEWIDTHXOESPROC __glLineWidthxOES;
RGLSYMGLLINKPROGRAMARBPROC __glLinkProgramARB;
RGLSYMGLLINKPROGRAMPROC __glLinkProgram;
RGLSYMGLLISTBASEPROC __glListBase;
RGLSYMGLLOADIDENTITYPROC __glLoadIdentity;
RGLSYMGLLOADMATRIXDPROC __glLoadMatrixd;
RGLSYMGLLOADMATRIXFPROC __glLoadMatrixf;
RGLSYMGLLOADMATRIXXOESPROC __glLoadMatrixxOES;
RGLSYMGLLOADNAMEPROC __glLoadName;
RGLSYMGLLOADTRANSPOSEMATRIXDARBPROC __glLoadTransposeMatrixdARB;
RGLSYMGLLOADTRANSPOSEMATRIXDPROC __glLoadTransposeMatrixd;
RGLSYMGLLOADTRANSPOSEMATRIXFARBPROC __glLoadTransposeMatrixfARB;
RGLSYMGLLOADTRANSPOSEMATRIXFPROC __glLoadTransposeMatrixf;
RGLSYMGLLOADTRANSPOSEMATRIXXOESPROC __glLoadTransposeMatrixxOES;
RGLSYMGLLOGICOPPROC __glLogicOp;
RGLSYMGLMAKEIMAGEHANDLENONRESIDENTARBPROC __glMakeImageHandleNonResidentARB;
RGLSYMGLMAKEIMAGEHANDLERESIDENTARBPROC __glMakeImageHandleResidentARB;
RGLSYMGLMAKETEXTUREHANDLENONRESIDENTARBPROC __glMakeTextureHandleNonResidentARB;
RGLSYMGLMAKETEXTUREHANDLERESIDENTARBPROC __glMakeTextureHandleResidentARB;
RGLSYMGLMAP1DPROC __glMap1d;
RGLSYMGLMAP1FPROC __glMap1f;
RGLSYMGLMAP1XOESPROC __glMap1xOES;
RGLSYMGLMAP2DPROC __glMap2d;
RGLSYMGLMAP2FPROC __glMap2f;
RGLSYMGLMAP2XOESPROC __glMap2xOES;
RGLSYMGLMAPBUFFERARBPROC __glMapBufferARB;
RGLSYMGLMAPBUFFERPROC __glMapBuffer;
RGLSYMGLMAPBUFFERRANGEPROC __glMapBufferRange;
RGLSYMGLMAPGRID1DPROC __glMapGrid1d;
RGLSYMGLMAPGRID1FPROC __glMapGrid1f;
RGLSYMGLMAPGRID1XOESPROC __glMapGrid1xOES;
RGLSYMGLMAPGRID2DPROC __glMapGrid2d;
RGLSYMGLMAPGRID2FPROC __glMapGrid2f;
RGLSYMGLMAPGRID2XOESPROC __glMapGrid2xOES;
RGLSYMGLMATERIALFPROC __glMaterialf;
RGLSYMGLMATERIALFVPROC __glMaterialfv;
RGLSYMGLMATERIALIPROC __glMateriali;
RGLSYMGLMATERIALIVPROC __glMaterialiv;
RGLSYMGLMATERIALXOESPROC __glMaterialxOES;
RGLSYMGLMATERIALXVOESPROC __glMaterialxvOES;
RGLSYMGLMATRIXINDEXPOINTERARBPROC __glMatrixIndexPointerARB;
RGLSYMGLMATRIXINDEXUBVARBPROC __glMatrixIndexubvARB;
RGLSYMGLMATRIXINDEXUIVARBPROC __glMatrixIndexuivARB;
RGLSYMGLMATRIXINDEXUSVARBPROC __glMatrixIndexusvARB;
RGLSYMGLMATRIXMODEPROC __glMatrixMode;
RGLSYMGLMEMORYBARRIERPROC __glMemoryBarrier;
RGLSYMGLMINMAXPROC __glMinmax;
RGLSYMGLMINSAMPLESHADINGARBPROC __glMinSampleShadingARB;
RGLSYMGLMINSAMPLESHADINGPROC __glMinSampleShading;
RGLSYMGLMULTIDRAWARRAYSINDIRECTCOUNTARBPROC __glMultiDrawArraysIndirectCountARB;
RGLSYMGLMULTIDRAWARRAYSINDIRECTPROC __glMultiDrawArraysIndirect;
RGLSYMGLMULTIDRAWARRAYSPROC __glMultiDrawArrays;
RGLSYMGLMULTIDRAWELEMENTSBASEVERTEXPROC __glMultiDrawElementsBaseVertex;
RGLSYMGLMULTIDRAWELEMENTSINDIRECTCOUNTARBPROC __glMultiDrawElementsIndirectCountARB;
RGLSYMGLMULTIDRAWELEMENTSINDIRECTPROC __glMultiDrawElementsIndirect;
RGLSYMGLMULTIDRAWELEMENTSPROC __glMultiDrawElements;
RGLSYMGLMULTITEXCOORD1BOESPROC __glMultiTexCoord1bOES;
RGLSYMGLMULTITEXCOORD1BVOESPROC __glMultiTexCoord1bvOES;
RGLSYMGLMULTITEXCOORD1DARBPROC __glMultiTexCoord1dARB;
RGLSYMGLMULTITEXCOORD1DPROC __glMultiTexCoord1d;
RGLSYMGLMULTITEXCOORD1DVARBPROC __glMultiTexCoord1dvARB;
RGLSYMGLMULTITEXCOORD1DVPROC __glMultiTexCoord1dv;
RGLSYMGLMULTITEXCOORD1FARBPROC __glMultiTexCoord1fARB;
RGLSYMGLMULTITEXCOORD1FPROC __glMultiTexCoord1f;
RGLSYMGLMULTITEXCOORD1FVARBPROC __glMultiTexCoord1fvARB;
RGLSYMGLMULTITEXCOORD1FVPROC __glMultiTexCoord1fv;
RGLSYMGLMULTITEXCOORD1IARBPROC __glMultiTexCoord1iARB;
RGLSYMGLMULTITEXCOORD1IPROC __glMultiTexCoord1i;
RGLSYMGLMULTITEXCOORD1IVARBPROC __glMultiTexCoord1ivARB;
RGLSYMGLMULTITEXCOORD1IVPROC __glMultiTexCoord1iv;
RGLSYMGLMULTITEXCOORD1SARBPROC __glMultiTexCoord1sARB;
RGLSYMGLMULTITEXCOORD1SPROC __glMultiTexCoord1s;
RGLSYMGLMULTITEXCOORD1SVARBPROC __glMultiTexCoord1svARB;
RGLSYMGLMULTITEXCOORD1SVPROC __glMultiTexCoord1sv;
RGLSYMGLMULTITEXCOORD1XOESPROC __glMultiTexCoord1xOES;
RGLSYMGLMULTITEXCOORD1XVOESPROC __glMultiTexCoord1xvOES;
RGLSYMGLMULTITEXCOORD2BOESPROC __glMultiTexCoord2bOES;
RGLSYMGLMULTITEXCOORD2BVOESPROC __glMultiTexCoord2bvOES;
RGLSYMGLMULTITEXCOORD2DARBPROC __glMultiTexCoord2dARB;
RGLSYMGLMULTITEXCOORD2DPROC __glMultiTexCoord2d;
RGLSYMGLMULTITEXCOORD2DVARBPROC __glMultiTexCoord2dvARB;
RGLSYMGLMULTITEXCOORD2DVPROC __glMultiTexCoord2dv;
RGLSYMGLMULTITEXCOORD2FARBPROC __glMultiTexCoord2fARB;
RGLSYMGLMULTITEXCOORD2FPROC __glMultiTexCoord2f;
RGLSYMGLMULTITEXCOORD2FVARBPROC __glMultiTexCoord2fvARB;
RGLSYMGLMULTITEXCOORD2FVPROC __glMultiTexCoord2fv;
RGLSYMGLMULTITEXCOORD2IARBPROC __glMultiTexCoord2iARB;
RGLSYMGLMULTITEXCOORD2IPROC __glMultiTexCoord2i;
RGLSYMGLMULTITEXCOORD2IVARBPROC __glMultiTexCoord2ivARB;
RGLSYMGLMULTITEXCOORD2IVPROC __glMultiTexCoord2iv;
RGLSYMGLMULTITEXCOORD2SARBPROC __glMultiTexCoord2sARB;
RGLSYMGLMULTITEXCOORD2SPROC __glMultiTexCoord2s;
RGLSYMGLMULTITEXCOORD2SVARBPROC __glMultiTexCoord2svARB;
RGLSYMGLMULTITEXCOORD2SVPROC __glMultiTexCoord2sv;
RGLSYMGLMULTITEXCOORD2XOESPROC __glMultiTexCoord2xOES;
RGLSYMGLMULTITEXCOORD2XVOESPROC __glMultiTexCoord2xvOES;
RGLSYMGLMULTITEXCOORD3BOESPROC __glMultiTexCoord3bOES;
RGLSYMGLMULTITEXCOORD3BVOESPROC __glMultiTexCoord3bvOES;
RGLSYMGLMULTITEXCOORD3DARBPROC __glMultiTexCoord3dARB;
RGLSYMGLMULTITEXCOORD3DPROC __glMultiTexCoord3d;
RGLSYMGLMULTITEXCOORD3DVARBPROC __glMultiTexCoord3dvARB;
RGLSYMGLMULTITEXCOORD3DVPROC __glMultiTexCoord3dv;
RGLSYMGLMULTITEXCOORD3FARBPROC __glMultiTexCoord3fARB;
RGLSYMGLMULTITEXCOORD3FPROC __glMultiTexCoord3f;
RGLSYMGLMULTITEXCOORD3FVARBPROC __glMultiTexCoord3fvARB;
RGLSYMGLMULTITEXCOORD3FVPROC __glMultiTexCoord3fv;
RGLSYMGLMULTITEXCOORD3IARBPROC __glMultiTexCoord3iARB;
RGLSYMGLMULTITEXCOORD3IPROC __glMultiTexCoord3i;
RGLSYMGLMULTITEXCOORD3IVARBPROC __glMultiTexCoord3ivARB;
RGLSYMGLMULTITEXCOORD3IVPROC __glMultiTexCoord3iv;
RGLSYMGLMULTITEXCOORD3SARBPROC __glMultiTexCoord3sARB;
RGLSYMGLMULTITEXCOORD3SPROC __glMultiTexCoord3s;
RGLSYMGLMULTITEXCOORD3SVARBPROC __glMultiTexCoord3svARB;
RGLSYMGLMULTITEXCOORD3SVPROC __glMultiTexCoord3sv;
RGLSYMGLMULTITEXCOORD3XOESPROC __glMultiTexCoord3xOES;
RGLSYMGLMULTITEXCOORD3XVOESPROC __glMultiTexCoord3xvOES;
RGLSYMGLMULTITEXCOORD4BOESPROC __glMultiTexCoord4bOES;
RGLSYMGLMULTITEXCOORD4BVOESPROC __glMultiTexCoord4bvOES;
RGLSYMGLMULTITEXCOORD4DARBPROC __glMultiTexCoord4dARB;
RGLSYMGLMULTITEXCOORD4DPROC __glMultiTexCoord4d;
RGLSYMGLMULTITEXCOORD4DVARBPROC __glMultiTexCoord4dvARB;
RGLSYMGLMULTITEXCOORD4DVPROC __glMultiTexCoord4dv;
RGLSYMGLMULTITEXCOORD4FARBPROC __glMultiTexCoord4fARB;
RGLSYMGLMULTITEXCOORD4FPROC __glMultiTexCoord4f;
RGLSYMGLMULTITEXCOORD4FVARBPROC __glMultiTexCoord4fvARB;
RGLSYMGLMULTITEXCOORD4FVPROC __glMultiTexCoord4fv;
RGLSYMGLMULTITEXCOORD4IARBPROC __glMultiTexCoord4iARB;
RGLSYMGLMULTITEXCOORD4IPROC __glMultiTexCoord4i;
RGLSYMGLMULTITEXCOORD4IVARBPROC __glMultiTexCoord4ivARB;
RGLSYMGLMULTITEXCOORD4IVPROC __glMultiTexCoord4iv;
RGLSYMGLMULTITEXCOORD4SARBPROC __glMultiTexCoord4sARB;
RGLSYMGLMULTITEXCOORD4SPROC __glMultiTexCoord4s;
RGLSYMGLMULTITEXCOORD4SVARBPROC __glMultiTexCoord4svARB;
RGLSYMGLMULTITEXCOORD4SVPROC __glMultiTexCoord4sv;
RGLSYMGLMULTITEXCOORD4XOESPROC __glMultiTexCoord4xOES;
RGLSYMGLMULTITEXCOORD4XVOESPROC __glMultiTexCoord4xvOES;
RGLSYMGLMULTITEXCOORDP1UIPROC __glMultiTexCoordP1ui;
RGLSYMGLMULTITEXCOORDP1UIVPROC __glMultiTexCoordP1uiv;
RGLSYMGLMULTITEXCOORDP2UIPROC __glMultiTexCoordP2ui;
RGLSYMGLMULTITEXCOORDP2UIVPROC __glMultiTexCoordP2uiv;
RGLSYMGLMULTITEXCOORDP3UIPROC __glMultiTexCoordP3ui;
RGLSYMGLMULTITEXCOORDP3UIVPROC __glMultiTexCoordP3uiv;
RGLSYMGLMULTITEXCOORDP4UIPROC __glMultiTexCoordP4ui;
RGLSYMGLMULTITEXCOORDP4UIVPROC __glMultiTexCoordP4uiv;
RGLSYMGLMULTMATRIXDPROC __glMultMatrixd;
RGLSYMGLMULTMATRIXFPROC __glMultMatrixf;
RGLSYMGLMULTMATRIXXOESPROC __glMultMatrixxOES;
RGLSYMGLMULTTRANSPOSEMATRIXDARBPROC __glMultTransposeMatrixdARB;
RGLSYMGLMULTTRANSPOSEMATRIXDPROC __glMultTransposeMatrixd;
RGLSYMGLMULTTRANSPOSEMATRIXFARBPROC __glMultTransposeMatrixfARB;
RGLSYMGLMULTTRANSPOSEMATRIXFPROC __glMultTransposeMatrixf;
RGLSYMGLMULTTRANSPOSEMATRIXXOESPROC __glMultTransposeMatrixxOES;
RGLSYMGLNAMEDSTRINGARBPROC __glNamedStringARB;
RGLSYMGLNEWLISTPROC __glNewList;
RGLSYMGLNORMAL3BPROC __glNormal3b;
RGLSYMGLNORMAL3BVPROC __glNormal3bv;
RGLSYMGLNORMAL3DPROC __glNormal3d;
RGLSYMGLNORMAL3DVPROC __glNormal3dv;
RGLSYMGLNORMAL3FPROC __glNormal3f;
RGLSYMGLNORMAL3FVPROC __glNormal3fv;
RGLSYMGLNORMAL3IPROC __glNormal3i;
RGLSYMGLNORMAL3IVPROC __glNormal3iv;
RGLSYMGLNORMAL3SPROC __glNormal3s;
RGLSYMGLNORMAL3SVPROC __glNormal3sv;
RGLSYMGLNORMAL3XOESPROC __glNormal3xOES;
RGLSYMGLNORMAL3XVOESPROC __glNormal3xvOES;
RGLSYMGLNORMALP3UIPROC __glNormalP3ui;
RGLSYMGLNORMALP3UIVPROC __glNormalP3uiv;
RGLSYMGLNORMALPOINTERPROC __glNormalPointer;
RGLSYMGLOBJECTLABELPROC __glObjectLabel;
RGLSYMGLOBJECTPTRLABELPROC __glObjectPtrLabel;
RGLSYMGLORTHOFOESPROC __glOrthofOES;
RGLSYMGLORTHOPROC __glOrtho;
RGLSYMGLORTHOXOESPROC __glOrthoxOES;
RGLSYMGLPASSTHROUGHPROC __glPassThrough;
RGLSYMGLPASSTHROUGHXOESPROC __glPassThroughxOES;
RGLSYMGLPATCHPARAMETERFVPROC __glPatchParameterfv;
RGLSYMGLPATCHPARAMETERIPROC __glPatchParameteri;
RGLSYMGLPAUSETRANSFORMFEEDBACKPROC __glPauseTransformFeedback;
RGLSYMGLPIXELMAPFVPROC __glPixelMapfv;
RGLSYMGLPIXELMAPUIVPROC __glPixelMapuiv;
RGLSYMGLPIXELMAPUSVPROC __glPixelMapusv;
RGLSYMGLPIXELMAPXPROC __glPixelMapx;
RGLSYMGLPIXELSTOREFPROC __glPixelStoref;
RGLSYMGLPIXELSTOREIPROC __glPixelStorei;
RGLSYMGLPIXELSTOREXPROC __glPixelStorex;
RGLSYMGLPIXELTRANSFERFPROC __glPixelTransferf;
RGLSYMGLPIXELTRANSFERIPROC __glPixelTransferi;
RGLSYMGLPIXELTRANSFERXOESPROC __glPixelTransferxOES;
RGLSYMGLPIXELZOOMPROC __glPixelZoom;
RGLSYMGLPIXELZOOMXOESPROC __glPixelZoomxOES;
RGLSYMGLPOINTPARAMETERFARBPROC __glPointParameterfARB;
RGLSYMGLPOINTPARAMETERFPROC __glPointParameterf;
RGLSYMGLPOINTPARAMETERFVARBPROC __glPointParameterfvARB;
RGLSYMGLPOINTPARAMETERFVPROC __glPointParameterfv;
RGLSYMGLPOINTPARAMETERIPROC __glPointParameteri;
RGLSYMGLPOINTPARAMETERIVPROC __glPointParameteriv;
RGLSYMGLPOINTPARAMETERXVOESPROC __glPointParameterxvOES;
RGLSYMGLPOINTSIZEPROC __glPointSize;
RGLSYMGLPOINTSIZEXOESPROC __glPointSizexOES;
RGLSYMGLPOLYGONMODEPROC __glPolygonMode;
RGLSYMGLPOLYGONOFFSETPROC __glPolygonOffset;
RGLSYMGLPOLYGONOFFSETXOESPROC __glPolygonOffsetxOES;
RGLSYMGLPOLYGONSTIPPLEPROC __glPolygonStipple;
RGLSYMGLPOPATTRIBPROC __glPopAttrib;
RGLSYMGLPOPCLIENTATTRIBPROC __glPopClientAttrib;
RGLSYMGLPOPDEBUGGROUPPROC __glPopDebugGroup;
RGLSYMGLPOPMATRIXPROC __glPopMatrix;
RGLSYMGLPOPNAMEPROC __glPopName;
RGLSYMGLPRIMITIVERESTARTINDEXPROC __glPrimitiveRestartIndex;
RGLSYMGLPRIORITIZETEXTURESPROC __glPrioritizeTextures;
RGLSYMGLPRIORITIZETEXTURESXOESPROC __glPrioritizeTexturesxOES;
RGLSYMGLPROGRAMBINARYPROC __glProgramBinary;
RGLSYMGLPROGRAMENVPARAMETER4DARBPROC __glProgramEnvParameter4dARB;
RGLSYMGLPROGRAMENVPARAMETER4DVARBPROC __glProgramEnvParameter4dvARB;
RGLSYMGLPROGRAMENVPARAMETER4FARBPROC __glProgramEnvParameter4fARB;
RGLSYMGLPROGRAMENVPARAMETER4FVARBPROC __glProgramEnvParameter4fvARB;
RGLSYMGLPROGRAMLOCALPARAMETER4DARBPROC __glProgramLocalParameter4dARB;
RGLSYMGLPROGRAMLOCALPARAMETER4DVARBPROC __glProgramLocalParameter4dvARB;
RGLSYMGLPROGRAMLOCALPARAMETER4FARBPROC __glProgramLocalParameter4fARB;
RGLSYMGLPROGRAMLOCALPARAMETER4FVARBPROC __glProgramLocalParameter4fvARB;
RGLSYMGLPROGRAMPARAMETERIARBPROC __glProgramParameteriARB;
RGLSYMGLPROGRAMPARAMETERIPROC __glProgramParameteri;
RGLSYMGLPROGRAMSTRINGARBPROC __glProgramStringARB;
RGLSYMGLPROGRAMUNIFORM1DPROC __glProgramUniform1d;
RGLSYMGLPROGRAMUNIFORM1DVPROC __glProgramUniform1dv;
RGLSYMGLPROGRAMUNIFORM1FPROC __glProgramUniform1f;
RGLSYMGLPROGRAMUNIFORM1FVPROC __glProgramUniform1fv;
RGLSYMGLPROGRAMUNIFORM1IPROC __glProgramUniform1i;
RGLSYMGLPROGRAMUNIFORM1IVPROC __glProgramUniform1iv;
RGLSYMGLPROGRAMUNIFORM1UIPROC __glProgramUniform1ui;
RGLSYMGLPROGRAMUNIFORM1UIVPROC __glProgramUniform1uiv;
RGLSYMGLPROGRAMUNIFORM2DPROC __glProgramUniform2d;
RGLSYMGLPROGRAMUNIFORM2DVPROC __glProgramUniform2dv;
RGLSYMGLPROGRAMUNIFORM2FPROC __glProgramUniform2f;
RGLSYMGLPROGRAMUNIFORM2FVPROC __glProgramUniform2fv;
RGLSYMGLPROGRAMUNIFORM2IPROC __glProgramUniform2i;
RGLSYMGLPROGRAMUNIFORM2IVPROC __glProgramUniform2iv;
RGLSYMGLPROGRAMUNIFORM2UIPROC __glProgramUniform2ui;
RGLSYMGLPROGRAMUNIFORM2UIVPROC __glProgramUniform2uiv;
RGLSYMGLPROGRAMUNIFORM3DPROC __glProgramUniform3d;
RGLSYMGLPROGRAMUNIFORM3DVPROC __glProgramUniform3dv;
RGLSYMGLPROGRAMUNIFORM3FPROC __glProgramUniform3f;
RGLSYMGLPROGRAMUNIFORM3FVPROC __glProgramUniform3fv;
RGLSYMGLPROGRAMUNIFORM3IPROC __glProgramUniform3i;
RGLSYMGLPROGRAMUNIFORM3IVPROC __glProgramUniform3iv;
RGLSYMGLPROGRAMUNIFORM3UIPROC __glProgramUniform3ui;
RGLSYMGLPROGRAMUNIFORM3UIVPROC __glProgramUniform3uiv;
RGLSYMGLPROGRAMUNIFORM4DPROC __glProgramUniform4d;
RGLSYMGLPROGRAMUNIFORM4DVPROC __glProgramUniform4dv;
RGLSYMGLPROGRAMUNIFORM4FPROC __glProgramUniform4f;
RGLSYMGLPROGRAMUNIFORM4FVPROC __glProgramUniform4fv;
RGLSYMGLPROGRAMUNIFORM4IPROC __glProgramUniform4i;
RGLSYMGLPROGRAMUNIFORM4IVPROC __glProgramUniform4iv;
RGLSYMGLPROGRAMUNIFORM4UIPROC __glProgramUniform4ui;
RGLSYMGLPROGRAMUNIFORM4UIVPROC __glProgramUniform4uiv;
RGLSYMGLPROGRAMUNIFORMHANDLEUI64ARBPROC __glProgramUniformHandleui64ARB;
RGLSYMGLPROGRAMUNIFORMHANDLEUI64VARBPROC __glProgramUniformHandleui64vARB;
RGLSYMGLPROGRAMUNIFORMMATRIX2DVPROC __glProgramUniformMatrix2dv;
RGLSYMGLPROGRAMUNIFORMMATRIX2FVPROC __glProgramUniformMatrix2fv;
RGLSYMGLPROGRAMUNIFORMMATRIX2X3DVPROC __glProgramUniformMatrix2x3dv;
RGLSYMGLPROGRAMUNIFORMMATRIX2X3FVPROC __glProgramUniformMatrix2x3fv;
RGLSYMGLPROGRAMUNIFORMMATRIX2X4DVPROC __glProgramUniformMatrix2x4dv;
RGLSYMGLPROGRAMUNIFORMMATRIX2X4FVPROC __glProgramUniformMatrix2x4fv;
RGLSYMGLPROGRAMUNIFORMMATRIX3DVPROC __glProgramUniformMatrix3dv;
RGLSYMGLPROGRAMUNIFORMMATRIX3FVPROC __glProgramUniformMatrix3fv;
RGLSYMGLPROGRAMUNIFORMMATRIX3X2DVPROC __glProgramUniformMatrix3x2dv;
RGLSYMGLPROGRAMUNIFORMMATRIX3X2FVPROC __glProgramUniformMatrix3x2fv;
RGLSYMGLPROGRAMUNIFORMMATRIX3X4DVPROC __glProgramUniformMatrix3x4dv;
RGLSYMGLPROGRAMUNIFORMMATRIX3X4FVPROC __glProgramUniformMatrix3x4fv;
RGLSYMGLPROGRAMUNIFORMMATRIX4DVPROC __glProgramUniformMatrix4dv;
RGLSYMGLPROGRAMUNIFORMMATRIX4FVPROC __glProgramUniformMatrix4fv;
RGLSYMGLPROGRAMUNIFORMMATRIX4X2DVPROC __glProgramUniformMatrix4x2dv;
RGLSYMGLPROGRAMUNIFORMMATRIX4X2FVPROC __glProgramUniformMatrix4x2fv;
RGLSYMGLPROGRAMUNIFORMMATRIX4X3DVPROC __glProgramUniformMatrix4x3dv;
RGLSYMGLPROGRAMUNIFORMMATRIX4X3FVPROC __glProgramUniformMatrix4x3fv;
RGLSYMGLPROVOKINGVERTEXPROC __glProvokingVertex;
RGLSYMGLPUSHATTRIBPROC __glPushAttrib;
RGLSYMGLPUSHCLIENTATTRIBPROC __glPushClientAttrib;
RGLSYMGLPUSHDEBUGGROUPPROC __glPushDebugGroup;
RGLSYMGLPUSHMATRIXPROC __glPushMatrix;
RGLSYMGLPUSHNAMEPROC __glPushName;
RGLSYMGLQUERYCOUNTERPROC __glQueryCounter;
RGLSYMGLQUERYMATRIXXOESPROC __glQueryMatrixxOES;
RGLSYMGLRASTERPOS2DPROC __glRasterPos2d;
RGLSYMGLRASTERPOS2DVPROC __glRasterPos2dv;
RGLSYMGLRASTERPOS2FPROC __glRasterPos2f;
RGLSYMGLRASTERPOS2FVPROC __glRasterPos2fv;
RGLSYMGLRASTERPOS2IPROC __glRasterPos2i;
RGLSYMGLRASTERPOS2IVPROC __glRasterPos2iv;
RGLSYMGLRASTERPOS2SPROC __glRasterPos2s;
RGLSYMGLRASTERPOS2SVPROC __glRasterPos2sv;
RGLSYMGLRASTERPOS2XOESPROC __glRasterPos2xOES;
RGLSYMGLRASTERPOS2XVOESPROC __glRasterPos2xvOES;
RGLSYMGLRASTERPOS3DPROC __glRasterPos3d;
RGLSYMGLRASTERPOS3DVPROC __glRasterPos3dv;
RGLSYMGLRASTERPOS3FPROC __glRasterPos3f;
RGLSYMGLRASTERPOS3FVPROC __glRasterPos3fv;
RGLSYMGLRASTERPOS3IPROC __glRasterPos3i;
RGLSYMGLRASTERPOS3IVPROC __glRasterPos3iv;
RGLSYMGLRASTERPOS3SPROC __glRasterPos3s;
RGLSYMGLRASTERPOS3SVPROC __glRasterPos3sv;
RGLSYMGLRASTERPOS3XOESPROC __glRasterPos3xOES;
RGLSYMGLRASTERPOS3XVOESPROC __glRasterPos3xvOES;
RGLSYMGLRASTERPOS4DPROC __glRasterPos4d;
RGLSYMGLRASTERPOS4DVPROC __glRasterPos4dv;
RGLSYMGLRASTERPOS4FPROC __glRasterPos4f;
RGLSYMGLRASTERPOS4FVPROC __glRasterPos4fv;
RGLSYMGLRASTERPOS4IPROC __glRasterPos4i;
RGLSYMGLRASTERPOS4IVPROC __glRasterPos4iv;
RGLSYMGLRASTERPOS4SPROC __glRasterPos4s;
RGLSYMGLRASTERPOS4SVPROC __glRasterPos4sv;
RGLSYMGLRASTERPOS4XOESPROC __glRasterPos4xOES;
RGLSYMGLRASTERPOS4XVOESPROC __glRasterPos4xvOES;
RGLSYMGLREADBUFFERPROC __glReadBuffer;
RGLSYMGLREADNPIXELSARBPROC __glReadnPixelsARB;
RGLSYMGLREADPIXELSPROC __glReadPixels;
RGLSYMGLRECTDPROC __glRectd;
RGLSYMGLRECTDVPROC __glRectdv;
RGLSYMGLRECTFPROC __glRectf;
RGLSYMGLRECTFVPROC __glRectfv;
RGLSYMGLRECTIPROC __glRecti;
RGLSYMGLRECTIVPROC __glRectiv;
RGLSYMGLRECTSPROC __glRects;
RGLSYMGLRECTSVPROC __glRectsv;
RGLSYMGLRECTXOESPROC __glRectxOES;
RGLSYMGLRECTXVOESPROC __glRectxvOES;
RGLSYMGLRELEASESHADERCOMPILERPROC __glReleaseShaderCompiler;
RGLSYMGLRENDERBUFFERSTORAGEMULTISAMPLEPROC __glRenderbufferStorageMultisample;
RGLSYMGLRENDERBUFFERSTORAGEPROC __glRenderbufferStorage;
RGLSYMGLRENDERMODEPROC __glRenderMode;
RGLSYMGLRESETHISTOGRAMPROC __glResetHistogram;
RGLSYMGLRESETMINMAXPROC __glResetMinmax;
RGLSYMGLRESUMETRANSFORMFEEDBACKPROC __glResumeTransformFeedback;
RGLSYMGLROTATEDPROC __glRotated;
RGLSYMGLROTATEFPROC __glRotatef;
RGLSYMGLROTATEXOESPROC __glRotatexOES;
RGLSYMGLSAMPLECOVERAGEARBPROC __glSampleCoverageARB;
RGLSYMGLSAMPLECOVERAGEOESPROC __glSampleCoverageOES;
RGLSYMGLSAMPLECOVERAGEPROC __glSampleCoverage;
RGLSYMGLSAMPLEMASKIPROC __glSampleMaski;
RGLSYMGLSAMPLERPARAMETERFPROC __glSamplerParameterf;
RGLSYMGLSAMPLERPARAMETERFVPROC __glSamplerParameterfv;
RGLSYMGLSAMPLERPARAMETERIIVPROC __glSamplerParameterIiv;
RGLSYMGLSAMPLERPARAMETERIPROC __glSamplerParameteri;
RGLSYMGLSAMPLERPARAMETERIUIVPROC __glSamplerParameterIuiv;
RGLSYMGLSAMPLERPARAMETERIVPROC __glSamplerParameteriv;
RGLSYMGLSCALEDPROC __glScaled;
RGLSYMGLSCALEFPROC __glScalef;
RGLSYMGLSCALEXOESPROC __glScalexOES;
RGLSYMGLSCISSORARRAYVPROC __glScissorArrayv;
RGLSYMGLSCISSORINDEXEDPROC __glScissorIndexed;
RGLSYMGLSCISSORINDEXEDVPROC __glScissorIndexedv;
RGLSYMGLSCISSORPROC __glScissor;
RGLSYMGLSECONDARYCOLOR3BPROC __glSecondaryColor3b;
RGLSYMGLSECONDARYCOLOR3BVPROC __glSecondaryColor3bv;
RGLSYMGLSECONDARYCOLOR3DPROC __glSecondaryColor3d;
RGLSYMGLSECONDARYCOLOR3DVPROC __glSecondaryColor3dv;
RGLSYMGLSECONDARYCOLOR3FPROC __glSecondaryColor3f;
RGLSYMGLSECONDARYCOLOR3FVPROC __glSecondaryColor3fv;
RGLSYMGLSECONDARYCOLOR3IPROC __glSecondaryColor3i;
RGLSYMGLSECONDARYCOLOR3IVPROC __glSecondaryColor3iv;
RGLSYMGLSECONDARYCOLOR3SPROC __glSecondaryColor3s;
RGLSYMGLSECONDARYCOLOR3SVPROC __glSecondaryColor3sv;
RGLSYMGLSECONDARYCOLOR3UBPROC __glSecondaryColor3ub;
RGLSYMGLSECONDARYCOLOR3UBVPROC __glSecondaryColor3ubv;
RGLSYMGLSECONDARYCOLOR3UIPROC __glSecondaryColor3ui;
RGLSYMGLSECONDARYCOLOR3UIVPROC __glSecondaryColor3uiv;
RGLSYMGLSECONDARYCOLOR3USPROC __glSecondaryColor3us;
RGLSYMGLSECONDARYCOLOR3USVPROC __glSecondaryColor3usv;
RGLSYMGLSECONDARYCOLORP3UIPROC __glSecondaryColorP3ui;
RGLSYMGLSECONDARYCOLORP3UIVPROC __glSecondaryColorP3uiv;
RGLSYMGLSECONDARYCOLORPOINTERPROC __glSecondaryColorPointer;
RGLSYMGLSELECTBUFFERPROC __glSelectBuffer;
RGLSYMGLSEPARABLEFILTER2DPROC __glSeparableFilter2D;
RGLSYMGLSHADEMODELPROC __glShadeModel;
RGLSYMGLSHADERBINARYPROC __glShaderBinary;
RGLSYMGLSHADERSOURCEARBPROC __glShaderSourceARB;
RGLSYMGLSHADERSOURCEPROC __glShaderSource;
RGLSYMGLSHADERSTORAGEBLOCKBINDINGPROC __glShaderStorageBlockBinding;
RGLSYMGLSTENCILFUNCPROC __glStencilFunc;
RGLSYMGLSTENCILFUNCSEPARATEPROC __glStencilFuncSeparate;
RGLSYMGLSTENCILMASKPROC __glStencilMask;
RGLSYMGLSTENCILMASKSEPARATEPROC __glStencilMaskSeparate;
RGLSYMGLSTENCILOPPROC __glStencilOp;
RGLSYMGLSTENCILOPSEPARATEPROC __glStencilOpSeparate;
RGLSYMGLTEXBUFFERARBPROC __glTexBufferARB;
RGLSYMGLTEXBUFFERPROC __glTexBuffer;
RGLSYMGLTEXBUFFERRANGEPROC __glTexBufferRange;
RGLSYMGLTEXCOORD1BOESPROC __glTexCoord1bOES;
RGLSYMGLTEXCOORD1BVOESPROC __glTexCoord1bvOES;
RGLSYMGLTEXCOORD1DPROC __glTexCoord1d;
RGLSYMGLTEXCOORD1DVPROC __glTexCoord1dv;
RGLSYMGLTEXCOORD1FPROC __glTexCoord1f;
RGLSYMGLTEXCOORD1FVPROC __glTexCoord1fv;
RGLSYMGLTEXCOORD1IPROC __glTexCoord1i;
RGLSYMGLTEXCOORD1IVPROC __glTexCoord1iv;
RGLSYMGLTEXCOORD1SPROC __glTexCoord1s;
RGLSYMGLTEXCOORD1SVPROC __glTexCoord1sv;
RGLSYMGLTEXCOORD1XOESPROC __glTexCoord1xOES;
RGLSYMGLTEXCOORD1XVOESPROC __glTexCoord1xvOES;
RGLSYMGLTEXCOORD2BOESPROC __glTexCoord2bOES;
RGLSYMGLTEXCOORD2BVOESPROC __glTexCoord2bvOES;
RGLSYMGLTEXCOORD2DPROC __glTexCoord2d;
RGLSYMGLTEXCOORD2DVPROC __glTexCoord2dv;
RGLSYMGLTEXCOORD2FPROC __glTexCoord2f;
RGLSYMGLTEXCOORD2FVPROC __glTexCoord2fv;
RGLSYMGLTEXCOORD2IPROC __glTexCoord2i;
RGLSYMGLTEXCOORD2IVPROC __glTexCoord2iv;
RGLSYMGLTEXCOORD2SPROC __glTexCoord2s;
RGLSYMGLTEXCOORD2SVPROC __glTexCoord2sv;
RGLSYMGLTEXCOORD2XOESPROC __glTexCoord2xOES;
RGLSYMGLTEXCOORD2XVOESPROC __glTexCoord2xvOES;
RGLSYMGLTEXCOORD3BOESPROC __glTexCoord3bOES;
RGLSYMGLTEXCOORD3BVOESPROC __glTexCoord3bvOES;
RGLSYMGLTEXCOORD3DPROC __glTexCoord3d;
RGLSYMGLTEXCOORD3DVPROC __glTexCoord3dv;
RGLSYMGLTEXCOORD3FPROC __glTexCoord3f;
RGLSYMGLTEXCOORD3FVPROC __glTexCoord3fv;
RGLSYMGLTEXCOORD3IPROC __glTexCoord3i;
RGLSYMGLTEXCOORD3IVPROC __glTexCoord3iv;
RGLSYMGLTEXCOORD3SPROC __glTexCoord3s;
RGLSYMGLTEXCOORD3SVPROC __glTexCoord3sv;
RGLSYMGLTEXCOORD3XOESPROC __glTexCoord3xOES;
RGLSYMGLTEXCOORD3XVOESPROC __glTexCoord3xvOES;
RGLSYMGLTEXCOORD4BOESPROC __glTexCoord4bOES;
RGLSYMGLTEXCOORD4BVOESPROC __glTexCoord4bvOES;
RGLSYMGLTEXCOORD4DPROC __glTexCoord4d;
RGLSYMGLTEXCOORD4DVPROC __glTexCoord4dv;
RGLSYMGLTEXCOORD4FPROC __glTexCoord4f;
RGLSYMGLTEXCOORD4FVPROC __glTexCoord4fv;
RGLSYMGLTEXCOORD4IPROC __glTexCoord4i;
RGLSYMGLTEXCOORD4IVPROC __glTexCoord4iv;
RGLSYMGLTEXCOORD4SPROC __glTexCoord4s;
RGLSYMGLTEXCOORD4SVPROC __glTexCoord4sv;
RGLSYMGLTEXCOORD4XOESPROC __glTexCoord4xOES;
RGLSYMGLTEXCOORD4XVOESPROC __glTexCoord4xvOES;
RGLSYMGLTEXCOORDP1UIPROC __glTexCoordP1ui;
RGLSYMGLTEXCOORDP1UIVPROC __glTexCoordP1uiv;
RGLSYMGLTEXCOORDP2UIPROC __glTexCoordP2ui;
RGLSYMGLTEXCOORDP2UIVPROC __glTexCoordP2uiv;
RGLSYMGLTEXCOORDP3UIPROC __glTexCoordP3ui;
RGLSYMGLTEXCOORDP3UIVPROC __glTexCoordP3uiv;
RGLSYMGLTEXCOORDP4UIPROC __glTexCoordP4ui;
RGLSYMGLTEXCOORDP4UIVPROC __glTexCoordP4uiv;
RGLSYMGLTEXCOORDPOINTERPROC __glTexCoordPointer;
RGLSYMGLTEXENVFPROC __glTexEnvf;
RGLSYMGLTEXENVFVPROC __glTexEnvfv;
RGLSYMGLTEXENVIPROC __glTexEnvi;
RGLSYMGLTEXENVIVPROC __glTexEnviv;
RGLSYMGLTEXENVXOESPROC __glTexEnvxOES;
RGLSYMGLTEXENVXVOESPROC __glTexEnvxvOES;
RGLSYMGLTEXGENDPROC __glTexGend;
RGLSYMGLTEXGENDVPROC __glTexGendv;
RGLSYMGLTEXGENFPROC __glTexGenf;
RGLSYMGLTEXGENFVPROC __glTexGenfv;
RGLSYMGLTEXGENIPROC __glTexGeni;
RGLSYMGLTEXGENIVPROC __glTexGeniv;
RGLSYMGLTEXGENXOESPROC __glTexGenxOES;
RGLSYMGLTEXGENXVOESPROC __glTexGenxvOES;
RGLSYMGLTEXIMAGE1DPROC __glTexImage1D;
RGLSYMGLTEXIMAGE2DMULTISAMPLEPROC __glTexImage2DMultisample;
RGLSYMGLTEXIMAGE2DPROC __glTexImage2D;
RGLSYMGLTEXIMAGE3DMULTISAMPLEPROC __glTexImage3DMultisample;
RGLSYMGLTEXIMAGE3DPROC __glTexImage3D;
RGLSYMGLTEXPAGECOMMITMENTARBPROC __glTexPageCommitmentARB;
RGLSYMGLTEXPARAMETERFPROC __glTexParameterf;
RGLSYMGLTEXPARAMETERFVPROC __glTexParameterfv;
RGLSYMGLTEXPARAMETERIIVPROC __glTexParameterIiv;
RGLSYMGLTEXPARAMETERIPROC __glTexParameteri;
RGLSYMGLTEXPARAMETERIUIVPROC __glTexParameterIuiv;
RGLSYMGLTEXPARAMETERIVPROC __glTexParameteriv;
RGLSYMGLTEXPARAMETERXOESPROC __glTexParameterxOES;
RGLSYMGLTEXPARAMETERXVOESPROC __glTexParameterxvOES;
RGLSYMGLTEXSTORAGE1DPROC __glTexStorage1D;
RGLSYMGLTEXSTORAGE2DMULTISAMPLEPROC __glTexStorage2DMultisample;
RGLSYMGLTEXSTORAGE2DPROC __glTexStorage2D;
RGLSYMGLTEXSTORAGE3DMULTISAMPLEPROC __glTexStorage3DMultisample;
RGLSYMGLTEXSTORAGE3DPROC __glTexStorage3D;
RGLSYMGLTEXSUBIMAGE1DPROC __glTexSubImage1D;
RGLSYMGLTEXSUBIMAGE2DPROC __glTexSubImage2D;
RGLSYMGLTEXSUBIMAGE3DPROC __glTexSubImage3D;
RGLSYMGLTEXTUREVIEWPROC __glTextureView;
RGLSYMGLTRANSFORMFEEDBACKVARYINGSPROC __glTransformFeedbackVaryings;
RGLSYMGLTRANSLATEDPROC __glTranslated;
RGLSYMGLTRANSLATEFPROC __glTranslatef;
RGLSYMGLTRANSLATEXOESPROC __glTranslatexOES;
RGLSYMGLUNIFORM1DPROC __glUniform1d;
RGLSYMGLUNIFORM1DVPROC __glUniform1dv;
RGLSYMGLUNIFORM1FARBPROC __glUniform1fARB;
RGLSYMGLUNIFORM1FPROC __glUniform1f;
RGLSYMGLUNIFORM1FVARBPROC __glUniform1fvARB;
RGLSYMGLUNIFORM1FVPROC __glUniform1fv;
RGLSYMGLUNIFORM1IARBPROC __glUniform1iARB;
RGLSYMGLUNIFORM1IPROC __glUniform1i;
RGLSYMGLUNIFORM1IVARBPROC __glUniform1ivARB;
RGLSYMGLUNIFORM1IVPROC __glUniform1iv;
RGLSYMGLUNIFORM1UIPROC __glUniform1ui;
RGLSYMGLUNIFORM1UIVPROC __glUniform1uiv;
RGLSYMGLUNIFORM2DPROC __glUniform2d;
RGLSYMGLUNIFORM2DVPROC __glUniform2dv;
RGLSYMGLUNIFORM2FARBPROC __glUniform2fARB;
RGLSYMGLUNIFORM2FPROC __glUniform2f;
RGLSYMGLUNIFORM2FVARBPROC __glUniform2fvARB;
RGLSYMGLUNIFORM2FVPROC __glUniform2fv;
RGLSYMGLUNIFORM2IARBPROC __glUniform2iARB;
RGLSYMGLUNIFORM2IPROC __glUniform2i;
RGLSYMGLUNIFORM2IVARBPROC __glUniform2ivARB;
RGLSYMGLUNIFORM2IVPROC __glUniform2iv;
RGLSYMGLUNIFORM2UIPROC __glUniform2ui;
RGLSYMGLUNIFORM2UIVPROC __glUniform2uiv;
RGLSYMGLUNIFORM3DPROC __glUniform3d;
RGLSYMGLUNIFORM3DVPROC __glUniform3dv;
RGLSYMGLUNIFORM3FARBPROC __glUniform3fARB;
RGLSYMGLUNIFORM3FPROC __glUniform3f;
RGLSYMGLUNIFORM3FVARBPROC __glUniform3fvARB;
RGLSYMGLUNIFORM3FVPROC __glUniform3fv;
RGLSYMGLUNIFORM3IARBPROC __glUniform3iARB;
RGLSYMGLUNIFORM3IPROC __glUniform3i;
RGLSYMGLUNIFORM3IVARBPROC __glUniform3ivARB;
RGLSYMGLUNIFORM3IVPROC __glUniform3iv;
RGLSYMGLUNIFORM3UIPROC __glUniform3ui;
RGLSYMGLUNIFORM3UIVPROC __glUniform3uiv;
RGLSYMGLUNIFORM4DPROC __glUniform4d;
RGLSYMGLUNIFORM4DVPROC __glUniform4dv;
RGLSYMGLUNIFORM4FARBPROC __glUniform4fARB;
RGLSYMGLUNIFORM4FPROC __glUniform4f;
RGLSYMGLUNIFORM4FVARBPROC __glUniform4fvARB;
RGLSYMGLUNIFORM4FVPROC __glUniform4fv;
RGLSYMGLUNIFORM4IARBPROC __glUniform4iARB;
RGLSYMGLUNIFORM4IPROC __glUniform4i;
RGLSYMGLUNIFORM4IVARBPROC __glUniform4ivARB;
RGLSYMGLUNIFORM4IVPROC __glUniform4iv;
RGLSYMGLUNIFORM4UIPROC __glUniform4ui;
RGLSYMGLUNIFORM4UIVPROC __glUniform4uiv;
RGLSYMGLUNIFORMBLOCKBINDINGPROC __glUniformBlockBinding;
RGLSYMGLUNIFORMHANDLEUI64ARBPROC __glUniformHandleui64ARB;
RGLSYMGLUNIFORMHANDLEUI64VARBPROC __glUniformHandleui64vARB;
RGLSYMGLUNIFORMMATRIX2DVPROC __glUniformMatrix2dv;
RGLSYMGLUNIFORMMATRIX2FVARBPROC __glUniformMatrix2fvARB;
RGLSYMGLUNIFORMMATRIX2FVPROC __glUniformMatrix2fv;
RGLSYMGLUNIFORMMATRIX2X3DVPROC __glUniformMatrix2x3dv;
RGLSYMGLUNIFORMMATRIX2X3FVPROC __glUniformMatrix2x3fv;
RGLSYMGLUNIFORMMATRIX2X4DVPROC __glUniformMatrix2x4dv;
RGLSYMGLUNIFORMMATRIX2X4FVPROC __glUniformMatrix2x4fv;
RGLSYMGLUNIFORMMATRIX3DVPROC __glUniformMatrix3dv;
RGLSYMGLUNIFORMMATRIX3FVARBPROC __glUniformMatrix3fvARB;
RGLSYMGLUNIFORMMATRIX3FVPROC __glUniformMatrix3fv;
RGLSYMGLUNIFORMMATRIX3X2DVPROC __glUniformMatrix3x2dv;
RGLSYMGLUNIFORMMATRIX3X2FVPROC __glUniformMatrix3x2fv;
RGLSYMGLUNIFORMMATRIX3X4DVPROC __glUniformMatrix3x4dv;
RGLSYMGLUNIFORMMATRIX3X4FVPROC __glUniformMatrix3x4fv;
RGLSYMGLUNIFORMMATRIX4DVPROC __glUniformMatrix4dv;
RGLSYMGLUNIFORMMATRIX4FVARBPROC __glUniformMatrix4fvARB;
RGLSYMGLUNIFORMMATRIX4FVPROC __glUniformMatrix4fv;
RGLSYMGLUNIFORMMATRIX4X2DVPROC __glUniformMatrix4x2dv;
RGLSYMGLUNIFORMMATRIX4X2FVPROC __glUniformMatrix4x2fv;
RGLSYMGLUNIFORMMATRIX4X3DVPROC __glUniformMatrix4x3dv;
RGLSYMGLUNIFORMMATRIX4X3FVPROC __glUniformMatrix4x3fv;
RGLSYMGLUNIFORMSUBROUTINESUIVPROC __glUniformSubroutinesuiv;
RGLSYMGLUNMAPBUFFERARBPROC __glUnmapBufferARB;
RGLSYMGLUNMAPBUFFERPROC __glUnmapBuffer;
RGLSYMGLUSEPROGRAMOBJECTARBPROC __glUseProgramObjectARB;
RGLSYMGLUSEPROGRAMPROC __glUseProgram;
RGLSYMGLUSEPROGRAMSTAGESPROC __glUseProgramStages;
RGLSYMGLVALIDATEPROGRAMARBPROC __glValidateProgramARB;
RGLSYMGLVALIDATEPROGRAMPIPELINEPROC __glValidateProgramPipeline;
RGLSYMGLVALIDATEPROGRAMPROC __glValidateProgram;
RGLSYMGLVERTEX2BOESPROC __glVertex2bOES;
RGLSYMGLVERTEX2BVOESPROC __glVertex2bvOES;
RGLSYMGLVERTEX2DPROC __glVertex2d;
RGLSYMGLVERTEX2DVPROC __glVertex2dv;
RGLSYMGLVERTEX2FPROC __glVertex2f;
RGLSYMGLVERTEX2FVPROC __glVertex2fv;
RGLSYMGLVERTEX2IPROC __glVertex2i;
RGLSYMGLVERTEX2IVPROC __glVertex2iv;
RGLSYMGLVERTEX2SPROC __glVertex2s;
RGLSYMGLVERTEX2SVPROC __glVertex2sv;
RGLSYMGLVERTEX2XOESPROC __glVertex2xOES;
RGLSYMGLVERTEX2XVOESPROC __glVertex2xvOES;
RGLSYMGLVERTEX3BOESPROC __glVertex3bOES;
RGLSYMGLVERTEX3BVOESPROC __glVertex3bvOES;
RGLSYMGLVERTEX3DPROC __glVertex3d;
RGLSYMGLVERTEX3DVPROC __glVertex3dv;
RGLSYMGLVERTEX3FPROC __glVertex3f;
RGLSYMGLVERTEX3FVPROC __glVertex3fv;
RGLSYMGLVERTEX3IPROC __glVertex3i;
RGLSYMGLVERTEX3IVPROC __glVertex3iv;
RGLSYMGLVERTEX3SPROC __glVertex3s;
RGLSYMGLVERTEX3SVPROC __glVertex3sv;
RGLSYMGLVERTEX3XOESPROC __glVertex3xOES;
RGLSYMGLVERTEX3XVOESPROC __glVertex3xvOES;
RGLSYMGLVERTEX4BOESPROC __glVertex4bOES;
RGLSYMGLVERTEX4BVOESPROC __glVertex4bvOES;
RGLSYMGLVERTEX4DPROC __glVertex4d;
RGLSYMGLVERTEX4DVPROC __glVertex4dv;
RGLSYMGLVERTEX4FPROC __glVertex4f;
RGLSYMGLVERTEX4FVPROC __glVertex4fv;
RGLSYMGLVERTEX4IPROC __glVertex4i;
RGLSYMGLVERTEX4IVPROC __glVertex4iv;
RGLSYMGLVERTEX4SPROC __glVertex4s;
RGLSYMGLVERTEX4SVPROC __glVertex4sv;
RGLSYMGLVERTEX4XOESPROC __glVertex4xOES;
RGLSYMGLVERTEX4XVOESPROC __glVertex4xvOES;
RGLSYMGLVERTEXATTRIB1DARBPROC __glVertexAttrib1dARB;
RGLSYMGLVERTEXATTRIB1DPROC __glVertexAttrib1d;
RGLSYMGLVERTEXATTRIB1DVARBPROC __glVertexAttrib1dvARB;
RGLSYMGLVERTEXATTRIB1DVPROC __glVertexAttrib1dv;
RGLSYMGLVERTEXATTRIB1FARBPROC __glVertexAttrib1fARB;
RGLSYMGLVERTEXATTRIB1FPROC __glVertexAttrib1f;
RGLSYMGLVERTEXATTRIB1FVARBPROC __glVertexAttrib1fvARB;
RGLSYMGLVERTEXATTRIB1FVPROC __glVertexAttrib1fv;
RGLSYMGLVERTEXATTRIB1SARBPROC __glVertexAttrib1sARB;
RGLSYMGLVERTEXATTRIB1SPROC __glVertexAttrib1s;
RGLSYMGLVERTEXATTRIB1SVARBPROC __glVertexAttrib1svARB;
RGLSYMGLVERTEXATTRIB1SVPROC __glVertexAttrib1sv;
RGLSYMGLVERTEXATTRIB2DARBPROC __glVertexAttrib2dARB;
RGLSYMGLVERTEXATTRIB2DPROC __glVertexAttrib2d;
RGLSYMGLVERTEXATTRIB2DVARBPROC __glVertexAttrib2dvARB;
RGLSYMGLVERTEXATTRIB2DVPROC __glVertexAttrib2dv;
RGLSYMGLVERTEXATTRIB2FARBPROC __glVertexAttrib2fARB;
RGLSYMGLVERTEXATTRIB2FPROC __glVertexAttrib2f;
RGLSYMGLVERTEXATTRIB2FVARBPROC __glVertexAttrib2fvARB;
RGLSYMGLVERTEXATTRIB2FVPROC __glVertexAttrib2fv;
RGLSYMGLVERTEXATTRIB2SARBPROC __glVertexAttrib2sARB;
RGLSYMGLVERTEXATTRIB2SPROC __glVertexAttrib2s;
RGLSYMGLVERTEXATTRIB2SVARBPROC __glVertexAttrib2svARB;
RGLSYMGLVERTEXATTRIB2SVPROC __glVertexAttrib2sv;
RGLSYMGLVERTEXATTRIB3DARBPROC __glVertexAttrib3dARB;
RGLSYMGLVERTEXATTRIB3DPROC __glVertexAttrib3d;
RGLSYMGLVERTEXATTRIB3DVARBPROC __glVertexAttrib3dvARB;
RGLSYMGLVERTEXATTRIB3DVPROC __glVertexAttrib3dv;
RGLSYMGLVERTEXATTRIB3FARBPROC __glVertexAttrib3fARB;
RGLSYMGLVERTEXATTRIB3FPROC __glVertexAttrib3f;
RGLSYMGLVERTEXATTRIB3FVARBPROC __glVertexAttrib3fvARB;
RGLSYMGLVERTEXATTRIB3FVPROC __glVertexAttrib3fv;
RGLSYMGLVERTEXATTRIB3SARBPROC __glVertexAttrib3sARB;
RGLSYMGLVERTEXATTRIB3SPROC __glVertexAttrib3s;
RGLSYMGLVERTEXATTRIB3SVARBPROC __glVertexAttrib3svARB;
RGLSYMGLVERTEXATTRIB3SVPROC __glVertexAttrib3sv;
RGLSYMGLVERTEXATTRIB4BVARBPROC __glVertexAttrib4bvARB;
RGLSYMGLVERTEXATTRIB4BVPROC __glVertexAttrib4bv;
RGLSYMGLVERTEXATTRIB4DARBPROC __glVertexAttrib4dARB;
RGLSYMGLVERTEXATTRIB4DPROC __glVertexAttrib4d;
RGLSYMGLVERTEXATTRIB4DVARBPROC __glVertexAttrib4dvARB;
RGLSYMGLVERTEXATTRIB4DVPROC __glVertexAttrib4dv;
RGLSYMGLVERTEXATTRIB4FARBPROC __glVertexAttrib4fARB;
RGLSYMGLVERTEXATTRIB4FPROC __glVertexAttrib4f;
RGLSYMGLVERTEXATTRIB4FVARBPROC __glVertexAttrib4fvARB;
RGLSYMGLVERTEXATTRIB4FVPROC __glVertexAttrib4fv;
RGLSYMGLVERTEXATTRIB4IVARBPROC __glVertexAttrib4ivARB;
RGLSYMGLVERTEXATTRIB4IVPROC __glVertexAttrib4iv;
RGLSYMGLVERTEXATTRIB4NBVARBPROC __glVertexAttrib4NbvARB;
RGLSYMGLVERTEXATTRIB4NBVPROC __glVertexAttrib4Nbv;
RGLSYMGLVERTEXATTRIB4NIVARBPROC __glVertexAttrib4NivARB;
RGLSYMGLVERTEXATTRIB4NIVPROC __glVertexAttrib4Niv;
RGLSYMGLVERTEXATTRIB4NSVARBPROC __glVertexAttrib4NsvARB;
RGLSYMGLVERTEXATTRIB4NSVPROC __glVertexAttrib4Nsv;
RGLSYMGLVERTEXATTRIB4NUBARBPROC __glVertexAttrib4NubARB;
RGLSYMGLVERTEXATTRIB4NUBPROC __glVertexAttrib4Nub;
RGLSYMGLVERTEXATTRIB4NUBVARBPROC __glVertexAttrib4NubvARB;
RGLSYMGLVERTEXATTRIB4NUBVPROC __glVertexAttrib4Nubv;
RGLSYMGLVERTEXATTRIB4NUIVARBPROC __glVertexAttrib4NuivARB;
RGLSYMGLVERTEXATTRIB4NUIVPROC __glVertexAttrib4Nuiv;
RGLSYMGLVERTEXATTRIB4NUSVARBPROC __glVertexAttrib4NusvARB;
RGLSYMGLVERTEXATTRIB4NUSVPROC __glVertexAttrib4Nusv;
RGLSYMGLVERTEXATTRIB4SARBPROC __glVertexAttrib4sARB;
RGLSYMGLVERTEXATTRIB4SPROC __glVertexAttrib4s;
RGLSYMGLVERTEXATTRIB4SVARBPROC __glVertexAttrib4svARB;
RGLSYMGLVERTEXATTRIB4SVPROC __glVertexAttrib4sv;
RGLSYMGLVERTEXATTRIB4UBVARBPROC __glVertexAttrib4ubvARB;
RGLSYMGLVERTEXATTRIB4UBVPROC __glVertexAttrib4ubv;
RGLSYMGLVERTEXATTRIB4UIVARBPROC __glVertexAttrib4uivARB;
RGLSYMGLVERTEXATTRIB4UIVPROC __glVertexAttrib4uiv;
RGLSYMGLVERTEXATTRIB4USVARBPROC __glVertexAttrib4usvARB;
RGLSYMGLVERTEXATTRIB4USVPROC __glVertexAttrib4usv;
RGLSYMGLVERTEXATTRIBBINDINGPROC __glVertexAttribBinding;
RGLSYMGLVERTEXATTRIBDIVISORARBPROC __glVertexAttribDivisorARB;
RGLSYMGLVERTEXATTRIBDIVISORPROC __glVertexAttribDivisor;
RGLSYMGLVERTEXATTRIBFORMATPROC __glVertexAttribFormat;
RGLSYMGLVERTEXATTRIBI1IPROC __glVertexAttribI1i;
RGLSYMGLVERTEXATTRIBI1IVPROC __glVertexAttribI1iv;
RGLSYMGLVERTEXATTRIBI1UIPROC __glVertexAttribI1ui;
RGLSYMGLVERTEXATTRIBI1UIVPROC __glVertexAttribI1uiv;
RGLSYMGLVERTEXATTRIBI2IPROC __glVertexAttribI2i;
RGLSYMGLVERTEXATTRIBI2IVPROC __glVertexAttribI2iv;
RGLSYMGLVERTEXATTRIBI2UIPROC __glVertexAttribI2ui;
RGLSYMGLVERTEXATTRIBI2UIVPROC __glVertexAttribI2uiv;
RGLSYMGLVERTEXATTRIBI3IPROC __glVertexAttribI3i;
RGLSYMGLVERTEXATTRIBI3IVPROC __glVertexAttribI3iv;
RGLSYMGLVERTEXATTRIBI3UIPROC __glVertexAttribI3ui;
RGLSYMGLVERTEXATTRIBI3UIVPROC __glVertexAttribI3uiv;
RGLSYMGLVERTEXATTRIBI4BVPROC __glVertexAttribI4bv;
RGLSYMGLVERTEXATTRIBI4IPROC __glVertexAttribI4i;
RGLSYMGLVERTEXATTRIBI4IVPROC __glVertexAttribI4iv;
RGLSYMGLVERTEXATTRIBI4SVPROC __glVertexAttribI4sv;
RGLSYMGLVERTEXATTRIBI4UBVPROC __glVertexAttribI4ubv;
RGLSYMGLVERTEXATTRIBI4UIPROC __glVertexAttribI4ui;
RGLSYMGLVERTEXATTRIBI4UIVPROC __glVertexAttribI4uiv;
RGLSYMGLVERTEXATTRIBI4USVPROC __glVertexAttribI4usv;
RGLSYMGLVERTEXATTRIBIFORMATPROC __glVertexAttribIFormat;
RGLSYMGLVERTEXATTRIBIPOINTERPROC __glVertexAttribIPointer;
RGLSYMGLVERTEXATTRIBL1DPROC __glVertexAttribL1d;
RGLSYMGLVERTEXATTRIBL1DVPROC __glVertexAttribL1dv;
RGLSYMGLVERTEXATTRIBL1UI64ARBPROC __glVertexAttribL1ui64ARB;
RGLSYMGLVERTEXATTRIBL1UI64VARBPROC __glVertexAttribL1ui64vARB;
RGLSYMGLVERTEXATTRIBL2DPROC __glVertexAttribL2d;
RGLSYMGLVERTEXATTRIBL2DVPROC __glVertexAttribL2dv;
RGLSYMGLVERTEXATTRIBL3DPROC __glVertexAttribL3d;
RGLSYMGLVERTEXATTRIBL3DVPROC __glVertexAttribL3dv;
RGLSYMGLVERTEXATTRIBL4DPROC __glVertexAttribL4d;
RGLSYMGLVERTEXATTRIBL4DVPROC __glVertexAttribL4dv;
RGLSYMGLVERTEXATTRIBLFORMATPROC __glVertexAttribLFormat;
RGLSYMGLVERTEXATTRIBLPOINTERPROC __glVertexAttribLPointer;
RGLSYMGLVERTEXATTRIBP1UIPROC __glVertexAttribP1ui;
RGLSYMGLVERTEXATTRIBP1UIVPROC __glVertexAttribP1uiv;
RGLSYMGLVERTEXATTRIBP2UIPROC __glVertexAttribP2ui;
RGLSYMGLVERTEXATTRIBP2UIVPROC __glVertexAttribP2uiv;
RGLSYMGLVERTEXATTRIBP3UIPROC __glVertexAttribP3ui;
RGLSYMGLVERTEXATTRIBP3UIVPROC __glVertexAttribP3uiv;
RGLSYMGLVERTEXATTRIBP4UIPROC __glVertexAttribP4ui;
RGLSYMGLVERTEXATTRIBP4UIVPROC __glVertexAttribP4uiv;
RGLSYMGLVERTEXATTRIBPOINTERARBPROC __glVertexAttribPointerARB;
RGLSYMGLVERTEXATTRIBPOINTERPROC __glVertexAttribPointer;
RGLSYMGLVERTEXBINDINGDIVISORPROC __glVertexBindingDivisor;
RGLSYMGLVERTEXBLENDARBPROC __glVertexBlendARB;
RGLSYMGLVERTEXP2UIPROC __glVertexP2ui;
RGLSYMGLVERTEXP2UIVPROC __glVertexP2uiv;
RGLSYMGLVERTEXP3UIPROC __glVertexP3ui;
RGLSYMGLVERTEXP3UIVPROC __glVertexP3uiv;
RGLSYMGLVERTEXP4UIPROC __glVertexP4ui;
RGLSYMGLVERTEXP4UIVPROC __glVertexP4uiv;
RGLSYMGLVERTEXPOINTERPROC __glVertexPointer;
RGLSYMGLVIEWPORTARRAYVPROC __glViewportArrayv;
RGLSYMGLVIEWPORTINDEXEDFPROC __glViewportIndexedf;
RGLSYMGLVIEWPORTINDEXEDFVPROC __glViewportIndexedfv;
RGLSYMGLVIEWPORTPROC __glViewport;
RGLSYMGLWAITSYNCPROC __glWaitSync;
RGLSYMGLWEIGHTBVARBPROC __glWeightbvARB;
RGLSYMGLWEIGHTDVARBPROC __glWeightdvARB;
RGLSYMGLWEIGHTFVARBPROC __glWeightfvARB;
RGLSYMGLWEIGHTIVARBPROC __glWeightivARB;
RGLSYMGLWEIGHTPOINTERARBPROC __glWeightPointerARB;
RGLSYMGLWEIGHTSVARBPROC __glWeightsvARB;
RGLSYMGLWEIGHTUBVARBPROC __glWeightubvARB;
RGLSYMGLWEIGHTUIVARBPROC __glWeightuivARB;
RGLSYMGLWEIGHTUSVARBPROC __glWeightusvARB;
RGLSYMGLWINDOWPOS2DARBPROC __glWindowPos2dARB;
RGLSYMGLWINDOWPOS2DPROC __glWindowPos2d;
RGLSYMGLWINDOWPOS2DVARBPROC __glWindowPos2dvARB;
RGLSYMGLWINDOWPOS2DVPROC __glWindowPos2dv;
RGLSYMGLWINDOWPOS2FARBPROC __glWindowPos2fARB;
RGLSYMGLWINDOWPOS2FPROC __glWindowPos2f;
RGLSYMGLWINDOWPOS2FVARBPROC __glWindowPos2fvARB;
RGLSYMGLWINDOWPOS2FVPROC __glWindowPos2fv;
RGLSYMGLWINDOWPOS2IARBPROC __glWindowPos2iARB;
RGLSYMGLWINDOWPOS2IPROC __glWindowPos2i;
RGLSYMGLWINDOWPOS2IVARBPROC __glWindowPos2ivARB;
RGLSYMGLWINDOWPOS2IVPROC __glWindowPos2iv;
RGLSYMGLWINDOWPOS2SARBPROC __glWindowPos2sARB;
RGLSYMGLWINDOWPOS2SPROC __glWindowPos2s;
RGLSYMGLWINDOWPOS2SVARBPROC __glWindowPos2svARB;
RGLSYMGLWINDOWPOS2SVPROC __glWindowPos2sv;
RGLSYMGLWINDOWPOS3DARBPROC __glWindowPos3dARB;
RGLSYMGLWINDOWPOS3DPROC __glWindowPos3d;
RGLSYMGLWINDOWPOS3DVARBPROC __glWindowPos3dvARB;
RGLSYMGLWINDOWPOS3DVPROC __glWindowPos3dv;
RGLSYMGLWINDOWPOS3FARBPROC __glWindowPos3fARB;
RGLSYMGLWINDOWPOS3FPROC __glWindowPos3f;
RGLSYMGLWINDOWPOS3FVARBPROC __glWindowPos3fvARB;
RGLSYMGLWINDOWPOS3FVPROC __glWindowPos3fv;
RGLSYMGLWINDOWPOS3IARBPROC __glWindowPos3iARB;
RGLSYMGLWINDOWPOS3IPROC __glWindowPos3i;
RGLSYMGLWINDOWPOS3IVARBPROC __glWindowPos3ivARB;
RGLSYMGLWINDOWPOS3IVPROC __glWindowPos3iv;
RGLSYMGLWINDOWPOS3SARBPROC __glWindowPos3sARB;
RGLSYMGLWINDOWPOS3SPROC __glWindowPos3s;
RGLSYMGLWINDOWPOS3SVARBPROC __glWindowPos3svARB;
RGLSYMGLWINDOWPOS3SVPROC __glWindowPos3sv;
PFNGLBINDFRAGDATALOCATIONINDEXEDEXTPROC __glBindFragDataLocationIndexedEXT;
PFNGLCOPYIMAGESUBDATAOES __glCopyImageSubDataOES;
// Not actually used for Switch
RGLSYMGETTEXTURESUBIMAGEPROC __glGetTextureSubImage;

const struct rglgen_sym_map rglgen_symbol_map_ppsspp[] = {
    SYM(BindFragDataLocationIndexedEXT),
    SYM(CopyImageSubDataOES),
    SYM(Accum),
    SYM(AccumxOES),
    SYM(ActiveShaderProgram),
    SYM(ActiveTextureARB),
    SYM(ActiveTexture),
    SYM(AlphaFunc),
    SYM(AlphaFuncxOES),
    SYM(AreTexturesResident),
    SYM(ArrayElement),
    SYM(AttachObjectARB),
    SYM(AttachShader),
    SYM(BeginConditionalRender),
    SYM(Begin),
    SYM(BeginQueryARB),
    SYM(BeginQueryIndexed),
    SYM(BeginQuery),
    SYM(BeginTransformFeedback),
    SYM(BindAttribLocationARB),
    SYM(BindAttribLocation),
    SYM(BindBufferARB),
    SYM(BindBufferBase),
    SYM(BindBuffer),
    SYM(BindBufferRange),
    SYM(BindBuffersBase),
    SYM(BindBuffersRange),
    SYM(BindFragDataLocationIndexed),
    SYM(BindFragDataLocation),
    SYM(BindFramebuffer),
    SYM(BindImageTexture),
    SYM(BindImageTextures),
    SYM(BindProgramARB),
    SYM(BindProgramPipeline),
    SYM(BindRenderbuffer),
    SYM(BindSampler),
    SYM(BindSamplers),
    SYM(BindTexture),
    SYM(BindTextures),
    SYM(BindTransformFeedback),
    SYM(BindVertexArray),
    SYM(BindVertexBuffer),
    SYM(BindVertexBuffers),
    SYM(Bitmap),
    SYM(BitmapxOES),
    SYM(BlendColor),
    SYM(BlendColorxOES),
    SYM(BlendEquationiARB),
    SYM(BlendEquationi),
    SYM(BlendEquation),
    SYM(BlendEquationSeparateiARB),
    SYM(BlendEquationSeparatei),
    SYM(BlendEquationSeparate),
    SYM(BlendFunciARB),
    SYM(BlendFunci),
    SYM(BlendFunc),
    SYM(BlendFuncSeparateiARB),
    SYM(BlendFuncSeparatei),
    SYM(BlendFuncSeparate),
    SYM(BlitFramebuffer),
    SYM(BufferDataARB),
    SYM(BufferData),
    SYM(BufferStorage),
    SYM(BufferSubDataARB),
    SYM(BufferSubData),
    SYM(CallList),
    SYM(CallLists),
    SYM(CheckFramebufferStatus),
    SYM(ClampColorARB),
    SYM(ClampColor),
    SYM(ClearAccum),
    SYM(ClearAccumxOES),
    SYM(ClearBufferData),
    SYM(ClearBufferfi),
    SYM(ClearBufferfv),
    SYM(ClearBufferiv),
    SYM(ClearBufferSubData),
    SYM(ClearBufferuiv),
    SYM(ClearColor),
    SYM(ClearColorxOES),
    SYM(ClearDepthfOES),
    SYM(ClearDepthf),
    SYM(ClearDepth),
    SYM(ClearDepthxOES),
    SYM(ClearIndex),
    SYM(Clear),
    SYM(ClearStencil),
    SYM(ClearTexImage),
    SYM(ClearTexSubImage),
    SYM(ClientActiveTextureARB),
    SYM(ClientActiveTexture),
    SYM(ClientWaitSync),
    SYM(ClipPlanefOES),
    SYM(ClipPlane),
    SYM(ClipPlanexOES),
    SYM(Color3b),
    SYM(Color3bv),
    SYM(Color3d),
    SYM(Color3dv),
    SYM(Color3f),
    SYM(Color3fv),
    SYM(Color3i),
    SYM(Color3iv),
    SYM(Color3s),
    SYM(Color3sv),
    SYM(Color3ub),
    SYM(Color3ubv),
    SYM(Color3ui),
    SYM(Color3uiv),
    SYM(Color3us),
    SYM(Color3usv),
    SYM(Color3xOES),
    SYM(Color3xvOES),
    SYM(Color4b),
    SYM(Color4bv),
    SYM(Color4d),
    SYM(Color4dv),
    SYM(Color4f),
    SYM(Color4fv),
    SYM(Color4i),
    SYM(Color4iv),
    SYM(Color4s),
    SYM(Color4sv),
    SYM(Color4ub),
    SYM(Color4ubv),
    SYM(Color4ui),
    SYM(Color4uiv),
    SYM(Color4us),
    SYM(Color4usv),
    SYM(Color4xOES),
    SYM(Color4xvOES),
    SYM(ColorMaski),
    SYM(ColorMask),
    SYM(ColorMaterial),
    SYM(ColorP3ui),
    SYM(ColorP3uiv),
    SYM(ColorP4ui),
    SYM(ColorP4uiv),
    SYM(ColorPointer),
    SYM(ColorSubTable),
    SYM(ColorTableParameterfv),
    SYM(ColorTableParameteriv),
    SYM(ColorTable),
    SYM(CompileShaderARB),
    SYM(CompileShaderIncludeARB),
    SYM(CompileShader),
    SYM(CompressedTexImage1DARB),
    SYM(CompressedTexImage1D),
    SYM(CompressedTexImage2DARB),
    SYM(CompressedTexImage2D),
    SYM(CompressedTexImage3DARB),
    SYM(CompressedTexImage3D),
    SYM(CompressedTexSubImage1DARB),
    SYM(CompressedTexSubImage1D),
    SYM(CompressedTexSubImage2DARB),
    SYM(CompressedTexSubImage2D),
    SYM(CompressedTexSubImage3DARB),
    SYM(CompressedTexSubImage3D),
    SYM(ConvolutionFilter1D),
    SYM(ConvolutionFilter2D),
    SYM(ConvolutionParameterf),
    SYM(ConvolutionParameterfv),
    SYM(ConvolutionParameteri),
    SYM(ConvolutionParameteriv),
    SYM(ConvolutionParameterxOES),
    SYM(ConvolutionParameterxvOES),
    SYM(CopyBufferSubData),
    SYM(CopyColorSubTable),
    SYM(CopyColorTable),
    SYM(CopyConvolutionFilter1D),
    SYM(CopyConvolutionFilter2D),
    SYM(CopyImageSubData),
    SYM(CopyPixels),
    SYM(CopyTexImage1D),
    SYM(CopyTexImage2D),
    SYM(CopyTexSubImage1D),
    SYM(CopyTexSubImage2D),
    SYM(CopyTexSubImage3D),
    SYM(CreateProgramObjectARB),
    SYM(CreateProgram),
    SYM(CreateShaderObjectARB),
    SYM(CreateShader),
    SYM(CreateShaderProgramv),
    SYM(CreateSyncFromCLeventARB),
    SYM(CullFace),
    SYM(CurrentPaletteMatrixARB),
    SYM(DebugMessageCallbackARB),
    SYM(DebugMessageCallback),
    SYM(DebugMessageControlARB),
    SYM(DebugMessageControl),
    SYM(DebugMessageInsertARB),
    SYM(DebugMessageInsert),
    SYM(DeleteBuffersARB),
    SYM(DeleteBuffers),
    SYM(DeleteFramebuffers),
    SYM(DeleteLists),
    SYM(DeleteNamedStringARB),
    SYM(DeleteObjectARB),
    SYM(DeleteProgramPipelines),
    SYM(DeleteProgram),
    SYM(DeleteProgramsARB),
    SYM(DeleteQueriesARB),
    SYM(DeleteQueries),
    SYM(DeleteRenderbuffers),
    SYM(DeleteSamplers),
    SYM(DeleteShader),
    SYM(DeleteSync),
    SYM(DeleteTextures),
    SYM(DeleteTransformFeedbacks),
    SYM(DeleteVertexArrays),
    SYM(DepthFunc),
    SYM(DepthMask),
    SYM(DepthRangeArrayv),
    SYM(DepthRangefOES),
    SYM(DepthRangef),
    SYM(DepthRangeIndexed),
    SYM(DepthRange),
    SYM(DepthRangexOES),
    SYM(DetachObjectARB),
    SYM(DetachShader),
    SYM(DisableClientState),
    SYM(Disablei),
    SYM(Disable),
    SYM(DisableVertexAttribArrayARB),
    SYM(DisableVertexAttribArray),
    SYM(DispatchComputeGroupSizeARB),
    SYM(DispatchComputeIndirect),
    SYM(DispatchCompute),
    SYM(DrawArraysIndirect),
    SYM(DrawArraysInstancedARB),
    SYM(DrawArraysInstancedBaseInstance),
    SYM(DrawArraysInstanced),
    SYM(DrawArrays),
    SYM(DrawBuffer),
    SYM(DrawBuffersARB),
    SYM(DrawBuffers),
    SYM(DrawElementsBaseVertex),
    SYM(DrawElementsIndirect),
    SYM(DrawElementsInstancedARB),
    SYM(DrawElementsInstancedBaseInstance),
    SYM(DrawElementsInstancedBaseVertexBaseInstance),
    SYM(DrawElementsInstancedBaseVertex),
    SYM(DrawElementsInstanced),
    SYM(DrawElements),
    SYM(DrawPixels),
    SYM(DrawRangeElementsBaseVertex),
    SYM(DrawRangeElements),
    SYM(DrawTransformFeedbackInstanced),
    SYM(DrawTransformFeedback),
    SYM(DrawTransformFeedbackStreamInstanced),
    SYM(DrawTransformFeedbackStream),
    SYM(EdgeFlagPointer),
    SYM(EdgeFlag),
    SYM(EdgeFlagv),
    SYM(EGLImageTargetRenderbufferStorageOES),
    SYM(EGLImageTargetTexture2DOES),
    SYM(EnableClientState),
    SYM(Enablei),
    SYM(Enable),
    SYM(EnableVertexAttribArrayARB),
    SYM(EnableVertexAttribArray),
    SYM(EndConditionalRender),
    SYM(EndList),
    SYM(End),
    SYM(EndQueryARB),
    SYM(EndQueryIndexed),
    SYM(EndQuery),
    SYM(EndTransformFeedback),
    SYM(EvalCoord1d),
    SYM(EvalCoord1dv),
    SYM(EvalCoord1f),
    SYM(EvalCoord1fv),
    SYM(EvalCoord1xOES),
    SYM(EvalCoord1xvOES),
    SYM(EvalCoord2d),
    SYM(EvalCoord2dv),
    SYM(EvalCoord2f),
    SYM(EvalCoord2fv),
    SYM(EvalCoord2xOES),
    SYM(EvalCoord2xvOES),
    SYM(EvalMesh1),
    SYM(EvalMesh2),
    SYM(EvalPoint1),
    SYM(EvalPoint2),
    SYM(FeedbackBuffer),
    SYM(FeedbackBufferxOES),
    SYM(FenceSync),
    SYM(Finish),
    SYM(FlushMappedBufferRange),
    SYM(Flush),
    SYM(FogCoordd),
    SYM(FogCoorddv),
    SYM(FogCoordf),
    SYM(FogCoordfv),
    SYM(FogCoordPointer),
    SYM(Fogf),
    SYM(Fogfv),
    SYM(Fogi),
    SYM(Fogiv),
    SYM(FogxOES),
    SYM(FogxvOES),
    SYM(FramebufferParameteri),
    SYM(FramebufferRenderbuffer),
    SYM(FramebufferTexture1D),
    SYM(FramebufferTexture2D),
    SYM(FramebufferTexture3D),
    SYM(FramebufferTextureARB),
    SYM(FramebufferTextureFaceARB),
    SYM(FramebufferTextureLayerARB),
    SYM(FramebufferTextureLayer),
    SYM(FramebufferTexture),
    SYM(FrontFace),
    SYM(FrustumfOES),
    SYM(Frustum),
    SYM(FrustumxOES),
    SYM(GenBuffersARB),
    SYM(GenBuffers),
    SYM(GenerateMipmap),
    SYM(GenFramebuffers),
    SYM(GenLists),
    SYM(GenProgramPipelines),
    SYM(GenProgramsARB),
    SYM(GenQueriesARB),
    SYM(GenQueries),
    SYM(GenRenderbuffers),
    SYM(GenSamplers),
    SYM(GenTextures),
    SYM(GenTransformFeedbacks),
    SYM(GenVertexArrays),
    SYM(GetActiveAtomicCounterBufferiv),
    SYM(GetActiveAttribARB),
    SYM(GetActiveAttrib),
    SYM(GetActiveSubroutineName),
    SYM(GetActiveSubroutineUniformiv),
    SYM(GetActiveSubroutineUniformName),
    SYM(GetActiveUniformARB),
    SYM(GetActiveUniformBlockiv),
    SYM(GetActiveUniformBlockName),
    SYM(GetActiveUniformName),
    SYM(GetActiveUniform),
    SYM(GetActiveUniformsiv),
    SYM(GetAttachedObjectsARB),
    SYM(GetAttachedShaders),
    SYM(GetAttribLocationARB),
    SYM(GetAttribLocation),
    SYM(GetBooleani_v),
    SYM(GetBooleanv),
    SYM(GetBufferParameteri64v),
    SYM(GetBufferParameterivARB),
    SYM(GetBufferParameteriv),
    SYM(GetBufferPointervARB),
    SYM(GetBufferPointerv),
    SYM(GetBufferSubDataARB),
    SYM(GetBufferSubData),
    SYM(GetClipPlanefOES),
    SYM(GetClipPlane),
    SYM(GetClipPlanexOES),
    SYM(GetColorTableParameterfv),
    SYM(GetColorTableParameteriv),
    SYM(GetColorTable),
    SYM(GetCompressedTexImageARB),
    SYM(GetCompressedTexImage),
    SYM(GetConvolutionFilter),
    SYM(GetConvolutionParameterfv),
    SYM(GetConvolutionParameteriv),
    SYM(GetConvolutionParameterxvOES),
    SYM(GetDebugMessageLogARB),
    SYM(GetDebugMessageLog),
    SYM(GetDoublei_v),
    SYM(GetDoublev),
    SYM(GetError),
    SYM(GetFixedvOES),
    SYM(GetFloati_v),
    SYM(GetFloatv),
    SYM(GetFragDataIndex),
    SYM(GetFragDataLocation),
    SYM(GetFramebufferAttachmentParameteriv),
    SYM(GetFramebufferParameteriv),
    SYM(GetGraphicsResetStatusARB),
    SYM(GetHandleARB),
    SYM(GetHistogramParameterfv),
    SYM(GetHistogramParameteriv),
    SYM(GetHistogramParameterxvOES),
    SYM(GetHistogram),
    SYM(GetImageHandleARB),
    SYM(GetImageTransformParameterfvHP),
    SYM(GetImageTransformParameterivHP),
    SYM(GetInfoLogARB),
    SYM(GetInteger64i_v),
    SYM(GetInteger64v),
    SYM(GetIntegeri_v),
    SYM(GetIntegerv),
    SYM(GetInternalformati64v),
    SYM(GetInternalformativ),
    SYM(GetLightfv),
    SYM(GetLightiv),
    SYM(GetLightxOES),
    SYM(GetMapdv),
    SYM(GetMapfv),
    SYM(GetMapiv),
    SYM(GetMapxvOES),
    SYM(GetMaterialfv),
    SYM(GetMaterialiv),
    SYM(GetMaterialxOES),
    SYM(GetMinmaxParameterfv),
    SYM(GetMinmaxParameteriv),
    SYM(GetMinmax),
    SYM(GetMultisamplefv),
    SYM(GetNamedStringARB),
    SYM(GetNamedStringivARB),
    SYM(GetnColorTableARB),
    SYM(GetnCompressedTexImageARB),
    SYM(GetnConvolutionFilterARB),
    SYM(GetnHistogramARB),
    SYM(GetnMapdvARB),
    SYM(GetnMapfvARB),
    SYM(GetnMapivARB),
    SYM(GetnMinmaxARB),
    SYM(GetnPixelMapfvARB),
    SYM(GetnPixelMapuivARB),
    SYM(GetnPixelMapusvARB),
    SYM(GetnPolygonStippleARB),
    SYM(GetnSeparableFilterARB),
    SYM(GetnTexImageARB),
    SYM(GetnUniformdvARB),
    SYM(GetnUniformfvARB),
    SYM(GetnUniformivARB),
    SYM(GetnUniformuivARB),
    SYM(GetObjectLabel),
    SYM(GetObjectParameterfvARB),
    SYM(GetObjectParameterivARB),
    SYM(GetObjectPtrLabel),
    SYM(GetPixelMapfv),
    SYM(GetPixelMapuiv),
    SYM(GetPixelMapusv),
    SYM(GetPixelMapxv),
    SYM(GetPointerv),
    SYM(GetPolygonStipple),
    SYM(GetProgramBinary),
    SYM(GetProgramEnvParameterdvARB),
    SYM(GetProgramEnvParameterfvARB),
    SYM(GetProgramInfoLog),
    SYM(GetProgramInterfaceiv),
    SYM(GetProgramivARB),
    SYM(GetProgramiv),
    SYM(GetProgramLocalParameterdvARB),
    SYM(GetProgramLocalParameterfvARB),
    SYM(GetProgramPipelineInfoLog),
    SYM(GetProgramPipelineiv),
    SYM(GetProgramResourceIndex),
    SYM(GetProgramResourceiv),
    SYM(GetProgramResourceLocationIndex),
    SYM(GetProgramResourceLocation),
    SYM(GetProgramResourceName),
    SYM(GetProgramStageiv),
    SYM(GetProgramStringARB),
    SYM(GetQueryIndexediv),
    SYM(GetQueryivARB),
    SYM(GetQueryiv),
    SYM(GetQueryObjecti64v),
    SYM(GetQueryObjectivARB),
    SYM(GetQueryObjectiv),
    SYM(GetQueryObjectui64v),
    SYM(GetQueryObjectuivARB),
    SYM(GetQueryObjectuiv),
    SYM(GetRenderbufferParameteriv),
    SYM(GetSamplerParameterfv),
    SYM(GetSamplerParameterIiv),
    SYM(GetSamplerParameterIuiv),
    SYM(GetSamplerParameteriv),
    SYM(GetSeparableFilter),
    SYM(GetShaderInfoLog),
    SYM(GetShaderiv),
    SYM(GetShaderPrecisionFormat),
    SYM(GetShaderSourceARB),
    SYM(GetShaderSource),
    SYM(GetStringi),
    SYM(GetString),
    SYM(GetSubroutineIndex),
    SYM(GetSubroutineUniformLocation),
    SYM(GetSynciv),
    SYM(GetTexEnvfv),
    SYM(GetTexEnviv),
    SYM(GetTexEnvxvOES),
    SYM(GetTexGendv),
    SYM(GetTexGenfv),
    SYM(GetTexGeniv),
    SYM(GetTexGenxvOES),
    SYM(GetTexImage),
    SYM(GetTexLevelParameterfv),
    SYM(GetTexLevelParameteriv),
    SYM(GetTexLevelParameterxvOES),
    SYM(GetTexParameterfv),
    SYM(GetTexParameterIiv),
    SYM(GetTexParameterIuiv),
    SYM(GetTexParameteriv),
    SYM(GetTexParameterxvOES),
    SYM(GetTextureSubImage),
    SYM(GetTextureHandleARB),
    SYM(GetTextureSamplerHandleARB),
    SYM(GetTransformFeedbackVarying),
    SYM(GetUniformBlockIndex),
    SYM(GetUniformdv),
    SYM(GetUniformfvARB),
    SYM(GetUniformfv),
    SYM(GetUniformIndices),
    SYM(GetUniformivARB),
    SYM(GetUniformiv),
    SYM(GetUniformLocationARB),
    SYM(GetUniformLocation),
    SYM(GetUniformSubroutineuiv),
    SYM(GetUniformuiv),
    SYM(GetVertexAttribdvARB),
    SYM(GetVertexAttribdv),
    SYM(GetVertexAttribfvARB),
    SYM(GetVertexAttribfv),
    SYM(GetVertexAttribIiv),
    SYM(GetVertexAttribIuiv),
    SYM(GetVertexAttribivARB),
    SYM(GetVertexAttribiv),
    SYM(GetVertexAttribLdv),
    SYM(GetVertexAttribLui64vARB),
    SYM(GetVertexAttribPointervARB),
    SYM(GetVertexAttribPointerv),
    SYM(Hint),
    SYM(Histogram),
    SYM(ImageTransformParameterfHP),
    SYM(ImageTransformParameterfvHP),
    SYM(ImageTransformParameteriHP),
    SYM(ImageTransformParameterivHP),
    SYM(Indexd),
    SYM(Indexdv),
    SYM(Indexf),
    SYM(Indexfv),
    SYM(Indexi),
    SYM(Indexiv),
    SYM(IndexMask),
    SYM(IndexPointer),
    SYM(Indexs),
    SYM(Indexsv),
    SYM(Indexub),
    SYM(Indexubv),
    SYM(IndexxOES),
    SYM(IndexxvOES),
    SYM(InitNames),
    SYM(InterleavedArrays),
    SYM(InvalidateBufferData),
    SYM(InvalidateBufferSubData),
    SYM(InvalidateFramebuffer),
    SYM(InvalidateSubFramebuffer),
    SYM(InvalidateTexImage),
    SYM(InvalidateTexSubImage),
    SYM(IsBufferARB),
    SYM(IsBuffer),
    SYM(IsEnabledi),
    SYM(IsEnabled),
    SYM(IsFramebuffer),
    SYM(IsImageHandleResidentARB),
    SYM(IsList),
    SYM(IsNamedStringARB),
    SYM(IsProgramARB),
    SYM(IsProgramPipeline),
    SYM(IsProgram),
    SYM(IsQueryARB),
    SYM(IsQuery),
    SYM(IsRenderbuffer),
    SYM(IsSampler),
    SYM(IsShader),
    SYM(IsSync),
    SYM(IsTextureHandleResidentARB),
    SYM(IsTexture),
    SYM(IsTransformFeedback),
    SYM(IsVertexArray),
    SYM(Lightf),
    SYM(Lightfv),
    SYM(Lighti),
    SYM(Lightiv),
    SYM(LightModelf),
    SYM(LightModelfv),
    SYM(LightModeli),
    SYM(LightModeliv),
    SYM(LightModelxOES),
    SYM(LightModelxvOES),
    SYM(LightxOES),
    SYM(LightxvOES),
    SYM(LineStipple),
    SYM(LineWidth),
    SYM(LineWidthxOES),
    SYM(LinkProgramARB),
    SYM(LinkProgram),
    SYM(ListBase),
    SYM(LoadIdentity),
    SYM(LoadMatrixd),
    SYM(LoadMatrixf),
    SYM(LoadMatrixxOES),
    SYM(LoadName),
    SYM(LoadTransposeMatrixdARB),
    SYM(LoadTransposeMatrixd),
    SYM(LoadTransposeMatrixfARB),
    SYM(LoadTransposeMatrixf),
    SYM(LoadTransposeMatrixxOES),
    SYM(LogicOp),
    SYM(MakeImageHandleNonResidentARB),
    SYM(MakeImageHandleResidentARB),
    SYM(MakeTextureHandleNonResidentARB),
    SYM(MakeTextureHandleResidentARB),
    SYM(Map1d),
    SYM(Map1f),
    SYM(Map1xOES),
    SYM(Map2d),
    SYM(Map2f),
    SYM(Map2xOES),
    SYM(MapBufferARB),
    SYM(MapBuffer),
    SYM(MapBufferRange),
    SYM(MapGrid1d),
    SYM(MapGrid1f),
    SYM(MapGrid1xOES),
    SYM(MapGrid2d),
    SYM(MapGrid2f),
    SYM(MapGrid2xOES),
    SYM(Materialf),
    SYM(Materialfv),
    SYM(Materiali),
    SYM(Materialiv),
    SYM(MaterialxOES),
    SYM(MaterialxvOES),
    SYM(MatrixIndexPointerARB),
    SYM(MatrixIndexubvARB),
    SYM(MatrixIndexuivARB),
    SYM(MatrixIndexusvARB),
    SYM(MatrixMode),
    SYM(MemoryBarrier),
    SYM(Minmax),
    SYM(MinSampleShadingARB),
    SYM(MinSampleShading),
    SYM(MultiDrawArraysIndirectCountARB),
    SYM(MultiDrawArraysIndirect),
    SYM(MultiDrawArrays),
    SYM(MultiDrawElementsBaseVertex),
    SYM(MultiDrawElementsIndirectCountARB),
    SYM(MultiDrawElementsIndirect),
    SYM(MultiDrawElements),
    SYM(MultiTexCoord1bOES),
    SYM(MultiTexCoord1bvOES),
    SYM(MultiTexCoord1dARB),
    SYM(MultiTexCoord1d),
    SYM(MultiTexCoord1dvARB),
    SYM(MultiTexCoord1dv),
    SYM(MultiTexCoord1fARB),
    SYM(MultiTexCoord1f),
    SYM(MultiTexCoord1fvARB),
    SYM(MultiTexCoord1fv),
    SYM(MultiTexCoord1iARB),
    SYM(MultiTexCoord1i),
    SYM(MultiTexCoord1ivARB),
    SYM(MultiTexCoord1iv),
    SYM(MultiTexCoord1sARB),
    SYM(MultiTexCoord1s),
    SYM(MultiTexCoord1svARB),
    SYM(MultiTexCoord1sv),
    SYM(MultiTexCoord1xOES),
    SYM(MultiTexCoord1xvOES),
    SYM(MultiTexCoord2bOES),
    SYM(MultiTexCoord2bvOES),
    SYM(MultiTexCoord2dARB),
    SYM(MultiTexCoord2d),
    SYM(MultiTexCoord2dvARB),
    SYM(MultiTexCoord2dv),
    SYM(MultiTexCoord2fARB),
    SYM(MultiTexCoord2f),
    SYM(MultiTexCoord2fvARB),
    SYM(MultiTexCoord2fv),
    SYM(MultiTexCoord2iARB),
    SYM(MultiTexCoord2i),
    SYM(MultiTexCoord2ivARB),
    SYM(MultiTexCoord2iv),
    SYM(MultiTexCoord2sARB),
    SYM(MultiTexCoord2s),
    SYM(MultiTexCoord2svARB),
    SYM(MultiTexCoord2sv),
    SYM(MultiTexCoord2xOES),
    SYM(MultiTexCoord2xvOES),
    SYM(MultiTexCoord3bOES),
    SYM(MultiTexCoord3bvOES),
    SYM(MultiTexCoord3dARB),
    SYM(MultiTexCoord3d),
    SYM(MultiTexCoord3dvARB),
    SYM(MultiTexCoord3dv),
    SYM(MultiTexCoord3fARB),
    SYM(MultiTexCoord3f),
    SYM(MultiTexCoord3fvARB),
    SYM(MultiTexCoord3fv),
    SYM(MultiTexCoord3iARB),
    SYM(MultiTexCoord3i),
    SYM(MultiTexCoord3ivARB),
    SYM(MultiTexCoord3iv),
    SYM(MultiTexCoord3sARB),
    SYM(MultiTexCoord3s),
    SYM(MultiTexCoord3svARB),
    SYM(MultiTexCoord3sv),
    SYM(MultiTexCoord3xOES),
    SYM(MultiTexCoord3xvOES),
    SYM(MultiTexCoord4bOES),
    SYM(MultiTexCoord4bvOES),
    SYM(MultiTexCoord4dARB),
    SYM(MultiTexCoord4d),
    SYM(MultiTexCoord4dvARB),
    SYM(MultiTexCoord4dv),
    SYM(MultiTexCoord4fARB),
    SYM(MultiTexCoord4f),
    SYM(MultiTexCoord4fvARB),
    SYM(MultiTexCoord4fv),
    SYM(MultiTexCoord4iARB),
    SYM(MultiTexCoord4i),
    SYM(MultiTexCoord4ivARB),
    SYM(MultiTexCoord4iv),
    SYM(MultiTexCoord4sARB),
    SYM(MultiTexCoord4s),
    SYM(MultiTexCoord4svARB),
    SYM(MultiTexCoord4sv),
    SYM(MultiTexCoord4xOES),
    SYM(MultiTexCoord4xvOES),
    SYM(MultiTexCoordP1ui),
    SYM(MultiTexCoordP1uiv),
    SYM(MultiTexCoordP2ui),
    SYM(MultiTexCoordP2uiv),
    SYM(MultiTexCoordP3ui),
    SYM(MultiTexCoordP3uiv),
    SYM(MultiTexCoordP4ui),
    SYM(MultiTexCoordP4uiv),
    SYM(MultMatrixd),
    SYM(MultMatrixf),
    SYM(MultMatrixxOES),
    SYM(MultTransposeMatrixdARB),
    SYM(MultTransposeMatrixd),
    SYM(MultTransposeMatrixfARB),
    SYM(MultTransposeMatrixf),
    SYM(MultTransposeMatrixxOES),
    SYM(NamedStringARB),
    SYM(NewList),
    SYM(Normal3b),
    SYM(Normal3bv),
    SYM(Normal3d),
    SYM(Normal3dv),
    SYM(Normal3f),
    SYM(Normal3fv),
    SYM(Normal3i),
    SYM(Normal3iv),
    SYM(Normal3s),
    SYM(Normal3sv),
    SYM(Normal3xOES),
    SYM(Normal3xvOES),
    SYM(NormalP3ui),
    SYM(NormalP3uiv),
    SYM(NormalPointer),
    SYM(ObjectLabel),
    SYM(ObjectPtrLabel),
    SYM(OrthofOES),
    SYM(Ortho),
    SYM(OrthoxOES),
    SYM(PassThrough),
    SYM(PassThroughxOES),
    SYM(PatchParameterfv),
    SYM(PatchParameteri),
    SYM(PauseTransformFeedback),
    SYM(PixelMapfv),
    SYM(PixelMapuiv),
    SYM(PixelMapusv),
    SYM(PixelMapx),
    SYM(PixelStoref),
    SYM(PixelStorei),
    SYM(PixelStorex),
    SYM(PixelTransferf),
    SYM(PixelTransferi),
    SYM(PixelTransferxOES),
    SYM(PixelZoom),
    SYM(PixelZoomxOES),
    SYM(PointParameterfARB),
    SYM(PointParameterf),
    SYM(PointParameterfvARB),
    SYM(PointParameterfv),
    SYM(PointParameteri),
    SYM(PointParameteriv),
    SYM(PointParameterxvOES),
    SYM(PointSize),
    SYM(PointSizexOES),
    SYM(PolygonMode),
    SYM(PolygonOffset),
    SYM(PolygonOffsetxOES),
    SYM(PolygonStipple),
    SYM(PopAttrib),
    SYM(PopClientAttrib),
    SYM(PopDebugGroup),
    SYM(PopMatrix),
    SYM(PopName),
    SYM(PrimitiveRestartIndex),
    SYM(PrioritizeTextures),
    SYM(PrioritizeTexturesxOES),
    SYM(ProgramBinary),
    SYM(ProgramEnvParameter4dARB),
    SYM(ProgramEnvParameter4dvARB),
    SYM(ProgramEnvParameter4fARB),
    SYM(ProgramEnvParameter4fvARB),
    SYM(ProgramLocalParameter4dARB),
    SYM(ProgramLocalParameter4dvARB),
    SYM(ProgramLocalParameter4fARB),
    SYM(ProgramLocalParameter4fvARB),
    SYM(ProgramParameteriARB),
    SYM(ProgramParameteri),
    SYM(ProgramStringARB),
    SYM(ProgramUniform1d),
    SYM(ProgramUniform1dv),
    SYM(ProgramUniform1f),
    SYM(ProgramUniform1fv),
    SYM(ProgramUniform1i),
    SYM(ProgramUniform1iv),
    SYM(ProgramUniform1ui),
    SYM(ProgramUniform1uiv),
    SYM(ProgramUniform2d),
    SYM(ProgramUniform2dv),
    SYM(ProgramUniform2f),
    SYM(ProgramUniform2fv),
    SYM(ProgramUniform2i),
    SYM(ProgramUniform2iv),
    SYM(ProgramUniform2ui),
    SYM(ProgramUniform2uiv),
    SYM(ProgramUniform3d),
    SYM(ProgramUniform3dv),
    SYM(ProgramUniform3f),
    SYM(ProgramUniform3fv),
    SYM(ProgramUniform3i),
    SYM(ProgramUniform3iv),
    SYM(ProgramUniform3ui),
    SYM(ProgramUniform3uiv),
    SYM(ProgramUniform4d),
    SYM(ProgramUniform4dv),
    SYM(ProgramUniform4f),
    SYM(ProgramUniform4fv),
    SYM(ProgramUniform4i),
    SYM(ProgramUniform4iv),
    SYM(ProgramUniform4ui),
    SYM(ProgramUniform4uiv),
    SYM(ProgramUniformHandleui64ARB),
    SYM(ProgramUniformHandleui64vARB),
    SYM(ProgramUniformMatrix2dv),
    SYM(ProgramUniformMatrix2fv),
    SYM(ProgramUniformMatrix2x3dv),
    SYM(ProgramUniformMatrix2x3fv),
    SYM(ProgramUniformMatrix2x4dv),
    SYM(ProgramUniformMatrix2x4fv),
    SYM(ProgramUniformMatrix3dv),
    SYM(ProgramUniformMatrix3fv),
    SYM(ProgramUniformMatrix3x2dv),
    SYM(ProgramUniformMatrix3x2fv),
    SYM(ProgramUniformMatrix3x4dv),
    SYM(ProgramUniformMatrix3x4fv),
    SYM(ProgramUniformMatrix4dv),
    SYM(ProgramUniformMatrix4fv),
    SYM(ProgramUniformMatrix4x2dv),
    SYM(ProgramUniformMatrix4x2fv),
    SYM(ProgramUniformMatrix4x3dv),
    SYM(ProgramUniformMatrix4x3fv),
    SYM(ProvokingVertex),
    SYM(PushAttrib),
    SYM(PushClientAttrib),
    SYM(PushDebugGroup),
    SYM(PushMatrix),
    SYM(PushName),
    SYM(QueryCounter),
    SYM(QueryMatrixxOES),
    SYM(RasterPos2d),
    SYM(RasterPos2dv),
    SYM(RasterPos2f),
    SYM(RasterPos2fv),
    SYM(RasterPos2i),
    SYM(RasterPos2iv),
    SYM(RasterPos2s),
    SYM(RasterPos2sv),
    SYM(RasterPos2xOES),
    SYM(RasterPos2xvOES),
    SYM(RasterPos3d),
    SYM(RasterPos3dv),
    SYM(RasterPos3f),
    SYM(RasterPos3fv),
    SYM(RasterPos3i),
    SYM(RasterPos3iv),
    SYM(RasterPos3s),
    SYM(RasterPos3sv),
    SYM(RasterPos3xOES),
    SYM(RasterPos3xvOES),
    SYM(RasterPos4d),
    SYM(RasterPos4dv),
    SYM(RasterPos4f),
    SYM(RasterPos4fv),
    SYM(RasterPos4i),
    SYM(RasterPos4iv),
    SYM(RasterPos4s),
    SYM(RasterPos4sv),
    SYM(RasterPos4xOES),
    SYM(RasterPos4xvOES),
    SYM(ReadBuffer),
    SYM(ReadnPixelsARB),
    SYM(ReadPixels),
    SYM(Rectd),
    SYM(Rectdv),
    SYM(Rectf),
    SYM(Rectfv),
    SYM(Recti),
    SYM(Rectiv),
    SYM(Rects),
    SYM(Rectsv),
    SYM(RectxOES),
    SYM(RectxvOES),
    SYM(ReleaseShaderCompiler),
    SYM(RenderbufferStorageMultisample),
    SYM(RenderbufferStorage),
    SYM(RenderMode),
    SYM(ResetHistogram),
    SYM(ResetMinmax),
    SYM(ResumeTransformFeedback),
    SYM(Rotated),
    SYM(Rotatef),
    SYM(RotatexOES),
    SYM(SampleCoverageARB),
    SYM(SampleCoverageOES),
    SYM(SampleCoverage),
    SYM(SampleMaski),
    SYM(SamplerParameterf),
    SYM(SamplerParameterfv),
    SYM(SamplerParameterIiv),
    SYM(SamplerParameteri),
    SYM(SamplerParameterIuiv),
    SYM(SamplerParameteriv),
    SYM(Scaled),
    SYM(Scalef),
    SYM(ScalexOES),
    SYM(ScissorArrayv),
    SYM(ScissorIndexed),
    SYM(ScissorIndexedv),
    SYM(Scissor),
    SYM(SecondaryColor3b),
    SYM(SecondaryColor3bv),
    SYM(SecondaryColor3d),
    SYM(SecondaryColor3dv),
    SYM(SecondaryColor3f),
    SYM(SecondaryColor3fv),
    SYM(SecondaryColor3i),
    SYM(SecondaryColor3iv),
    SYM(SecondaryColor3s),
    SYM(SecondaryColor3sv),
    SYM(SecondaryColor3ub),
    SYM(SecondaryColor3ubv),
    SYM(SecondaryColor3ui),
    SYM(SecondaryColor3uiv),
    SYM(SecondaryColor3us),
    SYM(SecondaryColor3usv),
    SYM(SecondaryColorP3ui),
    SYM(SecondaryColorP3uiv),
    SYM(SecondaryColorPointer),
    SYM(SelectBuffer),
    SYM(SeparableFilter2D),
    SYM(ShadeModel),
    SYM(ShaderBinary),
    SYM(ShaderSourceARB),
    SYM(ShaderSource),
    SYM(ShaderStorageBlockBinding),
    SYM(StencilFunc),
    SYM(StencilFuncSeparate),
    SYM(StencilMask),
    SYM(StencilMaskSeparate),
    SYM(StencilOp),
    SYM(StencilOpSeparate),
    SYM(TexBufferARB),
    SYM(TexBuffer),
    SYM(TexBufferRange),
    SYM(TexCoord1bOES),
    SYM(TexCoord1bvOES),
    SYM(TexCoord1d),
    SYM(TexCoord1dv),
    SYM(TexCoord1f),
    SYM(TexCoord1fv),
    SYM(TexCoord1i),
    SYM(TexCoord1iv),
    SYM(TexCoord1s),
    SYM(TexCoord1sv),
    SYM(TexCoord1xOES),
    SYM(TexCoord1xvOES),
    SYM(TexCoord2bOES),
    SYM(TexCoord2bvOES),
    SYM(TexCoord2d),
    SYM(TexCoord2dv),
    SYM(TexCoord2f),
    SYM(TexCoord2fv),
    SYM(TexCoord2i),
    SYM(TexCoord2iv),
    SYM(TexCoord2s),
    SYM(TexCoord2sv),
    SYM(TexCoord2xOES),
    SYM(TexCoord2xvOES),
    SYM(TexCoord3bOES),
    SYM(TexCoord3bvOES),
    SYM(TexCoord3d),
    SYM(TexCoord3dv),
    SYM(TexCoord3f),
    SYM(TexCoord3fv),
    SYM(TexCoord3i),
    SYM(TexCoord3iv),
    SYM(TexCoord3s),
    SYM(TexCoord3sv),
    SYM(TexCoord3xOES),
    SYM(TexCoord3xvOES),
    SYM(TexCoord4bOES),
    SYM(TexCoord4bvOES),
    SYM(TexCoord4d),
    SYM(TexCoord4dv),
    SYM(TexCoord4f),
    SYM(TexCoord4fv),
    SYM(TexCoord4i),
    SYM(TexCoord4iv),
    SYM(TexCoord4s),
    SYM(TexCoord4sv),
    SYM(TexCoord4xOES),
    SYM(TexCoord4xvOES),
    SYM(TexCoordP1ui),
    SYM(TexCoordP1uiv),
    SYM(TexCoordP2ui),
    SYM(TexCoordP2uiv),
    SYM(TexCoordP3ui),
    SYM(TexCoordP3uiv),
    SYM(TexCoordP4ui),
    SYM(TexCoordP4uiv),
    SYM(TexCoordPointer),
    SYM(TexEnvf),
    SYM(TexEnvfv),
    SYM(TexEnvi),
    SYM(TexEnviv),
    SYM(TexEnvxOES),
    SYM(TexEnvxvOES),
    SYM(TexGend),
    SYM(TexGendv),
    SYM(TexGenf),
    SYM(TexGenfv),
    SYM(TexGeni),
    SYM(TexGeniv),
    SYM(TexGenxOES),
    SYM(TexGenxvOES),
    SYM(TexImage1D),
    SYM(TexImage2DMultisample),
    SYM(TexImage2D),
    SYM(TexImage3DMultisample),
    SYM(TexImage3D),
    SYM(TexPageCommitmentARB),
    SYM(TexParameterf),
    SYM(TexParameterfv),
    SYM(TexParameterIiv),
    SYM(TexParameteri),
    SYM(TexParameterIuiv),
    SYM(TexParameteriv),
    SYM(TexParameterxOES),
    SYM(TexParameterxvOES),
    SYM(TexStorage1D),
    SYM(TexStorage2DMultisample),
    SYM(TexStorage2D),
    SYM(TexStorage3DMultisample),
    SYM(TexStorage3D),
    SYM(TexSubImage1D),
    SYM(TexSubImage2D),
    SYM(TexSubImage3D),
    SYM(TextureView),
    SYM(TransformFeedbackVaryings),
    SYM(Translated),
    SYM(Translatef),
    SYM(TranslatexOES),
    SYM(Uniform1d),
    SYM(Uniform1dv),
    SYM(Uniform1fARB),
    SYM(Uniform1f),
    SYM(Uniform1fvARB),
    SYM(Uniform1fv),
    SYM(Uniform1iARB),
    SYM(Uniform1i),
    SYM(Uniform1ivARB),
    SYM(Uniform1iv),
    SYM(Uniform1ui),
    SYM(Uniform1uiv),
    SYM(Uniform2d),
    SYM(Uniform2dv),
    SYM(Uniform2fARB),
    SYM(Uniform2f),
    SYM(Uniform2fvARB),
    SYM(Uniform2fv),
    SYM(Uniform2iARB),
    SYM(Uniform2i),
    SYM(Uniform2ivARB),
    SYM(Uniform2iv),
    SYM(Uniform2ui),
    SYM(Uniform2uiv),
    SYM(Uniform3d),
    SYM(Uniform3dv),
    SYM(Uniform3fARB),
    SYM(Uniform3f),
    SYM(Uniform3fvARB),
    SYM(Uniform3fv),
    SYM(Uniform3iARB),
    SYM(Uniform3i),
    SYM(Uniform3ivARB),
    SYM(Uniform3iv),
    SYM(Uniform3ui),
    SYM(Uniform3uiv),
    SYM(Uniform4d),
    SYM(Uniform4dv),
    SYM(Uniform4fARB),
    SYM(Uniform4f),
    SYM(Uniform4fvARB),
    SYM(Uniform4fv),
    SYM(Uniform4iARB),
    SYM(Uniform4i),
    SYM(Uniform4ivARB),
    SYM(Uniform4iv),
    SYM(Uniform4ui),
    SYM(Uniform4uiv),
    SYM(UniformBlockBinding),
    SYM(UniformHandleui64ARB),
    SYM(UniformHandleui64vARB),
    SYM(UniformMatrix2dv),
    SYM(UniformMatrix2fvARB),
    SYM(UniformMatrix2fv),
    SYM(UniformMatrix2x3dv),
    SYM(UniformMatrix2x3fv),
    SYM(UniformMatrix2x4dv),
    SYM(UniformMatrix2x4fv),
    SYM(UniformMatrix3dv),
    SYM(UniformMatrix3fvARB),
    SYM(UniformMatrix3fv),
    SYM(UniformMatrix3x2dv),
    SYM(UniformMatrix3x2fv),
    SYM(UniformMatrix3x4dv),
    SYM(UniformMatrix3x4fv),
    SYM(UniformMatrix4dv),
    SYM(UniformMatrix4fvARB),
    SYM(UniformMatrix4fv),
    SYM(UniformMatrix4x2dv),
    SYM(UniformMatrix4x2fv),
    SYM(UniformMatrix4x3dv),
    SYM(UniformMatrix4x3fv),
    SYM(UniformSubroutinesuiv),
    SYM(UnmapBufferARB),
    SYM(UnmapBuffer),
    SYM(UseProgramObjectARB),
    SYM(UseProgram),
    SYM(UseProgramStages),
    SYM(ValidateProgramARB),
    SYM(ValidateProgramPipeline),
    SYM(ValidateProgram),
    SYM(Vertex2bOES),
    SYM(Vertex2bvOES),
    SYM(Vertex2d),
    SYM(Vertex2dv),
    SYM(Vertex2f),
    SYM(Vertex2fv),
    SYM(Vertex2i),
    SYM(Vertex2iv),
    SYM(Vertex2s),
    SYM(Vertex2sv),
    SYM(Vertex2xOES),
    SYM(Vertex2xvOES),
    SYM(Vertex3bOES),
    SYM(Vertex3bvOES),
    SYM(Vertex3d),
    SYM(Vertex3dv),
    SYM(Vertex3f),
    SYM(Vertex3fv),
    SYM(Vertex3i),
    SYM(Vertex3iv),
    SYM(Vertex3s),
    SYM(Vertex3sv),
    SYM(Vertex3xOES),
    SYM(Vertex3xvOES),
    SYM(Vertex4bOES),
    SYM(Vertex4bvOES),
    SYM(Vertex4d),
    SYM(Vertex4dv),
    SYM(Vertex4f),
    SYM(Vertex4fv),
    SYM(Vertex4i),
    SYM(Vertex4iv),
    SYM(Vertex4s),
    SYM(Vertex4sv),
    SYM(Vertex4xOES),
    SYM(Vertex4xvOES),
    SYM(VertexAttrib1dARB),
    SYM(VertexAttrib1d),
    SYM(VertexAttrib1dvARB),
    SYM(VertexAttrib1dv),
    SYM(VertexAttrib1fARB),
    SYM(VertexAttrib1f),
    SYM(VertexAttrib1fvARB),
    SYM(VertexAttrib1fv),
    SYM(VertexAttrib1sARB),
    SYM(VertexAttrib1s),
    SYM(VertexAttrib1svARB),
    SYM(VertexAttrib1sv),
    SYM(VertexAttrib2dARB),
    SYM(VertexAttrib2d),
    SYM(VertexAttrib2dvARB),
    SYM(VertexAttrib2dv),
    SYM(VertexAttrib2fARB),
    SYM(VertexAttrib2f),
    SYM(VertexAttrib2fvARB),
    SYM(VertexAttrib2fv),
    SYM(VertexAttrib2sARB),
    SYM(VertexAttrib2s),
    SYM(VertexAttrib2svARB),
    SYM(VertexAttrib2sv),
    SYM(VertexAttrib3dARB),
    SYM(VertexAttrib3d),
    SYM(VertexAttrib3dvARB),
    SYM(VertexAttrib3dv),
    SYM(VertexAttrib3fARB),
    SYM(VertexAttrib3f),
    SYM(VertexAttrib3fvARB),
    SYM(VertexAttrib3fv),
    SYM(VertexAttrib3sARB),
    SYM(VertexAttrib3s),
    SYM(VertexAttrib3svARB),
    SYM(VertexAttrib3sv),
    SYM(VertexAttrib4bvARB),
    SYM(VertexAttrib4bv),
    SYM(VertexAttrib4dARB),
    SYM(VertexAttrib4d),
    SYM(VertexAttrib4dvARB),
    SYM(VertexAttrib4dv),
    SYM(VertexAttrib4fARB),
    SYM(VertexAttrib4f),
    SYM(VertexAttrib4fvARB),
    SYM(VertexAttrib4fv),
    SYM(VertexAttrib4ivARB),
    SYM(VertexAttrib4iv),
    SYM(VertexAttrib4NbvARB),
    SYM(VertexAttrib4Nbv),
    SYM(VertexAttrib4NivARB),
    SYM(VertexAttrib4Niv),
    SYM(VertexAttrib4NsvARB),
    SYM(VertexAttrib4Nsv),
    SYM(VertexAttrib4NubARB),
    SYM(VertexAttrib4Nub),
    SYM(VertexAttrib4NubvARB),
    SYM(VertexAttrib4Nubv),
    SYM(VertexAttrib4NuivARB),
    SYM(VertexAttrib4Nuiv),
    SYM(VertexAttrib4NusvARB),
    SYM(VertexAttrib4Nusv),
    SYM(VertexAttrib4sARB),
    SYM(VertexAttrib4s),
    SYM(VertexAttrib4svARB),
    SYM(VertexAttrib4sv),
    SYM(VertexAttrib4ubvARB),
    SYM(VertexAttrib4ubv),
    SYM(VertexAttrib4uivARB),
    SYM(VertexAttrib4uiv),
    SYM(VertexAttrib4usvARB),
    SYM(VertexAttrib4usv),
    SYM(VertexAttribBinding),
    SYM(VertexAttribDivisorARB),
    SYM(VertexAttribDivisor),
    SYM(VertexAttribFormat),
    SYM(VertexAttribI1i),
    SYM(VertexAttribI1iv),
    SYM(VertexAttribI1ui),
    SYM(VertexAttribI1uiv),
    SYM(VertexAttribI2i),
    SYM(VertexAttribI2iv),
    SYM(VertexAttribI2ui),
    SYM(VertexAttribI2uiv),
    SYM(VertexAttribI3i),
    SYM(VertexAttribI3iv),
    SYM(VertexAttribI3ui),
    SYM(VertexAttribI3uiv),
    SYM(VertexAttribI4bv),
    SYM(VertexAttribI4i),
    SYM(VertexAttribI4iv),
    SYM(VertexAttribI4sv),
    SYM(VertexAttribI4ubv),
    SYM(VertexAttribI4ui),
    SYM(VertexAttribI4uiv),
    SYM(VertexAttribI4usv),
    SYM(VertexAttribIFormat),
    SYM(VertexAttribIPointer),
    SYM(VertexAttribL1d),
    SYM(VertexAttribL1dv),
    SYM(VertexAttribL1ui64ARB),
    SYM(VertexAttribL1ui64vARB),
    SYM(VertexAttribL2d),
    SYM(VertexAttribL2dv),
    SYM(VertexAttribL3d),
    SYM(VertexAttribL3dv),
    SYM(VertexAttribL4d),
    SYM(VertexAttribL4dv),
    SYM(VertexAttribLFormat),
    SYM(VertexAttribLPointer),
    SYM(VertexAttribP1ui),
    SYM(VertexAttribP1uiv),
    SYM(VertexAttribP2ui),
    SYM(VertexAttribP2uiv),
    SYM(VertexAttribP3ui),
    SYM(VertexAttribP3uiv),
    SYM(VertexAttribP4ui),
    SYM(VertexAttribP4uiv),
    SYM(VertexAttribPointerARB),
    SYM(VertexAttribPointer),
    SYM(VertexBindingDivisor),
    SYM(VertexBlendARB),
    SYM(VertexP2ui),
    SYM(VertexP2uiv),
    SYM(VertexP3ui),
    SYM(VertexP3uiv),
    SYM(VertexP4ui),
    SYM(VertexP4uiv),
    SYM(VertexPointer),
    SYM(ViewportArrayv),
    SYM(ViewportIndexedf),
    SYM(ViewportIndexedfv),
    SYM(Viewport),
    SYM(WaitSync),
    SYM(WeightbvARB),
    SYM(WeightdvARB),
    SYM(WeightfvARB),
    SYM(WeightivARB),
    SYM(WeightPointerARB),
    SYM(WeightsvARB),
    SYM(WeightubvARB),
    SYM(WeightuivARB),
    SYM(WeightusvARB),
    SYM(WindowPos2dARB),
    SYM(WindowPos2d),
    SYM(WindowPos2dvARB),
    SYM(WindowPos2dv),
    SYM(WindowPos2fARB),
    SYM(WindowPos2f),
    SYM(WindowPos2fvARB),
    SYM(WindowPos2fv),
    SYM(WindowPos2iARB),
    SYM(WindowPos2i),
    SYM(WindowPos2ivARB),
    SYM(WindowPos2iv),
    SYM(WindowPos2sARB),
    SYM(WindowPos2s),
    SYM(WindowPos2svARB),
    SYM(WindowPos2sv),
    SYM(WindowPos3dARB),
    SYM(WindowPos3d),
    SYM(WindowPos3dvARB),
    SYM(WindowPos3dv),
    SYM(WindowPos3fARB),
    SYM(WindowPos3f),
    SYM(WindowPos3fvARB),
    SYM(WindowPos3fv),
    SYM(WindowPos3iARB),
    SYM(WindowPos3i),
    SYM(WindowPos3ivARB),
    SYM(WindowPos3iv),
    SYM(WindowPos3sARB),
    SYM(WindowPos3s),
    SYM(WindowPos3svARB),
    SYM(WindowPos3sv),

    { NULL, NULL },
};
