#pragma once

#include "ppsspp_config.h"

#if PPSSPP_PLATFORM(IOS)
#include <OpenGLES/ES3/gl.h>
#include <OpenGLES/ES3/glext.h>
#elif defined(USING_GLES2) && !defined(HAVE_LIBNX)
#include <GLES2/gl2.h>
#include <GLES2/gl2ext.h>
#define GL_BGRA_EXT 0x80E1
#else // OpenGL
//#include "GL/glew.h"
#include <glsym/switch/nx_gl.h>
#include <GL/glext.h>
#include <glsym/switch/nx_glsym.h>
#include <glsym/glsym_gl.h>
#if defined(__APPLE__)
#include <OpenGL/gl.h>
#else

#if !defined(__LIBRETRO__) && !defined(HAVE_LIBNX)
#include <GL/gl.h>
#else

#define GL_SRC1_COLOR_EXT 0x88F9
#define GL_SRC1_ALPHA_EXT 0x8589
#define GL_ONE_MINUS_SRC1_COLOR_EXT 0x88FA
#define GL_ONE_MINUS_SRC1_ALPHA_EXT 0x88FB
#define GL_SRC_ALPHA_SATURATE_EXT 0x0308
#define GL_LOCATION_INDEX_EXT 0x930F
#define GL_MAX_DUAL_SOURCE_DRAW_BUFFERS_EXT 0x88FC

#include <GL/glcorearb.h>
#include <EGL/egl.h>
//#include <EGL/eglext.h>

extern PFNGLBINDFRAGDATALOCATIONINDEXEDEXTPROC __glBindFragDataLocationIndexedEXT;
extern RGLSYMGLACCUMPROC __glAccum;
extern RGLSYMGLACCUMXOESPROC __glAccumxOES;
extern RGLSYMGLACTIVESHADERPROGRAMPROC __glActiveShaderProgram;
extern RGLSYMGLACTIVETEXTUREARBPROC __glActiveTextureARB;
extern RGLSYMGLACTIVETEXTUREPROC __glActiveTexture;
extern RGLSYMGLALPHAFUNCPROC __glAlphaFunc;
extern RGLSYMGLALPHAFUNCXOESPROC __glAlphaFuncxOES;
extern RGLSYMGLARETEXTURESRESIDENTPROC __glAreTexturesResident;
extern RGLSYMGLARRAYELEMENTPROC __glArrayElement;
extern RGLSYMGLATTACHOBJECTARBPROC __glAttachObjectARB;
extern RGLSYMGLATTACHSHADERPROC __glAttachShader;
extern RGLSYMGLBEGINCONDITIONALRENDERPROC __glBeginConditionalRender;
extern RGLSYMGLBEGINPROC __glBegin;
extern RGLSYMGLBEGINQUERYARBPROC __glBeginQueryARB;
extern RGLSYMGLBEGINQUERYINDEXEDPROC __glBeginQueryIndexed;
extern RGLSYMGLBEGINQUERYPROC __glBeginQuery;
extern RGLSYMGLBEGINTRANSFORMFEEDBACKPROC __glBeginTransformFeedback;
extern RGLSYMGLBINDATTRIBLOCATIONARBPROC __glBindAttribLocationARB;
extern RGLSYMGLBINDATTRIBLOCATIONPROC __glBindAttribLocation;
extern RGLSYMGLBINDBUFFERARBPROC __glBindBufferARB;
extern RGLSYMGLBINDBUFFERBASEPROC __glBindBufferBase;
extern RGLSYMGLBINDBUFFERPROC __glBindBuffer;
extern RGLSYMGLBINDBUFFERRANGEPROC __glBindBufferRange;
extern RGLSYMGLBINDBUFFERSBASEPROC __glBindBuffersBase;
extern RGLSYMGLBINDBUFFERSRANGEPROC __glBindBuffersRange;
extern RGLSYMGLBINDFRAGDATALOCATIONINDEXEDPROC __glBindFragDataLocationIndexed;
extern RGLSYMGLBINDFRAGDATALOCATIONPROC __glBindFragDataLocation;
extern RGLSYMGLBINDFRAMEBUFFERPROC __glBindFramebuffer;
extern RGLSYMGLBINDIMAGETEXTUREPROC __glBindImageTexture;
extern RGLSYMGLBINDIMAGETEXTURESPROC __glBindImageTextures;
extern RGLSYMGLBINDPROGRAMARBPROC __glBindProgramARB;
extern RGLSYMGLBINDPROGRAMPIPELINEPROC __glBindProgramPipeline;
extern RGLSYMGLBINDRENDERBUFFERPROC __glBindRenderbuffer;
extern RGLSYMGLBINDSAMPLERPROC __glBindSampler;
extern RGLSYMGLBINDSAMPLERSPROC __glBindSamplers;
extern RGLSYMGLBINDTEXTUREPROC __glBindTexture;
extern RGLSYMGLBINDTEXTURESPROC __glBindTextures;
extern RGLSYMGLBINDTRANSFORMFEEDBACKPROC __glBindTransformFeedback;
extern RGLSYMGLBINDVERTEXARRAYPROC __glBindVertexArray;
extern RGLSYMGLBINDVERTEXBUFFERPROC __glBindVertexBuffer;
extern RGLSYMGLBINDVERTEXBUFFERSPROC __glBindVertexBuffers;
extern RGLSYMGLBITMAPPROC __glBitmap;
extern RGLSYMGLBITMAPXOESPROC __glBitmapxOES;
extern RGLSYMGLBLENDCOLORPROC __glBlendColor;
extern RGLSYMGLBLENDCOLORXOESPROC __glBlendColorxOES;
extern RGLSYMGLBLENDEQUATIONIARBPROC __glBlendEquationiARB;
extern RGLSYMGLBLENDEQUATIONIPROC __glBlendEquationi;
extern RGLSYMGLBLENDEQUATIONPROC __glBlendEquation;
extern RGLSYMGLBLENDEQUATIONSEPARATEIARBPROC __glBlendEquationSeparateiARB;
extern RGLSYMGLBLENDEQUATIONSEPARATEIPROC __glBlendEquationSeparatei;
extern RGLSYMGLBLENDEQUATIONSEPARATEPROC __glBlendEquationSeparate;
extern RGLSYMGLBLENDFUNCIARBPROC __glBlendFunciARB;
extern RGLSYMGLBLENDFUNCIPROC __glBlendFunci;
extern RGLSYMGLBLENDFUNCPROC __glBlendFunc;
extern RGLSYMGLBLENDFUNCSEPARATEIARBPROC __glBlendFuncSeparateiARB;
extern RGLSYMGLBLENDFUNCSEPARATEIPROC __glBlendFuncSeparatei;
extern RGLSYMGLBLENDFUNCSEPARATEPROC __glBlendFuncSeparate;
extern RGLSYMGLBLITFRAMEBUFFERPROC __glBlitFramebuffer;
extern RGLSYMGLBUFFERDATAARBPROC __glBufferDataARB;
extern RGLSYMGLBUFFERDATAPROC __glBufferData;
extern RGLSYMGLBUFFERSTORAGEPROC __glBufferStorage;
extern RGLSYMGLBUFFERSUBDATAARBPROC __glBufferSubDataARB;
extern RGLSYMGLBUFFERSUBDATAPROC __glBufferSubData;
extern RGLSYMGLCALLLISTPROC __glCallList;
extern RGLSYMGLCALLLISTSPROC __glCallLists;
extern RGLSYMGLCHECKFRAMEBUFFERSTATUSPROC __glCheckFramebufferStatus;
extern RGLSYMGLCLAMPCOLORARBPROC __glClampColorARB;
extern RGLSYMGLCLAMPCOLORPROC __glClampColor;
extern RGLSYMGLCLEARACCUMPROC __glClearAccum;
extern RGLSYMGLCLEARACCUMXOESPROC __glClearAccumxOES;
extern RGLSYMGLCLEARBUFFERDATAPROC __glClearBufferData;
extern RGLSYMGLCLEARBUFFERFIPROC __glClearBufferfi;
extern RGLSYMGLCLEARBUFFERFVPROC __glClearBufferfv;
extern RGLSYMGLCLEARBUFFERIVPROC __glClearBufferiv;
extern RGLSYMGLCLEARBUFFERSUBDATAPROC __glClearBufferSubData;
extern RGLSYMGLCLEARBUFFERUIVPROC __glClearBufferuiv;
extern RGLSYMGLCLEARCOLORPROC __glClearColor;
extern RGLSYMGLCLEARCOLORXOESPROC __glClearColorxOES;
extern RGLSYMGLCLEARDEPTHFOESPROC __glClearDepthfOES;
extern RGLSYMGLCLEARDEPTHFPROC __glClearDepthf;
extern RGLSYMGLCLEARDEPTHPROC __glClearDepth;
extern RGLSYMGLCLEARDEPTHXOESPROC __glClearDepthxOES;
extern RGLSYMGLCLEARINDEXPROC __glClearIndex;
extern RGLSYMGLCLEARPROC __glClear;
extern RGLSYMGLCLEARSTENCILPROC __glClearStencil;
extern RGLSYMGLCLEARTEXIMAGEPROC __glClearTexImage;
extern RGLSYMGLCLEARTEXSUBIMAGEPROC __glClearTexSubImage;
extern RGLSYMGLCLIENTACTIVETEXTUREARBPROC __glClientActiveTextureARB;
extern RGLSYMGLCLIENTACTIVETEXTUREPROC __glClientActiveTexture;
extern RGLSYMGLCLIENTWAITSYNCPROC __glClientWaitSync;
extern RGLSYMGLCLIPPLANEFOESPROC __glClipPlanefOES;
extern RGLSYMGLCLIPPLANEPROC __glClipPlane;
extern RGLSYMGLCLIPPLANEXOESPROC __glClipPlanexOES;
extern RGLSYMGLCOLOR3BPROC __glColor3b;
extern RGLSYMGLCOLOR3BVPROC __glColor3bv;
extern RGLSYMGLCOLOR3DPROC __glColor3d;
extern RGLSYMGLCOLOR3DVPROC __glColor3dv;
extern RGLSYMGLCOLOR3FPROC __glColor3f;
extern RGLSYMGLCOLOR3FVPROC __glColor3fv;
extern RGLSYMGLCOLOR3IPROC __glColor3i;
extern RGLSYMGLCOLOR3IVPROC __glColor3iv;
extern RGLSYMGLCOLOR3SPROC __glColor3s;
extern RGLSYMGLCOLOR3SVPROC __glColor3sv;
extern RGLSYMGLCOLOR3UBPROC __glColor3ub;
extern RGLSYMGLCOLOR3UBVPROC __glColor3ubv;
extern RGLSYMGLCOLOR3UIPROC __glColor3ui;
extern RGLSYMGLCOLOR3UIVPROC __glColor3uiv;
extern RGLSYMGLCOLOR3USPROC __glColor3us;
extern RGLSYMGLCOLOR3USVPROC __glColor3usv;
extern RGLSYMGLCOLOR3XOESPROC __glColor3xOES;
extern RGLSYMGLCOLOR3XVOESPROC __glColor3xvOES;
extern RGLSYMGLCOLOR4BPROC __glColor4b;
extern RGLSYMGLCOLOR4BVPROC __glColor4bv;
extern RGLSYMGLCOLOR4DPROC __glColor4d;
extern RGLSYMGLCOLOR4DVPROC __glColor4dv;
extern RGLSYMGLCOLOR4FPROC __glColor4f;
extern RGLSYMGLCOLOR4FVPROC __glColor4fv;
extern RGLSYMGLCOLOR4IPROC __glColor4i;
extern RGLSYMGLCOLOR4IVPROC __glColor4iv;
extern RGLSYMGLCOLOR4SPROC __glColor4s;
extern RGLSYMGLCOLOR4SVPROC __glColor4sv;
extern RGLSYMGLCOLOR4UBPROC __glColor4ub;
extern RGLSYMGLCOLOR4UBVPROC __glColor4ubv;
extern RGLSYMGLCOLOR4UIPROC __glColor4ui;
extern RGLSYMGLCOLOR4UIVPROC __glColor4uiv;
extern RGLSYMGLCOLOR4USPROC __glColor4us;
extern RGLSYMGLCOLOR4USVPROC __glColor4usv;
extern RGLSYMGLCOLOR4XOESPROC __glColor4xOES;
extern RGLSYMGLCOLOR4XVOESPROC __glColor4xvOES;
extern RGLSYMGLCOLORMASKIPROC __glColorMaski;
extern RGLSYMGLCOLORMASKPROC __glColorMask;
extern RGLSYMGLCOLORMATERIALPROC __glColorMaterial;
extern RGLSYMGLCOLORP3UIPROC __glColorP3ui;
extern RGLSYMGLCOLORP3UIVPROC __glColorP3uiv;
extern RGLSYMGLCOLORP4UIPROC __glColorP4ui;
extern RGLSYMGLCOLORP4UIVPROC __glColorP4uiv;
extern RGLSYMGLCOLORPOINTERPROC __glColorPointer;
extern RGLSYMGLCOLORSUBTABLEPROC __glColorSubTable;
extern RGLSYMGLCOLORTABLEPARAMETERFVPROC __glColorTableParameterfv;
extern RGLSYMGLCOLORTABLEPARAMETERIVPROC __glColorTableParameteriv;
extern RGLSYMGLCOLORTABLEPROC __glColorTable;
extern RGLSYMGLCOMPILESHADERARBPROC __glCompileShaderARB;
extern RGLSYMGLCOMPILESHADERINCLUDEARBPROC __glCompileShaderIncludeARB;
extern RGLSYMGLCOMPILESHADERPROC __glCompileShader;
extern RGLSYMGLCOMPRESSEDTEXIMAGE1DARBPROC __glCompressedTexImage1DARB;
extern RGLSYMGLCOMPRESSEDTEXIMAGE1DPROC __glCompressedTexImage1D;
extern RGLSYMGLCOMPRESSEDTEXIMAGE2DARBPROC __glCompressedTexImage2DARB;
extern RGLSYMGLCOMPRESSEDTEXIMAGE2DPROC __glCompressedTexImage2D;
extern RGLSYMGLCOMPRESSEDTEXIMAGE3DARBPROC __glCompressedTexImage3DARB;
extern RGLSYMGLCOMPRESSEDTEXIMAGE3DPROC __glCompressedTexImage3D;
extern RGLSYMGLCOMPRESSEDTEXSUBIMAGE1DARBPROC __glCompressedTexSubImage1DARB;
extern RGLSYMGLCOMPRESSEDTEXSUBIMAGE1DPROC __glCompressedTexSubImage1D;
extern RGLSYMGLCOMPRESSEDTEXSUBIMAGE2DARBPROC __glCompressedTexSubImage2DARB;
extern RGLSYMGLCOMPRESSEDTEXSUBIMAGE2DPROC __glCompressedTexSubImage2D;
extern RGLSYMGLCOMPRESSEDTEXSUBIMAGE3DARBPROC __glCompressedTexSubImage3DARB;
extern RGLSYMGLCOMPRESSEDTEXSUBIMAGE3DPROC __glCompressedTexSubImage3D;
extern RGLSYMGLCONVOLUTIONFILTER1DPROC __glConvolutionFilter1D;
extern RGLSYMGLCONVOLUTIONFILTER2DPROC __glConvolutionFilter2D;
extern RGLSYMGLCONVOLUTIONPARAMETERFPROC __glConvolutionParameterf;
extern RGLSYMGLCONVOLUTIONPARAMETERFVPROC __glConvolutionParameterfv;
extern RGLSYMGLCONVOLUTIONPARAMETERIPROC __glConvolutionParameteri;
extern RGLSYMGLCONVOLUTIONPARAMETERIVPROC __glConvolutionParameteriv;
extern RGLSYMGLCONVOLUTIONPARAMETERXOESPROC __glConvolutionParameterxOES;
extern RGLSYMGLCONVOLUTIONPARAMETERXVOESPROC __glConvolutionParameterxvOES;
extern RGLSYMGLCOPYBUFFERSUBDATAPROC __glCopyBufferSubData;
extern RGLSYMGLCOPYCOLORSUBTABLEPROC __glCopyColorSubTable;
extern RGLSYMGLCOPYCOLORTABLEPROC __glCopyColorTable;
extern RGLSYMGLCOPYCONVOLUTIONFILTER1DPROC __glCopyConvolutionFilter1D;
extern RGLSYMGLCOPYCONVOLUTIONFILTER2DPROC __glCopyConvolutionFilter2D;
extern RGLSYMGLCOPYIMAGESUBDATAPROC __glCopyImageSubData;
extern RGLSYMGLCOPYPIXELSPROC __glCopyPixels;
extern RGLSYMGLCOPYTEXIMAGE1DPROC __glCopyTexImage1D;
extern RGLSYMGLCOPYTEXIMAGE2DPROC __glCopyTexImage2D;
extern RGLSYMGLCOPYTEXSUBIMAGE1DPROC __glCopyTexSubImage1D;
extern RGLSYMGLCOPYTEXSUBIMAGE2DPROC __glCopyTexSubImage2D;
extern RGLSYMGLCOPYTEXSUBIMAGE3DPROC __glCopyTexSubImage3D;
extern RGLSYMGLCREATEPROGRAMOBJECTARBPROC __glCreateProgramObjectARB;
extern RGLSYMGLCREATEPROGRAMPROC __glCreateProgram;
extern RGLSYMGLCREATESHADEROBJECTARBPROC __glCreateShaderObjectARB;
extern RGLSYMGLCREATESHADERPROC __glCreateShader;
extern RGLSYMGLCREATESHADERPROGRAMVPROC __glCreateShaderProgramv;
extern RGLSYMGLCREATESYNCFROMCLEVENTARBPROC __glCreateSyncFromCLeventARB;
extern RGLSYMGLCULLFACEPROC __glCullFace;
extern RGLSYMGLCURRENTPALETTEMATRIXARBPROC __glCurrentPaletteMatrixARB;
extern RGLSYMGLDEBUGMESSAGECALLBACKARBPROC __glDebugMessageCallbackARB;
extern RGLSYMGLDEBUGMESSAGECALLBACKPROC __glDebugMessageCallback;
extern RGLSYMGLDEBUGMESSAGECONTROLARBPROC __glDebugMessageControlARB;
extern RGLSYMGLDEBUGMESSAGECONTROLPROC __glDebugMessageControl;
extern RGLSYMGLDEBUGMESSAGEINSERTARBPROC __glDebugMessageInsertARB;
extern RGLSYMGLDEBUGMESSAGEINSERTPROC __glDebugMessageInsert;
extern RGLSYMGLDELETEBUFFERSARBPROC __glDeleteBuffersARB;
extern RGLSYMGLDELETEBUFFERSPROC __glDeleteBuffers;
extern RGLSYMGLDELETEFRAMEBUFFERSPROC __glDeleteFramebuffers;
extern RGLSYMGLDELETELISTSPROC __glDeleteLists;
extern RGLSYMGLDELETENAMEDSTRINGARBPROC __glDeleteNamedStringARB;
extern RGLSYMGLDELETEOBJECTARBPROC __glDeleteObjectARB;
extern RGLSYMGLDELETEPROGRAMPIPELINESPROC __glDeleteProgramPipelines;
extern RGLSYMGLDELETEPROGRAMPROC __glDeleteProgram;
extern RGLSYMGLDELETEPROGRAMSARBPROC __glDeleteProgramsARB;
extern RGLSYMGLDELETEQUERIESARBPROC __glDeleteQueriesARB;
extern RGLSYMGLDELETEQUERIESPROC __glDeleteQueries;
extern RGLSYMGLDELETERENDERBUFFERSPROC __glDeleteRenderbuffers;
extern RGLSYMGLDELETESAMPLERSPROC __glDeleteSamplers;
extern RGLSYMGLDELETESHADERPROC __glDeleteShader;
extern RGLSYMGLDELETESYNCPROC __glDeleteSync;
extern RGLSYMGLDELETETEXTURESPROC __glDeleteTextures;
extern RGLSYMGLDELETETRANSFORMFEEDBACKSPROC __glDeleteTransformFeedbacks;
extern RGLSYMGLDELETEVERTEXARRAYSPROC __glDeleteVertexArrays;
extern RGLSYMGLDEPTHFUNCPROC __glDepthFunc;
extern RGLSYMGLDEPTHMASKPROC __glDepthMask;
extern RGLSYMGLDEPTHRANGEARRAYVPROC __glDepthRangeArrayv;
extern RGLSYMGLDEPTHRANGEFOESPROC __glDepthRangefOES;
extern RGLSYMGLDEPTHRANGEFPROC __glDepthRangef;
extern RGLSYMGLDEPTHRANGEINDEXEDPROC __glDepthRangeIndexed;
extern RGLSYMGLDEPTHRANGEPROC __glDepthRange;
extern RGLSYMGLDEPTHRANGEXOESPROC __glDepthRangexOES;
extern RGLSYMGLDETACHOBJECTARBPROC __glDetachObjectARB;
extern RGLSYMGLDETACHSHADERPROC __glDetachShader;
extern RGLSYMGLDISABLECLIENTSTATEPROC __glDisableClientState;
extern RGLSYMGLDISABLEIPROC __glDisablei;
extern RGLSYMGLDISABLEPROC __glDisable;
extern RGLSYMGLDISABLEVERTEXATTRIBARRAYARBPROC __glDisableVertexAttribArrayARB;
extern RGLSYMGLDISABLEVERTEXATTRIBARRAYPROC __glDisableVertexAttribArray;
extern RGLSYMGLDISPATCHCOMPUTEGROUPSIZEARBPROC __glDispatchComputeGroupSizeARB;
extern RGLSYMGLDISPATCHCOMPUTEINDIRECTPROC __glDispatchComputeIndirect;
extern RGLSYMGLDISPATCHCOMPUTEPROC __glDispatchCompute;
extern RGLSYMGLDRAWARRAYSINDIRECTPROC __glDrawArraysIndirect;
extern RGLSYMGLDRAWARRAYSINSTANCEDARBPROC __glDrawArraysInstancedARB;
extern RGLSYMGLDRAWARRAYSINSTANCEDBASEINSTANCEPROC __glDrawArraysInstancedBaseInstance;
extern RGLSYMGLDRAWARRAYSINSTANCEDPROC __glDrawArraysInstanced;
extern RGLSYMGLDRAWARRAYSPROC __glDrawArrays;
extern RGLSYMGLDRAWBUFFERPROC __glDrawBuffer;
extern RGLSYMGLDRAWBUFFERSARBPROC __glDrawBuffersARB;
extern RGLSYMGLDRAWBUFFERSPROC __glDrawBuffers;
extern RGLSYMGLDRAWELEMENTSBASEVERTEXPROC __glDrawElementsBaseVertex;
extern RGLSYMGLDRAWELEMENTSINDIRECTPROC __glDrawElementsIndirect;
extern RGLSYMGLDRAWELEMENTSINSTANCEDARBPROC __glDrawElementsInstancedARB;
extern RGLSYMGLDRAWELEMENTSINSTANCEDBASEINSTANCEPROC __glDrawElementsInstancedBaseInstance;
extern RGLSYMGLDRAWELEMENTSINSTANCEDBASEVERTEXBASEINSTANCEPROC __glDrawElementsInstancedBaseVertexBaseInstance;
extern RGLSYMGLDRAWELEMENTSINSTANCEDBASEVERTEXPROC __glDrawElementsInstancedBaseVertex;
extern RGLSYMGLDRAWELEMENTSINSTANCEDPROC __glDrawElementsInstanced;
extern RGLSYMGLDRAWELEMENTSPROC __glDrawElements;
extern RGLSYMGLDRAWPIXELSPROC __glDrawPixels;
extern RGLSYMGLDRAWRANGEELEMENTSBASEVERTEXPROC __glDrawRangeElementsBaseVertex;
extern RGLSYMGLDRAWRANGEELEMENTSPROC __glDrawRangeElements;
extern RGLSYMGLDRAWTRANSFORMFEEDBACKINSTANCEDPROC __glDrawTransformFeedbackInstanced;
extern RGLSYMGLDRAWTRANSFORMFEEDBACKPROC __glDrawTransformFeedback;
extern RGLSYMGLDRAWTRANSFORMFEEDBACKSTREAMINSTANCEDPROC __glDrawTransformFeedbackStreamInstanced;
extern RGLSYMGLDRAWTRANSFORMFEEDBACKSTREAMPROC __glDrawTransformFeedbackStream;
extern RGLSYMGLEDGEFLAGPOINTERPROC __glEdgeFlagPointer;
extern RGLSYMGLEDGEFLAGPROC __glEdgeFlag;
extern RGLSYMGLEDGEFLAGVPROC __glEdgeFlagv;
extern RGLSYMGLEGLIMAGETARGETRENDERBUFFERSTORAGEOESPROC __glEGLImageTargetRenderbufferStorageOES;
extern RGLSYMGLEGLIMAGETARGETTEXTURE2DOESPROC __glEGLImageTargetTexture2DOES;
extern RGLSYMGLENABLECLIENTSTATEPROC __glEnableClientState;
extern RGLSYMGLENABLEIPROC __glEnablei;
extern RGLSYMGLENABLEPROC __glEnable;
extern RGLSYMGLENABLEVERTEXATTRIBARRAYARBPROC __glEnableVertexAttribArrayARB;
extern RGLSYMGLENABLEVERTEXATTRIBARRAYPROC __glEnableVertexAttribArray;
extern RGLSYMGLENDCONDITIONALRENDERPROC __glEndConditionalRender;
extern RGLSYMGLENDLISTPROC __glEndList;
extern RGLSYMGLENDPROC __glEnd;
extern RGLSYMGLENDQUERYARBPROC __glEndQueryARB;
extern RGLSYMGLENDQUERYINDEXEDPROC __glEndQueryIndexed;
extern RGLSYMGLENDQUERYPROC __glEndQuery;
extern RGLSYMGLENDTRANSFORMFEEDBACKPROC __glEndTransformFeedback;
extern RGLSYMGLEVALCOORD1DPROC __glEvalCoord1d;
extern RGLSYMGLEVALCOORD1DVPROC __glEvalCoord1dv;
extern RGLSYMGLEVALCOORD1FPROC __glEvalCoord1f;
extern RGLSYMGLEVALCOORD1FVPROC __glEvalCoord1fv;
extern RGLSYMGLEVALCOORD1XOESPROC __glEvalCoord1xOES;
extern RGLSYMGLEVALCOORD1XVOESPROC __glEvalCoord1xvOES;
extern RGLSYMGLEVALCOORD2DPROC __glEvalCoord2d;
extern RGLSYMGLEVALCOORD2DVPROC __glEvalCoord2dv;
extern RGLSYMGLEVALCOORD2FPROC __glEvalCoord2f;
extern RGLSYMGLEVALCOORD2FVPROC __glEvalCoord2fv;
extern RGLSYMGLEVALCOORD2XOESPROC __glEvalCoord2xOES;
extern RGLSYMGLEVALCOORD2XVOESPROC __glEvalCoord2xvOES;
extern RGLSYMGLEVALMESH1PROC __glEvalMesh1;
extern RGLSYMGLEVALMESH2PROC __glEvalMesh2;
extern RGLSYMGLEVALPOINT1PROC __glEvalPoint1;
extern RGLSYMGLEVALPOINT2PROC __glEvalPoint2;
extern RGLSYMGLFEEDBACKBUFFERPROC __glFeedbackBuffer;
extern RGLSYMGLFEEDBACKBUFFERXOESPROC __glFeedbackBufferxOES;
extern RGLSYMGLFENCESYNCPROC __glFenceSync;
extern RGLSYMGLFINISHPROC __glFinish;
extern RGLSYMGLFLUSHMAPPEDBUFFERRANGEPROC __glFlushMappedBufferRange;
extern RGLSYMGLFLUSHPROC __glFlush;
extern RGLSYMGLFOGCOORDDPROC __glFogCoordd;
extern RGLSYMGLFOGCOORDDVPROC __glFogCoorddv;
extern RGLSYMGLFOGCOORDFPROC __glFogCoordf;
extern RGLSYMGLFOGCOORDFVPROC __glFogCoordfv;
extern RGLSYMGLFOGCOORDPOINTERPROC __glFogCoordPointer;
extern RGLSYMGLFOGFPROC __glFogf;
extern RGLSYMGLFOGFVPROC __glFogfv;
extern RGLSYMGLFOGIPROC __glFogi;
extern RGLSYMGLFOGIVPROC __glFogiv;
extern RGLSYMGLFOGXOESPROC __glFogxOES;
extern RGLSYMGLFOGXVOESPROC __glFogxvOES;
extern RGLSYMGLFRAMEBUFFERPARAMETERIPROC __glFramebufferParameteri;
extern RGLSYMGLFRAMEBUFFERRENDERBUFFERPROC __glFramebufferRenderbuffer;
extern RGLSYMGLFRAMEBUFFERTEXTURE1DPROC __glFramebufferTexture1D;
extern RGLSYMGLFRAMEBUFFERTEXTURE2DPROC __glFramebufferTexture2D;
extern RGLSYMGLFRAMEBUFFERTEXTURE3DPROC __glFramebufferTexture3D;
extern RGLSYMGLFRAMEBUFFERTEXTUREARBPROC __glFramebufferTextureARB;
extern RGLSYMGLFRAMEBUFFERTEXTUREFACEARBPROC __glFramebufferTextureFaceARB;
extern RGLSYMGLFRAMEBUFFERTEXTURELAYERARBPROC __glFramebufferTextureLayerARB;
extern RGLSYMGLFRAMEBUFFERTEXTURELAYERPROC __glFramebufferTextureLayer;
extern RGLSYMGLFRAMEBUFFERTEXTUREPROC __glFramebufferTexture;
extern RGLSYMGLFRONTFACEPROC __glFrontFace;
extern RGLSYMGLFRUSTUMFOESPROC __glFrustumfOES;
extern RGLSYMGLFRUSTUMPROC __glFrustum;
extern RGLSYMGLFRUSTUMXOESPROC __glFrustumxOES;
extern RGLSYMGLGENBUFFERSARBPROC __glGenBuffersARB;
extern RGLSYMGLGENBUFFERSPROC __glGenBuffers;
extern RGLSYMGLGENERATEMIPMAPPROC __glGenerateMipmap;
extern RGLSYMGLGENFRAMEBUFFERSPROC __glGenFramebuffers;
extern RGLSYMGLGENLISTSPROC __glGenLists;
extern RGLSYMGLGENPROGRAMPIPELINESPROC __glGenProgramPipelines;
extern RGLSYMGLGENPROGRAMSARBPROC __glGenProgramsARB;
extern RGLSYMGLGENQUERIESARBPROC __glGenQueriesARB;
extern RGLSYMGLGENQUERIESPROC __glGenQueries;
extern RGLSYMGLGENRENDERBUFFERSPROC __glGenRenderbuffers;
extern RGLSYMGLGENSAMPLERSPROC __glGenSamplers;
extern RGLSYMGLGENTEXTURESPROC __glGenTextures;
extern RGLSYMGLGENTRANSFORMFEEDBACKSPROC __glGenTransformFeedbacks;
extern RGLSYMGLGENVERTEXARRAYSPROC __glGenVertexArrays;
extern RGLSYMGLGETACTIVEATOMICCOUNTERBUFFERIVPROC __glGetActiveAtomicCounterBufferiv;
extern RGLSYMGLGETACTIVEATTRIBARBPROC __glGetActiveAttribARB;
extern RGLSYMGLGETACTIVEATTRIBPROC __glGetActiveAttrib;
extern RGLSYMGLGETACTIVESUBROUTINENAMEPROC __glGetActiveSubroutineName;
extern RGLSYMGLGETACTIVESUBROUTINEUNIFORMIVPROC __glGetActiveSubroutineUniformiv;
extern RGLSYMGLGETACTIVESUBROUTINEUNIFORMNAMEPROC __glGetActiveSubroutineUniformName;
extern RGLSYMGLGETACTIVEUNIFORMARBPROC __glGetActiveUniformARB;
extern RGLSYMGLGETACTIVEUNIFORMBLOCKIVPROC __glGetActiveUniformBlockiv;
extern RGLSYMGLGETACTIVEUNIFORMBLOCKNAMEPROC __glGetActiveUniformBlockName;
extern RGLSYMGLGETACTIVEUNIFORMNAMEPROC __glGetActiveUniformName;
extern RGLSYMGLGETACTIVEUNIFORMPROC __glGetActiveUniform;
extern RGLSYMGLGETACTIVEUNIFORMSIVPROC __glGetActiveUniformsiv;
extern RGLSYMGLGETATTACHEDOBJECTSARBPROC __glGetAttachedObjectsARB;
extern RGLSYMGLGETATTACHEDSHADERSPROC __glGetAttachedShaders;
extern RGLSYMGLGETATTRIBLOCATIONARBPROC __glGetAttribLocationARB;
extern RGLSYMGLGETATTRIBLOCATIONPROC __glGetAttribLocation;
extern RGLSYMGLGETBOOLEANI_VPROC __glGetBooleani_v;
extern RGLSYMGLGETBOOLEANVPROC __glGetBooleanv;
extern RGLSYMGLGETBUFFERPARAMETERI64VPROC __glGetBufferParameteri64v;
extern RGLSYMGLGETBUFFERPARAMETERIVARBPROC __glGetBufferParameterivARB;
extern RGLSYMGLGETBUFFERPARAMETERIVPROC __glGetBufferParameteriv;
extern RGLSYMGLGETBUFFERPOINTERVARBPROC __glGetBufferPointervARB;
extern RGLSYMGLGETBUFFERPOINTERVPROC __glGetBufferPointerv;
extern RGLSYMGLGETBUFFERSUBDATAARBPROC __glGetBufferSubDataARB;
extern RGLSYMGLGETBUFFERSUBDATAPROC __glGetBufferSubData;
extern RGLSYMGLGETCLIPPLANEFOESPROC __glGetClipPlanefOES;
extern RGLSYMGLGETCLIPPLANEPROC __glGetClipPlane;
extern RGLSYMGLGETCLIPPLANEXOESPROC __glGetClipPlanexOES;
extern RGLSYMGLGETCOLORTABLEPARAMETERFVPROC __glGetColorTableParameterfv;
extern RGLSYMGLGETCOLORTABLEPARAMETERIVPROC __glGetColorTableParameteriv;
extern RGLSYMGLGETCOLORTABLEPROC __glGetColorTable;
extern RGLSYMGLGETCOMPRESSEDTEXIMAGEARBPROC __glGetCompressedTexImageARB;
extern RGLSYMGLGETCOMPRESSEDTEXIMAGEPROC __glGetCompressedTexImage;
extern RGLSYMGLGETCONVOLUTIONFILTERPROC __glGetConvolutionFilter;
extern RGLSYMGLGETCONVOLUTIONPARAMETERFVPROC __glGetConvolutionParameterfv;
extern RGLSYMGLGETCONVOLUTIONPARAMETERIVPROC __glGetConvolutionParameteriv;
extern RGLSYMGLGETCONVOLUTIONPARAMETERXVOESPROC __glGetConvolutionParameterxvOES;
extern RGLSYMGLGETDEBUGMESSAGELOGARBPROC __glGetDebugMessageLogARB;
extern RGLSYMGLGETDEBUGMESSAGELOGPROC __glGetDebugMessageLog;
extern RGLSYMGLGETDOUBLEI_VPROC __glGetDoublei_v;
extern RGLSYMGLGETDOUBLEVPROC __glGetDoublev;
extern RGLSYMGLGETERRORPROC __glGetError;
extern RGLSYMGLGETFIXEDVOESPROC __glGetFixedvOES;
extern RGLSYMGLGETFLOATI_VPROC __glGetFloati_v;
extern RGLSYMGLGETFLOATVPROC __glGetFloatv;
extern RGLSYMGLGETFRAGDATAINDEXPROC __glGetFragDataIndex;
extern RGLSYMGLGETFRAGDATALOCATIONPROC __glGetFragDataLocation;
extern RGLSYMGLGETFRAMEBUFFERATTACHMENTPARAMETERIVPROC __glGetFramebufferAttachmentParameteriv;
extern RGLSYMGLGETFRAMEBUFFERPARAMETERIVPROC __glGetFramebufferParameteriv;
extern RGLSYMGLGETGRAPHICSRESETSTATUSARBPROC __glGetGraphicsResetStatusARB;
extern RGLSYMGLGETHANDLEARBPROC __glGetHandleARB;
extern RGLSYMGLGETHISTOGRAMPARAMETERFVPROC __glGetHistogramParameterfv;
extern RGLSYMGLGETHISTOGRAMPARAMETERIVPROC __glGetHistogramParameteriv;
extern RGLSYMGLGETHISTOGRAMPARAMETERXVOESPROC __glGetHistogramParameterxvOES;
extern RGLSYMGLGETHISTOGRAMPROC __glGetHistogram;
extern RGLSYMGLGETIMAGEHANDLEARBPROC __glGetImageHandleARB;
extern RGLSYMGLGETIMAGETRANSFORMPARAMETERFVHPPROC __glGetImageTransformParameterfvHP;
extern RGLSYMGLGETIMAGETRANSFORMPARAMETERIVHPPROC __glGetImageTransformParameterivHP;
extern RGLSYMGLGETINFOLOGARBPROC __glGetInfoLogARB;
extern RGLSYMGLGETINTEGER64I_VPROC __glGetInteger64i_v;
extern RGLSYMGLGETINTEGER64VPROC __glGetInteger64v;
extern RGLSYMGLGETINTEGERI_VPROC __glGetIntegeri_v;
extern RGLSYMGLGETINTEGERVPROC __glGetIntegerv;
extern RGLSYMGLGETINTERNALFORMATI64VPROC __glGetInternalformati64v;
extern RGLSYMGLGETINTERNALFORMATIVPROC __glGetInternalformativ;
extern RGLSYMGLGETLIGHTFVPROC __glGetLightfv;
extern RGLSYMGLGETLIGHTIVPROC __glGetLightiv;
extern RGLSYMGLGETLIGHTXOESPROC __glGetLightxOES;
extern RGLSYMGLGETMAPDVPROC __glGetMapdv;
extern RGLSYMGLGETMAPFVPROC __glGetMapfv;
extern RGLSYMGLGETMAPIVPROC __glGetMapiv;
extern RGLSYMGLGETMAPXVOESPROC __glGetMapxvOES;
extern RGLSYMGLGETMATERIALFVPROC __glGetMaterialfv;
extern RGLSYMGLGETMATERIALIVPROC __glGetMaterialiv;
extern RGLSYMGLGETMATERIALXOESPROC __glGetMaterialxOES;
extern RGLSYMGLGETMINMAXPARAMETERFVPROC __glGetMinmaxParameterfv;
extern RGLSYMGLGETMINMAXPARAMETERIVPROC __glGetMinmaxParameteriv;
extern RGLSYMGLGETMINMAXPROC __glGetMinmax;
extern RGLSYMGLGETMULTISAMPLEFVPROC __glGetMultisamplefv;
extern RGLSYMGLGETNAMEDSTRINGARBPROC __glGetNamedStringARB;
extern RGLSYMGLGETNAMEDSTRINGIVARBPROC __glGetNamedStringivARB;
extern RGLSYMGLGETNCOLORTABLEARBPROC __glGetnColorTableARB;
extern RGLSYMGLGETNCOMPRESSEDTEXIMAGEARBPROC __glGetnCompressedTexImageARB;
extern RGLSYMGLGETNCONVOLUTIONFILTERARBPROC __glGetnConvolutionFilterARB;
extern RGLSYMGLGETNHISTOGRAMARBPROC __glGetnHistogramARB;
extern RGLSYMGLGETNMAPDVARBPROC __glGetnMapdvARB;
extern RGLSYMGLGETNMAPFVARBPROC __glGetnMapfvARB;
extern RGLSYMGLGETNMAPIVARBPROC __glGetnMapivARB;
extern RGLSYMGLGETNMINMAXARBPROC __glGetnMinmaxARB;
extern RGLSYMGLGETNPIXELMAPFVARBPROC __glGetnPixelMapfvARB;
extern RGLSYMGLGETNPIXELMAPUIVARBPROC __glGetnPixelMapuivARB;
extern RGLSYMGLGETNPIXELMAPUSVARBPROC __glGetnPixelMapusvARB;
extern RGLSYMGLGETNPOLYGONSTIPPLEARBPROC __glGetnPolygonStippleARB;
extern RGLSYMGLGETNSEPARABLEFILTERARBPROC __glGetnSeparableFilterARB;
extern RGLSYMGLGETNTEXIMAGEARBPROC __glGetnTexImageARB;
extern RGLSYMGLGETNUNIFORMDVARBPROC __glGetnUniformdvARB;
extern RGLSYMGLGETNUNIFORMFVARBPROC __glGetnUniformfvARB;
extern RGLSYMGLGETNUNIFORMIVARBPROC __glGetnUniformivARB;
extern RGLSYMGLGETNUNIFORMUIVARBPROC __glGetnUniformuivARB;
extern RGLSYMGLGETOBJECTLABELPROC __glGetObjectLabel;
extern RGLSYMGLGETOBJECTPARAMETERFVARBPROC __glGetObjectParameterfvARB;
extern RGLSYMGLGETOBJECTPARAMETERIVARBPROC __glGetObjectParameterivARB;
extern RGLSYMGLGETOBJECTPTRLABELPROC __glGetObjectPtrLabel;
extern RGLSYMGLGETPIXELMAPFVPROC __glGetPixelMapfv;
extern RGLSYMGLGETPIXELMAPUIVPROC __glGetPixelMapuiv;
extern RGLSYMGLGETPIXELMAPUSVPROC __glGetPixelMapusv;
extern RGLSYMGLGETPIXELMAPXVPROC __glGetPixelMapxv;
extern RGLSYMGLGETPOINTERVPROC __glGetPointerv;
extern RGLSYMGLGETPOLYGONSTIPPLEPROC __glGetPolygonStipple;
extern RGLSYMGLGETPROGRAMBINARYPROC __glGetProgramBinary;
extern RGLSYMGLGETPROGRAMENVPARAMETERDVARBPROC __glGetProgramEnvParameterdvARB;
extern RGLSYMGLGETPROGRAMENVPARAMETERFVARBPROC __glGetProgramEnvParameterfvARB;
extern RGLSYMGLGETPROGRAMINFOLOGPROC __glGetProgramInfoLog;
extern RGLSYMGLGETPROGRAMINTERFACEIVPROC __glGetProgramInterfaceiv;
extern RGLSYMGLGETPROGRAMIVARBPROC __glGetProgramivARB;
extern RGLSYMGLGETPROGRAMIVPROC __glGetProgramiv;
extern RGLSYMGLGETPROGRAMLOCALPARAMETERDVARBPROC __glGetProgramLocalParameterdvARB;
extern RGLSYMGLGETPROGRAMLOCALPARAMETERFVARBPROC __glGetProgramLocalParameterfvARB;
extern RGLSYMGLGETPROGRAMPIPELINEINFOLOGPROC __glGetProgramPipelineInfoLog;
extern RGLSYMGLGETPROGRAMPIPELINEIVPROC __glGetProgramPipelineiv;
extern RGLSYMGLGETPROGRAMRESOURCEINDEXPROC __glGetProgramResourceIndex;
extern RGLSYMGLGETPROGRAMRESOURCEIVPROC __glGetProgramResourceiv;
extern RGLSYMGLGETPROGRAMRESOURCELOCATIONINDEXPROC __glGetProgramResourceLocationIndex;
extern RGLSYMGLGETPROGRAMRESOURCELOCATIONPROC __glGetProgramResourceLocation;
extern RGLSYMGLGETPROGRAMRESOURCENAMEPROC __glGetProgramResourceName;
extern RGLSYMGLGETPROGRAMSTAGEIVPROC __glGetProgramStageiv;
extern RGLSYMGLGETPROGRAMSTRINGARBPROC __glGetProgramStringARB;
extern RGLSYMGLGETQUERYINDEXEDIVPROC __glGetQueryIndexediv;
extern RGLSYMGLGETQUERYIVARBPROC __glGetQueryivARB;
extern RGLSYMGLGETQUERYIVPROC __glGetQueryiv;
extern RGLSYMGLGETQUERYOBJECTI64VPROC __glGetQueryObjecti64v;
extern RGLSYMGLGETQUERYOBJECTIVARBPROC __glGetQueryObjectivARB;
extern RGLSYMGLGETQUERYOBJECTIVPROC __glGetQueryObjectiv;
extern RGLSYMGLGETQUERYOBJECTUI64VPROC __glGetQueryObjectui64v;
extern RGLSYMGLGETQUERYOBJECTUIVARBPROC __glGetQueryObjectuivARB;
extern RGLSYMGLGETQUERYOBJECTUIVPROC __glGetQueryObjectuiv;
extern RGLSYMGLGETRENDERBUFFERPARAMETERIVPROC __glGetRenderbufferParameteriv;
extern RGLSYMGLGETSAMPLERPARAMETERFVPROC __glGetSamplerParameterfv;
extern RGLSYMGLGETSAMPLERPARAMETERIIVPROC __glGetSamplerParameterIiv;
extern RGLSYMGLGETSAMPLERPARAMETERIUIVPROC __glGetSamplerParameterIuiv;
extern RGLSYMGLGETSAMPLERPARAMETERIVPROC __glGetSamplerParameteriv;
extern RGLSYMGLGETSEPARABLEFILTERPROC __glGetSeparableFilter;
extern RGLSYMGLGETSHADERINFOLOGPROC __glGetShaderInfoLog;
extern RGLSYMGLGETSHADERIVPROC __glGetShaderiv;
extern RGLSYMGLGETSHADERPRECISIONFORMATPROC __glGetShaderPrecisionFormat;
extern RGLSYMGLGETSHADERSOURCEARBPROC __glGetShaderSourceARB;
extern RGLSYMGLGETSHADERSOURCEPROC __glGetShaderSource;
extern RGLSYMGLGETSTRINGIPROC __glGetStringi;
extern RGLSYMGLGETSTRINGPROC __glGetString;
extern RGLSYMGLGETSUBROUTINEINDEXPROC __glGetSubroutineIndex;
extern RGLSYMGLGETSUBROUTINEUNIFORMLOCATIONPROC __glGetSubroutineUniformLocation;
extern RGLSYMGLGETSYNCIVPROC __glGetSynciv;
extern RGLSYMGLGETTEXENVFVPROC __glGetTexEnvfv;
extern RGLSYMGLGETTEXENVIVPROC __glGetTexEnviv;
extern RGLSYMGLGETTEXENVXVOESPROC __glGetTexEnvxvOES;
extern RGLSYMGLGETTEXGENDVPROC __glGetTexGendv;
extern RGLSYMGLGETTEXGENFVPROC __glGetTexGenfv;
extern RGLSYMGLGETTEXGENIVPROC __glGetTexGeniv;
extern RGLSYMGLGETTEXGENXVOESPROC __glGetTexGenxvOES;
extern RGLSYMGLGETTEXIMAGEPROC __glGetTexImage;
extern RGLSYMGLGETTEXLEVELPARAMETERFVPROC __glGetTexLevelParameterfv;
extern RGLSYMGLGETTEXLEVELPARAMETERIVPROC __glGetTexLevelParameteriv;
extern RGLSYMGLGETTEXLEVELPARAMETERXVOESPROC __glGetTexLevelParameterxvOES;
extern RGLSYMGLGETTEXPARAMETERFVPROC __glGetTexParameterfv;
extern RGLSYMGLGETTEXPARAMETERIIVPROC __glGetTexParameterIiv;
extern RGLSYMGLGETTEXPARAMETERIUIVPROC __glGetTexParameterIuiv;
extern RGLSYMGLGETTEXPARAMETERIVPROC __glGetTexParameteriv;
extern RGLSYMGLGETTEXPARAMETERXVOESPROC __glGetTexParameterxvOES;
extern RGLSYMGLGETTEXTUREHANDLEARBPROC __glGetTextureHandleARB;
extern RGLSYMGLGETTEXTURESAMPLERHANDLEARBPROC __glGetTextureSamplerHandleARB;
extern RGLSYMGLGETTRANSFORMFEEDBACKVARYINGPROC __glGetTransformFeedbackVarying;
extern RGLSYMGLGETUNIFORMBLOCKINDEXPROC __glGetUniformBlockIndex;
extern RGLSYMGLGETUNIFORMDVPROC __glGetUniformdv;
extern RGLSYMGLGETUNIFORMFVARBPROC __glGetUniformfvARB;
extern RGLSYMGLGETUNIFORMFVPROC __glGetUniformfv;
extern RGLSYMGLGETUNIFORMINDICESPROC __glGetUniformIndices;
extern RGLSYMGLGETUNIFORMIVARBPROC __glGetUniformivARB;
extern RGLSYMGLGETUNIFORMIVPROC __glGetUniformiv;
extern RGLSYMGLGETUNIFORMLOCATIONARBPROC __glGetUniformLocationARB;
extern RGLSYMGLGETUNIFORMLOCATIONPROC __glGetUniformLocation;
extern RGLSYMGLGETUNIFORMSUBROUTINEUIVPROC __glGetUniformSubroutineuiv;
extern RGLSYMGLGETUNIFORMUIVPROC __glGetUniformuiv;
extern RGLSYMGLGETVERTEXATTRIBDVARBPROC __glGetVertexAttribdvARB;
extern RGLSYMGLGETVERTEXATTRIBDVPROC __glGetVertexAttribdv;
extern RGLSYMGLGETVERTEXATTRIBFVARBPROC __glGetVertexAttribfvARB;
extern RGLSYMGLGETVERTEXATTRIBFVPROC __glGetVertexAttribfv;
extern RGLSYMGLGETVERTEXATTRIBIIVPROC __glGetVertexAttribIiv;
extern RGLSYMGLGETVERTEXATTRIBIUIVPROC __glGetVertexAttribIuiv;
extern RGLSYMGLGETVERTEXATTRIBIVARBPROC __glGetVertexAttribivARB;
extern RGLSYMGLGETVERTEXATTRIBIVPROC __glGetVertexAttribiv;
extern RGLSYMGLGETVERTEXATTRIBLDVPROC __glGetVertexAttribLdv;
extern RGLSYMGLGETVERTEXATTRIBLUI64VARBPROC __glGetVertexAttribLui64vARB;
extern RGLSYMGLGETVERTEXATTRIBPOINTERVARBPROC __glGetVertexAttribPointervARB;
extern RGLSYMGLGETVERTEXATTRIBPOINTERVPROC __glGetVertexAttribPointerv;
extern RGLSYMGLHINTPROC __glHint;
extern RGLSYMGLHISTOGRAMPROC __glHistogram;
extern RGLSYMGLIMAGETRANSFORMPARAMETERFHPPROC __glImageTransformParameterfHP;
extern RGLSYMGLIMAGETRANSFORMPARAMETERFVHPPROC __glImageTransformParameterfvHP;
extern RGLSYMGLIMAGETRANSFORMPARAMETERIHPPROC __glImageTransformParameteriHP;
extern RGLSYMGLIMAGETRANSFORMPARAMETERIVHPPROC __glImageTransformParameterivHP;
extern RGLSYMGLINDEXDPROC __glIndexd;
extern RGLSYMGLINDEXDVPROC __glIndexdv;
extern RGLSYMGLINDEXFPROC __glIndexf;
extern RGLSYMGLINDEXFVPROC __glIndexfv;
extern RGLSYMGLINDEXIPROC __glIndexi;
extern RGLSYMGLINDEXIVPROC __glIndexiv;
extern RGLSYMGLINDEXMASKPROC __glIndexMask;
extern RGLSYMGLINDEXPOINTERPROC __glIndexPointer;
extern RGLSYMGLINDEXSPROC __glIndexs;
extern RGLSYMGLINDEXSVPROC __glIndexsv;
extern RGLSYMGLINDEXUBPROC __glIndexub;
extern RGLSYMGLINDEXUBVPROC __glIndexubv;
extern RGLSYMGLINDEXXOESPROC __glIndexxOES;
extern RGLSYMGLINDEXXVOESPROC __glIndexxvOES;
extern RGLSYMGLINITNAMESPROC __glInitNames;
extern RGLSYMGLINTERLEAVEDARRAYSPROC __glInterleavedArrays;
extern RGLSYMGLINVALIDATEBUFFERDATAPROC __glInvalidateBufferData;
extern RGLSYMGLINVALIDATEBUFFERSUBDATAPROC __glInvalidateBufferSubData;
extern RGLSYMGLINVALIDATEFRAMEBUFFERPROC __glInvalidateFramebuffer;
extern RGLSYMGLINVALIDATESUBFRAMEBUFFERPROC __glInvalidateSubFramebuffer;
extern RGLSYMGLINVALIDATETEXIMAGEPROC __glInvalidateTexImage;
extern RGLSYMGLINVALIDATETEXSUBIMAGEPROC __glInvalidateTexSubImage;
extern RGLSYMGLISBUFFERARBPROC __glIsBufferARB;
extern RGLSYMGLISBUFFERPROC __glIsBuffer;
extern RGLSYMGLISENABLEDIPROC __glIsEnabledi;
extern RGLSYMGLISENABLEDPROC __glIsEnabled;
extern RGLSYMGLISFRAMEBUFFERPROC __glIsFramebuffer;
extern RGLSYMGLISIMAGEHANDLERESIDENTARBPROC __glIsImageHandleResidentARB;
extern RGLSYMGLISLISTPROC __glIsList;
extern RGLSYMGLISNAMEDSTRINGARBPROC __glIsNamedStringARB;
extern RGLSYMGLISPROGRAMARBPROC __glIsProgramARB;
extern RGLSYMGLISPROGRAMPIPELINEPROC __glIsProgramPipeline;
extern RGLSYMGLISPROGRAMPROC __glIsProgram;
extern RGLSYMGLISQUERYARBPROC __glIsQueryARB;
extern RGLSYMGLISQUERYPROC __glIsQuery;
extern RGLSYMGLISRENDERBUFFERPROC __glIsRenderbuffer;
extern RGLSYMGLISSAMPLERPROC __glIsSampler;
extern RGLSYMGLISSHADERPROC __glIsShader;
extern RGLSYMGLISSYNCPROC __glIsSync;
extern RGLSYMGLISTEXTUREHANDLERESIDENTARBPROC __glIsTextureHandleResidentARB;
extern RGLSYMGLISTEXTUREPROC __glIsTexture;
extern RGLSYMGLISTRANSFORMFEEDBACKPROC __glIsTransformFeedback;
extern RGLSYMGLISVERTEXARRAYPROC __glIsVertexArray;
extern RGLSYMGLLIGHTFPROC __glLightf;
extern RGLSYMGLLIGHTFVPROC __glLightfv;
extern RGLSYMGLLIGHTIPROC __glLighti;
extern RGLSYMGLLIGHTIVPROC __glLightiv;
extern RGLSYMGLLIGHTMODELFPROC __glLightModelf;
extern RGLSYMGLLIGHTMODELFVPROC __glLightModelfv;
extern RGLSYMGLLIGHTMODELIPROC __glLightModeli;
extern RGLSYMGLLIGHTMODELIVPROC __glLightModeliv;
extern RGLSYMGLLIGHTMODELXOESPROC __glLightModelxOES;
extern RGLSYMGLLIGHTMODELXVOESPROC __glLightModelxvOES;
extern RGLSYMGLLIGHTXOESPROC __glLightxOES;
extern RGLSYMGLLIGHTXVOESPROC __glLightxvOES;
extern RGLSYMGLLINESTIPPLEPROC __glLineStipple;
extern RGLSYMGLLINEWIDTHPROC __glLineWidth;
extern RGLSYMGLLINEWIDTHXOESPROC __glLineWidthxOES;
extern RGLSYMGLLINKPROGRAMARBPROC __glLinkProgramARB;
extern RGLSYMGLLINKPROGRAMPROC __glLinkProgram;
extern RGLSYMGLLISTBASEPROC __glListBase;
extern RGLSYMGLLOADIDENTITYPROC __glLoadIdentity;
extern RGLSYMGLLOADMATRIXDPROC __glLoadMatrixd;
extern RGLSYMGLLOADMATRIXFPROC __glLoadMatrixf;
extern RGLSYMGLLOADMATRIXXOESPROC __glLoadMatrixxOES;
extern RGLSYMGLLOADNAMEPROC __glLoadName;
extern RGLSYMGLLOADTRANSPOSEMATRIXDARBPROC __glLoadTransposeMatrixdARB;
extern RGLSYMGLLOADTRANSPOSEMATRIXDPROC __glLoadTransposeMatrixd;
extern RGLSYMGLLOADTRANSPOSEMATRIXFARBPROC __glLoadTransposeMatrixfARB;
extern RGLSYMGLLOADTRANSPOSEMATRIXFPROC __glLoadTransposeMatrixf;
extern RGLSYMGLLOADTRANSPOSEMATRIXXOESPROC __glLoadTransposeMatrixxOES;
extern RGLSYMGLLOGICOPPROC __glLogicOp;
extern RGLSYMGLMAKEIMAGEHANDLENONRESIDENTARBPROC __glMakeImageHandleNonResidentARB;
extern RGLSYMGLMAKEIMAGEHANDLERESIDENTARBPROC __glMakeImageHandleResidentARB;
extern RGLSYMGLMAKETEXTUREHANDLENONRESIDENTARBPROC __glMakeTextureHandleNonResidentARB;
extern RGLSYMGLMAKETEXTUREHANDLERESIDENTARBPROC __glMakeTextureHandleResidentARB;
extern RGLSYMGLMAP1DPROC __glMap1d;
extern RGLSYMGLMAP1FPROC __glMap1f;
extern RGLSYMGLMAP1XOESPROC __glMap1xOES;
extern RGLSYMGLMAP2DPROC __glMap2d;
extern RGLSYMGLMAP2FPROC __glMap2f;
extern RGLSYMGLMAP2XOESPROC __glMap2xOES;
extern RGLSYMGLMAPBUFFERARBPROC __glMapBufferARB;
extern RGLSYMGLMAPBUFFERPROC __glMapBuffer;
extern RGLSYMGLMAPBUFFERRANGEPROC __glMapBufferRange;
extern RGLSYMGLMAPGRID1DPROC __glMapGrid1d;
extern RGLSYMGLMAPGRID1FPROC __glMapGrid1f;
extern RGLSYMGLMAPGRID1XOESPROC __glMapGrid1xOES;
extern RGLSYMGLMAPGRID2DPROC __glMapGrid2d;
extern RGLSYMGLMAPGRID2FPROC __glMapGrid2f;
extern RGLSYMGLMAPGRID2XOESPROC __glMapGrid2xOES;
extern RGLSYMGLMATERIALFPROC __glMaterialf;
extern RGLSYMGLMATERIALFVPROC __glMaterialfv;
extern RGLSYMGLMATERIALIPROC __glMateriali;
extern RGLSYMGLMATERIALIVPROC __glMaterialiv;
extern RGLSYMGLMATERIALXOESPROC __glMaterialxOES;
extern RGLSYMGLMATERIALXVOESPROC __glMaterialxvOES;
extern RGLSYMGLMATRIXINDEXPOINTERARBPROC __glMatrixIndexPointerARB;
extern RGLSYMGLMATRIXINDEXUBVARBPROC __glMatrixIndexubvARB;
extern RGLSYMGLMATRIXINDEXUIVARBPROC __glMatrixIndexuivARB;
extern RGLSYMGLMATRIXINDEXUSVARBPROC __glMatrixIndexusvARB;
extern RGLSYMGLMATRIXMODEPROC __glMatrixMode;
extern RGLSYMGLMEMORYBARRIERPROC __glMemoryBarrier;
extern RGLSYMGLMINMAXPROC __glMinmax;
extern RGLSYMGLMINSAMPLESHADINGARBPROC __glMinSampleShadingARB;
extern RGLSYMGLMINSAMPLESHADINGPROC __glMinSampleShading;
extern RGLSYMGLMULTIDRAWARRAYSINDIRECTCOUNTARBPROC __glMultiDrawArraysIndirectCountARB;
extern RGLSYMGLMULTIDRAWARRAYSINDIRECTPROC __glMultiDrawArraysIndirect;
extern RGLSYMGLMULTIDRAWARRAYSPROC __glMultiDrawArrays;
extern RGLSYMGLMULTIDRAWELEMENTSBASEVERTEXPROC __glMultiDrawElementsBaseVertex;
extern RGLSYMGLMULTIDRAWELEMENTSINDIRECTCOUNTARBPROC __glMultiDrawElementsIndirectCountARB;
extern RGLSYMGLMULTIDRAWELEMENTSINDIRECTPROC __glMultiDrawElementsIndirect;
extern RGLSYMGLMULTIDRAWELEMENTSPROC __glMultiDrawElements;
extern RGLSYMGLMULTITEXCOORD1BOESPROC __glMultiTexCoord1bOES;
extern RGLSYMGLMULTITEXCOORD1BVOESPROC __glMultiTexCoord1bvOES;
extern RGLSYMGLMULTITEXCOORD1DARBPROC __glMultiTexCoord1dARB;
extern RGLSYMGLMULTITEXCOORD1DPROC __glMultiTexCoord1d;
extern RGLSYMGLMULTITEXCOORD1DVARBPROC __glMultiTexCoord1dvARB;
extern RGLSYMGLMULTITEXCOORD1DVPROC __glMultiTexCoord1dv;
extern RGLSYMGLMULTITEXCOORD1FARBPROC __glMultiTexCoord1fARB;
extern RGLSYMGLMULTITEXCOORD1FPROC __glMultiTexCoord1f;
extern RGLSYMGLMULTITEXCOORD1FVARBPROC __glMultiTexCoord1fvARB;
extern RGLSYMGLMULTITEXCOORD1FVPROC __glMultiTexCoord1fv;
extern RGLSYMGLMULTITEXCOORD1IARBPROC __glMultiTexCoord1iARB;
extern RGLSYMGLMULTITEXCOORD1IPROC __glMultiTexCoord1i;
extern RGLSYMGLMULTITEXCOORD1IVARBPROC __glMultiTexCoord1ivARB;
extern RGLSYMGLMULTITEXCOORD1IVPROC __glMultiTexCoord1iv;
extern RGLSYMGLMULTITEXCOORD1SARBPROC __glMultiTexCoord1sARB;
extern RGLSYMGLMULTITEXCOORD1SPROC __glMultiTexCoord1s;
extern RGLSYMGLMULTITEXCOORD1SVARBPROC __glMultiTexCoord1svARB;
extern RGLSYMGLMULTITEXCOORD1SVPROC __glMultiTexCoord1sv;
extern RGLSYMGLMULTITEXCOORD1XOESPROC __glMultiTexCoord1xOES;
extern RGLSYMGLMULTITEXCOORD1XVOESPROC __glMultiTexCoord1xvOES;
extern RGLSYMGLMULTITEXCOORD2BOESPROC __glMultiTexCoord2bOES;
extern RGLSYMGLMULTITEXCOORD2BVOESPROC __glMultiTexCoord2bvOES;
extern RGLSYMGLMULTITEXCOORD2DARBPROC __glMultiTexCoord2dARB;
extern RGLSYMGLMULTITEXCOORD2DPROC __glMultiTexCoord2d;
extern RGLSYMGLMULTITEXCOORD2DVARBPROC __glMultiTexCoord2dvARB;
extern RGLSYMGLMULTITEXCOORD2DVPROC __glMultiTexCoord2dv;
extern RGLSYMGLMULTITEXCOORD2FARBPROC __glMultiTexCoord2fARB;
extern RGLSYMGLMULTITEXCOORD2FPROC __glMultiTexCoord2f;
extern RGLSYMGLMULTITEXCOORD2FVARBPROC __glMultiTexCoord2fvARB;
extern RGLSYMGLMULTITEXCOORD2FVPROC __glMultiTexCoord2fv;
extern RGLSYMGLMULTITEXCOORD2IARBPROC __glMultiTexCoord2iARB;
extern RGLSYMGLMULTITEXCOORD2IPROC __glMultiTexCoord2i;
extern RGLSYMGLMULTITEXCOORD2IVARBPROC __glMultiTexCoord2ivARB;
extern RGLSYMGLMULTITEXCOORD2IVPROC __glMultiTexCoord2iv;
extern RGLSYMGLMULTITEXCOORD2SARBPROC __glMultiTexCoord2sARB;
extern RGLSYMGLMULTITEXCOORD2SPROC __glMultiTexCoord2s;
extern RGLSYMGLMULTITEXCOORD2SVARBPROC __glMultiTexCoord2svARB;
extern RGLSYMGLMULTITEXCOORD2SVPROC __glMultiTexCoord2sv;
extern RGLSYMGLMULTITEXCOORD2XOESPROC __glMultiTexCoord2xOES;
extern RGLSYMGLMULTITEXCOORD2XVOESPROC __glMultiTexCoord2xvOES;
extern RGLSYMGLMULTITEXCOORD3BOESPROC __glMultiTexCoord3bOES;
extern RGLSYMGLMULTITEXCOORD3BVOESPROC __glMultiTexCoord3bvOES;
extern RGLSYMGLMULTITEXCOORD3DARBPROC __glMultiTexCoord3dARB;
extern RGLSYMGLMULTITEXCOORD3DPROC __glMultiTexCoord3d;
extern RGLSYMGLMULTITEXCOORD3DVARBPROC __glMultiTexCoord3dvARB;
extern RGLSYMGLMULTITEXCOORD3DVPROC __glMultiTexCoord3dv;
extern RGLSYMGLMULTITEXCOORD3FARBPROC __glMultiTexCoord3fARB;
extern RGLSYMGLMULTITEXCOORD3FPROC __glMultiTexCoord3f;
extern RGLSYMGLMULTITEXCOORD3FVARBPROC __glMultiTexCoord3fvARB;
extern RGLSYMGLMULTITEXCOORD3FVPROC __glMultiTexCoord3fv;
extern RGLSYMGLMULTITEXCOORD3IARBPROC __glMultiTexCoord3iARB;
extern RGLSYMGLMULTITEXCOORD3IPROC __glMultiTexCoord3i;
extern RGLSYMGLMULTITEXCOORD3IVARBPROC __glMultiTexCoord3ivARB;
extern RGLSYMGLMULTITEXCOORD3IVPROC __glMultiTexCoord3iv;
extern RGLSYMGLMULTITEXCOORD3SARBPROC __glMultiTexCoord3sARB;
extern RGLSYMGLMULTITEXCOORD3SPROC __glMultiTexCoord3s;
extern RGLSYMGLMULTITEXCOORD3SVARBPROC __glMultiTexCoord3svARB;
extern RGLSYMGLMULTITEXCOORD3SVPROC __glMultiTexCoord3sv;
extern RGLSYMGLMULTITEXCOORD3XOESPROC __glMultiTexCoord3xOES;
extern RGLSYMGLMULTITEXCOORD3XVOESPROC __glMultiTexCoord3xvOES;
extern RGLSYMGLMULTITEXCOORD4BOESPROC __glMultiTexCoord4bOES;
extern RGLSYMGLMULTITEXCOORD4BVOESPROC __glMultiTexCoord4bvOES;
extern RGLSYMGLMULTITEXCOORD4DARBPROC __glMultiTexCoord4dARB;
extern RGLSYMGLMULTITEXCOORD4DPROC __glMultiTexCoord4d;
extern RGLSYMGLMULTITEXCOORD4DVARBPROC __glMultiTexCoord4dvARB;
extern RGLSYMGLMULTITEXCOORD4DVPROC __glMultiTexCoord4dv;
extern RGLSYMGLMULTITEXCOORD4FARBPROC __glMultiTexCoord4fARB;
extern RGLSYMGLMULTITEXCOORD4FPROC __glMultiTexCoord4f;
extern RGLSYMGLMULTITEXCOORD4FVARBPROC __glMultiTexCoord4fvARB;
extern RGLSYMGLMULTITEXCOORD4FVPROC __glMultiTexCoord4fv;
extern RGLSYMGLMULTITEXCOORD4IARBPROC __glMultiTexCoord4iARB;
extern RGLSYMGLMULTITEXCOORD4IPROC __glMultiTexCoord4i;
extern RGLSYMGLMULTITEXCOORD4IVARBPROC __glMultiTexCoord4ivARB;
extern RGLSYMGLMULTITEXCOORD4IVPROC __glMultiTexCoord4iv;
extern RGLSYMGLMULTITEXCOORD4SARBPROC __glMultiTexCoord4sARB;
extern RGLSYMGLMULTITEXCOORD4SPROC __glMultiTexCoord4s;
extern RGLSYMGLMULTITEXCOORD4SVARBPROC __glMultiTexCoord4svARB;
extern RGLSYMGLMULTITEXCOORD4SVPROC __glMultiTexCoord4sv;
extern RGLSYMGLMULTITEXCOORD4XOESPROC __glMultiTexCoord4xOES;
extern RGLSYMGLMULTITEXCOORD4XVOESPROC __glMultiTexCoord4xvOES;
extern RGLSYMGLMULTITEXCOORDP1UIPROC __glMultiTexCoordP1ui;
extern RGLSYMGLMULTITEXCOORDP1UIVPROC __glMultiTexCoordP1uiv;
extern RGLSYMGLMULTITEXCOORDP2UIPROC __glMultiTexCoordP2ui;
extern RGLSYMGLMULTITEXCOORDP2UIVPROC __glMultiTexCoordP2uiv;
extern RGLSYMGLMULTITEXCOORDP3UIPROC __glMultiTexCoordP3ui;
extern RGLSYMGLMULTITEXCOORDP3UIVPROC __glMultiTexCoordP3uiv;
extern RGLSYMGLMULTITEXCOORDP4UIPROC __glMultiTexCoordP4ui;
extern RGLSYMGLMULTITEXCOORDP4UIVPROC __glMultiTexCoordP4uiv;
extern RGLSYMGLMULTMATRIXDPROC __glMultMatrixd;
extern RGLSYMGLMULTMATRIXFPROC __glMultMatrixf;
extern RGLSYMGLMULTMATRIXXOESPROC __glMultMatrixxOES;
extern RGLSYMGLMULTTRANSPOSEMATRIXDARBPROC __glMultTransposeMatrixdARB;
extern RGLSYMGLMULTTRANSPOSEMATRIXDPROC __glMultTransposeMatrixd;
extern RGLSYMGLMULTTRANSPOSEMATRIXFARBPROC __glMultTransposeMatrixfARB;
extern RGLSYMGLMULTTRANSPOSEMATRIXFPROC __glMultTransposeMatrixf;
extern RGLSYMGLMULTTRANSPOSEMATRIXXOESPROC __glMultTransposeMatrixxOES;
extern RGLSYMGLNAMEDSTRINGARBPROC __glNamedStringARB;
extern RGLSYMGLNEWLISTPROC __glNewList;
extern RGLSYMGLNORMAL3BPROC __glNormal3b;
extern RGLSYMGLNORMAL3BVPROC __glNormal3bv;
extern RGLSYMGLNORMAL3DPROC __glNormal3d;
extern RGLSYMGLNORMAL3DVPROC __glNormal3dv;
extern RGLSYMGLNORMAL3FPROC __glNormal3f;
extern RGLSYMGLNORMAL3FVPROC __glNormal3fv;
extern RGLSYMGLNORMAL3IPROC __glNormal3i;
extern RGLSYMGLNORMAL3IVPROC __glNormal3iv;
extern RGLSYMGLNORMAL3SPROC __glNormal3s;
extern RGLSYMGLNORMAL3SVPROC __glNormal3sv;
extern RGLSYMGLNORMAL3XOESPROC __glNormal3xOES;
extern RGLSYMGLNORMAL3XVOESPROC __glNormal3xvOES;
extern RGLSYMGLNORMALP3UIPROC __glNormalP3ui;
extern RGLSYMGLNORMALP3UIVPROC __glNormalP3uiv;
extern RGLSYMGLNORMALPOINTERPROC __glNormalPointer;
extern RGLSYMGLOBJECTLABELPROC __glObjectLabel;
extern RGLSYMGLOBJECTPTRLABELPROC __glObjectPtrLabel;
extern RGLSYMGLORTHOFOESPROC __glOrthofOES;
extern RGLSYMGLORTHOPROC __glOrtho;
extern RGLSYMGLORTHOXOESPROC __glOrthoxOES;
extern RGLSYMGLPASSTHROUGHPROC __glPassThrough;
extern RGLSYMGLPASSTHROUGHXOESPROC __glPassThroughxOES;
extern RGLSYMGLPATCHPARAMETERFVPROC __glPatchParameterfv;
extern RGLSYMGLPATCHPARAMETERIPROC __glPatchParameteri;
extern RGLSYMGLPAUSETRANSFORMFEEDBACKPROC __glPauseTransformFeedback;
extern RGLSYMGLPIXELMAPFVPROC __glPixelMapfv;
extern RGLSYMGLPIXELMAPUIVPROC __glPixelMapuiv;
extern RGLSYMGLPIXELMAPUSVPROC __glPixelMapusv;
extern RGLSYMGLPIXELMAPXPROC __glPixelMapx;
extern RGLSYMGLPIXELSTOREFPROC __glPixelStoref;
extern RGLSYMGLPIXELSTOREIPROC __glPixelStorei;
extern RGLSYMGLPIXELSTOREXPROC __glPixelStorex;
extern RGLSYMGLPIXELTRANSFERFPROC __glPixelTransferf;
extern RGLSYMGLPIXELTRANSFERIPROC __glPixelTransferi;
extern RGLSYMGLPIXELTRANSFERXOESPROC __glPixelTransferxOES;
extern RGLSYMGLPIXELZOOMPROC __glPixelZoom;
extern RGLSYMGLPIXELZOOMXOESPROC __glPixelZoomxOES;
extern RGLSYMGLPOINTPARAMETERFARBPROC __glPointParameterfARB;
extern RGLSYMGLPOINTPARAMETERFPROC __glPointParameterf;
extern RGLSYMGLPOINTPARAMETERFVARBPROC __glPointParameterfvARB;
extern RGLSYMGLPOINTPARAMETERFVPROC __glPointParameterfv;
extern RGLSYMGLPOINTPARAMETERIPROC __glPointParameteri;
extern RGLSYMGLPOINTPARAMETERIVPROC __glPointParameteriv;
extern RGLSYMGLPOINTPARAMETERXVOESPROC __glPointParameterxvOES;
extern RGLSYMGLPOINTSIZEPROC __glPointSize;
extern RGLSYMGLPOINTSIZEXOESPROC __glPointSizexOES;
extern RGLSYMGLPOLYGONMODEPROC __glPolygonMode;
extern RGLSYMGLPOLYGONOFFSETPROC __glPolygonOffset;
extern RGLSYMGLPOLYGONOFFSETXOESPROC __glPolygonOffsetxOES;
extern RGLSYMGLPOLYGONSTIPPLEPROC __glPolygonStipple;
extern RGLSYMGLPOPATTRIBPROC __glPopAttrib;
extern RGLSYMGLPOPCLIENTATTRIBPROC __glPopClientAttrib;
extern RGLSYMGLPOPDEBUGGROUPPROC __glPopDebugGroup;
extern RGLSYMGLPOPMATRIXPROC __glPopMatrix;
extern RGLSYMGLPOPNAMEPROC __glPopName;
extern RGLSYMGLPRIMITIVERESTARTINDEXPROC __glPrimitiveRestartIndex;
extern RGLSYMGLPRIORITIZETEXTURESPROC __glPrioritizeTextures;
extern RGLSYMGLPRIORITIZETEXTURESXOESPROC __glPrioritizeTexturesxOES;
extern RGLSYMGLPROGRAMBINARYPROC __glProgramBinary;
extern RGLSYMGLPROGRAMENVPARAMETER4DARBPROC __glProgramEnvParameter4dARB;
extern RGLSYMGLPROGRAMENVPARAMETER4DVARBPROC __glProgramEnvParameter4dvARB;
extern RGLSYMGLPROGRAMENVPARAMETER4FARBPROC __glProgramEnvParameter4fARB;
extern RGLSYMGLPROGRAMENVPARAMETER4FVARBPROC __glProgramEnvParameter4fvARB;
extern RGLSYMGLPROGRAMLOCALPARAMETER4DARBPROC __glProgramLocalParameter4dARB;
extern RGLSYMGLPROGRAMLOCALPARAMETER4DVARBPROC __glProgramLocalParameter4dvARB;
extern RGLSYMGLPROGRAMLOCALPARAMETER4FARBPROC __glProgramLocalParameter4fARB;
extern RGLSYMGLPROGRAMLOCALPARAMETER4FVARBPROC __glProgramLocalParameter4fvARB;
extern RGLSYMGLPROGRAMPARAMETERIARBPROC __glProgramParameteriARB;
extern RGLSYMGLPROGRAMPARAMETERIPROC __glProgramParameteri;
extern RGLSYMGLPROGRAMSTRINGARBPROC __glProgramStringARB;
extern RGLSYMGLPROGRAMUNIFORM1DPROC __glProgramUniform1d;
extern RGLSYMGLPROGRAMUNIFORM1DVPROC __glProgramUniform1dv;
extern RGLSYMGLPROGRAMUNIFORM1FPROC __glProgramUniform1f;
extern RGLSYMGLPROGRAMUNIFORM1FVPROC __glProgramUniform1fv;
extern RGLSYMGLPROGRAMUNIFORM1IPROC __glProgramUniform1i;
extern RGLSYMGLPROGRAMUNIFORM1IVPROC __glProgramUniform1iv;
extern RGLSYMGLPROGRAMUNIFORM1UIPROC __glProgramUniform1ui;
extern RGLSYMGLPROGRAMUNIFORM1UIVPROC __glProgramUniform1uiv;
extern RGLSYMGLPROGRAMUNIFORM2DPROC __glProgramUniform2d;
extern RGLSYMGLPROGRAMUNIFORM2DVPROC __glProgramUniform2dv;
extern RGLSYMGLPROGRAMUNIFORM2FPROC __glProgramUniform2f;
extern RGLSYMGLPROGRAMUNIFORM2FVPROC __glProgramUniform2fv;
extern RGLSYMGLPROGRAMUNIFORM2IPROC __glProgramUniform2i;
extern RGLSYMGLPROGRAMUNIFORM2IVPROC __glProgramUniform2iv;
extern RGLSYMGLPROGRAMUNIFORM2UIPROC __glProgramUniform2ui;
extern RGLSYMGLPROGRAMUNIFORM2UIVPROC __glProgramUniform2uiv;
extern RGLSYMGLPROGRAMUNIFORM3DPROC __glProgramUniform3d;
extern RGLSYMGLPROGRAMUNIFORM3DVPROC __glProgramUniform3dv;
extern RGLSYMGLPROGRAMUNIFORM3FPROC __glProgramUniform3f;
extern RGLSYMGLPROGRAMUNIFORM3FVPROC __glProgramUniform3fv;
extern RGLSYMGLPROGRAMUNIFORM3IPROC __glProgramUniform3i;
extern RGLSYMGLPROGRAMUNIFORM3IVPROC __glProgramUniform3iv;
extern RGLSYMGLPROGRAMUNIFORM3UIPROC __glProgramUniform3ui;
extern RGLSYMGLPROGRAMUNIFORM3UIVPROC __glProgramUniform3uiv;
extern RGLSYMGLPROGRAMUNIFORM4DPROC __glProgramUniform4d;
extern RGLSYMGLPROGRAMUNIFORM4DVPROC __glProgramUniform4dv;
extern RGLSYMGLPROGRAMUNIFORM4FPROC __glProgramUniform4f;
extern RGLSYMGLPROGRAMUNIFORM4FVPROC __glProgramUniform4fv;
extern RGLSYMGLPROGRAMUNIFORM4IPROC __glProgramUniform4i;
extern RGLSYMGLPROGRAMUNIFORM4IVPROC __glProgramUniform4iv;
extern RGLSYMGLPROGRAMUNIFORM4UIPROC __glProgramUniform4ui;
extern RGLSYMGLPROGRAMUNIFORM4UIVPROC __glProgramUniform4uiv;
extern RGLSYMGLPROGRAMUNIFORMHANDLEUI64ARBPROC __glProgramUniformHandleui64ARB;
extern RGLSYMGLPROGRAMUNIFORMHANDLEUI64VARBPROC __glProgramUniformHandleui64vARB;
extern RGLSYMGLPROGRAMUNIFORMMATRIX2DVPROC __glProgramUniformMatrix2dv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX2FVPROC __glProgramUniformMatrix2fv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX2X3DVPROC __glProgramUniformMatrix2x3dv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX2X3FVPROC __glProgramUniformMatrix2x3fv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX2X4DVPROC __glProgramUniformMatrix2x4dv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX2X4FVPROC __glProgramUniformMatrix2x4fv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX3DVPROC __glProgramUniformMatrix3dv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX3FVPROC __glProgramUniformMatrix3fv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX3X2DVPROC __glProgramUniformMatrix3x2dv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX3X2FVPROC __glProgramUniformMatrix3x2fv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX3X4DVPROC __glProgramUniformMatrix3x4dv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX3X4FVPROC __glProgramUniformMatrix3x4fv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX4DVPROC __glProgramUniformMatrix4dv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX4FVPROC __glProgramUniformMatrix4fv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX4X2DVPROC __glProgramUniformMatrix4x2dv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX4X2FVPROC __glProgramUniformMatrix4x2fv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX4X3DVPROC __glProgramUniformMatrix4x3dv;
extern RGLSYMGLPROGRAMUNIFORMMATRIX4X3FVPROC __glProgramUniformMatrix4x3fv;
extern RGLSYMGLPROVOKINGVERTEXPROC __glProvokingVertex;
extern RGLSYMGLPUSHATTRIBPROC __glPushAttrib;
extern RGLSYMGLPUSHCLIENTATTRIBPROC __glPushClientAttrib;
extern RGLSYMGLPUSHDEBUGGROUPPROC __glPushDebugGroup;
extern RGLSYMGLPUSHMATRIXPROC __glPushMatrix;
extern RGLSYMGLPUSHNAMEPROC __glPushName;
extern RGLSYMGLQUERYCOUNTERPROC __glQueryCounter;
extern RGLSYMGLQUERYMATRIXXOESPROC __glQueryMatrixxOES;
extern RGLSYMGLRASTERPOS2DPROC __glRasterPos2d;
extern RGLSYMGLRASTERPOS2DVPROC __glRasterPos2dv;
extern RGLSYMGLRASTERPOS2FPROC __glRasterPos2f;
extern RGLSYMGLRASTERPOS2FVPROC __glRasterPos2fv;
extern RGLSYMGLRASTERPOS2IPROC __glRasterPos2i;
extern RGLSYMGLRASTERPOS2IVPROC __glRasterPos2iv;
extern RGLSYMGLRASTERPOS2SPROC __glRasterPos2s;
extern RGLSYMGLRASTERPOS2SVPROC __glRasterPos2sv;
extern RGLSYMGLRASTERPOS2XOESPROC __glRasterPos2xOES;
extern RGLSYMGLRASTERPOS2XVOESPROC __glRasterPos2xvOES;
extern RGLSYMGLRASTERPOS3DPROC __glRasterPos3d;
extern RGLSYMGLRASTERPOS3DVPROC __glRasterPos3dv;
extern RGLSYMGLRASTERPOS3FPROC __glRasterPos3f;
extern RGLSYMGLRASTERPOS3FVPROC __glRasterPos3fv;
extern RGLSYMGLRASTERPOS3IPROC __glRasterPos3i;
extern RGLSYMGLRASTERPOS3IVPROC __glRasterPos3iv;
extern RGLSYMGLRASTERPOS3SPROC __glRasterPos3s;
extern RGLSYMGLRASTERPOS3SVPROC __glRasterPos3sv;
extern RGLSYMGLRASTERPOS3XOESPROC __glRasterPos3xOES;
extern RGLSYMGLRASTERPOS3XVOESPROC __glRasterPos3xvOES;
extern RGLSYMGLRASTERPOS4DPROC __glRasterPos4d;
extern RGLSYMGLRASTERPOS4DVPROC __glRasterPos4dv;
extern RGLSYMGLRASTERPOS4FPROC __glRasterPos4f;
extern RGLSYMGLRASTERPOS4FVPROC __glRasterPos4fv;
extern RGLSYMGLRASTERPOS4IPROC __glRasterPos4i;
extern RGLSYMGLRASTERPOS4IVPROC __glRasterPos4iv;
extern RGLSYMGLRASTERPOS4SPROC __glRasterPos4s;
extern RGLSYMGLRASTERPOS4SVPROC __glRasterPos4sv;
extern RGLSYMGLRASTERPOS4XOESPROC __glRasterPos4xOES;
extern RGLSYMGLRASTERPOS4XVOESPROC __glRasterPos4xvOES;
extern RGLSYMGLREADBUFFERPROC __glReadBuffer;
extern RGLSYMGLREADNPIXELSARBPROC __glReadnPixelsARB;
extern RGLSYMGLREADPIXELSPROC __glReadPixels;
extern RGLSYMGLRECTDPROC __glRectd;
extern RGLSYMGLRECTDVPROC __glRectdv;
extern RGLSYMGLRECTFPROC __glRectf;
extern RGLSYMGLRECTFVPROC __glRectfv;
extern RGLSYMGLRECTIPROC __glRecti;
extern RGLSYMGLRECTIVPROC __glRectiv;
extern RGLSYMGLRECTSPROC __glRects;
extern RGLSYMGLRECTSVPROC __glRectsv;
extern RGLSYMGLRECTXOESPROC __glRectxOES;
extern RGLSYMGLRECTXVOESPROC __glRectxvOES;
extern RGLSYMGLRELEASESHADERCOMPILERPROC __glReleaseShaderCompiler;
extern RGLSYMGLRENDERBUFFERSTORAGEMULTISAMPLEPROC __glRenderbufferStorageMultisample;
extern RGLSYMGLRENDERBUFFERSTORAGEPROC __glRenderbufferStorage;
extern RGLSYMGLRENDERMODEPROC __glRenderMode;
extern RGLSYMGLRESETHISTOGRAMPROC __glResetHistogram;
extern RGLSYMGLRESETMINMAXPROC __glResetMinmax;
extern RGLSYMGLRESUMETRANSFORMFEEDBACKPROC __glResumeTransformFeedback;
extern RGLSYMGLROTATEDPROC __glRotated;
extern RGLSYMGLROTATEFPROC __glRotatef;
extern RGLSYMGLROTATEXOESPROC __glRotatexOES;
extern RGLSYMGLSAMPLECOVERAGEARBPROC __glSampleCoverageARB;
extern RGLSYMGLSAMPLECOVERAGEOESPROC __glSampleCoverageOES;
extern RGLSYMGLSAMPLECOVERAGEPROC __glSampleCoverage;
extern RGLSYMGLSAMPLEMASKIPROC __glSampleMaski;
extern RGLSYMGLSAMPLERPARAMETERFPROC __glSamplerParameterf;
extern RGLSYMGLSAMPLERPARAMETERFVPROC __glSamplerParameterfv;
extern RGLSYMGLSAMPLERPARAMETERIIVPROC __glSamplerParameterIiv;
extern RGLSYMGLSAMPLERPARAMETERIPROC __glSamplerParameteri;
extern RGLSYMGLSAMPLERPARAMETERIUIVPROC __glSamplerParameterIuiv;
extern RGLSYMGLSAMPLERPARAMETERIVPROC __glSamplerParameteriv;
extern RGLSYMGLSCALEDPROC __glScaled;
extern RGLSYMGLSCALEFPROC __glScalef;
extern RGLSYMGLSCALEXOESPROC __glScalexOES;
extern RGLSYMGLSCISSORARRAYVPROC __glScissorArrayv;
extern RGLSYMGLSCISSORINDEXEDPROC __glScissorIndexed;
extern RGLSYMGLSCISSORINDEXEDVPROC __glScissorIndexedv;
extern RGLSYMGLSCISSORPROC __glScissor;
extern RGLSYMGLSECONDARYCOLOR3BPROC __glSecondaryColor3b;
extern RGLSYMGLSECONDARYCOLOR3BVPROC __glSecondaryColor3bv;
extern RGLSYMGLSECONDARYCOLOR3DPROC __glSecondaryColor3d;
extern RGLSYMGLSECONDARYCOLOR3DVPROC __glSecondaryColor3dv;
extern RGLSYMGLSECONDARYCOLOR3FPROC __glSecondaryColor3f;
extern RGLSYMGLSECONDARYCOLOR3FVPROC __glSecondaryColor3fv;
extern RGLSYMGLSECONDARYCOLOR3IPROC __glSecondaryColor3i;
extern RGLSYMGLSECONDARYCOLOR3IVPROC __glSecondaryColor3iv;
extern RGLSYMGLSECONDARYCOLOR3SPROC __glSecondaryColor3s;
extern RGLSYMGLSECONDARYCOLOR3SVPROC __glSecondaryColor3sv;
extern RGLSYMGLSECONDARYCOLOR3UBPROC __glSecondaryColor3ub;
extern RGLSYMGLSECONDARYCOLOR3UBVPROC __glSecondaryColor3ubv;
extern RGLSYMGLSECONDARYCOLOR3UIPROC __glSecondaryColor3ui;
extern RGLSYMGLSECONDARYCOLOR3UIVPROC __glSecondaryColor3uiv;
extern RGLSYMGLSECONDARYCOLOR3USPROC __glSecondaryColor3us;
extern RGLSYMGLSECONDARYCOLOR3USVPROC __glSecondaryColor3usv;
extern RGLSYMGLSECONDARYCOLORP3UIPROC __glSecondaryColorP3ui;
extern RGLSYMGLSECONDARYCOLORP3UIVPROC __glSecondaryColorP3uiv;
extern RGLSYMGLSECONDARYCOLORPOINTERPROC __glSecondaryColorPointer;
extern RGLSYMGLSELECTBUFFERPROC __glSelectBuffer;
extern RGLSYMGLSEPARABLEFILTER2DPROC __glSeparableFilter2D;
extern RGLSYMGLSHADEMODELPROC __glShadeModel;
extern RGLSYMGLSHADERBINARYPROC __glShaderBinary;
extern RGLSYMGLSHADERSOURCEARBPROC __glShaderSourceARB;
extern RGLSYMGLSHADERSOURCEPROC __glShaderSource;
extern RGLSYMGLSHADERSTORAGEBLOCKBINDINGPROC __glShaderStorageBlockBinding;
extern RGLSYMGLSTENCILFUNCPROC __glStencilFunc;
extern RGLSYMGLSTENCILFUNCSEPARATEPROC __glStencilFuncSeparate;
extern RGLSYMGLSTENCILMASKPROC __glStencilMask;
extern RGLSYMGLSTENCILMASKSEPARATEPROC __glStencilMaskSeparate;
extern RGLSYMGLSTENCILOPPROC __glStencilOp;
extern RGLSYMGLSTENCILOPSEPARATEPROC __glStencilOpSeparate;
extern RGLSYMGLTEXBUFFERARBPROC __glTexBufferARB;
extern RGLSYMGLTEXBUFFERPROC __glTexBuffer;
extern RGLSYMGLTEXBUFFERRANGEPROC __glTexBufferRange;
extern RGLSYMGLTEXCOORD1BOESPROC __glTexCoord1bOES;
extern RGLSYMGLTEXCOORD1BVOESPROC __glTexCoord1bvOES;
extern RGLSYMGLTEXCOORD1DPROC __glTexCoord1d;
extern RGLSYMGLTEXCOORD1DVPROC __glTexCoord1dv;
extern RGLSYMGLTEXCOORD1FPROC __glTexCoord1f;
extern RGLSYMGLTEXCOORD1FVPROC __glTexCoord1fv;
extern RGLSYMGLTEXCOORD1IPROC __glTexCoord1i;
extern RGLSYMGLTEXCOORD1IVPROC __glTexCoord1iv;
extern RGLSYMGLTEXCOORD1SPROC __glTexCoord1s;
extern RGLSYMGLTEXCOORD1SVPROC __glTexCoord1sv;
extern RGLSYMGLTEXCOORD1XOESPROC __glTexCoord1xOES;
extern RGLSYMGLTEXCOORD1XVOESPROC __glTexCoord1xvOES;
extern RGLSYMGLTEXCOORD2BOESPROC __glTexCoord2bOES;
extern RGLSYMGLTEXCOORD2BVOESPROC __glTexCoord2bvOES;
extern RGLSYMGLTEXCOORD2DPROC __glTexCoord2d;
extern RGLSYMGLTEXCOORD2DVPROC __glTexCoord2dv;
extern RGLSYMGLTEXCOORD2FPROC __glTexCoord2f;
extern RGLSYMGLTEXCOORD2FVPROC __glTexCoord2fv;
extern RGLSYMGLTEXCOORD2IPROC __glTexCoord2i;
extern RGLSYMGLTEXCOORD2IVPROC __glTexCoord2iv;
extern RGLSYMGLTEXCOORD2SPROC __glTexCoord2s;
extern RGLSYMGLTEXCOORD2SVPROC __glTexCoord2sv;
extern RGLSYMGLTEXCOORD2XOESPROC __glTexCoord2xOES;
extern RGLSYMGLTEXCOORD2XVOESPROC __glTexCoord2xvOES;
extern RGLSYMGLTEXCOORD3BOESPROC __glTexCoord3bOES;
extern RGLSYMGLTEXCOORD3BVOESPROC __glTexCoord3bvOES;
extern RGLSYMGLTEXCOORD3DPROC __glTexCoord3d;
extern RGLSYMGLTEXCOORD3DVPROC __glTexCoord3dv;
extern RGLSYMGLTEXCOORD3FPROC __glTexCoord3f;
extern RGLSYMGLTEXCOORD3FVPROC __glTexCoord3fv;
extern RGLSYMGLTEXCOORD3IPROC __glTexCoord3i;
extern RGLSYMGLTEXCOORD3IVPROC __glTexCoord3iv;
extern RGLSYMGLTEXCOORD3SPROC __glTexCoord3s;
extern RGLSYMGLTEXCOORD3SVPROC __glTexCoord3sv;
extern RGLSYMGLTEXCOORD3XOESPROC __glTexCoord3xOES;
extern RGLSYMGLTEXCOORD3XVOESPROC __glTexCoord3xvOES;
extern RGLSYMGLTEXCOORD4BOESPROC __glTexCoord4bOES;
extern RGLSYMGLTEXCOORD4BVOESPROC __glTexCoord4bvOES;
extern RGLSYMGLTEXCOORD4DPROC __glTexCoord4d;
extern RGLSYMGLTEXCOORD4DVPROC __glTexCoord4dv;
extern RGLSYMGLTEXCOORD4FPROC __glTexCoord4f;
extern RGLSYMGLTEXCOORD4FVPROC __glTexCoord4fv;
extern RGLSYMGLTEXCOORD4IPROC __glTexCoord4i;
extern RGLSYMGLTEXCOORD4IVPROC __glTexCoord4iv;
extern RGLSYMGLTEXCOORD4SPROC __glTexCoord4s;
extern RGLSYMGLTEXCOORD4SVPROC __glTexCoord4sv;
extern RGLSYMGLTEXCOORD4XOESPROC __glTexCoord4xOES;
extern RGLSYMGLTEXCOORD4XVOESPROC __glTexCoord4xvOES;
extern RGLSYMGLTEXCOORDP1UIPROC __glTexCoordP1ui;
extern RGLSYMGLTEXCOORDP1UIVPROC __glTexCoordP1uiv;
extern RGLSYMGLTEXCOORDP2UIPROC __glTexCoordP2ui;
extern RGLSYMGLTEXCOORDP2UIVPROC __glTexCoordP2uiv;
extern RGLSYMGLTEXCOORDP3UIPROC __glTexCoordP3ui;
extern RGLSYMGLTEXCOORDP3UIVPROC __glTexCoordP3uiv;
extern RGLSYMGLTEXCOORDP4UIPROC __glTexCoordP4ui;
extern RGLSYMGLTEXCOORDP4UIVPROC __glTexCoordP4uiv;
extern RGLSYMGLTEXCOORDPOINTERPROC __glTexCoordPointer;
extern RGLSYMGLTEXENVFPROC __glTexEnvf;
extern RGLSYMGLTEXENVFVPROC __glTexEnvfv;
extern RGLSYMGLTEXENVIPROC __glTexEnvi;
extern RGLSYMGLTEXENVIVPROC __glTexEnviv;
extern RGLSYMGLTEXENVXOESPROC __glTexEnvxOES;
extern RGLSYMGLTEXENVXVOESPROC __glTexEnvxvOES;
extern RGLSYMGLTEXGENDPROC __glTexGend;
extern RGLSYMGLTEXGENDVPROC __glTexGendv;
extern RGLSYMGLTEXGENFPROC __glTexGenf;
extern RGLSYMGLTEXGENFVPROC __glTexGenfv;
extern RGLSYMGLTEXGENIPROC __glTexGeni;
extern RGLSYMGLTEXGENIVPROC __glTexGeniv;
extern RGLSYMGLTEXGENXOESPROC __glTexGenxOES;
extern RGLSYMGLTEXGENXVOESPROC __glTexGenxvOES;
extern RGLSYMGLTEXIMAGE1DPROC __glTexImage1D;
extern RGLSYMGLTEXIMAGE2DMULTISAMPLEPROC __glTexImage2DMultisample;
extern RGLSYMGLTEXIMAGE2DPROC __glTexImage2D;
extern RGLSYMGLTEXIMAGE3DMULTISAMPLEPROC __glTexImage3DMultisample;
extern RGLSYMGLTEXIMAGE3DPROC __glTexImage3D;
extern RGLSYMGLTEXPAGECOMMITMENTARBPROC __glTexPageCommitmentARB;
extern RGLSYMGLTEXPARAMETERFPROC __glTexParameterf;
extern RGLSYMGLTEXPARAMETERFVPROC __glTexParameterfv;
extern RGLSYMGLTEXPARAMETERIIVPROC __glTexParameterIiv;
extern RGLSYMGLTEXPARAMETERIPROC __glTexParameteri;
extern RGLSYMGLTEXPARAMETERIUIVPROC __glTexParameterIuiv;
extern RGLSYMGLTEXPARAMETERIVPROC __glTexParameteriv;
extern RGLSYMGLTEXPARAMETERXOESPROC __glTexParameterxOES;
extern RGLSYMGLTEXPARAMETERXVOESPROC __glTexParameterxvOES;
extern RGLSYMGLTEXSTORAGE1DPROC __glTexStorage1D;
extern RGLSYMGLTEXSTORAGE2DMULTISAMPLEPROC __glTexStorage2DMultisample;
extern RGLSYMGLTEXSTORAGE2DPROC __glTexStorage2D;
extern RGLSYMGLTEXSTORAGE3DMULTISAMPLEPROC __glTexStorage3DMultisample;
extern RGLSYMGLTEXSTORAGE3DPROC __glTexStorage3D;
extern RGLSYMGLTEXSUBIMAGE1DPROC __glTexSubImage1D;
extern RGLSYMGLTEXSUBIMAGE2DPROC __glTexSubImage2D;
extern RGLSYMGLTEXSUBIMAGE3DPROC __glTexSubImage3D;
extern RGLSYMGLTEXTUREVIEWPROC __glTextureView;
extern RGLSYMGLTRANSFORMFEEDBACKVARYINGSPROC __glTransformFeedbackVaryings;
extern RGLSYMGLTRANSLATEDPROC __glTranslated;
extern RGLSYMGLTRANSLATEFPROC __glTranslatef;
extern RGLSYMGLTRANSLATEXOESPROC __glTranslatexOES;
extern RGLSYMGLUNIFORM1DPROC __glUniform1d;
extern RGLSYMGLUNIFORM1DVPROC __glUniform1dv;
extern RGLSYMGLUNIFORM1FARBPROC __glUniform1fARB;
extern RGLSYMGLUNIFORM1FPROC __glUniform1f;
extern RGLSYMGLUNIFORM1FVARBPROC __glUniform1fvARB;
extern RGLSYMGLUNIFORM1FVPROC __glUniform1fv;
extern RGLSYMGLUNIFORM1IARBPROC __glUniform1iARB;
extern RGLSYMGLUNIFORM1IPROC __glUniform1i;
extern RGLSYMGLUNIFORM1IVARBPROC __glUniform1ivARB;
extern RGLSYMGLUNIFORM1IVPROC __glUniform1iv;
extern RGLSYMGLUNIFORM1UIPROC __glUniform1ui;
extern RGLSYMGLUNIFORM1UIVPROC __glUniform1uiv;
extern RGLSYMGLUNIFORM2DPROC __glUniform2d;
extern RGLSYMGLUNIFORM2DVPROC __glUniform2dv;
extern RGLSYMGLUNIFORM2FARBPROC __glUniform2fARB;
extern RGLSYMGLUNIFORM2FPROC __glUniform2f;
extern RGLSYMGLUNIFORM2FVARBPROC __glUniform2fvARB;
extern RGLSYMGLUNIFORM2FVPROC __glUniform2fv;
extern RGLSYMGLUNIFORM2IARBPROC __glUniform2iARB;
extern RGLSYMGLUNIFORM2IPROC __glUniform2i;
extern RGLSYMGLUNIFORM2IVARBPROC __glUniform2ivARB;
extern RGLSYMGLUNIFORM2IVPROC __glUniform2iv;
extern RGLSYMGLUNIFORM2UIPROC __glUniform2ui;
extern RGLSYMGLUNIFORM2UIVPROC __glUniform2uiv;
extern RGLSYMGLUNIFORM3DPROC __glUniform3d;
extern RGLSYMGLUNIFORM3DVPROC __glUniform3dv;
extern RGLSYMGLUNIFORM3FARBPROC __glUniform3fARB;
extern RGLSYMGLUNIFORM3FPROC __glUniform3f;
extern RGLSYMGLUNIFORM3FVARBPROC __glUniform3fvARB;
extern RGLSYMGLUNIFORM3FVPROC __glUniform3fv;
extern RGLSYMGLUNIFORM3IARBPROC __glUniform3iARB;
extern RGLSYMGLUNIFORM3IPROC __glUniform3i;
extern RGLSYMGLUNIFORM3IVARBPROC __glUniform3ivARB;
extern RGLSYMGLUNIFORM3IVPROC __glUniform3iv;
extern RGLSYMGLUNIFORM3UIPROC __glUniform3ui;
extern RGLSYMGLUNIFORM3UIVPROC __glUniform3uiv;
extern RGLSYMGLUNIFORM4DPROC __glUniform4d;
extern RGLSYMGLUNIFORM4DVPROC __glUniform4dv;
extern RGLSYMGLUNIFORM4FARBPROC __glUniform4fARB;
extern RGLSYMGLUNIFORM4FPROC __glUniform4f;
extern RGLSYMGLUNIFORM4FVARBPROC __glUniform4fvARB;
extern RGLSYMGLUNIFORM4FVPROC __glUniform4fv;
extern RGLSYMGLUNIFORM4IARBPROC __glUniform4iARB;
extern RGLSYMGLUNIFORM4IPROC __glUniform4i;
extern RGLSYMGLUNIFORM4IVARBPROC __glUniform4ivARB;
extern RGLSYMGLUNIFORM4IVPROC __glUniform4iv;
extern RGLSYMGLUNIFORM4UIPROC __glUniform4ui;
extern RGLSYMGLUNIFORM4UIVPROC __glUniform4uiv;
extern RGLSYMGLUNIFORMBLOCKBINDINGPROC __glUniformBlockBinding;
extern RGLSYMGLUNIFORMHANDLEUI64ARBPROC __glUniformHandleui64ARB;
extern RGLSYMGLUNIFORMHANDLEUI64VARBPROC __glUniformHandleui64vARB;
extern RGLSYMGLUNIFORMMATRIX2DVPROC __glUniformMatrix2dv;
extern RGLSYMGLUNIFORMMATRIX2FVARBPROC __glUniformMatrix2fvARB;
extern RGLSYMGLUNIFORMMATRIX2FVPROC __glUniformMatrix2fv;
extern RGLSYMGLUNIFORMMATRIX2X3DVPROC __glUniformMatrix2x3dv;
extern RGLSYMGLUNIFORMMATRIX2X3FVPROC __glUniformMatrix2x3fv;
extern RGLSYMGLUNIFORMMATRIX2X4DVPROC __glUniformMatrix2x4dv;
extern RGLSYMGLUNIFORMMATRIX2X4FVPROC __glUniformMatrix2x4fv;
extern RGLSYMGLUNIFORMMATRIX3DVPROC __glUniformMatrix3dv;
extern RGLSYMGLUNIFORMMATRIX3FVARBPROC __glUniformMatrix3fvARB;
extern RGLSYMGLUNIFORMMATRIX3FVPROC __glUniformMatrix3fv;
extern RGLSYMGLUNIFORMMATRIX3X2DVPROC __glUniformMatrix3x2dv;
extern RGLSYMGLUNIFORMMATRIX3X2FVPROC __glUniformMatrix3x2fv;
extern RGLSYMGLUNIFORMMATRIX3X4DVPROC __glUniformMatrix3x4dv;
extern RGLSYMGLUNIFORMMATRIX3X4FVPROC __glUniformMatrix3x4fv;
extern RGLSYMGLUNIFORMMATRIX4DVPROC __glUniformMatrix4dv;
extern RGLSYMGLUNIFORMMATRIX4FVARBPROC __glUniformMatrix4fvARB;
extern RGLSYMGLUNIFORMMATRIX4FVPROC __glUniformMatrix4fv;
extern RGLSYMGLUNIFORMMATRIX4X2DVPROC __glUniformMatrix4x2dv;
extern RGLSYMGLUNIFORMMATRIX4X2FVPROC __glUniformMatrix4x2fv;
extern RGLSYMGLUNIFORMMATRIX4X3DVPROC __glUniformMatrix4x3dv;
extern RGLSYMGLUNIFORMMATRIX4X3FVPROC __glUniformMatrix4x3fv;
extern RGLSYMGLUNIFORMSUBROUTINESUIVPROC __glUniformSubroutinesuiv;
extern RGLSYMGLUNMAPBUFFERARBPROC __glUnmapBufferARB;
extern RGLSYMGLUNMAPBUFFERPROC __glUnmapBuffer;
extern RGLSYMGLUSEPROGRAMOBJECTARBPROC __glUseProgramObjectARB;
extern RGLSYMGLUSEPROGRAMPROC __glUseProgram;
extern RGLSYMGLUSEPROGRAMSTAGESPROC __glUseProgramStages;
extern RGLSYMGLVALIDATEPROGRAMARBPROC __glValidateProgramARB;
extern RGLSYMGLVALIDATEPROGRAMPIPELINEPROC __glValidateProgramPipeline;
extern RGLSYMGLVALIDATEPROGRAMPROC __glValidateProgram;
extern RGLSYMGLVERTEX2BOESPROC __glVertex2bOES;
extern RGLSYMGLVERTEX2BVOESPROC __glVertex2bvOES;
extern RGLSYMGLVERTEX2DPROC __glVertex2d;
extern RGLSYMGLVERTEX2DVPROC __glVertex2dv;
extern RGLSYMGLVERTEX2FPROC __glVertex2f;
extern RGLSYMGLVERTEX2FVPROC __glVertex2fv;
extern RGLSYMGLVERTEX2IPROC __glVertex2i;
extern RGLSYMGLVERTEX2IVPROC __glVertex2iv;
extern RGLSYMGLVERTEX2SPROC __glVertex2s;
extern RGLSYMGLVERTEX2SVPROC __glVertex2sv;
extern RGLSYMGLVERTEX2XOESPROC __glVertex2xOES;
extern RGLSYMGLVERTEX2XVOESPROC __glVertex2xvOES;
extern RGLSYMGLVERTEX3BOESPROC __glVertex3bOES;
extern RGLSYMGLVERTEX3BVOESPROC __glVertex3bvOES;
extern RGLSYMGLVERTEX3DPROC __glVertex3d;
extern RGLSYMGLVERTEX3DVPROC __glVertex3dv;
extern RGLSYMGLVERTEX3FPROC __glVertex3f;
extern RGLSYMGLVERTEX3FVPROC __glVertex3fv;
extern RGLSYMGLVERTEX3IPROC __glVertex3i;
extern RGLSYMGLVERTEX3IVPROC __glVertex3iv;
extern RGLSYMGLVERTEX3SPROC __glVertex3s;
extern RGLSYMGLVERTEX3SVPROC __glVertex3sv;
extern RGLSYMGLVERTEX3XOESPROC __glVertex3xOES;
extern RGLSYMGLVERTEX3XVOESPROC __glVertex3xvOES;
extern RGLSYMGLVERTEX4BOESPROC __glVertex4bOES;
extern RGLSYMGLVERTEX4BVOESPROC __glVertex4bvOES;
extern RGLSYMGLVERTEX4DPROC __glVertex4d;
extern RGLSYMGLVERTEX4DVPROC __glVertex4dv;
extern RGLSYMGLVERTEX4FPROC __glVertex4f;
extern RGLSYMGLVERTEX4FVPROC __glVertex4fv;
extern RGLSYMGLVERTEX4IPROC __glVertex4i;
extern RGLSYMGLVERTEX4IVPROC __glVertex4iv;
extern RGLSYMGLVERTEX4SPROC __glVertex4s;
extern RGLSYMGLVERTEX4SVPROC __glVertex4sv;
extern RGLSYMGLVERTEX4XOESPROC __glVertex4xOES;
extern RGLSYMGLVERTEX4XVOESPROC __glVertex4xvOES;
extern RGLSYMGLVERTEXATTRIB1DARBPROC __glVertexAttrib1dARB;
extern RGLSYMGLVERTEXATTRIB1DPROC __glVertexAttrib1d;
extern RGLSYMGLVERTEXATTRIB1DVARBPROC __glVertexAttrib1dvARB;
extern RGLSYMGLVERTEXATTRIB1DVPROC __glVertexAttrib1dv;
extern RGLSYMGLVERTEXATTRIB1FARBPROC __glVertexAttrib1fARB;
extern RGLSYMGLVERTEXATTRIB1FPROC __glVertexAttrib1f;
extern RGLSYMGLVERTEXATTRIB1FVARBPROC __glVertexAttrib1fvARB;
extern RGLSYMGLVERTEXATTRIB1FVPROC __glVertexAttrib1fv;
extern RGLSYMGLVERTEXATTRIB1SARBPROC __glVertexAttrib1sARB;
extern RGLSYMGLVERTEXATTRIB1SPROC __glVertexAttrib1s;
extern RGLSYMGLVERTEXATTRIB1SVARBPROC __glVertexAttrib1svARB;
extern RGLSYMGLVERTEXATTRIB1SVPROC __glVertexAttrib1sv;
extern RGLSYMGLVERTEXATTRIB2DARBPROC __glVertexAttrib2dARB;
extern RGLSYMGLVERTEXATTRIB2DPROC __glVertexAttrib2d;
extern RGLSYMGLVERTEXATTRIB2DVARBPROC __glVertexAttrib2dvARB;
extern RGLSYMGLVERTEXATTRIB2DVPROC __glVertexAttrib2dv;
extern RGLSYMGLVERTEXATTRIB2FARBPROC __glVertexAttrib2fARB;
extern RGLSYMGLVERTEXATTRIB2FPROC __glVertexAttrib2f;
extern RGLSYMGLVERTEXATTRIB2FVARBPROC __glVertexAttrib2fvARB;
extern RGLSYMGLVERTEXATTRIB2FVPROC __glVertexAttrib2fv;
extern RGLSYMGLVERTEXATTRIB2SARBPROC __glVertexAttrib2sARB;
extern RGLSYMGLVERTEXATTRIB2SPROC __glVertexAttrib2s;
extern RGLSYMGLVERTEXATTRIB2SVARBPROC __glVertexAttrib2svARB;
extern RGLSYMGLVERTEXATTRIB2SVPROC __glVertexAttrib2sv;
extern RGLSYMGLVERTEXATTRIB3DARBPROC __glVertexAttrib3dARB;
extern RGLSYMGLVERTEXATTRIB3DPROC __glVertexAttrib3d;
extern RGLSYMGLVERTEXATTRIB3DVARBPROC __glVertexAttrib3dvARB;
extern RGLSYMGLVERTEXATTRIB3DVPROC __glVertexAttrib3dv;
extern RGLSYMGLVERTEXATTRIB3FARBPROC __glVertexAttrib3fARB;
extern RGLSYMGLVERTEXATTRIB3FPROC __glVertexAttrib3f;
extern RGLSYMGLVERTEXATTRIB3FVARBPROC __glVertexAttrib3fvARB;
extern RGLSYMGLVERTEXATTRIB3FVPROC __glVertexAttrib3fv;
extern RGLSYMGLVERTEXATTRIB3SARBPROC __glVertexAttrib3sARB;
extern RGLSYMGLVERTEXATTRIB3SPROC __glVertexAttrib3s;
extern RGLSYMGLVERTEXATTRIB3SVARBPROC __glVertexAttrib3svARB;
extern RGLSYMGLVERTEXATTRIB3SVPROC __glVertexAttrib3sv;
extern RGLSYMGLVERTEXATTRIB4BVARBPROC __glVertexAttrib4bvARB;
extern RGLSYMGLVERTEXATTRIB4BVPROC __glVertexAttrib4bv;
extern RGLSYMGLVERTEXATTRIB4DARBPROC __glVertexAttrib4dARB;
extern RGLSYMGLVERTEXATTRIB4DPROC __glVertexAttrib4d;
extern RGLSYMGLVERTEXATTRIB4DVARBPROC __glVertexAttrib4dvARB;
extern RGLSYMGLVERTEXATTRIB4DVPROC __glVertexAttrib4dv;
extern RGLSYMGLVERTEXATTRIB4FARBPROC __glVertexAttrib4fARB;
extern RGLSYMGLVERTEXATTRIB4FPROC __glVertexAttrib4f;
extern RGLSYMGLVERTEXATTRIB4FVARBPROC __glVertexAttrib4fvARB;
extern RGLSYMGLVERTEXATTRIB4FVPROC __glVertexAttrib4fv;
extern RGLSYMGLVERTEXATTRIB4IVARBPROC __glVertexAttrib4ivARB;
extern RGLSYMGLVERTEXATTRIB4IVPROC __glVertexAttrib4iv;
extern RGLSYMGLVERTEXATTRIB4NBVARBPROC __glVertexAttrib4NbvARB;
extern RGLSYMGLVERTEXATTRIB4NBVPROC __glVertexAttrib4Nbv;
extern RGLSYMGLVERTEXATTRIB4NIVARBPROC __glVertexAttrib4NivARB;
extern RGLSYMGLVERTEXATTRIB4NIVPROC __glVertexAttrib4Niv;
extern RGLSYMGLVERTEXATTRIB4NSVARBPROC __glVertexAttrib4NsvARB;
extern RGLSYMGLVERTEXATTRIB4NSVPROC __glVertexAttrib4Nsv;
extern RGLSYMGLVERTEXATTRIB4NUBARBPROC __glVertexAttrib4NubARB;
extern RGLSYMGLVERTEXATTRIB4NUBPROC __glVertexAttrib4Nub;
extern RGLSYMGLVERTEXATTRIB4NUBVARBPROC __glVertexAttrib4NubvARB;
extern RGLSYMGLVERTEXATTRIB4NUBVPROC __glVertexAttrib4Nubv;
extern RGLSYMGLVERTEXATTRIB4NUIVARBPROC __glVertexAttrib4NuivARB;
extern RGLSYMGLVERTEXATTRIB4NUIVPROC __glVertexAttrib4Nuiv;
extern RGLSYMGLVERTEXATTRIB4NUSVARBPROC __glVertexAttrib4NusvARB;
extern RGLSYMGLVERTEXATTRIB4NUSVPROC __glVertexAttrib4Nusv;
extern RGLSYMGLVERTEXATTRIB4SARBPROC __glVertexAttrib4sARB;
extern RGLSYMGLVERTEXATTRIB4SPROC __glVertexAttrib4s;
extern RGLSYMGLVERTEXATTRIB4SVARBPROC __glVertexAttrib4svARB;
extern RGLSYMGLVERTEXATTRIB4SVPROC __glVertexAttrib4sv;
extern RGLSYMGLVERTEXATTRIB4UBVARBPROC __glVertexAttrib4ubvARB;
extern RGLSYMGLVERTEXATTRIB4UBVPROC __glVertexAttrib4ubv;
extern RGLSYMGLVERTEXATTRIB4UIVARBPROC __glVertexAttrib4uivARB;
extern RGLSYMGLVERTEXATTRIB4UIVPROC __glVertexAttrib4uiv;
extern RGLSYMGLVERTEXATTRIB4USVARBPROC __glVertexAttrib4usvARB;
extern RGLSYMGLVERTEXATTRIB4USVPROC __glVertexAttrib4usv;
extern RGLSYMGLVERTEXATTRIBBINDINGPROC __glVertexAttribBinding;
extern RGLSYMGLVERTEXATTRIBDIVISORARBPROC __glVertexAttribDivisorARB;
extern RGLSYMGLVERTEXATTRIBDIVISORPROC __glVertexAttribDivisor;
extern RGLSYMGLVERTEXATTRIBFORMATPROC __glVertexAttribFormat;
extern RGLSYMGLVERTEXATTRIBI1IPROC __glVertexAttribI1i;
extern RGLSYMGLVERTEXATTRIBI1IVPROC __glVertexAttribI1iv;
extern RGLSYMGLVERTEXATTRIBI1UIPROC __glVertexAttribI1ui;
extern RGLSYMGLVERTEXATTRIBI1UIVPROC __glVertexAttribI1uiv;
extern RGLSYMGLVERTEXATTRIBI2IPROC __glVertexAttribI2i;
extern RGLSYMGLVERTEXATTRIBI2IVPROC __glVertexAttribI2iv;
extern RGLSYMGLVERTEXATTRIBI2UIPROC __glVertexAttribI2ui;
extern RGLSYMGLVERTEXATTRIBI2UIVPROC __glVertexAttribI2uiv;
extern RGLSYMGLVERTEXATTRIBI3IPROC __glVertexAttribI3i;
extern RGLSYMGLVERTEXATTRIBI3IVPROC __glVertexAttribI3iv;
extern RGLSYMGLVERTEXATTRIBI3UIPROC __glVertexAttribI3ui;
extern RGLSYMGLVERTEXATTRIBI3UIVPROC __glVertexAttribI3uiv;
extern RGLSYMGLVERTEXATTRIBI4BVPROC __glVertexAttribI4bv;
extern RGLSYMGLVERTEXATTRIBI4IPROC __glVertexAttribI4i;
extern RGLSYMGLVERTEXATTRIBI4IVPROC __glVertexAttribI4iv;
extern RGLSYMGLVERTEXATTRIBI4SVPROC __glVertexAttribI4sv;
extern RGLSYMGLVERTEXATTRIBI4UBVPROC __glVertexAttribI4ubv;
extern RGLSYMGLVERTEXATTRIBI4UIPROC __glVertexAttribI4ui;
extern RGLSYMGLVERTEXATTRIBI4UIVPROC __glVertexAttribI4uiv;
extern RGLSYMGLVERTEXATTRIBI4USVPROC __glVertexAttribI4usv;
extern RGLSYMGLVERTEXATTRIBIFORMATPROC __glVertexAttribIFormat;
extern RGLSYMGLVERTEXATTRIBIPOINTERPROC __glVertexAttribIPointer;
extern RGLSYMGLVERTEXATTRIBL1DPROC __glVertexAttribL1d;
extern RGLSYMGLVERTEXATTRIBL1DVPROC __glVertexAttribL1dv;
extern RGLSYMGLVERTEXATTRIBL1UI64ARBPROC __glVertexAttribL1ui64ARB;
extern RGLSYMGLVERTEXATTRIBL1UI64VARBPROC __glVertexAttribL1ui64vARB;
extern RGLSYMGLVERTEXATTRIBL2DPROC __glVertexAttribL2d;
extern RGLSYMGLVERTEXATTRIBL2DVPROC __glVertexAttribL2dv;
extern RGLSYMGLVERTEXATTRIBL3DPROC __glVertexAttribL3d;
extern RGLSYMGLVERTEXATTRIBL3DVPROC __glVertexAttribL3dv;
extern RGLSYMGLVERTEXATTRIBL4DPROC __glVertexAttribL4d;
extern RGLSYMGLVERTEXATTRIBL4DVPROC __glVertexAttribL4dv;
extern RGLSYMGLVERTEXATTRIBLFORMATPROC __glVertexAttribLFormat;
extern RGLSYMGLVERTEXATTRIBLPOINTERPROC __glVertexAttribLPointer;
extern RGLSYMGLVERTEXATTRIBP1UIPROC __glVertexAttribP1ui;
extern RGLSYMGLVERTEXATTRIBP1UIVPROC __glVertexAttribP1uiv;
extern RGLSYMGLVERTEXATTRIBP2UIPROC __glVertexAttribP2ui;
extern RGLSYMGLVERTEXATTRIBP2UIVPROC __glVertexAttribP2uiv;
extern RGLSYMGLVERTEXATTRIBP3UIPROC __glVertexAttribP3ui;
extern RGLSYMGLVERTEXATTRIBP3UIVPROC __glVertexAttribP3uiv;
extern RGLSYMGLVERTEXATTRIBP4UIPROC __glVertexAttribP4ui;
extern RGLSYMGLVERTEXATTRIBP4UIVPROC __glVertexAttribP4uiv;
extern RGLSYMGLVERTEXATTRIBPOINTERARBPROC __glVertexAttribPointerARB;
extern RGLSYMGLVERTEXATTRIBPOINTERPROC __glVertexAttribPointer;
extern RGLSYMGLVERTEXBINDINGDIVISORPROC __glVertexBindingDivisor;
extern RGLSYMGLVERTEXBLENDARBPROC __glVertexBlendARB;
extern RGLSYMGLVERTEXP2UIPROC __glVertexP2ui;
extern RGLSYMGLVERTEXP2UIVPROC __glVertexP2uiv;
extern RGLSYMGLVERTEXP3UIPROC __glVertexP3ui;
extern RGLSYMGLVERTEXP3UIVPROC __glVertexP3uiv;
extern RGLSYMGLVERTEXP4UIPROC __glVertexP4ui;
extern RGLSYMGLVERTEXP4UIVPROC __glVertexP4uiv;
extern RGLSYMGLVERTEXPOINTERPROC __glVertexPointer;
extern RGLSYMGLVIEWPORTARRAYVPROC __glViewportArrayv;
extern RGLSYMGLVIEWPORTINDEXEDFPROC __glViewportIndexedf;
extern RGLSYMGLVIEWPORTINDEXEDFVPROC __glViewportIndexedfv;
extern RGLSYMGLVIEWPORTPROC __glViewport;
extern RGLSYMGLWAITSYNCPROC __glWaitSync;
extern RGLSYMGLWEIGHTBVARBPROC __glWeightbvARB;
extern RGLSYMGLWEIGHTDVARBPROC __glWeightdvARB;
extern RGLSYMGLWEIGHTFVARBPROC __glWeightfvARB;
extern RGLSYMGLWEIGHTIVARBPROC __glWeightivARB;
extern RGLSYMGLWEIGHTPOINTERARBPROC __glWeightPointerARB;
extern RGLSYMGLWEIGHTSVARBPROC __glWeightsvARB;
extern RGLSYMGLWEIGHTUBVARBPROC __glWeightubvARB;
extern RGLSYMGLWEIGHTUIVARBPROC __glWeightuivARB;
extern RGLSYMGLWEIGHTUSVARBPROC __glWeightusvARB;
extern RGLSYMGLWINDOWPOS2DARBPROC __glWindowPos2dARB;
extern RGLSYMGLWINDOWPOS2DPROC __glWindowPos2d;
extern RGLSYMGLWINDOWPOS2DVARBPROC __glWindowPos2dvARB;
extern RGLSYMGLWINDOWPOS2DVPROC __glWindowPos2dv;
extern RGLSYMGLWINDOWPOS2FARBPROC __glWindowPos2fARB;
extern RGLSYMGLWINDOWPOS2FPROC __glWindowPos2f;
extern RGLSYMGLWINDOWPOS2FVARBPROC __glWindowPos2fvARB;
extern RGLSYMGLWINDOWPOS2FVPROC __glWindowPos2fv;
extern RGLSYMGLWINDOWPOS2IARBPROC __glWindowPos2iARB;
extern RGLSYMGLWINDOWPOS2IPROC __glWindowPos2i;
extern RGLSYMGLWINDOWPOS2IVARBPROC __glWindowPos2ivARB;
extern RGLSYMGLWINDOWPOS2IVPROC __glWindowPos2iv;
extern RGLSYMGLWINDOWPOS2SARBPROC __glWindowPos2sARB;
extern RGLSYMGLWINDOWPOS2SPROC __glWindowPos2s;
extern RGLSYMGLWINDOWPOS2SVARBPROC __glWindowPos2svARB;
extern RGLSYMGLWINDOWPOS2SVPROC __glWindowPos2sv;
extern RGLSYMGLWINDOWPOS3DARBPROC __glWindowPos3dARB;
extern RGLSYMGLWINDOWPOS3DPROC __glWindowPos3d;
extern RGLSYMGLWINDOWPOS3DVARBPROC __glWindowPos3dvARB;
extern RGLSYMGLWINDOWPOS3DVPROC __glWindowPos3dv;
extern RGLSYMGLWINDOWPOS3FARBPROC __glWindowPos3fARB;
extern RGLSYMGLWINDOWPOS3FPROC __glWindowPos3f;
extern RGLSYMGLWINDOWPOS3FVARBPROC __glWindowPos3fvARB;
extern RGLSYMGLWINDOWPOS3FVPROC __glWindowPos3fv;
extern RGLSYMGLWINDOWPOS3IARBPROC __glWindowPos3iARB;
extern RGLSYMGLWINDOWPOS3IPROC __glWindowPos3i;
extern RGLSYMGLWINDOWPOS3IVARBPROC __glWindowPos3ivARB;
extern RGLSYMGLWINDOWPOS3IVPROC __glWindowPos3iv;
extern RGLSYMGLWINDOWPOS3SARBPROC __glWindowPos3sARB;
extern RGLSYMGLWINDOWPOS3SPROC __glWindowPos3s;
extern RGLSYMGLWINDOWPOS3SVARBPROC __glWindowPos3svARB;
extern RGLSYMGLWINDOWPOS3SVPROC __glWindowPos3sv;
extern RGLSYMGETTEXTURESUBIMAGEPROC __glGetTextureSubImage;
extern PFNGLCOPYIMAGESUBDATAOES __glCopyImageSubDataOES;

#ifdef glCopyImageSubDataOES
#undef glCopyImageSubDataOES
#endif // glCopyImageSubDataOES
#define glCopyImageSubDataOES __glCopyImageSubDataOES
#ifdef glBindFragDataLocationIndexedEXT
#undef glBindFragDataLocationIndexedEXT
#endif // glBindFragDataLocationIndexedEXT
#define glBindFragDataLocationIndexedEXT __glBindFragDataLocationIndexedEXT
#ifdef glGetTextureSubImage
#undef glGetTextureSubImage
#endif // glGetTextureSubImage
#define glGetTextureSubImage __glGetTextureSubImage
#ifdef glAccum
#undef glAccum
#endif // glAccum
#define glAccum __glAccum
#ifdef glAccumxOES
#undef glAccumxOES
#endif // glAccumxOES
#define glAccumxOES __glAccumxOES
#ifdef glActiveShaderProgram
#undef glActiveShaderProgram
#endif // glActiveShaderProgram
#define glActiveShaderProgram __glActiveShaderProgram
#ifdef glActiveTexture
#undef glActiveTexture
#endif // glActiveTexture
#define glActiveTexture __glActiveTexture
#ifdef glActiveTextureARB
#undef glActiveTextureARB
#endif // glActiveTextureARB
#define glActiveTextureARB __glActiveTextureARB
#ifdef glAlphaFunc
#undef glAlphaFunc
#endif // glAlphaFunc
#define glAlphaFunc __glAlphaFunc
#ifdef glAlphaFuncxOES
#undef glAlphaFuncxOES
#endif // glAlphaFuncxOES
#define glAlphaFuncxOES __glAlphaFuncxOES
#ifdef glAreTexturesResident
#undef glAreTexturesResident
#endif // glAreTexturesResident
#define glAreTexturesResident __glAreTexturesResident
#ifdef glArrayElement
#undef glArrayElement
#endif // glArrayElement
#define glArrayElement __glArrayElement
#ifdef glAttachObjectARB
#undef glAttachObjectARB
#endif // glAttachObjectARB
#define glAttachObjectARB __glAttachObjectARB
#ifdef glAttachShader
#undef glAttachShader
#endif // glAttachShader
#define glAttachShader __glAttachShader
#ifdef glBegin
#undef glBegin
#endif // glBegin
#define glBegin __glBegin
#ifdef glBeginConditionalRender
#undef glBeginConditionalRender
#endif // glBeginConditionalRender
#define glBeginConditionalRender __glBeginConditionalRender
#ifdef glBeginQuery
#undef glBeginQuery
#endif // glBeginQuery
#define glBeginQuery __glBeginQuery
#ifdef glBeginQueryARB
#undef glBeginQueryARB
#endif // glBeginQueryARB
#define glBeginQueryARB __glBeginQueryARB
#ifdef glBeginQueryIndexed
#undef glBeginQueryIndexed
#endif // glBeginQueryIndexed
#define glBeginQueryIndexed __glBeginQueryIndexed
#ifdef glBeginTransformFeedback
#undef glBeginTransformFeedback
#endif // glBeginTransformFeedback
#define glBeginTransformFeedback __glBeginTransformFeedback
#ifdef glBindAttribLocation
#undef glBindAttribLocation
#endif // glBindAttribLocation
#define glBindAttribLocation __glBindAttribLocation
#ifdef glBindAttribLocationARB
#undef glBindAttribLocationARB
#endif // glBindAttribLocationARB
#define glBindAttribLocationARB __glBindAttribLocationARB
#ifdef glBindBuffer
#undef glBindBuffer
#endif // glBindBuffer
#define glBindBuffer __glBindBuffer
#ifdef glBindBufferARB
#undef glBindBufferARB
#endif // glBindBufferARB
#define glBindBufferARB __glBindBufferARB
#ifdef glBindBufferBase
#undef glBindBufferBase
#endif // glBindBufferBase
#define glBindBufferBase __glBindBufferBase
#ifdef glBindBufferRange
#undef glBindBufferRange
#endif // glBindBufferRange
#define glBindBufferRange __glBindBufferRange
#ifdef glBindBuffersBase
#undef glBindBuffersBase
#endif // glBindBuffersBase
#define glBindBuffersBase __glBindBuffersBase
#ifdef glBindBuffersRange
#undef glBindBuffersRange
#endif // glBindBuffersRange
#define glBindBuffersRange __glBindBuffersRange
#ifdef glBindFragDataLocation
#undef glBindFragDataLocation
#endif // glBindFragDataLocation
#define glBindFragDataLocation __glBindFragDataLocation
#ifdef glBindFragDataLocationIndexed
#undef glBindFragDataLocationIndexed
#endif // glBindFragDataLocationIndexed
#define glBindFragDataLocationIndexed __glBindFragDataLocationIndexed
#ifdef glBindFramebuffer
#undef glBindFramebuffer
#endif // glBindFramebuffer
#define glBindFramebuffer __glBindFramebuffer
#ifdef glBindImageTexture
#undef glBindImageTexture
#endif // glBindImageTexture
#define glBindImageTexture __glBindImageTexture
#ifdef glBindImageTextures
#undef glBindImageTextures
#endif // glBindImageTextures
#define glBindImageTextures __glBindImageTextures
#ifdef glBindProgramARB
#undef glBindProgramARB
#endif // glBindProgramARB
#define glBindProgramARB __glBindProgramARB
#ifdef glBindProgramPipeline
#undef glBindProgramPipeline
#endif // glBindProgramPipeline
#define glBindProgramPipeline __glBindProgramPipeline
#ifdef glBindRenderbuffer
#undef glBindRenderbuffer
#endif // glBindRenderbuffer
#define glBindRenderbuffer __glBindRenderbuffer
#ifdef glBindSampler
#undef glBindSampler
#endif // glBindSampler
#define glBindSampler __glBindSampler
#ifdef glBindSamplers
#undef glBindSamplers
#endif // glBindSamplers
#define glBindSamplers __glBindSamplers
#ifdef glBindTexture
#undef glBindTexture
#endif // glBindTexture
#define glBindTexture __glBindTexture
#ifdef glBindTextures
#undef glBindTextures
#endif // glBindTextures
#define glBindTextures __glBindTextures
#ifdef glBindTransformFeedback
#undef glBindTransformFeedback
#endif // glBindTransformFeedback
#define glBindTransformFeedback __glBindTransformFeedback
#ifdef glBindVertexArray
#undef glBindVertexArray
#endif // glBindVertexArray
#define glBindVertexArray __glBindVertexArray
#ifdef glBindVertexBuffer
#undef glBindVertexBuffer
#endif // glBindVertexBuffer
#define glBindVertexBuffer __glBindVertexBuffer
#ifdef glBindVertexBuffers
#undef glBindVertexBuffers
#endif // glBindVertexBuffers
#define glBindVertexBuffers __glBindVertexBuffers
#ifdef glBitmap
#undef glBitmap
#endif // glBitmap
#define glBitmap __glBitmap
#ifdef glBitmapxOES
#undef glBitmapxOES
#endif // glBitmapxOES
#define glBitmapxOES __glBitmapxOES
#ifdef glBlendColor
#undef glBlendColor
#endif // glBlendColor
#define glBlendColor __glBlendColor
#ifdef glBlendColorxOES
#undef glBlendColorxOES
#endif // glBlendColorxOES
#define glBlendColorxOES __glBlendColorxOES
#ifdef glBlendEquation
#undef glBlendEquation
#endif // glBlendEquation
#define glBlendEquation __glBlendEquation
#ifdef glBlendEquationSeparate
#undef glBlendEquationSeparate
#endif // glBlendEquationSeparate
#define glBlendEquationSeparate __glBlendEquationSeparate
#ifdef glBlendEquationSeparatei
#undef glBlendEquationSeparatei
#endif // glBlendEquationSeparatei
#define glBlendEquationSeparatei __glBlendEquationSeparatei
#ifdef glBlendEquationSeparateiARB
#undef glBlendEquationSeparateiARB
#endif // glBlendEquationSeparateiARB
#define glBlendEquationSeparateiARB __glBlendEquationSeparateiARB
#ifdef glBlendEquationi
#undef glBlendEquationi
#endif // glBlendEquationi
#define glBlendEquationi __glBlendEquationi
#ifdef glBlendEquationiARB
#undef glBlendEquationiARB
#endif // glBlendEquationiARB
#define glBlendEquationiARB __glBlendEquationiARB
#ifdef glBlendFunc
#undef glBlendFunc
#endif // glBlendFunc
#define glBlendFunc __glBlendFunc
#ifdef glBlendFuncSeparate
#undef glBlendFuncSeparate
#endif // glBlendFuncSeparate
#define glBlendFuncSeparate __glBlendFuncSeparate
#ifdef glBlendFuncSeparatei
#undef glBlendFuncSeparatei
#endif // glBlendFuncSeparatei
#define glBlendFuncSeparatei __glBlendFuncSeparatei
#ifdef glBlendFuncSeparateiARB
#undef glBlendFuncSeparateiARB
#endif // glBlendFuncSeparateiARB
#define glBlendFuncSeparateiARB __glBlendFuncSeparateiARB
#ifdef glBlendFunci
#undef glBlendFunci
#endif // glBlendFunci
#define glBlendFunci __glBlendFunci
#ifdef glBlendFunciARB
#undef glBlendFunciARB
#endif // glBlendFunciARB
#define glBlendFunciARB __glBlendFunciARB
#ifdef glBlitFramebuffer
#undef glBlitFramebuffer
#endif // glBlitFramebuffer
#define glBlitFramebuffer __glBlitFramebuffer
#ifdef glBufferData
#undef glBufferData
#endif // glBufferData
#define glBufferData __glBufferData
#ifdef glBufferDataARB
#undef glBufferDataARB
#endif // glBufferDataARB
#define glBufferDataARB __glBufferDataARB
#ifdef glBufferStorage
#undef glBufferStorage
#endif // glBufferStorage
#define glBufferStorage __glBufferStorage
#ifdef glBufferSubData
#undef glBufferSubData
#endif // glBufferSubData
#define glBufferSubData __glBufferSubData
#ifdef glBufferSubDataARB
#undef glBufferSubDataARB
#endif // glBufferSubDataARB
#define glBufferSubDataARB __glBufferSubDataARB
#ifdef glCallList
#undef glCallList
#endif // glCallList
#define glCallList __glCallList
#ifdef glCallLists
#undef glCallLists
#endif // glCallLists
#define glCallLists __glCallLists
#ifdef glCheckFramebufferStatus
#undef glCheckFramebufferStatus
#endif // glCheckFramebufferStatus
#define glCheckFramebufferStatus __glCheckFramebufferStatus
#ifdef glClampColor
#undef glClampColor
#endif // glClampColor
#define glClampColor __glClampColor
#ifdef glClampColorARB
#undef glClampColorARB
#endif // glClampColorARB
#define glClampColorARB __glClampColorARB
#ifdef glClear
#undef glClear
#endif // glClear
#define glClear __glClear
#ifdef glClearAccum
#undef glClearAccum
#endif // glClearAccum
#define glClearAccum __glClearAccum
#ifdef glClearAccumxOES
#undef glClearAccumxOES
#endif // glClearAccumxOES
#define glClearAccumxOES __glClearAccumxOES
#ifdef glClearBufferData
#undef glClearBufferData
#endif // glClearBufferData
#define glClearBufferData __glClearBufferData
#ifdef glClearBufferSubData
#undef glClearBufferSubData
#endif // glClearBufferSubData
#define glClearBufferSubData __glClearBufferSubData
#ifdef glClearBufferfi
#undef glClearBufferfi
#endif // glClearBufferfi
#define glClearBufferfi __glClearBufferfi
#ifdef glClearBufferfv
#undef glClearBufferfv
#endif // glClearBufferfv
#define glClearBufferfv __glClearBufferfv
#ifdef glClearBufferiv
#undef glClearBufferiv
#endif // glClearBufferiv
#define glClearBufferiv __glClearBufferiv
#ifdef glClearBufferuiv
#undef glClearBufferuiv
#endif // glClearBufferuiv
#define glClearBufferuiv __glClearBufferuiv
#ifdef glClearColor
#undef glClearColor
#endif // glClearColor
#define glClearColor __glClearColor
#ifdef glClearColorxOES
#undef glClearColorxOES
#endif // glClearColorxOES
#define glClearColorxOES __glClearColorxOES
#ifdef glClearDepth
#undef glClearDepth
#endif // glClearDepth
#define glClearDepth __glClearDepth
#ifdef glClearDepthf
#undef glClearDepthf
#endif // glClearDepthf
#define glClearDepthf __glClearDepthf
#ifdef glClearDepthfOES
#undef glClearDepthfOES
#endif // glClearDepthfOES
#define glClearDepthfOES __glClearDepthfOES
#ifdef glClearDepthxOES
#undef glClearDepthxOES
#endif // glClearDepthxOES
#define glClearDepthxOES __glClearDepthxOES
#ifdef glClearIndex
#undef glClearIndex
#endif // glClearIndex
#define glClearIndex __glClearIndex
#ifdef glClearStencil
#undef glClearStencil
#endif // glClearStencil
#define glClearStencil __glClearStencil
#ifdef glClearTexImage
#undef glClearTexImage
#endif // glClearTexImage
#define glClearTexImage __glClearTexImage
#ifdef glClearTexSubImage
#undef glClearTexSubImage
#endif // glClearTexSubImage
#define glClearTexSubImage __glClearTexSubImage
#ifdef glClientActiveTexture
#undef glClientActiveTexture
#endif // glClientActiveTexture
#define glClientActiveTexture __glClientActiveTexture
#ifdef glClientActiveTextureARB
#undef glClientActiveTextureARB
#endif // glClientActiveTextureARB
#define glClientActiveTextureARB __glClientActiveTextureARB
#ifdef glClientWaitSync
#undef glClientWaitSync
#endif // glClientWaitSync
#define glClientWaitSync __glClientWaitSync
#ifdef glClipPlane
#undef glClipPlane
#endif // glClipPlane
#define glClipPlane __glClipPlane
#ifdef glClipPlanefOES
#undef glClipPlanefOES
#endif // glClipPlanefOES
#define glClipPlanefOES __glClipPlanefOES
#ifdef glClipPlanexOES
#undef glClipPlanexOES
#endif // glClipPlanexOES
#define glClipPlanexOES __glClipPlanexOES
#ifdef glColor3b
#undef glColor3b
#endif // glColor3b
#define glColor3b __glColor3b
#ifdef glColor3bv
#undef glColor3bv
#endif // glColor3bv
#define glColor3bv __glColor3bv
#ifdef glColor3d
#undef glColor3d
#endif // glColor3d
#define glColor3d __glColor3d
#ifdef glColor3dv
#undef glColor3dv
#endif // glColor3dv
#define glColor3dv __glColor3dv
#ifdef glColor3f
#undef glColor3f
#endif // glColor3f
#define glColor3f __glColor3f
#ifdef glColor3fv
#undef glColor3fv
#endif // glColor3fv
#define glColor3fv __glColor3fv
#ifdef glColor3i
#undef glColor3i
#endif // glColor3i
#define glColor3i __glColor3i
#ifdef glColor3iv
#undef glColor3iv
#endif // glColor3iv
#define glColor3iv __glColor3iv
#ifdef glColor3s
#undef glColor3s
#endif // glColor3s
#define glColor3s __glColor3s
#ifdef glColor3sv
#undef glColor3sv
#endif // glColor3sv
#define glColor3sv __glColor3sv
#ifdef glColor3ub
#undef glColor3ub
#endif // glColor3ub
#define glColor3ub __glColor3ub
#ifdef glColor3ubv
#undef glColor3ubv
#endif // glColor3ubv
#define glColor3ubv __glColor3ubv
#ifdef glColor3ui
#undef glColor3ui
#endif // glColor3ui
#define glColor3ui __glColor3ui
#ifdef glColor3uiv
#undef glColor3uiv
#endif // glColor3uiv
#define glColor3uiv __glColor3uiv
#ifdef glColor3us
#undef glColor3us
#endif // glColor3us
#define glColor3us __glColor3us
#ifdef glColor3usv
#undef glColor3usv
#endif // glColor3usv
#define glColor3usv __glColor3usv
#ifdef glColor3xOES
#undef glColor3xOES
#endif // glColor3xOES
#define glColor3xOES __glColor3xOES
#ifdef glColor3xvOES
#undef glColor3xvOES
#endif // glColor3xvOES
#define glColor3xvOES __glColor3xvOES
#ifdef glColor4b
#undef glColor4b
#endif // glColor4b
#define glColor4b __glColor4b
#ifdef glColor4bv
#undef glColor4bv
#endif // glColor4bv
#define glColor4bv __glColor4bv
#ifdef glColor4d
#undef glColor4d
#endif // glColor4d
#define glColor4d __glColor4d
#ifdef glColor4dv
#undef glColor4dv
#endif // glColor4dv
#define glColor4dv __glColor4dv
#ifdef glColor4f
#undef glColor4f
#endif // glColor4f
#define glColor4f __glColor4f
#ifdef glColor4fv
#undef glColor4fv
#endif // glColor4fv
#define glColor4fv __glColor4fv
#ifdef glColor4i
#undef glColor4i
#endif // glColor4i
#define glColor4i __glColor4i
#ifdef glColor4iv
#undef glColor4iv
#endif // glColor4iv
#define glColor4iv __glColor4iv
#ifdef glColor4s
#undef glColor4s
#endif // glColor4s
#define glColor4s __glColor4s
#ifdef glColor4sv
#undef glColor4sv
#endif // glColor4sv
#define glColor4sv __glColor4sv
#ifdef glColor4ub
#undef glColor4ub
#endif // glColor4ub
#define glColor4ub __glColor4ub
#ifdef glColor4ubv
#undef glColor4ubv
#endif // glColor4ubv
#define glColor4ubv __glColor4ubv
#ifdef glColor4ui
#undef glColor4ui
#endif // glColor4ui
#define glColor4ui __glColor4ui
#ifdef glColor4uiv
#undef glColor4uiv
#endif // glColor4uiv
#define glColor4uiv __glColor4uiv
#ifdef glColor4us
#undef glColor4us
#endif // glColor4us
#define glColor4us __glColor4us
#ifdef glColor4usv
#undef glColor4usv
#endif // glColor4usv
#define glColor4usv __glColor4usv
#ifdef glColor4xOES
#undef glColor4xOES
#endif // glColor4xOES
#define glColor4xOES __glColor4xOES
#ifdef glColor4xvOES
#undef glColor4xvOES
#endif // glColor4xvOES
#define glColor4xvOES __glColor4xvOES
#ifdef glColorMask
#undef glColorMask
#endif // glColorMask
#define glColorMask __glColorMask
#ifdef glColorMaski
#undef glColorMaski
#endif // glColorMaski
#define glColorMaski __glColorMaski
#ifdef glColorMaterial
#undef glColorMaterial
#endif // glColorMaterial
#define glColorMaterial __glColorMaterial
#ifdef glColorP3ui
#undef glColorP3ui
#endif // glColorP3ui
#define glColorP3ui __glColorP3ui
#ifdef glColorP3uiv
#undef glColorP3uiv
#endif // glColorP3uiv
#define glColorP3uiv __glColorP3uiv
#ifdef glColorP4ui
#undef glColorP4ui
#endif // glColorP4ui
#define glColorP4ui __glColorP4ui
#ifdef glColorP4uiv
#undef glColorP4uiv
#endif // glColorP4uiv
#define glColorP4uiv __glColorP4uiv
#ifdef glColorPointer
#undef glColorPointer
#endif // glColorPointer
#define glColorPointer __glColorPointer
#ifdef glColorSubTable
#undef glColorSubTable
#endif // glColorSubTable
#define glColorSubTable __glColorSubTable
#ifdef glColorTable
#undef glColorTable
#endif // glColorTable
#define glColorTable __glColorTable
#ifdef glColorTableParameterfv
#undef glColorTableParameterfv
#endif // glColorTableParameterfv
#define glColorTableParameterfv __glColorTableParameterfv
#ifdef glColorTableParameteriv
#undef glColorTableParameteriv
#endif // glColorTableParameteriv
#define glColorTableParameteriv __glColorTableParameteriv
#ifdef glCompileShader
#undef glCompileShader
#endif // glCompileShader
#define glCompileShader __glCompileShader
#ifdef glCompileShaderARB
#undef glCompileShaderARB
#endif // glCompileShaderARB
#define glCompileShaderARB __glCompileShaderARB
#ifdef glCompileShaderIncludeARB
#undef glCompileShaderIncludeARB
#endif // glCompileShaderIncludeARB
#define glCompileShaderIncludeARB __glCompileShaderIncludeARB
#ifdef glCompressedTexImage1D
#undef glCompressedTexImage1D
#endif // glCompressedTexImage1D
#define glCompressedTexImage1D __glCompressedTexImage1D
#ifdef glCompressedTexImage1DARB
#undef glCompressedTexImage1DARB
#endif // glCompressedTexImage1DARB
#define glCompressedTexImage1DARB __glCompressedTexImage1DARB
#ifdef glCompressedTexImage2D
#undef glCompressedTexImage2D
#endif // glCompressedTexImage2D
#define glCompressedTexImage2D __glCompressedTexImage2D
#ifdef glCompressedTexImage2DARB
#undef glCompressedTexImage2DARB
#endif // glCompressedTexImage2DARB
#define glCompressedTexImage2DARB __glCompressedTexImage2DARB
#ifdef glCompressedTexImage3D
#undef glCompressedTexImage3D
#endif // glCompressedTexImage3D
#define glCompressedTexImage3D __glCompressedTexImage3D
#ifdef glCompressedTexImage3DARB
#undef glCompressedTexImage3DARB
#endif // glCompressedTexImage3DARB
#define glCompressedTexImage3DARB __glCompressedTexImage3DARB
#ifdef glCompressedTexSubImage1D
#undef glCompressedTexSubImage1D
#endif // glCompressedTexSubImage1D
#define glCompressedTexSubImage1D __glCompressedTexSubImage1D
#ifdef glCompressedTexSubImage1DARB
#undef glCompressedTexSubImage1DARB
#endif // glCompressedTexSubImage1DARB
#define glCompressedTexSubImage1DARB __glCompressedTexSubImage1DARB
#ifdef glCompressedTexSubImage2D
#undef glCompressedTexSubImage2D
#endif // glCompressedTexSubImage2D
#define glCompressedTexSubImage2D __glCompressedTexSubImage2D
#ifdef glCompressedTexSubImage2DARB
#undef glCompressedTexSubImage2DARB
#endif // glCompressedTexSubImage2DARB
#define glCompressedTexSubImage2DARB __glCompressedTexSubImage2DARB
#ifdef glCompressedTexSubImage3D
#undef glCompressedTexSubImage3D
#endif // glCompressedTexSubImage3D
#define glCompressedTexSubImage3D __glCompressedTexSubImage3D
#ifdef glCompressedTexSubImage3DARB
#undef glCompressedTexSubImage3DARB
#endif // glCompressedTexSubImage3DARB
#define glCompressedTexSubImage3DARB __glCompressedTexSubImage3DARB
#ifdef glConvolutionFilter1D
#undef glConvolutionFilter1D
#endif // glConvolutionFilter1D
#define glConvolutionFilter1D __glConvolutionFilter1D
#ifdef glConvolutionFilter2D
#undef glConvolutionFilter2D
#endif // glConvolutionFilter2D
#define glConvolutionFilter2D __glConvolutionFilter2D
#ifdef glConvolutionParameterf
#undef glConvolutionParameterf
#endif // glConvolutionParameterf
#define glConvolutionParameterf __glConvolutionParameterf
#ifdef glConvolutionParameterfv
#undef glConvolutionParameterfv
#endif // glConvolutionParameterfv
#define glConvolutionParameterfv __glConvolutionParameterfv
#ifdef glConvolutionParameteri
#undef glConvolutionParameteri
#endif // glConvolutionParameteri
#define glConvolutionParameteri __glConvolutionParameteri
#ifdef glConvolutionParameteriv
#undef glConvolutionParameteriv
#endif // glConvolutionParameteriv
#define glConvolutionParameteriv __glConvolutionParameteriv
#ifdef glConvolutionParameterxOES
#undef glConvolutionParameterxOES
#endif // glConvolutionParameterxOES
#define glConvolutionParameterxOES __glConvolutionParameterxOES
#ifdef glConvolutionParameterxvOES
#undef glConvolutionParameterxvOES
#endif // glConvolutionParameterxvOES
#define glConvolutionParameterxvOES __glConvolutionParameterxvOES
#ifdef glCopyBufferSubData
#undef glCopyBufferSubData
#endif // glCopyBufferSubData
#define glCopyBufferSubData __glCopyBufferSubData
#ifdef glCopyColorSubTable
#undef glCopyColorSubTable
#endif // glCopyColorSubTable
#define glCopyColorSubTable __glCopyColorSubTable
#ifdef glCopyColorTable
#undef glCopyColorTable
#endif // glCopyColorTable
#define glCopyColorTable __glCopyColorTable
#ifdef glCopyConvolutionFilter1D
#undef glCopyConvolutionFilter1D
#endif // glCopyConvolutionFilter1D
#define glCopyConvolutionFilter1D __glCopyConvolutionFilter1D
#ifdef glCopyConvolutionFilter2D
#undef glCopyConvolutionFilter2D
#endif // glCopyConvolutionFilter2D
#define glCopyConvolutionFilter2D __glCopyConvolutionFilter2D
#ifdef glCopyImageSubData
#undef glCopyImageSubData
#endif // glCopyImageSubData
#define glCopyImageSubData __glCopyImageSubData
#ifdef glCopyPixels
#undef glCopyPixels
#endif // glCopyPixels
#define glCopyPixels __glCopyPixels
#ifdef glCopyTexImage1D
#undef glCopyTexImage1D
#endif // glCopyTexImage1D
#define glCopyTexImage1D __glCopyTexImage1D
#ifdef glCopyTexImage2D
#undef glCopyTexImage2D
#endif // glCopyTexImage2D
#define glCopyTexImage2D __glCopyTexImage2D
#ifdef glCopyTexSubImage1D
#undef glCopyTexSubImage1D
#endif // glCopyTexSubImage1D
#define glCopyTexSubImage1D __glCopyTexSubImage1D
#ifdef glCopyTexSubImage2D
#undef glCopyTexSubImage2D
#endif // glCopyTexSubImage2D
#define glCopyTexSubImage2D __glCopyTexSubImage2D
#ifdef glCopyTexSubImage3D
#undef glCopyTexSubImage3D
#endif // glCopyTexSubImage3D
#define glCopyTexSubImage3D __glCopyTexSubImage3D
#ifdef glCreateProgram
#undef glCreateProgram
#endif // glCreateProgram
#define glCreateProgram __glCreateProgram
#ifdef glCreateProgramObjectARB
#undef glCreateProgramObjectARB
#endif // glCreateProgramObjectARB
#define glCreateProgramObjectARB __glCreateProgramObjectARB
#ifdef glCreateShader
#undef glCreateShader
#endif // glCreateShader
#define glCreateShader __glCreateShader
#ifdef glCreateShaderObjectARB
#undef glCreateShaderObjectARB
#endif // glCreateShaderObjectARB
#define glCreateShaderObjectARB __glCreateShaderObjectARB
#ifdef glCreateShaderProgramv
#undef glCreateShaderProgramv
#endif // glCreateShaderProgramv
#define glCreateShaderProgramv __glCreateShaderProgramv
#ifdef glCreateSyncFromCLeventARB
#undef glCreateSyncFromCLeventARB
#endif // glCreateSyncFromCLeventARB
#define glCreateSyncFromCLeventARB __glCreateSyncFromCLeventARB
#ifdef glCullFace
#undef glCullFace
#endif // glCullFace
#define glCullFace __glCullFace
#ifdef glCurrentPaletteMatrixARB
#undef glCurrentPaletteMatrixARB
#endif // glCurrentPaletteMatrixARB
#define glCurrentPaletteMatrixARB __glCurrentPaletteMatrixARB
#ifdef glDebugMessageCallback
#undef glDebugMessageCallback
#endif // glDebugMessageCallback
#define glDebugMessageCallback __glDebugMessageCallback
#ifdef glDebugMessageCallbackARB
#undef glDebugMessageCallbackARB
#endif // glDebugMessageCallbackARB
#define glDebugMessageCallbackARB __glDebugMessageCallbackARB
#ifdef glDebugMessageControl
#undef glDebugMessageControl
#endif // glDebugMessageControl
#define glDebugMessageControl __glDebugMessageControl
#ifdef glDebugMessageControlARB
#undef glDebugMessageControlARB
#endif // glDebugMessageControlARB
#define glDebugMessageControlARB __glDebugMessageControlARB
#ifdef glDebugMessageInsert
#undef glDebugMessageInsert
#endif // glDebugMessageInsert
#define glDebugMessageInsert __glDebugMessageInsert
#ifdef glDebugMessageInsertARB
#undef glDebugMessageInsertARB
#endif // glDebugMessageInsertARB
#define glDebugMessageInsertARB __glDebugMessageInsertARB
#ifdef glDeleteBuffers
#undef glDeleteBuffers
#endif // glDeleteBuffers
#define glDeleteBuffers __glDeleteBuffers
#ifdef glDeleteBuffersARB
#undef glDeleteBuffersARB
#endif // glDeleteBuffersARB
#define glDeleteBuffersARB __glDeleteBuffersARB
#ifdef glDeleteFramebuffers
#undef glDeleteFramebuffers
#endif // glDeleteFramebuffers
#define glDeleteFramebuffers __glDeleteFramebuffers
#ifdef glDeleteLists
#undef glDeleteLists
#endif // glDeleteLists
#define glDeleteLists __glDeleteLists
#ifdef glDeleteNamedStringARB
#undef glDeleteNamedStringARB
#endif // glDeleteNamedStringARB
#define glDeleteNamedStringARB __glDeleteNamedStringARB
#ifdef glDeleteObjectARB
#undef glDeleteObjectARB
#endif // glDeleteObjectARB
#define glDeleteObjectARB __glDeleteObjectARB
#ifdef glDeleteProgram
#undef glDeleteProgram
#endif // glDeleteProgram
#define glDeleteProgram __glDeleteProgram
#ifdef glDeleteProgramPipelines
#undef glDeleteProgramPipelines
#endif // glDeleteProgramPipelines
#define glDeleteProgramPipelines __glDeleteProgramPipelines
#ifdef glDeleteProgramsARB
#undef glDeleteProgramsARB
#endif // glDeleteProgramsARB
#define glDeleteProgramsARB __glDeleteProgramsARB
#ifdef glDeleteQueries
#undef glDeleteQueries
#endif // glDeleteQueries
#define glDeleteQueries __glDeleteQueries
#ifdef glDeleteQueriesARB
#undef glDeleteQueriesARB
#endif // glDeleteQueriesARB
#define glDeleteQueriesARB __glDeleteQueriesARB
#ifdef glDeleteRenderbuffers
#undef glDeleteRenderbuffers
#endif // glDeleteRenderbuffers
#define glDeleteRenderbuffers __glDeleteRenderbuffers
#ifdef glDeleteSamplers
#undef glDeleteSamplers
#endif // glDeleteSamplers
#define glDeleteSamplers __glDeleteSamplers
#ifdef glDeleteShader
#undef glDeleteShader
#endif // glDeleteShader
#define glDeleteShader __glDeleteShader
#ifdef glDeleteSync
#undef glDeleteSync
#endif // glDeleteSync
#define glDeleteSync __glDeleteSync
#ifdef glDeleteTextures
#undef glDeleteTextures
#endif // glDeleteTextures
#define glDeleteTextures __glDeleteTextures
#ifdef glDeleteTransformFeedbacks
#undef glDeleteTransformFeedbacks
#endif // glDeleteTransformFeedbacks
#define glDeleteTransformFeedbacks __glDeleteTransformFeedbacks
#ifdef glDeleteVertexArrays
#undef glDeleteVertexArrays
#endif // glDeleteVertexArrays
#define glDeleteVertexArrays __glDeleteVertexArrays
#ifdef glDepthFunc
#undef glDepthFunc
#endif // glDepthFunc
#define glDepthFunc __glDepthFunc
#ifdef glDepthMask
#undef glDepthMask
#endif // glDepthMask
#define glDepthMask __glDepthMask
#ifdef glDepthRange
#undef glDepthRange
#endif // glDepthRange
#define glDepthRange __glDepthRange
#ifdef glDepthRangeArrayv
#undef glDepthRangeArrayv
#endif // glDepthRangeArrayv
#define glDepthRangeArrayv __glDepthRangeArrayv
#ifdef glDepthRangeIndexed
#undef glDepthRangeIndexed
#endif // glDepthRangeIndexed
#define glDepthRangeIndexed __glDepthRangeIndexed
#ifdef glDepthRangef
#undef glDepthRangef
#endif // glDepthRangef
#define glDepthRangef __glDepthRangef
#ifdef glDepthRangefOES
#undef glDepthRangefOES
#endif // glDepthRangefOES
#define glDepthRangefOES __glDepthRangefOES
#ifdef glDepthRangexOES
#undef glDepthRangexOES
#endif // glDepthRangexOES
#define glDepthRangexOES __glDepthRangexOES
#ifdef glDetachObjectARB
#undef glDetachObjectARB
#endif // glDetachObjectARB
#define glDetachObjectARB __glDetachObjectARB
#ifdef glDetachShader
#undef glDetachShader
#endif // glDetachShader
#define glDetachShader __glDetachShader
#ifdef glDisable
#undef glDisable
#endif // glDisable
#define glDisable __glDisable
#ifdef glDisableClientState
#undef glDisableClientState
#endif // glDisableClientState
#define glDisableClientState __glDisableClientState
#ifdef glDisableVertexAttribArray
#undef glDisableVertexAttribArray
#endif // glDisableVertexAttribArray
#define glDisableVertexAttribArray __glDisableVertexAttribArray
#ifdef glDisableVertexAttribArrayARB
#undef glDisableVertexAttribArrayARB
#endif // glDisableVertexAttribArrayARB
#define glDisableVertexAttribArrayARB __glDisableVertexAttribArrayARB
#ifdef glDisablei
#undef glDisablei
#endif // glDisablei
#define glDisablei __glDisablei
#ifdef glDispatchCompute
#undef glDispatchCompute
#endif // glDispatchCompute
#define glDispatchCompute __glDispatchCompute
#ifdef glDispatchComputeGroupSizeARB
#undef glDispatchComputeGroupSizeARB
#endif // glDispatchComputeGroupSizeARB
#define glDispatchComputeGroupSizeARB __glDispatchComputeGroupSizeARB
#ifdef glDispatchComputeIndirect
#undef glDispatchComputeIndirect
#endif // glDispatchComputeIndirect
#define glDispatchComputeIndirect __glDispatchComputeIndirect
#ifdef glDrawArrays
#undef glDrawArrays
#endif // glDrawArrays
#define glDrawArrays __glDrawArrays
#ifdef glDrawArraysIndirect
#undef glDrawArraysIndirect
#endif // glDrawArraysIndirect
#define glDrawArraysIndirect __glDrawArraysIndirect
#ifdef glDrawArraysInstanced
#undef glDrawArraysInstanced
#endif // glDrawArraysInstanced
#define glDrawArraysInstanced __glDrawArraysInstanced
#ifdef glDrawArraysInstancedARB
#undef glDrawArraysInstancedARB
#endif // glDrawArraysInstancedARB
#define glDrawArraysInstancedARB __glDrawArraysInstancedARB
#ifdef glDrawArraysInstancedBaseInstance
#undef glDrawArraysInstancedBaseInstance
#endif // glDrawArraysInstancedBaseInstance
#define glDrawArraysInstancedBaseInstance __glDrawArraysInstancedBaseInstance
#ifdef glDrawBuffer
#undef glDrawBuffer
#endif // glDrawBuffer
#define glDrawBuffer __glDrawBuffer
#ifdef glDrawBuffers
#undef glDrawBuffers
#endif // glDrawBuffers
#define glDrawBuffers __glDrawBuffers
#ifdef glDrawBuffersARB
#undef glDrawBuffersARB
#endif // glDrawBuffersARB
#define glDrawBuffersARB __glDrawBuffersARB
#ifdef glDrawElements
#undef glDrawElements
#endif // glDrawElements
#define glDrawElements __glDrawElements
#ifdef glDrawElementsBaseVertex
#undef glDrawElementsBaseVertex
#endif // glDrawElementsBaseVertex
#define glDrawElementsBaseVertex __glDrawElementsBaseVertex
#ifdef glDrawElementsIndirect
#undef glDrawElementsIndirect
#endif // glDrawElementsIndirect
#define glDrawElementsIndirect __glDrawElementsIndirect
#ifdef glDrawElementsInstanced
#undef glDrawElementsInstanced
#endif // glDrawElementsInstanced
#define glDrawElementsInstanced __glDrawElementsInstanced
#ifdef glDrawElementsInstancedARB
#undef glDrawElementsInstancedARB
#endif // glDrawElementsInstancedARB
#define glDrawElementsInstancedARB __glDrawElementsInstancedARB
#ifdef glDrawElementsInstancedBaseInstance
#undef glDrawElementsInstancedBaseInstance
#endif // glDrawElementsInstancedBaseInstance
#define glDrawElementsInstancedBaseInstance __glDrawElementsInstancedBaseInstance
#ifdef glDrawElementsInstancedBaseVertex
#undef glDrawElementsInstancedBaseVertex
#endif // glDrawElementsInstancedBaseVertex
#define glDrawElementsInstancedBaseVertex __glDrawElementsInstancedBaseVertex
#ifdef glDrawElementsInstancedBaseVertexBaseInstance
#undef glDrawElementsInstancedBaseVertexBaseInstance
#endif // glDrawElementsInstancedBaseVertexBaseInstance
#define glDrawElementsInstancedBaseVertexBaseInstance __glDrawElementsInstancedBaseVertexBaseInstance
#ifdef glDrawPixels
#undef glDrawPixels
#endif // glDrawPixels
#define glDrawPixels __glDrawPixels
#ifdef glDrawRangeElements
#undef glDrawRangeElements
#endif // glDrawRangeElements
#define glDrawRangeElements __glDrawRangeElements
#ifdef glDrawRangeElementsBaseVertex
#undef glDrawRangeElementsBaseVertex
#endif // glDrawRangeElementsBaseVertex
#define glDrawRangeElementsBaseVertex __glDrawRangeElementsBaseVertex
#ifdef glDrawTransformFeedback
#undef glDrawTransformFeedback
#endif // glDrawTransformFeedback
#define glDrawTransformFeedback __glDrawTransformFeedback
#ifdef glDrawTransformFeedbackInstanced
#undef glDrawTransformFeedbackInstanced
#endif // glDrawTransformFeedbackInstanced
#define glDrawTransformFeedbackInstanced __glDrawTransformFeedbackInstanced
#ifdef glDrawTransformFeedbackStream
#undef glDrawTransformFeedbackStream
#endif // glDrawTransformFeedbackStream
#define glDrawTransformFeedbackStream __glDrawTransformFeedbackStream
#ifdef glDrawTransformFeedbackStreamInstanced
#undef glDrawTransformFeedbackStreamInstanced
#endif // glDrawTransformFeedbackStreamInstanced
#define glDrawTransformFeedbackStreamInstanced __glDrawTransformFeedbackStreamInstanced
#ifdef glEGLImageTargetRenderbufferStorageOES
#undef glEGLImageTargetRenderbufferStorageOES
#endif // glEGLImageTargetRenderbufferStorageOES
#define glEGLImageTargetRenderbufferStorageOES __glEGLImageTargetRenderbufferStorageOES
#ifdef glEGLImageTargetTexture2DOES
#undef glEGLImageTargetTexture2DOES
#endif // glEGLImageTargetTexture2DOES
#define glEGLImageTargetTexture2DOES __glEGLImageTargetTexture2DOES
#ifdef glEdgeFlag
#undef glEdgeFlag
#endif // glEdgeFlag
#define glEdgeFlag __glEdgeFlag
#ifdef glEdgeFlagPointer
#undef glEdgeFlagPointer
#endif // glEdgeFlagPointer
#define glEdgeFlagPointer __glEdgeFlagPointer
#ifdef glEdgeFlagv
#undef glEdgeFlagv
#endif // glEdgeFlagv
#define glEdgeFlagv __glEdgeFlagv
#ifdef glEnable
#undef glEnable
#endif // glEnable
#define glEnable __glEnable
#ifdef glEnableClientState
#undef glEnableClientState
#endif // glEnableClientState
#define glEnableClientState __glEnableClientState
#ifdef glEnableVertexAttribArray
#undef glEnableVertexAttribArray
#endif // glEnableVertexAttribArray
#define glEnableVertexAttribArray __glEnableVertexAttribArray
#ifdef glEnableVertexAttribArrayARB
#undef glEnableVertexAttribArrayARB
#endif // glEnableVertexAttribArrayARB
#define glEnableVertexAttribArrayARB __glEnableVertexAttribArrayARB
#ifdef glEnablei
#undef glEnablei
#endif // glEnablei
#define glEnablei __glEnablei
#ifdef glEnd
#undef glEnd
#endif // glEnd
#define glEnd __glEnd
#ifdef glEndConditionalRender
#undef glEndConditionalRender
#endif // glEndConditionalRender
#define glEndConditionalRender __glEndConditionalRender
#ifdef glEndList
#undef glEndList
#endif // glEndList
#define glEndList __glEndList
#ifdef glEndQuery
#undef glEndQuery
#endif // glEndQuery
#define glEndQuery __glEndQuery
#ifdef glEndQueryARB
#undef glEndQueryARB
#endif // glEndQueryARB
#define glEndQueryARB __glEndQueryARB
#ifdef glEndQueryIndexed
#undef glEndQueryIndexed
#endif // glEndQueryIndexed
#define glEndQueryIndexed __glEndQueryIndexed
#ifdef glEndTransformFeedback
#undef glEndTransformFeedback
#endif // glEndTransformFeedback
#define glEndTransformFeedback __glEndTransformFeedback
#ifdef glEvalCoord1d
#undef glEvalCoord1d
#endif // glEvalCoord1d
#define glEvalCoord1d __glEvalCoord1d
#ifdef glEvalCoord1dv
#undef glEvalCoord1dv
#endif // glEvalCoord1dv
#define glEvalCoord1dv __glEvalCoord1dv
#ifdef glEvalCoord1f
#undef glEvalCoord1f
#endif // glEvalCoord1f
#define glEvalCoord1f __glEvalCoord1f
#ifdef glEvalCoord1fv
#undef glEvalCoord1fv
#endif // glEvalCoord1fv
#define glEvalCoord1fv __glEvalCoord1fv
#ifdef glEvalCoord1xOES
#undef glEvalCoord1xOES
#endif // glEvalCoord1xOES
#define glEvalCoord1xOES __glEvalCoord1xOES
#ifdef glEvalCoord1xvOES
#undef glEvalCoord1xvOES
#endif // glEvalCoord1xvOES
#define glEvalCoord1xvOES __glEvalCoord1xvOES
#ifdef glEvalCoord2d
#undef glEvalCoord2d
#endif // glEvalCoord2d
#define glEvalCoord2d __glEvalCoord2d
#ifdef glEvalCoord2dv
#undef glEvalCoord2dv
#endif // glEvalCoord2dv
#define glEvalCoord2dv __glEvalCoord2dv
#ifdef glEvalCoord2f
#undef glEvalCoord2f
#endif // glEvalCoord2f
#define glEvalCoord2f __glEvalCoord2f
#ifdef glEvalCoord2fv
#undef glEvalCoord2fv
#endif // glEvalCoord2fv
#define glEvalCoord2fv __glEvalCoord2fv
#ifdef glEvalCoord2xOES
#undef glEvalCoord2xOES
#endif // glEvalCoord2xOES
#define glEvalCoord2xOES __glEvalCoord2xOES
#ifdef glEvalCoord2xvOES
#undef glEvalCoord2xvOES
#endif // glEvalCoord2xvOES
#define glEvalCoord2xvOES __glEvalCoord2xvOES
#ifdef glEvalMesh1
#undef glEvalMesh1
#endif // glEvalMesh1
#define glEvalMesh1 __glEvalMesh1
#ifdef glEvalMesh2
#undef glEvalMesh2
#endif // glEvalMesh2
#define glEvalMesh2 __glEvalMesh2
#ifdef glEvalPoint1
#undef glEvalPoint1
#endif // glEvalPoint1
#define glEvalPoint1 __glEvalPoint1
#ifdef glEvalPoint2
#undef glEvalPoint2
#endif // glEvalPoint2
#define glEvalPoint2 __glEvalPoint2
#ifdef glFeedbackBuffer
#undef glFeedbackBuffer
#endif // glFeedbackBuffer
#define glFeedbackBuffer __glFeedbackBuffer
#ifdef glFeedbackBufferxOES
#undef glFeedbackBufferxOES
#endif // glFeedbackBufferxOES
#define glFeedbackBufferxOES __glFeedbackBufferxOES
#ifdef glFenceSync
#undef glFenceSync
#endif // glFenceSync
#define glFenceSync __glFenceSync
#ifdef glFinish
#undef glFinish
#endif // glFinish
#define glFinish __glFinish
#ifdef glFlush
#undef glFlush
#endif // glFlush
#define glFlush __glFlush
#ifdef glFlushMappedBufferRange
#undef glFlushMappedBufferRange
#endif // glFlushMappedBufferRange
#define glFlushMappedBufferRange __glFlushMappedBufferRange
#ifdef glFogCoordPointer
#undef glFogCoordPointer
#endif // glFogCoordPointer
#define glFogCoordPointer __glFogCoordPointer
#ifdef glFogCoordd
#undef glFogCoordd
#endif // glFogCoordd
#define glFogCoordd __glFogCoordd
#ifdef glFogCoorddv
#undef glFogCoorddv
#endif // glFogCoorddv
#define glFogCoorddv __glFogCoorddv
#ifdef glFogCoordf
#undef glFogCoordf
#endif // glFogCoordf
#define glFogCoordf __glFogCoordf
#ifdef glFogCoordfv
#undef glFogCoordfv
#endif // glFogCoordfv
#define glFogCoordfv __glFogCoordfv
#ifdef glFogf
#undef glFogf
#endif // glFogf
#define glFogf __glFogf
#ifdef glFogfv
#undef glFogfv
#endif // glFogfv
#define glFogfv __glFogfv
#ifdef glFogi
#undef glFogi
#endif // glFogi
#define glFogi __glFogi
#ifdef glFogiv
#undef glFogiv
#endif // glFogiv
#define glFogiv __glFogiv
#ifdef glFogxOES
#undef glFogxOES
#endif // glFogxOES
#define glFogxOES __glFogxOES
#ifdef glFogxvOES
#undef glFogxvOES
#endif // glFogxvOES
#define glFogxvOES __glFogxvOES
#ifdef glFramebufferParameteri
#undef glFramebufferParameteri
#endif // glFramebufferParameteri
#define glFramebufferParameteri __glFramebufferParameteri
#ifdef glFramebufferRenderbuffer
#undef glFramebufferRenderbuffer
#endif // glFramebufferRenderbuffer
#define glFramebufferRenderbuffer __glFramebufferRenderbuffer
#ifdef glFramebufferTexture
#undef glFramebufferTexture
#endif // glFramebufferTexture
#define glFramebufferTexture __glFramebufferTexture
#ifdef glFramebufferTexture1D
#undef glFramebufferTexture1D
#endif // glFramebufferTexture1D
#define glFramebufferTexture1D __glFramebufferTexture1D
#ifdef glFramebufferTexture2D
#undef glFramebufferTexture2D
#endif // glFramebufferTexture2D
#define glFramebufferTexture2D __glFramebufferTexture2D
#ifdef glFramebufferTexture3D
#undef glFramebufferTexture3D
#endif // glFramebufferTexture3D
#define glFramebufferTexture3D __glFramebufferTexture3D
#ifdef glFramebufferTextureARB
#undef glFramebufferTextureARB
#endif // glFramebufferTextureARB
#define glFramebufferTextureARB __glFramebufferTextureARB
#ifdef glFramebufferTextureFaceARB
#undef glFramebufferTextureFaceARB
#endif // glFramebufferTextureFaceARB
#define glFramebufferTextureFaceARB __glFramebufferTextureFaceARB
#ifdef glFramebufferTextureLayer
#undef glFramebufferTextureLayer
#endif // glFramebufferTextureLayer
#define glFramebufferTextureLayer __glFramebufferTextureLayer
#ifdef glFramebufferTextureLayerARB
#undef glFramebufferTextureLayerARB
#endif // glFramebufferTextureLayerARB
#define glFramebufferTextureLayerARB __glFramebufferTextureLayerARB
#ifdef glFrontFace
#undef glFrontFace
#endif // glFrontFace
#define glFrontFace __glFrontFace
#ifdef glFrustum
#undef glFrustum
#endif // glFrustum
#define glFrustum __glFrustum
#ifdef glFrustumfOES
#undef glFrustumfOES
#endif // glFrustumfOES
#define glFrustumfOES __glFrustumfOES
#ifdef glFrustumxOES
#undef glFrustumxOES
#endif // glFrustumxOES
#define glFrustumxOES __glFrustumxOES
#ifdef glGenBuffers
#undef glGenBuffers
#endif // glGenBuffers
#define glGenBuffers __glGenBuffers
#ifdef glGenBuffersARB
#undef glGenBuffersARB
#endif // glGenBuffersARB
#define glGenBuffersARB __glGenBuffersARB
#ifdef glGenFramebuffers
#undef glGenFramebuffers
#endif // glGenFramebuffers
#define glGenFramebuffers __glGenFramebuffers
#ifdef glGenLists
#undef glGenLists
#endif // glGenLists
#define glGenLists __glGenLists
#ifdef glGenProgramPipelines
#undef glGenProgramPipelines
#endif // glGenProgramPipelines
#define glGenProgramPipelines __glGenProgramPipelines
#ifdef glGenProgramsARB
#undef glGenProgramsARB
#endif // glGenProgramsARB
#define glGenProgramsARB __glGenProgramsARB
#ifdef glGenQueries
#undef glGenQueries
#endif // glGenQueries
#define glGenQueries __glGenQueries
#ifdef glGenQueriesARB
#undef glGenQueriesARB
#endif // glGenQueriesARB
#define glGenQueriesARB __glGenQueriesARB
#ifdef glGenRenderbuffers
#undef glGenRenderbuffers
#endif // glGenRenderbuffers
#define glGenRenderbuffers __glGenRenderbuffers
#ifdef glGenSamplers
#undef glGenSamplers
#endif // glGenSamplers
#define glGenSamplers __glGenSamplers
#ifdef glGenTextures
#undef glGenTextures
#endif // glGenTextures
#define glGenTextures __glGenTextures
#ifdef glGenTransformFeedbacks
#undef glGenTransformFeedbacks
#endif // glGenTransformFeedbacks
#define glGenTransformFeedbacks __glGenTransformFeedbacks
#ifdef glGenVertexArrays
#undef glGenVertexArrays
#endif // glGenVertexArrays
#define glGenVertexArrays __glGenVertexArrays
#ifdef glGenerateMipmap
#undef glGenerateMipmap
#endif // glGenerateMipmap
#define glGenerateMipmap __glGenerateMipmap
#ifdef glGetActiveAtomicCounterBufferiv
#undef glGetActiveAtomicCounterBufferiv
#endif // glGetActiveAtomicCounterBufferiv
#define glGetActiveAtomicCounterBufferiv __glGetActiveAtomicCounterBufferiv
#ifdef glGetActiveAttrib
#undef glGetActiveAttrib
#endif // glGetActiveAttrib
#define glGetActiveAttrib __glGetActiveAttrib
#ifdef glGetActiveAttribARB
#undef glGetActiveAttribARB
#endif // glGetActiveAttribARB
#define glGetActiveAttribARB __glGetActiveAttribARB
#ifdef glGetActiveSubroutineName
#undef glGetActiveSubroutineName
#endif // glGetActiveSubroutineName
#define glGetActiveSubroutineName __glGetActiveSubroutineName
#ifdef glGetActiveSubroutineUniformName
#undef glGetActiveSubroutineUniformName
#endif // glGetActiveSubroutineUniformName
#define glGetActiveSubroutineUniformName __glGetActiveSubroutineUniformName
#ifdef glGetActiveSubroutineUniformiv
#undef glGetActiveSubroutineUniformiv
#endif // glGetActiveSubroutineUniformiv
#define glGetActiveSubroutineUniformiv __glGetActiveSubroutineUniformiv
#ifdef glGetActiveUniform
#undef glGetActiveUniform
#endif // glGetActiveUniform
#define glGetActiveUniform __glGetActiveUniform
#ifdef glGetActiveUniformARB
#undef glGetActiveUniformARB
#endif // glGetActiveUniformARB
#define glGetActiveUniformARB __glGetActiveUniformARB
#ifdef glGetActiveUniformBlockName
#undef glGetActiveUniformBlockName
#endif // glGetActiveUniformBlockName
#define glGetActiveUniformBlockName __glGetActiveUniformBlockName
#ifdef glGetActiveUniformBlockiv
#undef glGetActiveUniformBlockiv
#endif // glGetActiveUniformBlockiv
#define glGetActiveUniformBlockiv __glGetActiveUniformBlockiv
#ifdef glGetActiveUniformName
#undef glGetActiveUniformName
#endif // glGetActiveUniformName
#define glGetActiveUniformName __glGetActiveUniformName
#ifdef glGetActiveUniformsiv
#undef glGetActiveUniformsiv
#endif // glGetActiveUniformsiv
#define glGetActiveUniformsiv __glGetActiveUniformsiv
#ifdef glGetAttachedObjectsARB
#undef glGetAttachedObjectsARB
#endif // glGetAttachedObjectsARB
#define glGetAttachedObjectsARB __glGetAttachedObjectsARB
#ifdef glGetAttachedShaders
#undef glGetAttachedShaders
#endif // glGetAttachedShaders
#define glGetAttachedShaders __glGetAttachedShaders
#ifdef glGetAttribLocation
#undef glGetAttribLocation
#endif // glGetAttribLocation
#define glGetAttribLocation __glGetAttribLocation
#ifdef glGetAttribLocationARB
#undef glGetAttribLocationARB
#endif // glGetAttribLocationARB
#define glGetAttribLocationARB __glGetAttribLocationARB
#ifdef glGetBooleani_v
#undef glGetBooleani_v
#endif // glGetBooleani_v
#define glGetBooleani_v __glGetBooleani_v
#ifdef glGetBooleanv
#undef glGetBooleanv
#endif // glGetBooleanv
#define glGetBooleanv __glGetBooleanv
#ifdef glGetBufferParameteri64v
#undef glGetBufferParameteri64v
#endif // glGetBufferParameteri64v
#define glGetBufferParameteri64v __glGetBufferParameteri64v
#ifdef glGetBufferParameteriv
#undef glGetBufferParameteriv
#endif // glGetBufferParameteriv
#define glGetBufferParameteriv __glGetBufferParameteriv
#ifdef glGetBufferParameterivARB
#undef glGetBufferParameterivARB
#endif // glGetBufferParameterivARB
#define glGetBufferParameterivARB __glGetBufferParameterivARB
#ifdef glGetBufferPointerv
#undef glGetBufferPointerv
#endif // glGetBufferPointerv
#define glGetBufferPointerv __glGetBufferPointerv
#ifdef glGetBufferPointervARB
#undef glGetBufferPointervARB
#endif // glGetBufferPointervARB
#define glGetBufferPointervARB __glGetBufferPointervARB
#ifdef glGetBufferSubData
#undef glGetBufferSubData
#endif // glGetBufferSubData
#define glGetBufferSubData __glGetBufferSubData
#ifdef glGetBufferSubDataARB
#undef glGetBufferSubDataARB
#endif // glGetBufferSubDataARB
#define glGetBufferSubDataARB __glGetBufferSubDataARB
#ifdef glGetClipPlane
#undef glGetClipPlane
#endif // glGetClipPlane
#define glGetClipPlane __glGetClipPlane
#ifdef glGetClipPlanefOES
#undef glGetClipPlanefOES
#endif // glGetClipPlanefOES
#define glGetClipPlanefOES __glGetClipPlanefOES
#ifdef glGetClipPlanexOES
#undef glGetClipPlanexOES
#endif // glGetClipPlanexOES
#define glGetClipPlanexOES __glGetClipPlanexOES
#ifdef glGetColorTable
#undef glGetColorTable
#endif // glGetColorTable
#define glGetColorTable __glGetColorTable
#ifdef glGetColorTableParameterfv
#undef glGetColorTableParameterfv
#endif // glGetColorTableParameterfv
#define glGetColorTableParameterfv __glGetColorTableParameterfv
#ifdef glGetColorTableParameteriv
#undef glGetColorTableParameteriv
#endif // glGetColorTableParameteriv
#define glGetColorTableParameteriv __glGetColorTableParameteriv
#ifdef glGetCompressedTexImage
#undef glGetCompressedTexImage
#endif // glGetCompressedTexImage
#define glGetCompressedTexImage __glGetCompressedTexImage
#ifdef glGetCompressedTexImageARB
#undef glGetCompressedTexImageARB
#endif // glGetCompressedTexImageARB
#define glGetCompressedTexImageARB __glGetCompressedTexImageARB
#ifdef glGetConvolutionFilter
#undef glGetConvolutionFilter
#endif // glGetConvolutionFilter
#define glGetConvolutionFilter __glGetConvolutionFilter
#ifdef glGetConvolutionParameterfv
#undef glGetConvolutionParameterfv
#endif // glGetConvolutionParameterfv
#define glGetConvolutionParameterfv __glGetConvolutionParameterfv
#ifdef glGetConvolutionParameteriv
#undef glGetConvolutionParameteriv
#endif // glGetConvolutionParameteriv
#define glGetConvolutionParameteriv __glGetConvolutionParameteriv
#ifdef glGetConvolutionParameterxvOES
#undef glGetConvolutionParameterxvOES
#endif // glGetConvolutionParameterxvOES
#define glGetConvolutionParameterxvOES __glGetConvolutionParameterxvOES
#ifdef glGetDebugMessageLog
#undef glGetDebugMessageLog
#endif // glGetDebugMessageLog
#define glGetDebugMessageLog __glGetDebugMessageLog
#ifdef glGetDebugMessageLogARB
#undef glGetDebugMessageLogARB
#endif // glGetDebugMessageLogARB
#define glGetDebugMessageLogARB __glGetDebugMessageLogARB
#ifdef glGetDoublei_v
#undef glGetDoublei_v
#endif // glGetDoublei_v
#define glGetDoublei_v __glGetDoublei_v
#ifdef glGetDoublev
#undef glGetDoublev
#endif // glGetDoublev
#define glGetDoublev __glGetDoublev
#ifdef glGetError
#undef glGetError
#endif // glGetError
#define glGetError __glGetError
#ifdef glGetFixedvOES
#undef glGetFixedvOES
#endif // glGetFixedvOES
#define glGetFixedvOES __glGetFixedvOES
#ifdef glGetFloati_v
#undef glGetFloati_v
#endif // glGetFloati_v
#define glGetFloati_v __glGetFloati_v
#ifdef glGetFloatv
#undef glGetFloatv
#endif // glGetFloatv
#define glGetFloatv __glGetFloatv
#ifdef glGetFragDataIndex
#undef glGetFragDataIndex
#endif // glGetFragDataIndex
#define glGetFragDataIndex __glGetFragDataIndex
#ifdef glGetFragDataLocation
#undef glGetFragDataLocation
#endif // glGetFragDataLocation
#define glGetFragDataLocation __glGetFragDataLocation
#ifdef glGetFramebufferAttachmentParameteriv
#undef glGetFramebufferAttachmentParameteriv
#endif // glGetFramebufferAttachmentParameteriv
#define glGetFramebufferAttachmentParameteriv __glGetFramebufferAttachmentParameteriv
#ifdef glGetFramebufferParameteriv
#undef glGetFramebufferParameteriv
#endif // glGetFramebufferParameteriv
#define glGetFramebufferParameteriv __glGetFramebufferParameteriv
#ifdef glGetGraphicsResetStatusARB
#undef glGetGraphicsResetStatusARB
#endif // glGetGraphicsResetStatusARB
#define glGetGraphicsResetStatusARB __glGetGraphicsResetStatusARB
#ifdef glGetHandleARB
#undef glGetHandleARB
#endif // glGetHandleARB
#define glGetHandleARB __glGetHandleARB
#ifdef glGetHistogram
#undef glGetHistogram
#endif // glGetHistogram
#define glGetHistogram __glGetHistogram
#ifdef glGetHistogramParameterfv
#undef glGetHistogramParameterfv
#endif // glGetHistogramParameterfv
#define glGetHistogramParameterfv __glGetHistogramParameterfv
#ifdef glGetHistogramParameteriv
#undef glGetHistogramParameteriv
#endif // glGetHistogramParameteriv
#define glGetHistogramParameteriv __glGetHistogramParameteriv
#ifdef glGetHistogramParameterxvOES
#undef glGetHistogramParameterxvOES
#endif // glGetHistogramParameterxvOES
#define glGetHistogramParameterxvOES __glGetHistogramParameterxvOES
#ifdef glGetImageHandleARB
#undef glGetImageHandleARB
#endif // glGetImageHandleARB
#define glGetImageHandleARB __glGetImageHandleARB
#ifdef glGetImageTransformParameterfvHP
#undef glGetImageTransformParameterfvHP
#endif // glGetImageTransformParameterfvHP
#define glGetImageTransformParameterfvHP __glGetImageTransformParameterfvHP
#ifdef glGetImageTransformParameterivHP
#undef glGetImageTransformParameterivHP
#endif // glGetImageTransformParameterivHP
#define glGetImageTransformParameterivHP __glGetImageTransformParameterivHP
#ifdef glGetInfoLogARB
#undef glGetInfoLogARB
#endif // glGetInfoLogARB
#define glGetInfoLogARB __glGetInfoLogARB
#ifdef glGetInteger64i_v
#undef glGetInteger64i_v
#endif // glGetInteger64i_v
#define glGetInteger64i_v __glGetInteger64i_v
#ifdef glGetInteger64v
#undef glGetInteger64v
#endif // glGetInteger64v
#define glGetInteger64v __glGetInteger64v
#ifdef glGetIntegeri_v
#undef glGetIntegeri_v
#endif // glGetIntegeri_v
#define glGetIntegeri_v __glGetIntegeri_v
#ifdef glGetIntegerv
#undef glGetIntegerv
#endif // glGetIntegerv
#define glGetIntegerv __glGetIntegerv
#ifdef glGetInternalformati64v
#undef glGetInternalformati64v
#endif // glGetInternalformati64v
#define glGetInternalformati64v __glGetInternalformati64v
#ifdef glGetInternalformativ
#undef glGetInternalformativ
#endif // glGetInternalformativ
#define glGetInternalformativ __glGetInternalformativ
#ifdef glGetLightfv
#undef glGetLightfv
#endif // glGetLightfv
#define glGetLightfv __glGetLightfv
#ifdef glGetLightiv
#undef glGetLightiv
#endif // glGetLightiv
#define glGetLightiv __glGetLightiv
#ifdef glGetLightxOES
#undef glGetLightxOES
#endif // glGetLightxOES
#define glGetLightxOES __glGetLightxOES
#ifdef glGetMapdv
#undef glGetMapdv
#endif // glGetMapdv
#define glGetMapdv __glGetMapdv
#ifdef glGetMapfv
#undef glGetMapfv
#endif // glGetMapfv
#define glGetMapfv __glGetMapfv
#ifdef glGetMapiv
#undef glGetMapiv
#endif // glGetMapiv
#define glGetMapiv __glGetMapiv
#ifdef glGetMapxvOES
#undef glGetMapxvOES
#endif // glGetMapxvOES
#define glGetMapxvOES __glGetMapxvOES
#ifdef glGetMaterialfv
#undef glGetMaterialfv
#endif // glGetMaterialfv
#define glGetMaterialfv __glGetMaterialfv
#ifdef glGetMaterialiv
#undef glGetMaterialiv
#endif // glGetMaterialiv
#define glGetMaterialiv __glGetMaterialiv
#ifdef glGetMaterialxOES
#undef glGetMaterialxOES
#endif // glGetMaterialxOES
#define glGetMaterialxOES __glGetMaterialxOES
#ifdef glGetMinmax
#undef glGetMinmax
#endif // glGetMinmax
#define glGetMinmax __glGetMinmax
#ifdef glGetMinmaxParameterfv
#undef glGetMinmaxParameterfv
#endif // glGetMinmaxParameterfv
#define glGetMinmaxParameterfv __glGetMinmaxParameterfv
#ifdef glGetMinmaxParameteriv
#undef glGetMinmaxParameteriv
#endif // glGetMinmaxParameteriv
#define glGetMinmaxParameteriv __glGetMinmaxParameteriv
#ifdef glGetMultisamplefv
#undef glGetMultisamplefv
#endif // glGetMultisamplefv
#define glGetMultisamplefv __glGetMultisamplefv
#ifdef glGetNamedStringARB
#undef glGetNamedStringARB
#endif // glGetNamedStringARB
#define glGetNamedStringARB __glGetNamedStringARB
#ifdef glGetNamedStringivARB
#undef glGetNamedStringivARB
#endif // glGetNamedStringivARB
#define glGetNamedStringivARB __glGetNamedStringivARB
#ifdef glGetObjectLabel
#undef glGetObjectLabel
#endif // glGetObjectLabel
#define glGetObjectLabel __glGetObjectLabel
#ifdef glGetObjectParameterfvARB
#undef glGetObjectParameterfvARB
#endif // glGetObjectParameterfvARB
#define glGetObjectParameterfvARB __glGetObjectParameterfvARB
#ifdef glGetObjectParameterivARB
#undef glGetObjectParameterivARB
#endif // glGetObjectParameterivARB
#define glGetObjectParameterivARB __glGetObjectParameterivARB
#ifdef glGetObjectPtrLabel
#undef glGetObjectPtrLabel
#endif // glGetObjectPtrLabel
#define glGetObjectPtrLabel __glGetObjectPtrLabel
#ifdef glGetPixelMapfv
#undef glGetPixelMapfv
#endif // glGetPixelMapfv
#define glGetPixelMapfv __glGetPixelMapfv
#ifdef glGetPixelMapuiv
#undef glGetPixelMapuiv
#endif // glGetPixelMapuiv
#define glGetPixelMapuiv __glGetPixelMapuiv
#ifdef glGetPixelMapusv
#undef glGetPixelMapusv
#endif // glGetPixelMapusv
#define glGetPixelMapusv __glGetPixelMapusv
#ifdef glGetPixelMapxv
#undef glGetPixelMapxv
#endif // glGetPixelMapxv
#define glGetPixelMapxv __glGetPixelMapxv
#ifdef glGetPointerv
#undef glGetPointerv
#endif // glGetPointerv
#define glGetPointerv __glGetPointerv
#ifdef glGetPolygonStipple
#undef glGetPolygonStipple
#endif // glGetPolygonStipple
#define glGetPolygonStipple __glGetPolygonStipple
#ifdef glGetProgramBinary
#undef glGetProgramBinary
#endif // glGetProgramBinary
#define glGetProgramBinary __glGetProgramBinary
#ifdef glGetProgramEnvParameterdvARB
#undef glGetProgramEnvParameterdvARB
#endif // glGetProgramEnvParameterdvARB
#define glGetProgramEnvParameterdvARB __glGetProgramEnvParameterdvARB
#ifdef glGetProgramEnvParameterfvARB
#undef glGetProgramEnvParameterfvARB
#endif // glGetProgramEnvParameterfvARB
#define glGetProgramEnvParameterfvARB __glGetProgramEnvParameterfvARB
#ifdef glGetProgramInfoLog
#undef glGetProgramInfoLog
#endif // glGetProgramInfoLog
#define glGetProgramInfoLog __glGetProgramInfoLog
#ifdef glGetProgramInterfaceiv
#undef glGetProgramInterfaceiv
#endif // glGetProgramInterfaceiv
#define glGetProgramInterfaceiv __glGetProgramInterfaceiv
#ifdef glGetProgramLocalParameterdvARB
#undef glGetProgramLocalParameterdvARB
#endif // glGetProgramLocalParameterdvARB
#define glGetProgramLocalParameterdvARB __glGetProgramLocalParameterdvARB
#ifdef glGetProgramLocalParameterfvARB
#undef glGetProgramLocalParameterfvARB
#endif // glGetProgramLocalParameterfvARB
#define glGetProgramLocalParameterfvARB __glGetProgramLocalParameterfvARB
#ifdef glGetProgramPipelineInfoLog
#undef glGetProgramPipelineInfoLog
#endif // glGetProgramPipelineInfoLog
#define glGetProgramPipelineInfoLog __glGetProgramPipelineInfoLog
#ifdef glGetProgramPipelineiv
#undef glGetProgramPipelineiv
#endif // glGetProgramPipelineiv
#define glGetProgramPipelineiv __glGetProgramPipelineiv
#ifdef glGetProgramResourceIndex
#undef glGetProgramResourceIndex
#endif // glGetProgramResourceIndex
#define glGetProgramResourceIndex __glGetProgramResourceIndex
#ifdef glGetProgramResourceLocation
#undef glGetProgramResourceLocation
#endif // glGetProgramResourceLocation
#define glGetProgramResourceLocation __glGetProgramResourceLocation
#ifdef glGetProgramResourceLocationIndex
#undef glGetProgramResourceLocationIndex
#endif // glGetProgramResourceLocationIndex
#define glGetProgramResourceLocationIndex __glGetProgramResourceLocationIndex
#ifdef glGetProgramResourceName
#undef glGetProgramResourceName
#endif // glGetProgramResourceName
#define glGetProgramResourceName __glGetProgramResourceName
#ifdef glGetProgramResourceiv
#undef glGetProgramResourceiv
#endif // glGetProgramResourceiv
#define glGetProgramResourceiv __glGetProgramResourceiv
#ifdef glGetProgramStageiv
#undef glGetProgramStageiv
#endif // glGetProgramStageiv
#define glGetProgramStageiv __glGetProgramStageiv
#ifdef glGetProgramStringARB
#undef glGetProgramStringARB
#endif // glGetProgramStringARB
#define glGetProgramStringARB __glGetProgramStringARB
#ifdef glGetProgramiv
#undef glGetProgramiv
#endif // glGetProgramiv
#define glGetProgramiv __glGetProgramiv
#ifdef glGetProgramivARB
#undef glGetProgramivARB
#endif // glGetProgramivARB
#define glGetProgramivARB __glGetProgramivARB
#ifdef glGetQueryIndexediv
#undef glGetQueryIndexediv
#endif // glGetQueryIndexediv
#define glGetQueryIndexediv __glGetQueryIndexediv
#ifdef glGetQueryObjecti64v
#undef glGetQueryObjecti64v
#endif // glGetQueryObjecti64v
#define glGetQueryObjecti64v __glGetQueryObjecti64v
#ifdef glGetQueryObjectiv
#undef glGetQueryObjectiv
#endif // glGetQueryObjectiv
#define glGetQueryObjectiv __glGetQueryObjectiv
#ifdef glGetQueryObjectivARB
#undef glGetQueryObjectivARB
#endif // glGetQueryObjectivARB
#define glGetQueryObjectivARB __glGetQueryObjectivARB
#ifdef glGetQueryObjectui64v
#undef glGetQueryObjectui64v
#endif // glGetQueryObjectui64v
#define glGetQueryObjectui64v __glGetQueryObjectui64v
#ifdef glGetQueryObjectuiv
#undef glGetQueryObjectuiv
#endif // glGetQueryObjectuiv
#define glGetQueryObjectuiv __glGetQueryObjectuiv
#ifdef glGetQueryObjectuivARB
#undef glGetQueryObjectuivARB
#endif // glGetQueryObjectuivARB
#define glGetQueryObjectuivARB __glGetQueryObjectuivARB
#ifdef glGetQueryiv
#undef glGetQueryiv
#endif // glGetQueryiv
#define glGetQueryiv __glGetQueryiv
#ifdef glGetQueryivARB
#undef glGetQueryivARB
#endif // glGetQueryivARB
#define glGetQueryivARB __glGetQueryivARB
#ifdef glGetRenderbufferParameteriv
#undef glGetRenderbufferParameteriv
#endif // glGetRenderbufferParameteriv
#define glGetRenderbufferParameteriv __glGetRenderbufferParameteriv
#ifdef glGetSamplerParameterIiv
#undef glGetSamplerParameterIiv
#endif // glGetSamplerParameterIiv
#define glGetSamplerParameterIiv __glGetSamplerParameterIiv
#ifdef glGetSamplerParameterIuiv
#undef glGetSamplerParameterIuiv
#endif // glGetSamplerParameterIuiv
#define glGetSamplerParameterIuiv __glGetSamplerParameterIuiv
#ifdef glGetSamplerParameterfv
#undef glGetSamplerParameterfv
#endif // glGetSamplerParameterfv
#define glGetSamplerParameterfv __glGetSamplerParameterfv
#ifdef glGetSamplerParameteriv
#undef glGetSamplerParameteriv
#endif // glGetSamplerParameteriv
#define glGetSamplerParameteriv __glGetSamplerParameteriv
#ifdef glGetSeparableFilter
#undef glGetSeparableFilter
#endif // glGetSeparableFilter
#define glGetSeparableFilter __glGetSeparableFilter
#ifdef glGetShaderInfoLog
#undef glGetShaderInfoLog
#endif // glGetShaderInfoLog
#define glGetShaderInfoLog __glGetShaderInfoLog
#ifdef glGetShaderPrecisionFormat
#undef glGetShaderPrecisionFormat
#endif // glGetShaderPrecisionFormat
#define glGetShaderPrecisionFormat __glGetShaderPrecisionFormat
#ifdef glGetShaderSource
#undef glGetShaderSource
#endif // glGetShaderSource
#define glGetShaderSource __glGetShaderSource
#ifdef glGetShaderSourceARB
#undef glGetShaderSourceARB
#endif // glGetShaderSourceARB
#define glGetShaderSourceARB __glGetShaderSourceARB
#ifdef glGetShaderiv
#undef glGetShaderiv
#endif // glGetShaderiv
#define glGetShaderiv __glGetShaderiv
#ifdef glGetString
#undef glGetString
#endif // glGetString
#define glGetString __glGetString
#ifdef glGetStringi
#undef glGetStringi
#endif // glGetStringi
#define glGetStringi __glGetStringi
#ifdef glGetSubroutineIndex
#undef glGetSubroutineIndex
#endif // glGetSubroutineIndex
#define glGetSubroutineIndex __glGetSubroutineIndex
#ifdef glGetSubroutineUniformLocation
#undef glGetSubroutineUniformLocation
#endif // glGetSubroutineUniformLocation
#define glGetSubroutineUniformLocation __glGetSubroutineUniformLocation
#ifdef glGetSynciv
#undef glGetSynciv
#endif // glGetSynciv
#define glGetSynciv __glGetSynciv
#ifdef glGetTexEnvfv
#undef glGetTexEnvfv
#endif // glGetTexEnvfv
#define glGetTexEnvfv __glGetTexEnvfv
#ifdef glGetTexEnviv
#undef glGetTexEnviv
#endif // glGetTexEnviv
#define glGetTexEnviv __glGetTexEnviv
#ifdef glGetTexEnvxvOES
#undef glGetTexEnvxvOES
#endif // glGetTexEnvxvOES
#define glGetTexEnvxvOES __glGetTexEnvxvOES
#ifdef glGetTexGendv
#undef glGetTexGendv
#endif // glGetTexGendv
#define glGetTexGendv __glGetTexGendv
#ifdef glGetTexGenfv
#undef glGetTexGenfv
#endif // glGetTexGenfv
#define glGetTexGenfv __glGetTexGenfv
#ifdef glGetTexGeniv
#undef glGetTexGeniv
#endif // glGetTexGeniv
#define glGetTexGeniv __glGetTexGeniv
#ifdef glGetTexGenxvOES
#undef glGetTexGenxvOES
#endif // glGetTexGenxvOES
#define glGetTexGenxvOES __glGetTexGenxvOES
#ifdef glGetTexImage
#undef glGetTexImage
#endif // glGetTexImage
#define glGetTexImage __glGetTexImage
#ifdef glGetTexLevelParameterfv
#undef glGetTexLevelParameterfv
#endif // glGetTexLevelParameterfv
#define glGetTexLevelParameterfv __glGetTexLevelParameterfv
#ifdef glGetTexLevelParameteriv
#undef glGetTexLevelParameteriv
#endif // glGetTexLevelParameteriv
#define glGetTexLevelParameteriv __glGetTexLevelParameteriv
#ifdef glGetTexLevelParameterxvOES
#undef glGetTexLevelParameterxvOES
#endif // glGetTexLevelParameterxvOES
#define glGetTexLevelParameterxvOES __glGetTexLevelParameterxvOES
#ifdef glGetTexParameterIiv
#undef glGetTexParameterIiv
#endif // glGetTexParameterIiv
#define glGetTexParameterIiv __glGetTexParameterIiv
#ifdef glGetTexParameterIuiv
#undef glGetTexParameterIuiv
#endif // glGetTexParameterIuiv
#define glGetTexParameterIuiv __glGetTexParameterIuiv
#ifdef glGetTexParameterfv
#undef glGetTexParameterfv
#endif // glGetTexParameterfv
#define glGetTexParameterfv __glGetTexParameterfv
#ifdef glGetTexParameteriv
#undef glGetTexParameteriv
#endif // glGetTexParameteriv
#define glGetTexParameteriv __glGetTexParameteriv
#ifdef glGetTexParameterxvOES
#undef glGetTexParameterxvOES
#endif // glGetTexParameterxvOES
#define glGetTexParameterxvOES __glGetTexParameterxvOES
#ifdef glGetTextureHandleARB
#undef glGetTextureHandleARB
#endif // glGetTextureHandleARB
#define glGetTextureHandleARB __glGetTextureHandleARB
#ifdef glGetTextureSamplerHandleARB
#undef glGetTextureSamplerHandleARB
#endif // glGetTextureSamplerHandleARB
#define glGetTextureSamplerHandleARB __glGetTextureSamplerHandleARB
#ifdef glGetTransformFeedbackVarying
#undef glGetTransformFeedbackVarying
#endif // glGetTransformFeedbackVarying
#define glGetTransformFeedbackVarying __glGetTransformFeedbackVarying
#ifdef glGetUniformBlockIndex
#undef glGetUniformBlockIndex
#endif // glGetUniformBlockIndex
#define glGetUniformBlockIndex __glGetUniformBlockIndex
#ifdef glGetUniformIndices
#undef glGetUniformIndices
#endif // glGetUniformIndices
#define glGetUniformIndices __glGetUniformIndices
#ifdef glGetUniformLocation
#undef glGetUniformLocation
#endif // glGetUniformLocation
#define glGetUniformLocation __glGetUniformLocation
#ifdef glGetUniformLocationARB
#undef glGetUniformLocationARB
#endif // glGetUniformLocationARB
#define glGetUniformLocationARB __glGetUniformLocationARB
#ifdef glGetUniformSubroutineuiv
#undef glGetUniformSubroutineuiv
#endif // glGetUniformSubroutineuiv
#define glGetUniformSubroutineuiv __glGetUniformSubroutineuiv
#ifdef glGetUniformdv
#undef glGetUniformdv
#endif // glGetUniformdv
#define glGetUniformdv __glGetUniformdv
#ifdef glGetUniformfv
#undef glGetUniformfv
#endif // glGetUniformfv
#define glGetUniformfv __glGetUniformfv
#ifdef glGetUniformfvARB
#undef glGetUniformfvARB
#endif // glGetUniformfvARB
#define glGetUniformfvARB __glGetUniformfvARB
#ifdef glGetUniformiv
#undef glGetUniformiv
#endif // glGetUniformiv
#define glGetUniformiv __glGetUniformiv
#ifdef glGetUniformivARB
#undef glGetUniformivARB
#endif // glGetUniformivARB
#define glGetUniformivARB __glGetUniformivARB
#ifdef glGetUniformuiv
#undef glGetUniformuiv
#endif // glGetUniformuiv
#define glGetUniformuiv __glGetUniformuiv
#ifdef glGetVertexAttribIiv
#undef glGetVertexAttribIiv
#endif // glGetVertexAttribIiv
#define glGetVertexAttribIiv __glGetVertexAttribIiv
#ifdef glGetVertexAttribIuiv
#undef glGetVertexAttribIuiv
#endif // glGetVertexAttribIuiv
#define glGetVertexAttribIuiv __glGetVertexAttribIuiv
#ifdef glGetVertexAttribLdv
#undef glGetVertexAttribLdv
#endif // glGetVertexAttribLdv
#define glGetVertexAttribLdv __glGetVertexAttribLdv
#ifdef glGetVertexAttribLui64vARB
#undef glGetVertexAttribLui64vARB
#endif // glGetVertexAttribLui64vARB
#define glGetVertexAttribLui64vARB __glGetVertexAttribLui64vARB
#ifdef glGetVertexAttribPointerv
#undef glGetVertexAttribPointerv
#endif // glGetVertexAttribPointerv
#define glGetVertexAttribPointerv __glGetVertexAttribPointerv
#ifdef glGetVertexAttribPointervARB
#undef glGetVertexAttribPointervARB
#endif // glGetVertexAttribPointervARB
#define glGetVertexAttribPointervARB __glGetVertexAttribPointervARB
#ifdef glGetVertexAttribdv
#undef glGetVertexAttribdv
#endif // glGetVertexAttribdv
#define glGetVertexAttribdv __glGetVertexAttribdv
#ifdef glGetVertexAttribdvARB
#undef glGetVertexAttribdvARB
#endif // glGetVertexAttribdvARB
#define glGetVertexAttribdvARB __glGetVertexAttribdvARB
#ifdef glGetVertexAttribfv
#undef glGetVertexAttribfv
#endif // glGetVertexAttribfv
#define glGetVertexAttribfv __glGetVertexAttribfv
#ifdef glGetVertexAttribfvARB
#undef glGetVertexAttribfvARB
#endif // glGetVertexAttribfvARB
#define glGetVertexAttribfvARB __glGetVertexAttribfvARB
#ifdef glGetVertexAttribiv
#undef glGetVertexAttribiv
#endif // glGetVertexAttribiv
#define glGetVertexAttribiv __glGetVertexAttribiv
#ifdef glGetVertexAttribivARB
#undef glGetVertexAttribivARB
#endif // glGetVertexAttribivARB
#define glGetVertexAttribivARB __glGetVertexAttribivARB
#ifdef glGetnColorTableARB
#undef glGetnColorTableARB
#endif // glGetnColorTableARB
#define glGetnColorTableARB __glGetnColorTableARB
#ifdef glGetnCompressedTexImageARB
#undef glGetnCompressedTexImageARB
#endif // glGetnCompressedTexImageARB
#define glGetnCompressedTexImageARB __glGetnCompressedTexImageARB
#ifdef glGetnConvolutionFilterARB
#undef glGetnConvolutionFilterARB
#endif // glGetnConvolutionFilterARB
#define glGetnConvolutionFilterARB __glGetnConvolutionFilterARB
#ifdef glGetnHistogramARB
#undef glGetnHistogramARB
#endif // glGetnHistogramARB
#define glGetnHistogramARB __glGetnHistogramARB
#ifdef glGetnMapdvARB
#undef glGetnMapdvARB
#endif // glGetnMapdvARB
#define glGetnMapdvARB __glGetnMapdvARB
#ifdef glGetnMapfvARB
#undef glGetnMapfvARB
#endif // glGetnMapfvARB
#define glGetnMapfvARB __glGetnMapfvARB
#ifdef glGetnMapivARB
#undef glGetnMapivARB
#endif // glGetnMapivARB
#define glGetnMapivARB __glGetnMapivARB
#ifdef glGetnMinmaxARB
#undef glGetnMinmaxARB
#endif // glGetnMinmaxARB
#define glGetnMinmaxARB __glGetnMinmaxARB
#ifdef glGetnPixelMapfvARB
#undef glGetnPixelMapfvARB
#endif // glGetnPixelMapfvARB
#define glGetnPixelMapfvARB __glGetnPixelMapfvARB
#ifdef glGetnPixelMapuivARB
#undef glGetnPixelMapuivARB
#endif // glGetnPixelMapuivARB
#define glGetnPixelMapuivARB __glGetnPixelMapuivARB
#ifdef glGetnPixelMapusvARB
#undef glGetnPixelMapusvARB
#endif // glGetnPixelMapusvARB
#define glGetnPixelMapusvARB __glGetnPixelMapusvARB
#ifdef glGetnPolygonStippleARB
#undef glGetnPolygonStippleARB
#endif // glGetnPolygonStippleARB
#define glGetnPolygonStippleARB __glGetnPolygonStippleARB
#ifdef glGetnSeparableFilterARB
#undef glGetnSeparableFilterARB
#endif // glGetnSeparableFilterARB
#define glGetnSeparableFilterARB __glGetnSeparableFilterARB
#ifdef glGetnTexImageARB
#undef glGetnTexImageARB
#endif // glGetnTexImageARB
#define glGetnTexImageARB __glGetnTexImageARB
#ifdef glGetnUniformdvARB
#undef glGetnUniformdvARB
#endif // glGetnUniformdvARB
#define glGetnUniformdvARB __glGetnUniformdvARB
#ifdef glGetnUniformfvARB
#undef glGetnUniformfvARB
#endif // glGetnUniformfvARB
#define glGetnUniformfvARB __glGetnUniformfvARB
#ifdef glGetnUniformivARB
#undef glGetnUniformivARB
#endif // glGetnUniformivARB
#define glGetnUniformivARB __glGetnUniformivARB
#ifdef glGetnUniformuivARB
#undef glGetnUniformuivARB
#endif // glGetnUniformuivARB
#define glGetnUniformuivARB __glGetnUniformuivARB
#ifdef glHint
#undef glHint
#endif // glHint
#define glHint __glHint
#ifdef glHistogram
#undef glHistogram
#endif // glHistogram
#define glHistogram __glHistogram
#ifdef glImageTransformParameterfHP
#undef glImageTransformParameterfHP
#endif // glImageTransformParameterfHP
#define glImageTransformParameterfHP __glImageTransformParameterfHP
#ifdef glImageTransformParameterfvHP
#undef glImageTransformParameterfvHP
#endif // glImageTransformParameterfvHP
#define glImageTransformParameterfvHP __glImageTransformParameterfvHP
#ifdef glImageTransformParameteriHP
#undef glImageTransformParameteriHP
#endif // glImageTransformParameteriHP
#define glImageTransformParameteriHP __glImageTransformParameteriHP
#ifdef glImageTransformParameterivHP
#undef glImageTransformParameterivHP
#endif // glImageTransformParameterivHP
#define glImageTransformParameterivHP __glImageTransformParameterivHP
#ifdef glIndexMask
#undef glIndexMask
#endif // glIndexMask
#define glIndexMask __glIndexMask
#ifdef glIndexPointer
#undef glIndexPointer
#endif // glIndexPointer
#define glIndexPointer __glIndexPointer
#ifdef glIndexd
#undef glIndexd
#endif // glIndexd
#define glIndexd __glIndexd
#ifdef glIndexdv
#undef glIndexdv
#endif // glIndexdv
#define glIndexdv __glIndexdv
#ifdef glIndexf
#undef glIndexf
#endif // glIndexf
#define glIndexf __glIndexf
#ifdef glIndexfv
#undef glIndexfv
#endif // glIndexfv
#define glIndexfv __glIndexfv
#ifdef glIndexi
#undef glIndexi
#endif // glIndexi
#define glIndexi __glIndexi
#ifdef glIndexiv
#undef glIndexiv
#endif // glIndexiv
#define glIndexiv __glIndexiv
#ifdef glIndexs
#undef glIndexs
#endif // glIndexs
#define glIndexs __glIndexs
#ifdef glIndexsv
#undef glIndexsv
#endif // glIndexsv
#define glIndexsv __glIndexsv
#ifdef glIndexub
#undef glIndexub
#endif // glIndexub
#define glIndexub __glIndexub
#ifdef glIndexubv
#undef glIndexubv
#endif // glIndexubv
#define glIndexubv __glIndexubv
#ifdef glIndexxOES
#undef glIndexxOES
#endif // glIndexxOES
#define glIndexxOES __glIndexxOES
#ifdef glIndexxvOES
#undef glIndexxvOES
#endif // glIndexxvOES
#define glIndexxvOES __glIndexxvOES
#ifdef glInitNames
#undef glInitNames
#endif // glInitNames
#define glInitNames __glInitNames
#ifdef glInterleavedArrays
#undef glInterleavedArrays
#endif // glInterleavedArrays
#define glInterleavedArrays __glInterleavedArrays
#ifdef glInvalidateBufferData
#undef glInvalidateBufferData
#endif // glInvalidateBufferData
#define glInvalidateBufferData __glInvalidateBufferData
#ifdef glInvalidateBufferSubData
#undef glInvalidateBufferSubData
#endif // glInvalidateBufferSubData
#define glInvalidateBufferSubData __glInvalidateBufferSubData
#ifdef glInvalidateFramebuffer
#undef glInvalidateFramebuffer
#endif // glInvalidateFramebuffer
#define glInvalidateFramebuffer __glInvalidateFramebuffer
#ifdef glInvalidateSubFramebuffer
#undef glInvalidateSubFramebuffer
#endif // glInvalidateSubFramebuffer
#define glInvalidateSubFramebuffer __glInvalidateSubFramebuffer
#ifdef glInvalidateTexImage
#undef glInvalidateTexImage
#endif // glInvalidateTexImage
#define glInvalidateTexImage __glInvalidateTexImage
#ifdef glInvalidateTexSubImage
#undef glInvalidateTexSubImage
#endif // glInvalidateTexSubImage
#define glInvalidateTexSubImage __glInvalidateTexSubImage
#ifdef glIsBuffer
#undef glIsBuffer
#endif // glIsBuffer
#define glIsBuffer __glIsBuffer
#ifdef glIsBufferARB
#undef glIsBufferARB
#endif // glIsBufferARB
#define glIsBufferARB __glIsBufferARB
#ifdef glIsEnabled
#undef glIsEnabled
#endif // glIsEnabled
#define glIsEnabled __glIsEnabled
#ifdef glIsEnabledi
#undef glIsEnabledi
#endif // glIsEnabledi
#define glIsEnabledi __glIsEnabledi
#ifdef glIsFramebuffer
#undef glIsFramebuffer
#endif // glIsFramebuffer
#define glIsFramebuffer __glIsFramebuffer
#ifdef glIsImageHandleResidentARB
#undef glIsImageHandleResidentARB
#endif // glIsImageHandleResidentARB
#define glIsImageHandleResidentARB __glIsImageHandleResidentARB
#ifdef glIsList
#undef glIsList
#endif // glIsList
#define glIsList __glIsList
#ifdef glIsNamedStringARB
#undef glIsNamedStringARB
#endif // glIsNamedStringARB
#define glIsNamedStringARB __glIsNamedStringARB
#ifdef glIsProgram
#undef glIsProgram
#endif // glIsProgram
#define glIsProgram __glIsProgram
#ifdef glIsProgramARB
#undef glIsProgramARB
#endif // glIsProgramARB
#define glIsProgramARB __glIsProgramARB
#ifdef glIsProgramPipeline
#undef glIsProgramPipeline
#endif // glIsProgramPipeline
#define glIsProgramPipeline __glIsProgramPipeline
#ifdef glIsQuery
#undef glIsQuery
#endif // glIsQuery
#define glIsQuery __glIsQuery
#ifdef glIsQueryARB
#undef glIsQueryARB
#endif // glIsQueryARB
#define glIsQueryARB __glIsQueryARB
#ifdef glIsRenderbuffer
#undef glIsRenderbuffer
#endif // glIsRenderbuffer
#define glIsRenderbuffer __glIsRenderbuffer
#ifdef glIsSampler
#undef glIsSampler
#endif // glIsSampler
#define glIsSampler __glIsSampler
#ifdef glIsShader
#undef glIsShader
#endif // glIsShader
#define glIsShader __glIsShader
#ifdef glIsSync
#undef glIsSync
#endif // glIsSync
#define glIsSync __glIsSync
#ifdef glIsTexture
#undef glIsTexture
#endif // glIsTexture
#define glIsTexture __glIsTexture
#ifdef glIsTextureHandleResidentARB
#undef glIsTextureHandleResidentARB
#endif // glIsTextureHandleResidentARB
#define glIsTextureHandleResidentARB __glIsTextureHandleResidentARB
#ifdef glIsTransformFeedback
#undef glIsTransformFeedback
#endif // glIsTransformFeedback
#define glIsTransformFeedback __glIsTransformFeedback
#ifdef glIsVertexArray
#undef glIsVertexArray
#endif // glIsVertexArray
#define glIsVertexArray __glIsVertexArray
#ifdef glLightModelf
#undef glLightModelf
#endif // glLightModelf
#define glLightModelf __glLightModelf
#ifdef glLightModelfv
#undef glLightModelfv
#endif // glLightModelfv
#define glLightModelfv __glLightModelfv
#ifdef glLightModeli
#undef glLightModeli
#endif // glLightModeli
#define glLightModeli __glLightModeli
#ifdef glLightModeliv
#undef glLightModeliv
#endif // glLightModeliv
#define glLightModeliv __glLightModeliv
#ifdef glLightModelxOES
#undef glLightModelxOES
#endif // glLightModelxOES
#define glLightModelxOES __glLightModelxOES
#ifdef glLightModelxvOES
#undef glLightModelxvOES
#endif // glLightModelxvOES
#define glLightModelxvOES __glLightModelxvOES
#ifdef glLightf
#undef glLightf
#endif // glLightf
#define glLightf __glLightf
#ifdef glLightfv
#undef glLightfv
#endif // glLightfv
#define glLightfv __glLightfv
#ifdef glLighti
#undef glLighti
#endif // glLighti
#define glLighti __glLighti
#ifdef glLightiv
#undef glLightiv
#endif // glLightiv
#define glLightiv __glLightiv
#ifdef glLightxOES
#undef glLightxOES
#endif // glLightxOES
#define glLightxOES __glLightxOES
#ifdef glLightxvOES
#undef glLightxvOES
#endif // glLightxvOES
#define glLightxvOES __glLightxvOES
#ifdef glLineStipple
#undef glLineStipple
#endif // glLineStipple
#define glLineStipple __glLineStipple
#ifdef glLineWidth
#undef glLineWidth
#endif // glLineWidth
#define glLineWidth __glLineWidth
#ifdef glLineWidthxOES
#undef glLineWidthxOES
#endif // glLineWidthxOES
#define glLineWidthxOES __glLineWidthxOES
#ifdef glLinkProgram
#undef glLinkProgram
#endif // glLinkProgram
#define glLinkProgram __glLinkProgram
#ifdef glLinkProgramARB
#undef glLinkProgramARB
#endif // glLinkProgramARB
#define glLinkProgramARB __glLinkProgramARB
#ifdef glListBase
#undef glListBase
#endif // glListBase
#define glListBase __glListBase
#ifdef glLoadIdentity
#undef glLoadIdentity
#endif // glLoadIdentity
#define glLoadIdentity __glLoadIdentity
#ifdef glLoadMatrixd
#undef glLoadMatrixd
#endif // glLoadMatrixd
#define glLoadMatrixd __glLoadMatrixd
#ifdef glLoadMatrixf
#undef glLoadMatrixf
#endif // glLoadMatrixf
#define glLoadMatrixf __glLoadMatrixf
#ifdef glLoadMatrixxOES
#undef glLoadMatrixxOES
#endif // glLoadMatrixxOES
#define glLoadMatrixxOES __glLoadMatrixxOES
#ifdef glLoadName
#undef glLoadName
#endif // glLoadName
#define glLoadName __glLoadName
#ifdef glLoadTransposeMatrixd
#undef glLoadTransposeMatrixd
#endif // glLoadTransposeMatrixd
#define glLoadTransposeMatrixd __glLoadTransposeMatrixd
#ifdef glLoadTransposeMatrixdARB
#undef glLoadTransposeMatrixdARB
#endif // glLoadTransposeMatrixdARB
#define glLoadTransposeMatrixdARB __glLoadTransposeMatrixdARB
#ifdef glLoadTransposeMatrixf
#undef glLoadTransposeMatrixf
#endif // glLoadTransposeMatrixf
#define glLoadTransposeMatrixf __glLoadTransposeMatrixf
#ifdef glLoadTransposeMatrixfARB
#undef glLoadTransposeMatrixfARB
#endif // glLoadTransposeMatrixfARB
#define glLoadTransposeMatrixfARB __glLoadTransposeMatrixfARB
#ifdef glLoadTransposeMatrixxOES
#undef glLoadTransposeMatrixxOES
#endif // glLoadTransposeMatrixxOES
#define glLoadTransposeMatrixxOES __glLoadTransposeMatrixxOES
#ifdef glLogicOp
#undef glLogicOp
#endif // glLogicOp
#define glLogicOp __glLogicOp
#ifdef glMakeImageHandleNonResidentARB
#undef glMakeImageHandleNonResidentARB
#endif // glMakeImageHandleNonResidentARB
#define glMakeImageHandleNonResidentARB __glMakeImageHandleNonResidentARB
#ifdef glMakeImageHandleResidentARB
#undef glMakeImageHandleResidentARB
#endif // glMakeImageHandleResidentARB
#define glMakeImageHandleResidentARB __glMakeImageHandleResidentARB
#ifdef glMakeTextureHandleNonResidentARB
#undef glMakeTextureHandleNonResidentARB
#endif // glMakeTextureHandleNonResidentARB
#define glMakeTextureHandleNonResidentARB __glMakeTextureHandleNonResidentARB
#ifdef glMakeTextureHandleResidentARB
#undef glMakeTextureHandleResidentARB
#endif // glMakeTextureHandleResidentARB
#define glMakeTextureHandleResidentARB __glMakeTextureHandleResidentARB
#ifdef glMap1d
#undef glMap1d
#endif // glMap1d
#define glMap1d __glMap1d
#ifdef glMap1f
#undef glMap1f
#endif // glMap1f
#define glMap1f __glMap1f
#ifdef glMap1xOES
#undef glMap1xOES
#endif // glMap1xOES
#define glMap1xOES __glMap1xOES
#ifdef glMap2d
#undef glMap2d
#endif // glMap2d
#define glMap2d __glMap2d
#ifdef glMap2f
#undef glMap2f
#endif // glMap2f
#define glMap2f __glMap2f
#ifdef glMap2xOES
#undef glMap2xOES
#endif // glMap2xOES
#define glMap2xOES __glMap2xOES
#ifdef glMapBuffer
#undef glMapBuffer
#endif // glMapBuffer
#define glMapBuffer __glMapBuffer
#ifdef glMapBufferARB
#undef glMapBufferARB
#endif // glMapBufferARB
#define glMapBufferARB __glMapBufferARB
#ifdef glMapBufferRange
#undef glMapBufferRange
#endif // glMapBufferRange
#define glMapBufferRange __glMapBufferRange
#ifdef glMapGrid1d
#undef glMapGrid1d
#endif // glMapGrid1d
#define glMapGrid1d __glMapGrid1d
#ifdef glMapGrid1f
#undef glMapGrid1f
#endif // glMapGrid1f
#define glMapGrid1f __glMapGrid1f
#ifdef glMapGrid1xOES
#undef glMapGrid1xOES
#endif // glMapGrid1xOES
#define glMapGrid1xOES __glMapGrid1xOES
#ifdef glMapGrid2d
#undef glMapGrid2d
#endif // glMapGrid2d
#define glMapGrid2d __glMapGrid2d
#ifdef glMapGrid2f
#undef glMapGrid2f
#endif // glMapGrid2f
#define glMapGrid2f __glMapGrid2f
#ifdef glMapGrid2xOES
#undef glMapGrid2xOES
#endif // glMapGrid2xOES
#define glMapGrid2xOES __glMapGrid2xOES
#ifdef glMaterialf
#undef glMaterialf
#endif // glMaterialf
#define glMaterialf __glMaterialf
#ifdef glMaterialfv
#undef glMaterialfv
#endif // glMaterialfv
#define glMaterialfv __glMaterialfv
#ifdef glMateriali
#undef glMateriali
#endif // glMateriali
#define glMateriali __glMateriali
#ifdef glMaterialiv
#undef glMaterialiv
#endif // glMaterialiv
#define glMaterialiv __glMaterialiv
#ifdef glMaterialxOES
#undef glMaterialxOES
#endif // glMaterialxOES
#define glMaterialxOES __glMaterialxOES
#ifdef glMaterialxvOES
#undef glMaterialxvOES
#endif // glMaterialxvOES
#define glMaterialxvOES __glMaterialxvOES
#ifdef glMatrixIndexPointerARB
#undef glMatrixIndexPointerARB
#endif // glMatrixIndexPointerARB
#define glMatrixIndexPointerARB __glMatrixIndexPointerARB
#ifdef glMatrixIndexubvARB
#undef glMatrixIndexubvARB
#endif // glMatrixIndexubvARB
#define glMatrixIndexubvARB __glMatrixIndexubvARB
#ifdef glMatrixIndexuivARB
#undef glMatrixIndexuivARB
#endif // glMatrixIndexuivARB
#define glMatrixIndexuivARB __glMatrixIndexuivARB
#ifdef glMatrixIndexusvARB
#undef glMatrixIndexusvARB
#endif // glMatrixIndexusvARB
#define glMatrixIndexusvARB __glMatrixIndexusvARB
#ifdef glMatrixMode
#undef glMatrixMode
#endif // glMatrixMode
#define glMatrixMode __glMatrixMode
#ifdef glMemoryBarrier
#undef glMemoryBarrier
#endif // glMemoryBarrier
#define glMemoryBarrier __glMemoryBarrier
#ifdef glMinSampleShading
#undef glMinSampleShading
#endif // glMinSampleShading
#define glMinSampleShading __glMinSampleShading
#ifdef glMinSampleShadingARB
#undef glMinSampleShadingARB
#endif // glMinSampleShadingARB
#define glMinSampleShadingARB __glMinSampleShadingARB
#ifdef glMinmax
#undef glMinmax
#endif // glMinmax
#define glMinmax __glMinmax
#ifdef glMultMatrixd
#undef glMultMatrixd
#endif // glMultMatrixd
#define glMultMatrixd __glMultMatrixd
#ifdef glMultMatrixf
#undef glMultMatrixf
#endif // glMultMatrixf
#define glMultMatrixf __glMultMatrixf
#ifdef glMultMatrixxOES
#undef glMultMatrixxOES
#endif // glMultMatrixxOES
#define glMultMatrixxOES __glMultMatrixxOES
#ifdef glMultTransposeMatrixd
#undef glMultTransposeMatrixd
#endif // glMultTransposeMatrixd
#define glMultTransposeMatrixd __glMultTransposeMatrixd
#ifdef glMultTransposeMatrixdARB
#undef glMultTransposeMatrixdARB
#endif // glMultTransposeMatrixdARB
#define glMultTransposeMatrixdARB __glMultTransposeMatrixdARB
#ifdef glMultTransposeMatrixf
#undef glMultTransposeMatrixf
#endif // glMultTransposeMatrixf
#define glMultTransposeMatrixf __glMultTransposeMatrixf
#ifdef glMultTransposeMatrixfARB
#undef glMultTransposeMatrixfARB
#endif // glMultTransposeMatrixfARB
#define glMultTransposeMatrixfARB __glMultTransposeMatrixfARB
#ifdef glMultTransposeMatrixxOES
#undef glMultTransposeMatrixxOES
#endif // glMultTransposeMatrixxOES
#define glMultTransposeMatrixxOES __glMultTransposeMatrixxOES
#ifdef glMultiDrawArrays
#undef glMultiDrawArrays
#endif // glMultiDrawArrays
#define glMultiDrawArrays __glMultiDrawArrays
#ifdef glMultiDrawArraysIndirect
#undef glMultiDrawArraysIndirect
#endif // glMultiDrawArraysIndirect
#define glMultiDrawArraysIndirect __glMultiDrawArraysIndirect
#ifdef glMultiDrawArraysIndirectCountARB
#undef glMultiDrawArraysIndirectCountARB
#endif // glMultiDrawArraysIndirectCountARB
#define glMultiDrawArraysIndirectCountARB __glMultiDrawArraysIndirectCountARB
#ifdef glMultiDrawElements
#undef glMultiDrawElements
#endif // glMultiDrawElements
#define glMultiDrawElements __glMultiDrawElements
#ifdef glMultiDrawElementsBaseVertex
#undef glMultiDrawElementsBaseVertex
#endif // glMultiDrawElementsBaseVertex
#define glMultiDrawElementsBaseVertex __glMultiDrawElementsBaseVertex
#ifdef glMultiDrawElementsIndirect
#undef glMultiDrawElementsIndirect
#endif // glMultiDrawElementsIndirect
#define glMultiDrawElementsIndirect __glMultiDrawElementsIndirect
#ifdef glMultiDrawElementsIndirectCountARB
#undef glMultiDrawElementsIndirectCountARB
#endif // glMultiDrawElementsIndirectCountARB
#define glMultiDrawElementsIndirectCountARB __glMultiDrawElementsIndirectCountARB
#ifdef glMultiTexCoord1bOES
#undef glMultiTexCoord1bOES
#endif // glMultiTexCoord1bOES
#define glMultiTexCoord1bOES __glMultiTexCoord1bOES
#ifdef glMultiTexCoord1bvOES
#undef glMultiTexCoord1bvOES
#endif // glMultiTexCoord1bvOES
#define glMultiTexCoord1bvOES __glMultiTexCoord1bvOES
#ifdef glMultiTexCoord1d
#undef glMultiTexCoord1d
#endif // glMultiTexCoord1d
#define glMultiTexCoord1d __glMultiTexCoord1d
#ifdef glMultiTexCoord1dARB
#undef glMultiTexCoord1dARB
#endif // glMultiTexCoord1dARB
#define glMultiTexCoord1dARB __glMultiTexCoord1dARB
#ifdef glMultiTexCoord1dv
#undef glMultiTexCoord1dv
#endif // glMultiTexCoord1dv
#define glMultiTexCoord1dv __glMultiTexCoord1dv
#ifdef glMultiTexCoord1dvARB
#undef glMultiTexCoord1dvARB
#endif // glMultiTexCoord1dvARB
#define glMultiTexCoord1dvARB __glMultiTexCoord1dvARB
#ifdef glMultiTexCoord1f
#undef glMultiTexCoord1f
#endif // glMultiTexCoord1f
#define glMultiTexCoord1f __glMultiTexCoord1f
#ifdef glMultiTexCoord1fARB
#undef glMultiTexCoord1fARB
#endif // glMultiTexCoord1fARB
#define glMultiTexCoord1fARB __glMultiTexCoord1fARB
#ifdef glMultiTexCoord1fv
#undef glMultiTexCoord1fv
#endif // glMultiTexCoord1fv
#define glMultiTexCoord1fv __glMultiTexCoord1fv
#ifdef glMultiTexCoord1fvARB
#undef glMultiTexCoord1fvARB
#endif // glMultiTexCoord1fvARB
#define glMultiTexCoord1fvARB __glMultiTexCoord1fvARB
#ifdef glMultiTexCoord1i
#undef glMultiTexCoord1i
#endif // glMultiTexCoord1i
#define glMultiTexCoord1i __glMultiTexCoord1i
#ifdef glMultiTexCoord1iARB
#undef glMultiTexCoord1iARB
#endif // glMultiTexCoord1iARB
#define glMultiTexCoord1iARB __glMultiTexCoord1iARB
#ifdef glMultiTexCoord1iv
#undef glMultiTexCoord1iv
#endif // glMultiTexCoord1iv
#define glMultiTexCoord1iv __glMultiTexCoord1iv
#ifdef glMultiTexCoord1ivARB
#undef glMultiTexCoord1ivARB
#endif // glMultiTexCoord1ivARB
#define glMultiTexCoord1ivARB __glMultiTexCoord1ivARB
#ifdef glMultiTexCoord1s
#undef glMultiTexCoord1s
#endif // glMultiTexCoord1s
#define glMultiTexCoord1s __glMultiTexCoord1s
#ifdef glMultiTexCoord1sARB
#undef glMultiTexCoord1sARB
#endif // glMultiTexCoord1sARB
#define glMultiTexCoord1sARB __glMultiTexCoord1sARB
#ifdef glMultiTexCoord1sv
#undef glMultiTexCoord1sv
#endif // glMultiTexCoord1sv
#define glMultiTexCoord1sv __glMultiTexCoord1sv
#ifdef glMultiTexCoord1svARB
#undef glMultiTexCoord1svARB
#endif // glMultiTexCoord1svARB
#define glMultiTexCoord1svARB __glMultiTexCoord1svARB
#ifdef glMultiTexCoord1xOES
#undef glMultiTexCoord1xOES
#endif // glMultiTexCoord1xOES
#define glMultiTexCoord1xOES __glMultiTexCoord1xOES
#ifdef glMultiTexCoord1xvOES
#undef glMultiTexCoord1xvOES
#endif // glMultiTexCoord1xvOES
#define glMultiTexCoord1xvOES __glMultiTexCoord1xvOES
#ifdef glMultiTexCoord2bOES
#undef glMultiTexCoord2bOES
#endif // glMultiTexCoord2bOES
#define glMultiTexCoord2bOES __glMultiTexCoord2bOES
#ifdef glMultiTexCoord2bvOES
#undef glMultiTexCoord2bvOES
#endif // glMultiTexCoord2bvOES
#define glMultiTexCoord2bvOES __glMultiTexCoord2bvOES
#ifdef glMultiTexCoord2d
#undef glMultiTexCoord2d
#endif // glMultiTexCoord2d
#define glMultiTexCoord2d __glMultiTexCoord2d
#ifdef glMultiTexCoord2dARB
#undef glMultiTexCoord2dARB
#endif // glMultiTexCoord2dARB
#define glMultiTexCoord2dARB __glMultiTexCoord2dARB
#ifdef glMultiTexCoord2dv
#undef glMultiTexCoord2dv
#endif // glMultiTexCoord2dv
#define glMultiTexCoord2dv __glMultiTexCoord2dv
#ifdef glMultiTexCoord2dvARB
#undef glMultiTexCoord2dvARB
#endif // glMultiTexCoord2dvARB
#define glMultiTexCoord2dvARB __glMultiTexCoord2dvARB
#ifdef glMultiTexCoord2f
#undef glMultiTexCoord2f
#endif // glMultiTexCoord2f
#define glMultiTexCoord2f __glMultiTexCoord2f
#ifdef glMultiTexCoord2fARB
#undef glMultiTexCoord2fARB
#endif // glMultiTexCoord2fARB
#define glMultiTexCoord2fARB __glMultiTexCoord2fARB
#ifdef glMultiTexCoord2fv
#undef glMultiTexCoord2fv
#endif // glMultiTexCoord2fv
#define glMultiTexCoord2fv __glMultiTexCoord2fv
#ifdef glMultiTexCoord2fvARB
#undef glMultiTexCoord2fvARB
#endif // glMultiTexCoord2fvARB
#define glMultiTexCoord2fvARB __glMultiTexCoord2fvARB
#ifdef glMultiTexCoord2i
#undef glMultiTexCoord2i
#endif // glMultiTexCoord2i
#define glMultiTexCoord2i __glMultiTexCoord2i
#ifdef glMultiTexCoord2iARB
#undef glMultiTexCoord2iARB
#endif // glMultiTexCoord2iARB
#define glMultiTexCoord2iARB __glMultiTexCoord2iARB
#ifdef glMultiTexCoord2iv
#undef glMultiTexCoord2iv
#endif // glMultiTexCoord2iv
#define glMultiTexCoord2iv __glMultiTexCoord2iv
#ifdef glMultiTexCoord2ivARB
#undef glMultiTexCoord2ivARB
#endif // glMultiTexCoord2ivARB
#define glMultiTexCoord2ivARB __glMultiTexCoord2ivARB
#ifdef glMultiTexCoord2s
#undef glMultiTexCoord2s
#endif // glMultiTexCoord2s
#define glMultiTexCoord2s __glMultiTexCoord2s
#ifdef glMultiTexCoord2sARB
#undef glMultiTexCoord2sARB
#endif // glMultiTexCoord2sARB
#define glMultiTexCoord2sARB __glMultiTexCoord2sARB
#ifdef glMultiTexCoord2sv
#undef glMultiTexCoord2sv
#endif // glMultiTexCoord2sv
#define glMultiTexCoord2sv __glMultiTexCoord2sv
#ifdef glMultiTexCoord2svARB
#undef glMultiTexCoord2svARB
#endif // glMultiTexCoord2svARB
#define glMultiTexCoord2svARB __glMultiTexCoord2svARB
#ifdef glMultiTexCoord2xOES
#undef glMultiTexCoord2xOES
#endif // glMultiTexCoord2xOES
#define glMultiTexCoord2xOES __glMultiTexCoord2xOES
#ifdef glMultiTexCoord2xvOES
#undef glMultiTexCoord2xvOES
#endif // glMultiTexCoord2xvOES
#define glMultiTexCoord2xvOES __glMultiTexCoord2xvOES
#ifdef glMultiTexCoord3bOES
#undef glMultiTexCoord3bOES
#endif // glMultiTexCoord3bOES
#define glMultiTexCoord3bOES __glMultiTexCoord3bOES
#ifdef glMultiTexCoord3bvOES
#undef glMultiTexCoord3bvOES
#endif // glMultiTexCoord3bvOES
#define glMultiTexCoord3bvOES __glMultiTexCoord3bvOES
#ifdef glMultiTexCoord3d
#undef glMultiTexCoord3d
#endif // glMultiTexCoord3d
#define glMultiTexCoord3d __glMultiTexCoord3d
#ifdef glMultiTexCoord3dARB
#undef glMultiTexCoord3dARB
#endif // glMultiTexCoord3dARB
#define glMultiTexCoord3dARB __glMultiTexCoord3dARB
#ifdef glMultiTexCoord3dv
#undef glMultiTexCoord3dv
#endif // glMultiTexCoord3dv
#define glMultiTexCoord3dv __glMultiTexCoord3dv
#ifdef glMultiTexCoord3dvARB
#undef glMultiTexCoord3dvARB
#endif // glMultiTexCoord3dvARB
#define glMultiTexCoord3dvARB __glMultiTexCoord3dvARB
#ifdef glMultiTexCoord3f
#undef glMultiTexCoord3f
#endif // glMultiTexCoord3f
#define glMultiTexCoord3f __glMultiTexCoord3f
#ifdef glMultiTexCoord3fARB
#undef glMultiTexCoord3fARB
#endif // glMultiTexCoord3fARB
#define glMultiTexCoord3fARB __glMultiTexCoord3fARB
#ifdef glMultiTexCoord3fv
#undef glMultiTexCoord3fv
#endif // glMultiTexCoord3fv
#define glMultiTexCoord3fv __glMultiTexCoord3fv
#ifdef glMultiTexCoord3fvARB
#undef glMultiTexCoord3fvARB
#endif // glMultiTexCoord3fvARB
#define glMultiTexCoord3fvARB __glMultiTexCoord3fvARB
#ifdef glMultiTexCoord3i
#undef glMultiTexCoord3i
#endif // glMultiTexCoord3i
#define glMultiTexCoord3i __glMultiTexCoord3i
#ifdef glMultiTexCoord3iARB
#undef glMultiTexCoord3iARB
#endif // glMultiTexCoord3iARB
#define glMultiTexCoord3iARB __glMultiTexCoord3iARB
#ifdef glMultiTexCoord3iv
#undef glMultiTexCoord3iv
#endif // glMultiTexCoord3iv
#define glMultiTexCoord3iv __glMultiTexCoord3iv
#ifdef glMultiTexCoord3ivARB
#undef glMultiTexCoord3ivARB
#endif // glMultiTexCoord3ivARB
#define glMultiTexCoord3ivARB __glMultiTexCoord3ivARB
#ifdef glMultiTexCoord3s
#undef glMultiTexCoord3s
#endif // glMultiTexCoord3s
#define glMultiTexCoord3s __glMultiTexCoord3s
#ifdef glMultiTexCoord3sARB
#undef glMultiTexCoord3sARB
#endif // glMultiTexCoord3sARB
#define glMultiTexCoord3sARB __glMultiTexCoord3sARB
#ifdef glMultiTexCoord3sv
#undef glMultiTexCoord3sv
#endif // glMultiTexCoord3sv
#define glMultiTexCoord3sv __glMultiTexCoord3sv
#ifdef glMultiTexCoord3svARB
#undef glMultiTexCoord3svARB
#endif // glMultiTexCoord3svARB
#define glMultiTexCoord3svARB __glMultiTexCoord3svARB
#ifdef glMultiTexCoord3xOES
#undef glMultiTexCoord3xOES
#endif // glMultiTexCoord3xOES
#define glMultiTexCoord3xOES __glMultiTexCoord3xOES
#ifdef glMultiTexCoord3xvOES
#undef glMultiTexCoord3xvOES
#endif // glMultiTexCoord3xvOES
#define glMultiTexCoord3xvOES __glMultiTexCoord3xvOES
#ifdef glMultiTexCoord4bOES
#undef glMultiTexCoord4bOES
#endif // glMultiTexCoord4bOES
#define glMultiTexCoord4bOES __glMultiTexCoord4bOES
#ifdef glMultiTexCoord4bvOES
#undef glMultiTexCoord4bvOES
#endif // glMultiTexCoord4bvOES
#define glMultiTexCoord4bvOES __glMultiTexCoord4bvOES
#ifdef glMultiTexCoord4d
#undef glMultiTexCoord4d
#endif // glMultiTexCoord4d
#define glMultiTexCoord4d __glMultiTexCoord4d
#ifdef glMultiTexCoord4dARB
#undef glMultiTexCoord4dARB
#endif // glMultiTexCoord4dARB
#define glMultiTexCoord4dARB __glMultiTexCoord4dARB
#ifdef glMultiTexCoord4dv
#undef glMultiTexCoord4dv
#endif // glMultiTexCoord4dv
#define glMultiTexCoord4dv __glMultiTexCoord4dv
#ifdef glMultiTexCoord4dvARB
#undef glMultiTexCoord4dvARB
#endif // 
#define glMultiTexCoord4dvARB __glMultiTexCoord4dvARB
#ifdef glMultiTexCoord4f
#undef glMultiTexCoord4f
#endif // glMultiTexCoord4f
#define glMultiTexCoord4f __glMultiTexCoord4f
#ifdef glMultiTexCoord4fARB
#undef glMultiTexCoord4fARB
#endif // glMultiTexCoord4fARB
#define glMultiTexCoord4fARB __glMultiTexCoord4fARB
#ifdef glMultiTexCoord4fv
#undef glMultiTexCoord4fv
#endif // glMultiTexCoord4fv
#define glMultiTexCoord4fv __glMultiTexCoord4fv
#ifdef glMultiTexCoord4fvARB
#undef glMultiTexCoord4fvARB
#endif // glMultiTexCoord4fvARB
#define glMultiTexCoord4fvARB __glMultiTexCoord4fvARB
#ifdef glMultiTexCoord4i
#undef glMultiTexCoord4i
#endif // glMultiTexCoord4i
#define glMultiTexCoord4i __glMultiTexCoord4i
#ifdef glMultiTexCoord4iARB
#undef glMultiTexCoord4iARB
#endif // glMultiTexCoord4iARB
#define glMultiTexCoord4iARB __glMultiTexCoord4iARB
#ifdef glMultiTexCoord4iv
#undef glMultiTexCoord4iv
#endif // glMultiTexCoord4iv
#define glMultiTexCoord4iv __glMultiTexCoord4iv
#ifdef glMultiTexCoord4ivARB
#undef glMultiTexCoord4ivARB
#endif // glMultiTexCoord4ivARB
#define glMultiTexCoord4ivARB __glMultiTexCoord4ivARB
#ifdef glMultiTexCoord4s
#undef glMultiTexCoord4s
#endif // glMultiTexCoord4s
#define glMultiTexCoord4s __glMultiTexCoord4s
#ifdef glMultiTexCoord4sARB
#undef glMultiTexCoord4sARB
#endif // glMultiTexCoord4sARB
#define glMultiTexCoord4sARB __glMultiTexCoord4sARB
#ifdef glMultiTexCoord4sv
#undef glMultiTexCoord4sv
#endif // glMultiTexCoord4sv
#define glMultiTexCoord4sv __glMultiTexCoord4sv
#ifdef glMultiTexCoord4svARB
#undef glMultiTexCoord4svARB
#endif // glMultiTexCoord4svARB
#define glMultiTexCoord4svARB __glMultiTexCoord4svARB
#ifdef glMultiTexCoord4xOES
#undef glMultiTexCoord4xOES
#endif // glMultiTexCoord4xOES
#define glMultiTexCoord4xOES __glMultiTexCoord4xOES
#ifdef glMultiTexCoord4xvOES
#undef glMultiTexCoord4xvOES
#endif // glMultiTexCoord4xvOES
#define glMultiTexCoord4xvOES __glMultiTexCoord4xvOES
#ifdef glMultiTexCoordP1ui
#undef glMultiTexCoordP1ui
#endif // glMultiTexCoordP1ui
#define glMultiTexCoordP1ui __glMultiTexCoordP1ui
#ifdef glMultiTexCoordP1uiv
#undef glMultiTexCoordP1uiv
#endif // glMultiTexCoordP1uiv
#define glMultiTexCoordP1uiv __glMultiTexCoordP1uiv
#ifdef glMultiTexCoordP2ui
#undef glMultiTexCoordP2ui
#endif // glMultiTexCoordP2ui
#define glMultiTexCoordP2ui __glMultiTexCoordP2ui
#ifdef glMultiTexCoordP2uiv
#undef glMultiTexCoordP2uiv
#endif // glMultiTexCoordP2uiv
#define glMultiTexCoordP2uiv __glMultiTexCoordP2uiv
#ifdef glMultiTexCoordP3ui
#undef glMultiTexCoordP3ui
#endif // glMultiTexCoordP3ui
#define glMultiTexCoordP3ui __glMultiTexCoordP3ui
#ifdef glMultiTexCoordP3uiv
#undef glMultiTexCoordP3uiv
#endif // glMultiTexCoordP3uiv
#define glMultiTexCoordP3uiv __glMultiTexCoordP3uiv
#ifdef glMultiTexCoordP4ui
#undef glMultiTexCoordP4ui
#endif // glMultiTexCoordP4ui
#define glMultiTexCoordP4ui __glMultiTexCoordP4ui
#ifdef glMultiTexCoordP4uiv
#undef glMultiTexCoordP4uiv
#endif // glMultiTexCoordP4uiv
#define glMultiTexCoordP4uiv __glMultiTexCoordP4uiv
#ifdef glNamedStringARB
#undef glNamedStringARB
#endif // glNamedStringARB
#define glNamedStringARB __glNamedStringARB
#ifdef glNewList
#undef glNewList
#endif // glNewList
#define glNewList __glNewList
#ifdef glNormal3b
#undef glNormal3b
#endif // glNormal3b
#define glNormal3b __glNormal3b
#ifdef glNormal3bv
#undef glNormal3bv
#endif // glNormal3bv
#define glNormal3bv __glNormal3bv
#ifdef glNormal3d
#undef glNormal3d
#endif // glNormal3d
#define glNormal3d __glNormal3d
#ifdef glNormal3dv
#undef glNormal3dv
#endif // glNormal3dv
#define glNormal3dv __glNormal3dv
#ifdef glNormal3f
#undef glNormal3f
#endif // glNormal3f
#define glNormal3f __glNormal3f
#ifdef glNormal3fv
#undef glNormal3fv
#endif // glNormal3fv
#define glNormal3fv __glNormal3fv
#ifdef glNormal3i
#undef glNormal3i
#endif // glNormal3i
#define glNormal3i __glNormal3i
#ifdef glNormal3iv
#undef glNormal3iv
#endif // glNormal3iv
#define glNormal3iv __glNormal3iv
#ifdef glNormal3s
#undef glNormal3s
#endif // glNormal3s
#define glNormal3s __glNormal3s
#ifdef glNormal3sv
#undef glNormal3sv
#endif // glNormal3sv
#define glNormal3sv __glNormal3sv
#ifdef glNormal3xOES
#undef glNormal3xOES
#endif // glNormal3xOES
#define glNormal3xOES __glNormal3xOES
#ifdef glNormal3xvOES
#undef glNormal3xvOES
#endif // glNormal3xvOES
#define glNormal3xvOES __glNormal3xvOES
#ifdef glNormalP3ui
#undef glNormalP3ui
#endif // glNormalP3ui
#define glNormalP3ui __glNormalP3ui
#ifdef glNormalP3uiv
#undef glNormalP3uiv
#endif // glNormalP3uiv
#define glNormalP3uiv __glNormalP3uiv
#ifdef glNormalPointer
#undef glNormalPointer
#endif // glNormalPointer
#define glNormalPointer __glNormalPointer
#ifdef glObjectLabel
#undef glObjectLabel
#endif // glObjectLabel
#define glObjectLabel __glObjectLabel
#ifdef glObjectPtrLabel
#undef glObjectPtrLabel
#endif // glObjectPtrLabel
#define glObjectPtrLabel __glObjectPtrLabel
#ifdef glOrtho
#undef glOrtho
#endif // glOrtho
#define glOrtho __glOrtho
#ifdef glOrthofOES
#undef glOrthofOES
#endif // glOrthofOES
#define glOrthofOES __glOrthofOES
#ifdef glOrthoxOES
#undef glOrthoxOES
#endif // glOrthoxOES
#define glOrthoxOES __glOrthoxOES
#ifdef glPassThrough
#undef glPassThrough
#endif // glPassThrough
#define glPassThrough __glPassThrough
#ifdef glPassThroughxOES
#undef glPassThroughxOES
#endif // glPassThroughxOES
#define glPassThroughxOES __glPassThroughxOES
#ifdef glPatchParameterfv
#undef glPatchParameterfv
#endif // glPatchParameterfv
#define glPatchParameterfv __glPatchParameterfv
#ifdef glPatchParameteri
#undef glPatchParameteri
#endif // glPatchParameteri
#define glPatchParameteri __glPatchParameteri
#ifdef glPauseTransformFeedback
#undef glPauseTransformFeedback
#endif // glPauseTransformFeedback
#define glPauseTransformFeedback __glPauseTransformFeedback
#ifdef glPixelMapfv
#undef glPixelMapfv
#endif // glPixelMapfv
#define glPixelMapfv __glPixelMapfv
#ifdef glPixelMapuiv
#undef glPixelMapuiv
#endif // glPixelMapuiv
#define glPixelMapuiv __glPixelMapuiv
#ifdef glPixelMapusv
#undef glPixelMapusv
#endif // glPixelMapusv
#define glPixelMapusv __glPixelMapusv
#ifdef glPixelMapx
#undef glPixelMapx
#endif // glPixelMapx
#define glPixelMapx __glPixelMapx
#ifdef glPixelStoref
#undef glPixelStoref
#endif // glPixelStoref
#define glPixelStoref __glPixelStoref
#ifdef glPixelStorei
#undef glPixelStorei
#endif // glPixelStorei
#define glPixelStorei __glPixelStorei
#ifdef glPixelStorex
#undef glPixelStorex
#endif // glPixelStorex
#define glPixelStorex __glPixelStorex
#ifdef glPixelTransferf
#undef glPixelTransferf
#endif // glPixelTransferf
#define glPixelTransferf __glPixelTransferf
#ifdef glPixelTransferi
#undef glPixelTransferi
#endif // glPixelTransferi
#define glPixelTransferi __glPixelTransferi
#ifdef glPixelTransferxOES
#undef glPixelTransferxOES
#endif // glPixelTransferxOES
#define glPixelTransferxOES __glPixelTransferxOES
#ifdef glPixelZoom
#undef glPixelZoom
#endif // glPixelZoom
#define glPixelZoom __glPixelZoom
#ifdef glPixelZoomxOES
#undef glPixelZoomxOES
#endif // glPixelZoomxOES
#define glPixelZoomxOES __glPixelZoomxOES
#ifdef glPointParameterf
#undef glPointParameterf
#endif // glPointParameterf
#define glPointParameterf __glPointParameterf
#ifdef glPointParameterfARB
#undef glPointParameterfARB
#endif // glPointParameterfARB
#define glPointParameterfARB __glPointParameterfARB
#ifdef glPointParameterfv
#undef glPointParameterfv
#endif // glPointParameterfv
#define glPointParameterfv __glPointParameterfv
#ifdef glPointParameterfvARB
#undef glPointParameterfvARB
#endif // glPointParameterfvARB
#define glPointParameterfvARB __glPointParameterfvARB
#ifdef glPointParameteri
#undef glPointParameteri
#endif // glPointParameteri
#define glPointParameteri __glPointParameteri
#ifdef glPointParameteriv
#undef glPointParameteriv
#endif // glPointParameteriv
#define glPointParameteriv __glPointParameteriv
#ifdef glPointParameterxvOES
#undef glPointParameterxvOES
#endif // glPointParameterxvOES
#define glPointParameterxvOES __glPointParameterxvOES
#ifdef glPointSize
#undef glPointSize
#endif // glPointSize
#define glPointSize __glPointSize
#ifdef glPointSizexOES
#undef glPointSizexOES
#endif // glPointSizexOES
#define glPointSizexOES __glPointSizexOES
#ifdef glPolygonMode
#undef glPolygonMode
#endif // glPolygonMode
#define glPolygonMode __glPolygonMode
#ifdef glPolygonOffset
#undef glPolygonOffset
#endif // glPolygonOffset
#define glPolygonOffset __glPolygonOffset
#ifdef glPolygonOffsetxOES
#undef glPolygonOffsetxOES
#endif // glPolygonOffsetxOES
#define glPolygonOffsetxOES __glPolygonOffsetxOES
#ifdef glPolygonStipple
#undef glPolygonStipple
#endif // glPolygonStipple
#define glPolygonStipple __glPolygonStipple
#ifdef glPopAttrib
#undef glPopAttrib
#endif // glPopAttrib
#define glPopAttrib __glPopAttrib
#ifdef glPopClientAttrib
#undef glPopClientAttrib
#endif // glPopClientAttrib
#define glPopClientAttrib __glPopClientAttrib
#ifdef glPopDebugGroup
#undef glPopDebugGroup
#endif // glPopDebugGroup
#define glPopDebugGroup __glPopDebugGroup
#ifdef glPopMatrix
#undef glPopMatrix
#endif // glPopMatrix
#define glPopMatrix __glPopMatrix
#ifdef glPopName
#undef glPopName
#endif // glPopName
#define glPopName __glPopName
#ifdef glPrimitiveRestartIndex
#undef glPrimitiveRestartIndex
#endif // glPrimitiveRestartIndex
#define glPrimitiveRestartIndex __glPrimitiveRestartIndex
#ifdef glPrioritizeTextures
#undef glPrioritizeTextures
#endif // glPrioritizeTextures
#define glPrioritizeTextures __glPrioritizeTextures
#ifdef glPrioritizeTexturesxOES
#undef glPrioritizeTexturesxOES
#endif // glPrioritizeTexturesxOES
#define glPrioritizeTexturesxOES __glPrioritizeTexturesxOES
#ifdef glProgramBinary
#undef glProgramBinary
#endif // glProgramBinary
#define glProgramBinary __glProgramBinary
#ifdef glProgramEnvParameter4dARB
#undef glProgramEnvParameter4dARB
#endif // glProgramEnvParameter4dARB
#define glProgramEnvParameter4dARB __glProgramEnvParameter4dARB
#ifdef glProgramEnvParameter4dvARB
#undef glProgramEnvParameter4dvARB
#endif // glProgramEnvParameter4dvARB
#define glProgramEnvParameter4dvARB __glProgramEnvParameter4dvARB
#ifdef glProgramEnvParameter4fARB
#undef glProgramEnvParameter4fARB
#endif // glProgramEnvParameter4fARB
#define glProgramEnvParameter4fARB __glProgramEnvParameter4fARB
#ifdef glProgramEnvParameter4fvARB
#undef glProgramEnvParameter4fvARB
#endif // glProgramEnvParameter4fvARB
#define glProgramEnvParameter4fvARB __glProgramEnvParameter4fvARB
#ifdef glProgramLocalParameter4dARB
#undef glProgramLocalParameter4dARB
#endif // glProgramLocalParameter4dARB
#define glProgramLocalParameter4dARB __glProgramLocalParameter4dARB
#ifdef glProgramLocalParameter4dvARB
#undef glProgramLocalParameter4dvARB
#endif // glProgramLocalParameter4dvARB
#define glProgramLocalParameter4dvARB __glProgramLocalParameter4dvARB
#ifdef glProgramLocalParameter4fARB
#undef glProgramLocalParameter4fARB
#endif // glProgramLocalParameter4fARB
#define glProgramLocalParameter4fARB __glProgramLocalParameter4fARB
#ifdef glProgramLocalParameter4fvARB
#undef glProgramLocalParameter4fvARB
#endif // glProgramLocalParameter4fvARB
#define glProgramLocalParameter4fvARB __glProgramLocalParameter4fvARB
#ifdef glProgramParameteri
#undef glProgramParameteri
#endif // glProgramParameteri
#define glProgramParameteri __glProgramParameteri
#ifdef glProgramParameteriARB
#undef glProgramParameteriARB
#endif // glProgramParameteriARB
#define glProgramParameteriARB __glProgramParameteriARB
#ifdef glProgramStringARB
#undef glProgramStringARB
#endif // glProgramStringARB
#define glProgramStringARB __glProgramStringARB
#ifdef glProgramUniform1d
#undef glProgramUniform1d
#endif // glProgramUniform1d
#define glProgramUniform1d __glProgramUniform1d
#ifdef glProgramUniform1dv
#undef glProgramUniform1dv
#endif // glProgramUniform1dv
#define glProgramUniform1dv __glProgramUniform1dv
#ifdef glProgramUniform1f
#undef glProgramUniform1f
#endif // glProgramUniform1f
#define glProgramUniform1f __glProgramUniform1f
#ifdef glProgramUniform1fv
#undef glProgramUniform1fv
#endif // glProgramUniform1fv
#define glProgramUniform1fv __glProgramUniform1fv
#ifdef glProgramUniform1i
#undef glProgramUniform1i
#endif // glProgramUniform1i
#define glProgramUniform1i __glProgramUniform1i
#ifdef glProgramUniform1iv
#undef glProgramUniform1iv
#endif // glProgramUniform1iv
#define glProgramUniform1iv __glProgramUniform1iv
#ifdef glProgramUniform1ui
#undef glProgramUniform1ui
#endif // glProgramUniform1ui
#define glProgramUniform1ui __glProgramUniform1ui
#ifdef glProgramUniform1uiv
#undef glProgramUniform1uiv
#endif // glProgramUniform1uiv
#define glProgramUniform1uiv __glProgramUniform1uiv
#ifdef glProgramUniform2d
#undef glProgramUniform2d
#endif // glProgramUniform2d
#define glProgramUniform2d __glProgramUniform2d
#ifdef glProgramUniform2dv
#undef glProgramUniform2dv
#endif // glProgramUniform2dv
#define glProgramUniform2dv __glProgramUniform2dv
#ifdef glProgramUniform2f
#undef glProgramUniform2f
#endif // glProgramUniform2f
#define glProgramUniform2f __glProgramUniform2f
#ifdef glProgramUniform2fv
#undef glProgramUniform2fv
#endif // glProgramUniform2fv
#define glProgramUniform2fv __glProgramUniform2fv
#ifdef glProgramUniform2i
#undef glProgramUniform2i
#endif // glProgramUniform2i
#define glProgramUniform2i __glProgramUniform2i
#ifdef glProgramUniform2iv
#undef glProgramUniform2iv
#endif // glProgramUniform2iv
#define glProgramUniform2iv __glProgramUniform2iv
#ifdef glProgramUniform2ui
#undef glProgramUniform2ui
#endif // glProgramUniform2ui
#define glProgramUniform2ui __glProgramUniform2ui
#ifdef glProgramUniform2uiv
#undef glProgramUniform2uiv
#endif // glProgramUniform2uiv
#define glProgramUniform2uiv __glProgramUniform2uiv
#ifdef glProgramUniform3d
#undef glProgramUniform3d
#endif // glProgramUniform3d
#define glProgramUniform3d __glProgramUniform3d
#ifdef glProgramUniform3dv
#undef glProgramUniform3dv
#endif // glProgramUniform3dv
#define glProgramUniform3dv __glProgramUniform3dv
#ifdef glProgramUniform3f
#undef glProgramUniform3f
#endif // glProgramUniform3f
#define glProgramUniform3f __glProgramUniform3f
#ifdef glProgramUniform3fv
#undef glProgramUniform3fv
#endif // glProgramUniform3fv
#define glProgramUniform3fv __glProgramUniform3fv
#ifdef glProgramUniform3i
#undef glProgramUniform3i
#endif // glProgramUniform3i
#define glProgramUniform3i __glProgramUniform3i
#ifdef glProgramUniform3iv
#undef glProgramUniform3iv
#endif // glProgramUniform3iv
#define glProgramUniform3iv __glProgramUniform3iv
#ifdef glProgramUniform3ui
#undef glProgramUniform3ui
#endif // glProgramUniform3ui
#define glProgramUniform3ui __glProgramUniform3ui
#ifdef glProgramUniform3uiv
#undef glProgramUniform3uiv
#endif // glProgramUniform3uiv
#define glProgramUniform3uiv __glProgramUniform3uiv
#ifdef glProgramUniform4d
#undef glProgramUniform4d
#endif // glProgramUniform4d
#define glProgramUniform4d __glProgramUniform4d
#ifdef glProgramUniform4dv
#undef glProgramUniform4dv
#endif // glProgramUniform4dv
#define glProgramUniform4dv __glProgramUniform4dv
#ifdef glProgramUniform4f
#undef glProgramUniform4f
#endif // glProgramUniform4f
#define glProgramUniform4f __glProgramUniform4f
#ifdef glProgramUniform4fv
#undef glProgramUniform4fv
#endif // glProgramUniform4fv
#define glProgramUniform4fv __glProgramUniform4fv
#ifdef glProgramUniform4i
#undef glProgramUniform4i
#endif // glProgramUniform4i
#define glProgramUniform4i __glProgramUniform4i
#ifdef glProgramUniform4iv
#undef glProgramUniform4iv
#endif // glProgramUniform4iv
#define glProgramUniform4iv __glProgramUniform4iv
#ifdef glProgramUniform4ui
#undef glProgramUniform4ui
#endif // glProgramUniform4ui
#define glProgramUniform4ui __glProgramUniform4ui
#ifdef glProgramUniform4uiv
#undef glProgramUniform4uiv
#endif // glProgramUniform4uiv
#define glProgramUniform4uiv __glProgramUniform4uiv
#ifdef glProgramUniformHandleui64ARB
#undef glProgramUniformHandleui64ARB
#endif // glProgramUniformHandleui64ARB
#define glProgramUniformHandleui64ARB __glProgramUniformHandleui64ARB
#ifdef glProgramUniformHandleui64vARB
#undef glProgramUniformHandleui64vARB
#endif // glProgramUniformHandleui64vARB
#define glProgramUniformHandleui64vARB __glProgramUniformHandleui64vARB
#ifdef glProgramUniformMatrix2dv
#undef glProgramUniformMatrix2dv
#endif // glProgramUniformMatrix2dv
#define glProgramUniformMatrix2dv __glProgramUniformMatrix2dv
#ifdef glProgramUniformMatrix2fv
#undef glProgramUniformMatrix2fv
#endif // glProgramUniformMatrix2fv
#define glProgramUniformMatrix2fv __glProgramUniformMatrix2fv
#ifdef glProgramUniformMatrix2x3dv
#undef glProgramUniformMatrix2x3dv
#endif // glProgramUniformMatrix2x3dv
#define glProgramUniformMatrix2x3dv __glProgramUniformMatrix2x3dv
#ifdef glProgramUniformMatrix2x3fv
#undef glProgramUniformMatrix2x3fv
#endif // glProgramUniformMatrix2x3fv
#define glProgramUniformMatrix2x3fv __glProgramUniformMatrix2x3fv
#ifdef glProgramUniformMatrix2x4dv
#undef glProgramUniformMatrix2x4dv
#endif // glProgramUniformMatrix2x4dv
#define glProgramUniformMatrix2x4dv __glProgramUniformMatrix2x4dv
#ifdef glProgramUniformMatrix2x4fv
#undef glProgramUniformMatrix2x4fv
#endif // glProgramUniformMatrix2x4fv
#define glProgramUniformMatrix2x4fv __glProgramUniformMatrix2x4fv
#ifdef glProgramUniformMatrix3dv
#undef glProgramUniformMatrix3dv
#endif // glProgramUniformMatrix3dv
#define glProgramUniformMatrix3dv __glProgramUniformMatrix3dv
#ifdef glProgramUniformMatrix3fv
#undef glProgramUniformMatrix3fv
#endif // glProgramUniformMatrix3fv
#define glProgramUniformMatrix3fv __glProgramUniformMatrix3fv
#ifdef glProgramUniformMatrix3x2dv
#undef glProgramUniformMatrix3x2dv
#endif // glProgramUniformMatrix3x2dv
#define glProgramUniformMatrix3x2dv __glProgramUniformMatrix3x2dv
#ifdef glProgramUniformMatrix3x2fv
#undef glProgramUniformMatrix3x2fv
#endif // glProgramUniformMatrix3x2fv
#define glProgramUniformMatrix3x2fv __glProgramUniformMatrix3x2fv
#ifdef glProgramUniformMatrix3x4dv
#undef glProgramUniformMatrix3x4dv
#endif // glProgramUniformMatrix3x4dv
#define glProgramUniformMatrix3x4dv __glProgramUniformMatrix3x4dv
#ifdef glProgramUniformMatrix3x4fv
#undef glProgramUniformMatrix3x4fv
#endif // glProgramUniformMatrix3x4fv
#define glProgramUniformMatrix3x4fv __glProgramUniformMatrix3x4fv
#ifdef glProgramUniformMatrix4dv
#undef glProgramUniformMatrix4dv
#endif // glProgramUniformMatrix4dv
#define glProgramUniformMatrix4dv __glProgramUniformMatrix4dv
#ifdef glProgramUniformMatrix4fv
#undef glProgramUniformMatrix4fv
#endif // glProgramUniformMatrix4fv
#define glProgramUniformMatrix4fv __glProgramUniformMatrix4fv
#ifdef glProgramUniformMatrix4x2dv
#undef glProgramUniformMatrix4x2dv
#endif // glProgramUniformMatrix4x2dv
#define glProgramUniformMatrix4x2dv __glProgramUniformMatrix4x2dv
#ifdef glProgramUniformMatrix4x2fv
#undef glProgramUniformMatrix4x2fv
#endif // glProgramUniformMatrix4x2fv
#define glProgramUniformMatrix4x2fv __glProgramUniformMatrix4x2fv
#ifdef glProgramUniformMatrix4x3dv
#undef glProgramUniformMatrix4x3dv
#endif // glProgramUniformMatrix4x3dv
#define glProgramUniformMatrix4x3dv __glProgramUniformMatrix4x3dv
#ifdef glProgramUniformMatrix4x3fv
#undef glProgramUniformMatrix4x3fv
#endif // glProgramUniformMatrix4x3fv
#define glProgramUniformMatrix4x3fv __glProgramUniformMatrix4x3fv
#ifdef glProvokingVertex
#undef glProvokingVertex
#endif // glProvokingVertex
#define glProvokingVertex __glProvokingVertex
#ifdef glPushAttrib
#undef glPushAttrib
#endif // glPushAttrib
#define glPushAttrib __glPushAttrib
#ifdef glPushClientAttrib
#undef glPushClientAttrib
#endif // glPushClientAttrib
#define glPushClientAttrib __glPushClientAttrib
#ifdef glPushDebugGroup
#undef glPushDebugGroup
#endif // glPushDebugGroup
#define glPushDebugGroup __glPushDebugGroup
#ifdef glPushMatrix
#undef glPushMatrix
#endif // glPushMatrix
#define glPushMatrix __glPushMatrix
#ifdef glPushName
#undef glPushName
#endif // glPushName
#define glPushName __glPushName
#ifdef glQueryCounter
#undef glQueryCounter
#endif // glQueryCounter
#define glQueryCounter __glQueryCounter
#ifdef glQueryMatrixxOES
#undef glQueryMatrixxOES
#endif // glQueryMatrixxOES
#define glQueryMatrixxOES __glQueryMatrixxOES
#ifdef glRasterPos2d
#undef glRasterPos2d
#endif // glRasterPos2d
#define glRasterPos2d __glRasterPos2d
#ifdef glRasterPos2dv
#undef glRasterPos2dv
#endif // glRasterPos2dv
#define glRasterPos2dv __glRasterPos2dv
#ifdef glRasterPos2f
#undef glRasterPos2f
#endif // glRasterPos2f
#define glRasterPos2f __glRasterPos2f
#ifdef glRasterPos2fv
#undef glRasterPos2fv
#endif // glRasterPos2fv
#define glRasterPos2fv __glRasterPos2fv
#ifdef glRasterPos2i
#undef glRasterPos2i
#endif // glRasterPos2i
#define glRasterPos2i __glRasterPos2i
#ifdef glRasterPos2iv
#undef glRasterPos2iv
#endif // glRasterPos2iv
#define glRasterPos2iv __glRasterPos2iv
#ifdef glRasterPos2s
#undef glRasterPos2s
#endif // glRasterPos2s
#define glRasterPos2s __glRasterPos2s
#ifdef glRasterPos2sv
#undef glRasterPos2sv
#endif // glRasterPos2sv
#define glRasterPos2sv __glRasterPos2sv
#ifdef glRasterPos2xOES
#undef glRasterPos2xOES
#endif // glRasterPos2xOES
#define glRasterPos2xOES __glRasterPos2xOES
#ifdef glRasterPos2xvOES
#undef glRasterPos2xvOES
#endif // glRasterPos2xvOES
#define glRasterPos2xvOES __glRasterPos2xvOES
#ifdef glRasterPos3d
#undef glRasterPos3d
#endif // glRasterPos3d
#define glRasterPos3d __glRasterPos3d
#ifdef glRasterPos3dv
#undef glRasterPos3dv
#endif // glRasterPos3dv
#define glRasterPos3dv __glRasterPos3dv
#ifdef glRasterPos3f
#undef glRasterPos3f
#endif // glRasterPos3f
#define glRasterPos3f __glRasterPos3f
#ifdef glRasterPos3fv
#undef glRasterPos3fv
#endif // glRasterPos3fv
#define glRasterPos3fv __glRasterPos3fv
#ifdef glRasterPos3i
#undef glRasterPos3i
#endif // glRasterPos3i
#define glRasterPos3i __glRasterPos3i
#ifdef glRasterPos3iv
#undef glRasterPos3iv
#endif // glRasterPos3iv
#define glRasterPos3iv __glRasterPos3iv
#ifdef glRasterPos3s
#undef glRasterPos3s
#endif // glRasterPos3s
#define glRasterPos3s __glRasterPos3s
#ifdef glRasterPos3sv
#undef glRasterPos3sv
#endif // glRasterPos3sv
#define glRasterPos3sv __glRasterPos3sv
#ifdef glRasterPos3xOES
#undef glRasterPos3xOES
#endif // glRasterPos3xOES
#define glRasterPos3xOES __glRasterPos3xOES
#ifdef glRasterPos3xvOES
#undef glRasterPos3xvOES
#endif // glRasterPos3xvOES
#define glRasterPos3xvOES __glRasterPos3xvOES
#ifdef glRasterPos4d
#undef glRasterPos4d
#endif // glRasterPos4d
#define glRasterPos4d __glRasterPos4d
#ifdef glRasterPos4dv
#undef glRasterPos4dv
#endif // glRasterPos4dv
#define glRasterPos4dv __glRasterPos4dv
#ifdef glRasterPos4f
#undef glRasterPos4f
#endif // glRasterPos4f
#define glRasterPos4f __glRasterPos4f
#ifdef glRasterPos4fv
#undef glRasterPos4fv
#endif // glRasterPos4fv
#define glRasterPos4fv __glRasterPos4fv
#ifdef glRasterPos4i
#undef glRasterPos4i
#endif // glRasterPos4i
#define glRasterPos4i __glRasterPos4i
#ifdef glRasterPos4iv
#undef glRasterPos4iv
#endif // glRasterPos4iv
#define glRasterPos4iv __glRasterPos4iv
#ifdef glRasterPos4s
#undef glRasterPos4s
#endif // glRasterPos4s
#define glRasterPos4s __glRasterPos4s
#ifdef glRasterPos4sv
#undef glRasterPos4sv
#endif // glRasterPos4sv
#define glRasterPos4sv __glRasterPos4sv
#ifdef glRasterPos4xOES
#undef glRasterPos4xOES
#endif // glRasterPos4xOES
#define glRasterPos4xOES __glRasterPos4xOES
#ifdef glRasterPos4xvOES
#undef glRasterPos4xvOES
#endif // glRasterPos4xvOES
#define glRasterPos4xvOES __glRasterPos4xvOES
#ifdef glReadBuffer
#undef glReadBuffer
#endif // glReadBuffer
#define glReadBuffer __glReadBuffer
#ifdef glReadPixels
#undef glReadPixels
#endif // glReadPixels
#define glReadPixels __glReadPixels
#ifdef glReadnPixelsARB
#undef glReadnPixelsARB
#endif // glReadnPixelsARB
#define glReadnPixelsARB __glReadnPixelsARB
#ifdef glRectd
#undef glRectd
#endif // glRectd
#define glRectd __glRectd
#ifdef glRectdv
#undef glRectdv
#endif // glRectdv
#define glRectdv __glRectdv
#ifdef glRectf
#undef glRectf
#endif // glRectf
#define glRectf __glRectf
#ifdef glRectfv
#undef glRectfv
#endif // glRectfv
#define glRectfv __glRectfv
#ifdef glRecti
#undef glRecti
#endif // glRecti
#define glRecti __glRecti
#ifdef glRectiv
#undef glRectiv
#endif // glRectiv
#define glRectiv __glRectiv
#ifdef glRects
#undef glRects
#endif // glRects
#define glRects __glRects
#ifdef glRectsv
#undef glRectsv
#endif // glRectsv
#define glRectsv __glRectsv
#ifdef glRectxOES
#undef glRectxOES
#endif // glRectxOES
#define glRectxOES __glRectxOES
#ifdef glRectxvOES
#undef glRectxvOES
#endif // glRectxvOES
#define glRectxvOES __glRectxvOES
#ifdef glReleaseShaderCompiler
#undef glReleaseShaderCompiler
#endif // glReleaseShaderCompiler
#define glReleaseShaderCompiler __glReleaseShaderCompiler
#ifdef glRenderMode
#undef glRenderMode
#endif // glRenderMode
#define glRenderMode __glRenderMode
#ifdef glRenderbufferStorage
#undef glRenderbufferStorage
#endif // glRenderbufferStorage
#define glRenderbufferStorage __glRenderbufferStorage
#ifdef glRenderbufferStorageMultisample
#undef glRenderbufferStorageMultisample
#endif // glRenderbufferStorageMultisample
#define glRenderbufferStorageMultisample __glRenderbufferStorageMultisample
#ifdef glResetHistogram
#undef glResetHistogram
#endif // glResetHistogram
#define glResetHistogram __glResetHistogram
#ifdef glResetMinmax
#undef glResetMinmax
#endif // glResetMinmax
#define glResetMinmax __glResetMinmax
#ifdef glResumeTransformFeedback
#undef glResumeTransformFeedback
#endif // glResumeTransformFeedback
#define glResumeTransformFeedback __glResumeTransformFeedback
#ifdef glRotated
#undef glRotated
#endif // glRotated
#define glRotated __glRotated
#ifdef glRotatef
#undef glRotatef
#endif // glRotatef
#define glRotatef __glRotatef
#ifdef glRotatexOES
#undef glRotatexOES
#endif // glRotatexOES
#define glRotatexOES __glRotatexOES
#ifdef glSampleCoverage
#undef glSampleCoverage
#endif // glSampleCoverage
#define glSampleCoverage __glSampleCoverage
#ifdef glSampleCoverageARB
#undef glSampleCoverageARB
#endif // glSampleCoverageARB
#define glSampleCoverageARB __glSampleCoverageARB
#ifdef glSampleCoverageOES
#undef glSampleCoverageOES
#endif // glSampleCoverageOES
#define glSampleCoverageOES __glSampleCoverageOES
#ifdef glSampleMaski
#undef glSampleMaski
#endif // glSampleMaski
#define glSampleMaski __glSampleMaski
#ifdef glSamplerParameterIiv
#undef glSamplerParameterIiv
#endif // glSamplerParameterIiv
#define glSamplerParameterIiv __glSamplerParameterIiv
#ifdef glSamplerParameterIuiv
#undef glSamplerParameterIuiv
#endif // glSamplerParameterIuiv
#define glSamplerParameterIuiv __glSamplerParameterIuiv
#ifdef glSamplerParameterf
#undef glSamplerParameterf
#endif // glSamplerParameterf
#define glSamplerParameterf __glSamplerParameterf
#ifdef glSamplerParameterfv
#undef glSamplerParameterfv
#endif // glSamplerParameterfv
#define glSamplerParameterfv __glSamplerParameterfv
#ifdef glSamplerParameteri
#undef glSamplerParameteri
#endif // glSamplerParameteri
#define glSamplerParameteri __glSamplerParameteri
#ifdef glSamplerParameteriv
#undef glSamplerParameteriv
#endif // glSamplerParameteriv
#define glSamplerParameteriv __glSamplerParameteriv
#ifdef glScaled
#undef glScaled
#endif // glScaled
#define glScaled __glScaled
#ifdef glScalef
#undef glScalef
#endif // glScalef
#define glScalef __glScalef
#ifdef glScalexOES
#undef glScalexOES
#endif // glScalexOES
#define glScalexOES __glScalexOES
#ifdef glScissor
#undef glScissor
#endif // glScissor
#define glScissor __glScissor
#ifdef glScissorArrayv
#undef glScissorArrayv
#endif // glScissorArrayv
#define glScissorArrayv __glScissorArrayv
#ifdef glScissorIndexed
#undef glScissorIndexed
#endif // glScissorIndexed
#define glScissorIndexed __glScissorIndexed
#ifdef glScissorIndexedv
#undef glScissorIndexedv
#endif // glScissorIndexedv
#define glScissorIndexedv __glScissorIndexedv
#ifdef glSecondaryColor3b
#undef glSecondaryColor3b
#endif // glSecondaryColor3b
#define glSecondaryColor3b __glSecondaryColor3b
#ifdef glSecondaryColor3bv
#undef glSecondaryColor3bv
#endif // glSecondaryColor3bv
#define glSecondaryColor3bv __glSecondaryColor3bv
#ifdef glSecondaryColor3d
#undef glSecondaryColor3d
#endif // glSecondaryColor3d
#define glSecondaryColor3d __glSecondaryColor3d
#ifdef glSecondaryColor3dv
#undef glSecondaryColor3dv
#endif // glSecondaryColor3dv
#define glSecondaryColor3dv __glSecondaryColor3dv
#ifdef glSecondaryColor3f
#undef glSecondaryColor3f
#endif // glSecondaryColor3f
#define glSecondaryColor3f __glSecondaryColor3f
#ifdef glSecondaryColor3fv
#undef glSecondaryColor3fv
#endif // glSecondaryColor3fv
#define glSecondaryColor3fv __glSecondaryColor3fv
#ifdef glSecondaryColor3i
#undef glSecondaryColor3i
#endif // glSecondaryColor3i
#define glSecondaryColor3i __glSecondaryColor3i
#ifdef glSecondaryColor3iv
#undef glSecondaryColor3iv
#endif // glSecondaryColor3iv
#define glSecondaryColor3iv __glSecondaryColor3iv
#ifdef glSecondaryColor3s
#undef glSecondaryColor3s
#endif // glSecondaryColor3s
#define glSecondaryColor3s __glSecondaryColor3s
#ifdef glSecondaryColor3sv
#undef glSecondaryColor3sv
#endif // glSecondaryColor3sv
#define glSecondaryColor3sv __glSecondaryColor3sv
#ifdef glSecondaryColor3ub
#undef glSecondaryColor3ub
#endif // glSecondaryColor3ub
#define glSecondaryColor3ub __glSecondaryColor3ub
#ifdef glSecondaryColor3ubv
#undef glSecondaryColor3ubv
#endif // glSecondaryColor3ubv
#define glSecondaryColor3ubv __glSecondaryColor3ubv
#ifdef glSecondaryColor3ui
#undef glSecondaryColor3ui
#endif // glSecondaryColor3ui
#define glSecondaryColor3ui __glSecondaryColor3ui
#ifdef glSecondaryColor3uiv
#undef glSecondaryColor3uiv
#endif // glSecondaryColor3uiv
#define glSecondaryColor3uiv __glSecondaryColor3uiv
#ifdef glSecondaryColor3us
#undef glSecondaryColor3us
#endif // glSecondaryColor3us
#define glSecondaryColor3us __glSecondaryColor3us
#ifdef glSecondaryColor3usv
#undef glSecondaryColor3usv
#endif // glSecondaryColor3usv
#define glSecondaryColor3usv __glSecondaryColor3usv
#ifdef glSecondaryColorP3ui
#undef glSecondaryColorP3ui
#endif // glSecondaryColorP3ui
#define glSecondaryColorP3ui __glSecondaryColorP3ui
#ifdef glSecondaryColorP3uiv
#undef glSecondaryColorP3uiv
#endif // glSecondaryColorP3uiv
#define glSecondaryColorP3uiv __glSecondaryColorP3uiv
#ifdef glSecondaryColorPointer
#undef glSecondaryColorPointer
#endif // glSecondaryColorPointer
#define glSecondaryColorPointer __glSecondaryColorPointer
#ifdef glSelectBuffer
#undef glSelectBuffer
#endif // glSelectBuffer
#define glSelectBuffer __glSelectBuffer
#ifdef glSeparableFilter2D
#undef glSeparableFilter2D
#endif // glSeparableFilter2D
#define glSeparableFilter2D __glSeparableFilter2D
#ifdef glShadeModel
#undef glShadeModel
#endif // glShadeModel
#define glShadeModel __glShadeModel
#ifdef glShaderBinary
#undef glShaderBinary
#endif // glShaderBinary
#define glShaderBinary __glShaderBinary
#ifdef glShaderSource
#undef glShaderSource
#endif // glShaderSource
#define glShaderSource __glShaderSource
#ifdef glShaderSourceARB
#undef glShaderSourceARB
#endif // glShaderSourceARB
#define glShaderSourceARB __glShaderSourceARB
#ifdef glShaderStorageBlockBinding
#undef glShaderStorageBlockBinding
#endif // glShaderStorageBlockBinding
#define glShaderStorageBlockBinding __glShaderStorageBlockBinding
#ifdef glStencilFunc
#undef glStencilFunc
#endif // glStencilFunc
#define glStencilFunc __glStencilFunc
#ifdef glStencilFuncSeparate
#undef glStencilFuncSeparate
#endif // glStencilFuncSeparate
#define glStencilFuncSeparate __glStencilFuncSeparate
#ifdef glStencilMask
#undef glStencilMask
#endif // glStencilMask
#define glStencilMask __glStencilMask
#ifdef glStencilMaskSeparate
#undef glStencilMaskSeparate
#endif // glStencilMaskSeparate
#define glStencilMaskSeparate __glStencilMaskSeparate
#ifdef glStencilOp
#undef glStencilOp
#endif // glStencilOp
#define glStencilOp __glStencilOp
#ifdef glStencilOpSeparate
#undef glStencilOpSeparate
#endif // glStencilOpSeparate
#define glStencilOpSeparate __glStencilOpSeparate
#ifdef glTexBuffer
#undef glTexBuffer
#endif // glTexBuffer
#define glTexBuffer __glTexBuffer
#ifdef glTexBufferARB
#undef glTexBufferARB
#endif // glTexBufferARB
#define glTexBufferARB __glTexBufferARB
#ifdef glTexBufferRange
#undef glTexBufferRange
#endif // glTexBufferRange
#define glTexBufferRange __glTexBufferRange
#ifdef glTexCoord1bOES
#undef glTexCoord1bOES
#endif // glTexCoord1bOES
#define glTexCoord1bOES __glTexCoord1bOES
#ifdef glTexCoord1bvOES
#undef glTexCoord1bvOES
#endif // glTexCoord1bvOES
#define glTexCoord1bvOES __glTexCoord1bvOES
#ifdef glTexCoord1d
#undef glTexCoord1d
#endif // glTexCoord1d
#define glTexCoord1d __glTexCoord1d
#ifdef glTexCoord1dv
#undef glTexCoord1dv
#endif // glTexCoord1dv
#define glTexCoord1dv __glTexCoord1dv
#ifdef glTexCoord1f
#undef glTexCoord1f
#endif // glTexCoord1f
#define glTexCoord1f __glTexCoord1f
#ifdef glTexCoord1fv
#undef glTexCoord1fv
#endif // glTexCoord1fv
#define glTexCoord1fv __glTexCoord1fv
#ifdef glTexCoord1i
#undef glTexCoord1i
#endif // glTexCoord1i
#define glTexCoord1i __glTexCoord1i
#ifdef glTexCoord1iv
#undef glTexCoord1iv
#endif // glTexCoord1iv
#define glTexCoord1iv __glTexCoord1iv
#ifdef glTexCoord1s
#undef glTexCoord1s
#endif // glTexCoord1s
#define glTexCoord1s __glTexCoord1s
#ifdef glTexCoord1sv
#undef glTexCoord1sv
#endif // glTexCoord1sv
#define glTexCoord1sv __glTexCoord1sv
#ifdef glTexCoord1xOES
#undef glTexCoord1xOES
#endif // glTexCoord1xOES
#define glTexCoord1xOES __glTexCoord1xOES
#ifdef glTexCoord1xvOES
#undef glTexCoord1xvOES
#endif // glTexCoord1xvOES
#define glTexCoord1xvOES __glTexCoord1xvOES
#ifdef glTexCoord2bOES
#undef glTexCoord2bOES
#endif // glTexCoord2bOES
#define glTexCoord2bOES __glTexCoord2bOES
#ifdef glTexCoord2bvOES
#undef glTexCoord2bvOES
#endif // glTexCoord2bvOES
#define glTexCoord2bvOES __glTexCoord2bvOES
#ifdef glTexCoord2d
#undef glTexCoord2d
#endif // glTexCoord2d
#define glTexCoord2d __glTexCoord2d
#ifdef glTexCoord2dv
#undef glTexCoord2dv
#endif // glTexCoord2dv
#define glTexCoord2dv __glTexCoord2dv
#ifdef glTexCoord2f
#undef glTexCoord2f
#endif // glTexCoord2f
#define glTexCoord2f __glTexCoord2f
#ifdef glTexCoord2fv
#undef glTexCoord2fv
#endif // glTexCoord2fv
#define glTexCoord2fv __glTexCoord2fv
#ifdef glTexCoord2i
#undef glTexCoord2i
#endif // glTexCoord2i
#define glTexCoord2i __glTexCoord2i
#ifdef glTexCoord2iv
#undef glTexCoord2iv
#endif // glTexCoord2iv
#define glTexCoord2iv __glTexCoord2iv
#ifdef glTexCoord2s
#undef glTexCoord2s
#endif // glTexCoord2s
#define glTexCoord2s __glTexCoord2s
#ifdef glTexCoord2sv
#undef glTexCoord2sv
#endif // glTexCoord2sv
#define glTexCoord2sv __glTexCoord2sv
#ifdef glTexCoord2xOES
#undef glTexCoord2xOES
#endif // glTexCoord2xOES
#define glTexCoord2xOES __glTexCoord2xOES
#ifdef glTexCoord2xvOES
#undef glTexCoord2xvOES
#endif // glTexCoord2xvOES
#define glTexCoord2xvOES __glTexCoord2xvOES
#ifdef glTexCoord3bOES
#undef glTexCoord3bOES
#endif // glTexCoord3bOES
#define glTexCoord3bOES __glTexCoord3bOES
#ifdef glTexCoord3bvOES
#undef glTexCoord3bvOES
#endif // glTexCoord3bvOES
#define glTexCoord3bvOES __glTexCoord3bvOES
#ifdef glTexCoord3d
#undef glTexCoord3d
#endif // glTexCoord3d
#define glTexCoord3d __glTexCoord3d
#ifdef glTexCoord3dv
#undef glTexCoord3dv
#endif // glTexCoord3dv
#define glTexCoord3dv __glTexCoord3dv
#ifdef glTexCoord3f
#undef glTexCoord3f
#endif // glTexCoord3f
#define glTexCoord3f __glTexCoord3f
#ifdef glTexCoord3fv
#undef glTexCoord3fv
#endif // glTexCoord3fv
#define glTexCoord3fv __glTexCoord3fv
#ifdef glTexCoord3i
#undef glTexCoord3i
#endif // glTexCoord3i
#define glTexCoord3i __glTexCoord3i
#ifdef glTexCoord3iv
#undef glTexCoord3iv
#endif // glTexCoord3iv
#define glTexCoord3iv __glTexCoord3iv
#ifdef glTexCoord3s
#undef glTexCoord3s
#endif // glTexCoord3s
#define glTexCoord3s __glTexCoord3s
#ifdef glTexCoord3sv
#undef glTexCoord3sv
#endif // glTexCoord3sv
#define glTexCoord3sv __glTexCoord3sv
#ifdef glTexCoord3xOES
#undef glTexCoord3xOES
#endif // glTexCoord3xOES
#define glTexCoord3xOES __glTexCoord3xOES
#ifdef glTexCoord3xvOES
#undef glTexCoord3xvOES
#endif // glTexCoord3xvOES
#define glTexCoord3xvOES __glTexCoord3xvOES
#ifdef glTexCoord4bOES
#undef glTexCoord4bOES
#endif // glTexCoord4bOES
#define glTexCoord4bOES __glTexCoord4bOES
#ifdef glTexCoord4bvOES
#undef glTexCoord4bvOES
#endif // glTexCoord4bvOES
#define glTexCoord4bvOES __glTexCoord4bvOES
#ifdef glTexCoord4d
#undef glTexCoord4d
#endif // glTexCoord4d
#define glTexCoord4d __glTexCoord4d
#ifdef glTexCoord4dv
#undef glTexCoord4dv
#endif // glTexCoord4dv
#define glTexCoord4dv __glTexCoord4dv
#ifdef glTexCoord4f
#undef glTexCoord4f
#endif // glTexCoord4f
#define glTexCoord4f __glTexCoord4f
#ifdef glTexCoord4fv
#undef glTexCoord4fv
#endif // glTexCoord4fv
#define glTexCoord4fv __glTexCoord4fv
#ifdef glTexCoord4i
#undef glTexCoord4i
#endif // glTexCoord4i
#define glTexCoord4i __glTexCoord4i
#ifdef glTexCoord4iv
#undef glTexCoord4iv
#endif // glTexCoord4iv
#define glTexCoord4iv __glTexCoord4iv
#ifdef glTexCoord4s
#undef glTexCoord4s
#endif // glTexCoord4s
#define glTexCoord4s __glTexCoord4s
#ifdef glTexCoord4sv
#undef glTexCoord4sv
#endif // glTexCoord4sv
#define glTexCoord4sv __glTexCoord4sv
#ifdef glTexCoord4xOES
#undef glTexCoord4xOES
#endif // glTexCoord4xOES
#define glTexCoord4xOES __glTexCoord4xOES
#ifdef glTexCoord4xvOES
#undef glTexCoord4xvOES
#endif // glTexCoord4xvOES
#define glTexCoord4xvOES __glTexCoord4xvOES
#ifdef glTexCoordP1ui
#undef glTexCoordP1ui
#endif // glTexCoordP1ui
#define glTexCoordP1ui __glTexCoordP1ui
#ifdef glTexCoordP1uiv
#undef glTexCoordP1uiv
#endif // glTexCoordP1uiv
#define glTexCoordP1uiv __glTexCoordP1uiv
#ifdef glTexCoordP2ui
#undef glTexCoordP2ui
#endif // glTexCoordP2ui
#define glTexCoordP2ui __glTexCoordP2ui
#ifdef glTexCoordP2uiv
#undef glTexCoordP2uiv
#endif // glTexCoordP2uiv
#define glTexCoordP2uiv __glTexCoordP2uiv
#ifdef glTexCoordP3ui
#undef glTexCoordP3ui
#endif // glTexCoordP3ui
#define glTexCoordP3ui __glTexCoordP3ui
#ifdef glTexCoordP3uiv
#undef glTexCoordP3uiv
#endif // glTexCoordP3uiv
#define glTexCoordP3uiv __glTexCoordP3uiv
#ifdef glTexCoordP4ui
#undef glTexCoordP4ui
#endif // glTexCoordP4ui
#define glTexCoordP4ui __glTexCoordP4ui
#ifdef glTexCoordP4uiv
#undef glTexCoordP4uiv
#endif // glTexCoordP4uiv
#define glTexCoordP4uiv __glTexCoordP4uiv
#ifdef glTexCoordPointer
#undef glTexCoordPointer
#endif // glTexCoordPointer
#define glTexCoordPointer __glTexCoordPointer
#ifdef glTexEnvf
#undef glTexEnvf
#endif // glTexEnvf
#define glTexEnvf __glTexEnvf
#ifdef glTexEnvfv
#undef glTexEnvfv
#endif // glTexEnvfv
#define glTexEnvfv __glTexEnvfv
#ifdef glTexEnvi
#undef glTexEnvi
#endif // glTexEnvi
#define glTexEnvi __glTexEnvi
#ifdef glTexEnviv
#undef glTexEnviv
#endif // glTexEnviv
#define glTexEnviv __glTexEnviv
#ifdef glTexEnvxOES
#undef glTexEnvxOES
#endif // glTexEnvxOES
#define glTexEnvxOES __glTexEnvxOES
#ifdef glTexEnvxvOES
#undef glTexEnvxvOES
#endif // glTexEnvxvOES
#define glTexEnvxvOES __glTexEnvxvOES
#ifdef glTexGend
#undef glTexGend
#endif // glTexGend
#define glTexGend __glTexGend
#ifdef glTexGendv
#undef glTexGendv
#endif // glTexGendv
#define glTexGendv __glTexGendv
#ifdef glTexGenf
#undef glTexGenf
#endif // glTexGenf
#define glTexGenf __glTexGenf
#ifdef glTexGenfv
#undef glTexGenfv
#endif // glTexGenfv
#define glTexGenfv __glTexGenfv
#ifdef glTexGeni
#undef glTexGeni
#endif // glTexGeni
#define glTexGeni __glTexGeni
#ifdef glTexGeniv
#undef glTexGeniv
#endif // glTexGeniv
#define glTexGeniv __glTexGeniv
#ifdef glTexGenxOES
#undef glTexGenxOES
#endif // glTexGenxOES
#define glTexGenxOES __glTexGenxOES
#ifdef glTexGenxvOES
#undef glTexGenxvOES
#endif // glTexGenxvOES
#define glTexGenxvOES __glTexGenxvOES
#ifdef glTexImage1D
#undef glTexImage1D
#endif // glTexImage1D
#define glTexImage1D __glTexImage1D
#ifdef glTexImage2D
#undef glTexImage2D
#endif // glTexImage2D
#define glTexImage2D __glTexImage2D
#ifdef glTexImage2DMultisample
#undef glTexImage2DMultisample
#endif // glTexImage2DMultisample
#define glTexImage2DMultisample __glTexImage2DMultisample
#ifdef glTexImage3D
#undef glTexImage3D
#endif // glTexImage3D
#define glTexImage3D __glTexImage3D
#ifdef glTexImage3DMultisample
#undef glTexImage3DMultisample
#endif // glTexImage3DMultisample
#define glTexImage3DMultisample __glTexImage3DMultisample
#ifdef glTexPageCommitmentARB
#undef glTexPageCommitmentARB
#endif // glTexPageCommitmentARB
#define glTexPageCommitmentARB __glTexPageCommitmentARB
#ifdef glTexParameterIiv
#undef glTexParameterIiv
#endif // glTexParameterIiv
#define glTexParameterIiv __glTexParameterIiv
#ifdef glTexParameterIuiv
#undef glTexParameterIuiv
#endif // glTexParameterIuiv
#define glTexParameterIuiv __glTexParameterIuiv
#ifdef glTexParameterf
#undef glTexParameterf
#endif // glTexParameterf
#define glTexParameterf __glTexParameterf
#ifdef glTexParameterfv
#undef glTexParameterfv
#endif // glTexParameterfv
#define glTexParameterfv __glTexParameterfv
#ifdef glTexParameteri
#undef glTexParameteri
#endif // glTexParameteri
#define glTexParameteri __glTexParameteri
#ifdef glTexParameteriv
#undef glTexParameteriv
#endif // glTexParameteriv
#define glTexParameteriv __glTexParameteriv
#ifdef glTexParameterxOES
#undef glTexParameterxOES
#endif // glTexParameterxOES
#define glTexParameterxOES __glTexParameterxOES
#ifdef glTexParameterxvOES
#undef glTexParameterxvOES
#endif // glTexParameterxvOES
#define glTexParameterxvOES __glTexParameterxvOES
#ifdef glTexStorage1D
#undef glTexStorage1D
#endif // glTexStorage1D
#define glTexStorage1D __glTexStorage1D
#ifdef glTexStorage2D
#undef glTexStorage2D
#endif // glTexStorage2D
#define glTexStorage2D __glTexStorage2D
#ifdef glTexStorage2DMultisample
#undef glTexStorage2DMultisample
#endif // glTexStorage2DMultisample
#define glTexStorage2DMultisample __glTexStorage2DMultisample
#ifdef glTexStorage3D
#undef glTexStorage3D
#endif // glTexStorage3D
#define glTexStorage3D __glTexStorage3D
#ifdef glTexStorage3DMultisample
#undef glTexStorage3DMultisample
#endif // glTexStorage3DMultisample
#define glTexStorage3DMultisample __glTexStorage3DMultisample
#ifdef glTexSubImage1D
#undef glTexSubImage1D
#endif // glTexSubImage1D
#define glTexSubImage1D __glTexSubImage1D
#ifdef glTexSubImage2D
#undef glTexSubImage2D
#endif // glTexSubImage2D
#define glTexSubImage2D __glTexSubImage2D
#ifdef glTexSubImage3D
#undef glTexSubImage3D
#endif // glTexSubImage3D
#define glTexSubImage3D __glTexSubImage3D
#ifdef glTextureView
#undef glTextureView
#endif // glTextureView
#define glTextureView __glTextureView
#ifdef glTransformFeedbackVaryings
#undef glTransformFeedbackVaryings
#endif // glTransformFeedbackVaryings
#define glTransformFeedbackVaryings __glTransformFeedbackVaryings
#ifdef glTranslated
#undef glTranslated
#endif // glTranslated
#define glTranslated __glTranslated
#ifdef glTranslatef
#undef glTranslatef
#endif // glTranslatef
#define glTranslatef __glTranslatef
#ifdef glTranslatexOES
#undef glTranslatexOES
#endif // glTranslatexOES
#define glTranslatexOES __glTranslatexOES
#ifdef glUniform1d
#undef glUniform1d
#endif // glUniform1d
#define glUniform1d __glUniform1d
#ifdef glUniform1dv
#undef glUniform1dv
#endif // glUniform1dv
#define glUniform1dv __glUniform1dv
#ifdef glUniform1f
#undef glUniform1f
#endif // glUniform1f
#define glUniform1f __glUniform1f
#ifdef glUniform1fARB
#undef glUniform1fARB
#endif // glUniform1fARB
#define glUniform1fARB __glUniform1fARB
#ifdef glUniform1fv
#undef glUniform1fv
#endif // glUniform1fv
#define glUniform1fv __glUniform1fv
#ifdef glUniform1fvARB
#undef glUniform1fvARB
#endif // glUniform1fvARB
#define glUniform1fvARB __glUniform1fvARB
#ifdef glUniform1i
#undef glUniform1i
#endif // glUniform1i
#define glUniform1i __glUniform1i
#ifdef glUniform1iARB
#undef glUniform1iARB
#endif // glUniform1iARB
#define glUniform1iARB __glUniform1iARB
#ifdef glUniform1iv
#undef glUniform1iv
#endif // glUniform1iv
#define glUniform1iv __glUniform1iv
#ifdef glUniform1ivARB
#undef glUniform1ivARB
#endif // glUniform1ivARB
#define glUniform1ivARB __glUniform1ivARB
#ifdef glUniform1ui
#undef glUniform1ui
#endif // glUniform1ui
#define glUniform1ui __glUniform1ui
#ifdef glUniform1uiv
#undef glUniform1uiv
#endif // glUniform1uiv
#define glUniform1uiv __glUniform1uiv
#ifdef glUniform2d
#undef glUniform2d
#endif // glUniform2d
#define glUniform2d __glUniform2d
#ifdef glUniform2dv
#undef glUniform2dv
#endif // glUniform2dv
#define glUniform2dv __glUniform2dv
#ifdef glUniform2f
#undef glUniform2f
#endif // glUniform2f
#define glUniform2f __glUniform2f
#ifdef glUniform2fARB
#undef glUniform2fARB
#endif // glUniform2fARB
#define glUniform2fARB __glUniform2fARB
#ifdef glUniform2fv
#undef glUniform2fv
#endif // glUniform2fv
#define glUniform2fv __glUniform2fv
#ifdef glUniform2fvARB
#undef glUniform2fvARB
#endif // glUniform2fvARB
#define glUniform2fvARB __glUniform2fvARB
#ifdef glUniform2i
#undef glUniform2i
#endif // glUniform2i
#define glUniform2i __glUniform2i
#ifdef glUniform2iARB
#undef glUniform2iARB
#endif // glUniform2iARB
#define glUniform2iARB __glUniform2iARB
#ifdef glUniform2iv
#undef glUniform2iv
#endif // glUniform2iv
#define glUniform2iv __glUniform2iv
#ifdef glUniform2ivARB
#undef glUniform2ivARB
#endif // glUniform2ivARB
#define glUniform2ivARB __glUniform2ivARB
#ifdef glUniform2ui
#undef glUniform2ui
#endif // glUniform2ui
#define glUniform2ui __glUniform2ui
#ifdef glUniform2uiv
#undef glUniform2uiv
#endif // glUniform2uiv
#define glUniform2uiv __glUniform2uiv
#ifdef glUniform3d
#undef glUniform3d
#endif // glUniform3d
#define glUniform3d __glUniform3d
#ifdef glUniform3dv
#undef glUniform3dv
#endif // glUniform3dv
#define glUniform3dv __glUniform3dv
#ifdef glUniform3f
#undef glUniform3f
#endif // glUniform3f
#define glUniform3f __glUniform3f
#ifdef glUniform3fARB
#undef glUniform3fARB
#endif // glUniform3fARB
#define glUniform3fARB __glUniform3fARB
#ifdef glUniform3fv
#undef glUniform3fv
#endif // glUniform3fv
#define glUniform3fv __glUniform3fv
#ifdef glUniform3fvARB
#undef glUniform3fvARB
#endif // glUniform3fvARB
#define glUniform3fvARB __glUniform3fvARB
#ifdef glUniform3i
#undef glUniform3i
#endif // glUniform3i
#define glUniform3i __glUniform3i
#ifdef glUniform3iARB
#undef glUniform3iARB
#endif // glUniform3iARB
#define glUniform3iARB __glUniform3iARB
#ifdef glUniform3iv
#undef glUniform3iv
#endif // glUniform3iv
#define glUniform3iv __glUniform3iv
#ifdef glUniform3ivARB
#undef glUniform3ivARB
#endif // glUniform3ivARB
#define glUniform3ivARB __glUniform3ivARB
#ifdef glUniform3ui
#undef glUniform3ui
#endif // glUniform3ui
#define glUniform3ui __glUniform3ui
#ifdef glUniform3uiv
#undef glUniform3uiv
#endif // glUniform3uiv
#define glUniform3uiv __glUniform3uiv
#ifdef glUniform4d
#undef glUniform4d
#endif // glUniform4d
#define glUniform4d __glUniform4d
#ifdef glUniform4dv
#undef glUniform4dv
#endif // glUniform4dv
#define glUniform4dv __glUniform4dv
#ifdef glUniform4f
#undef glUniform4f
#endif // glUniform4f
#define glUniform4f __glUniform4f
#ifdef glUniform4fARB
#undef glUniform4fARB
#endif // glUniform4fARB
#define glUniform4fARB __glUniform4fARB
#ifdef glUniform4fv
#undef glUniform4fv
#endif // glUniform4fv
#define glUniform4fv __glUniform4fv
#ifdef glUniform4fvARB
#undef glUniform4fvARB
#endif // glUniform4fvARB
#define glUniform4fvARB __glUniform4fvARB
#ifdef glUniform4i
#undef glUniform4i
#endif // glUniform4i
#define glUniform4i __glUniform4i
#ifdef glUniform4iARB
#undef glUniform4iARB
#endif // glUniform4iARB
#define glUniform4iARB __glUniform4iARB
#ifdef glUniform4iv
#undef glUniform4iv
#endif // glUniform4iv
#define glUniform4iv __glUniform4iv
#ifdef glUniform4ivARB
#undef glUniform4ivARB
#endif // glUniform4ivARB
#define glUniform4ivARB __glUniform4ivARB
#ifdef glUniform4ui
#undef glUniform4ui
#endif // glUniform4ui
#define glUniform4ui __glUniform4ui
#ifdef glUniform4uiv
#undef glUniform4uiv
#endif // glUniform4uiv
#define glUniform4uiv __glUniform4uiv
#ifdef glUniformBlockBinding
#undef glUniformBlockBinding
#endif // glUniformBlockBinding
#define glUniformBlockBinding __glUniformBlockBinding
#ifdef glUniformHandleui64ARB
#undef glUniformHandleui64ARB
#endif // glUniformHandleui64ARB
#define glUniformHandleui64ARB __glUniformHandleui64ARB
#ifdef glUniformHandleui64vARB
#undef glUniformHandleui64vARB
#endif // glUniformHandleui64vARB
#define glUniformHandleui64vARB __glUniformHandleui64vARB
#ifdef glUniformMatrix2dv
#undef glUniformMatrix2dv
#endif // glUniformMatrix2dv
#define glUniformMatrix2dv __glUniformMatrix2dv
#ifdef glUniformMatrix2fv
#undef glUniformMatrix2fv
#endif // glUniformMatrix2fv
#define glUniformMatrix2fv __glUniformMatrix2fv
#ifdef glUniformMatrix2fvARB
#undef glUniformMatrix2fvARB
#endif // glUniformMatrix2fvARB
#define glUniformMatrix2fvARB __glUniformMatrix2fvARB
#ifdef glUniformMatrix2x3dv
#undef glUniformMatrix2x3dv
#endif // glUniformMatrix2x3dv
#define glUniformMatrix2x3dv __glUniformMatrix2x3dv
#ifdef glUniformMatrix2x3fv
#undef glUniformMatrix2x3fv
#endif // glUniformMatrix2x3fv
#define glUniformMatrix2x3fv __glUniformMatrix2x3fv
#ifdef glUniformMatrix2x4dv
#undef glUniformMatrix2x4dv
#endif // glUniformMatrix2x4dv
#define glUniformMatrix2x4dv __glUniformMatrix2x4dv
#ifdef glUniformMatrix2x4fv
#undef glUniformMatrix2x4fv
#endif // glUniformMatrix2x4fv
#define glUniformMatrix2x4fv __glUniformMatrix2x4fv
#ifdef glUniformMatrix3dv
#undef glUniformMatrix3dv
#endif // glUniformMatrix3dv
#define glUniformMatrix3dv __glUniformMatrix3dv
#ifdef glUniformMatrix3fv
#undef glUniformMatrix3fv
#endif // glUniformMatrix3fv
#define glUniformMatrix3fv __glUniformMatrix3fv
#ifdef glUniformMatrix3fvARB
#undef glUniformMatrix3fvARB
#endif // glUniformMatrix3fvARB
#define glUniformMatrix3fvARB __glUniformMatrix3fvARB
#ifdef glUniformMatrix3x2dv
#undef glUniformMatrix3x2dv
#endif // glUniformMatrix3x2dv
#define glUniformMatrix3x2dv __glUniformMatrix3x2dv
#ifdef glUniformMatrix3x2fv
#undef glUniformMatrix3x2fv
#endif // glUniformMatrix3x2fv
#define glUniformMatrix3x2fv __glUniformMatrix3x2fv
#ifdef glUniformMatrix3x4dv
#undef glUniformMatrix3x4dv
#endif // glUniformMatrix3x4dv
#define glUniformMatrix3x4dv __glUniformMatrix3x4dv
#ifdef glUniformMatrix3x4fv
#undef glUniformMatrix3x4fv
#endif // glUniformMatrix3x4fv
#define glUniformMatrix3x4fv __glUniformMatrix3x4fv
#ifdef glUniformMatrix4dv
#undef glUniformMatrix4dv
#endif // glUniformMatrix4dv
#define glUniformMatrix4dv __glUniformMatrix4dv
#ifdef glUniformMatrix4fv
#undef glUniformMatrix4fv
#endif // glUniformMatrix4fv
#define glUniformMatrix4fv __glUniformMatrix4fv
#ifdef glUniformMatrix4fvARB
#undef glUniformMatrix4fvARB
#endif // glUniformMatrix4fvARB
#define glUniformMatrix4fvARB __glUniformMatrix4fvARB
#ifdef glUniformMatrix4x2dv
#undef glUniformMatrix4x2dv
#endif // glUniformMatrix4x2dv
#define glUniformMatrix4x2dv __glUniformMatrix4x2dv
#ifdef glUniformMatrix4x2fv
#undef glUniformMatrix4x2fv
#endif // glUniformMatrix4x2fv
#define glUniformMatrix4x2fv __glUniformMatrix4x2fv
#ifdef glUniformMatrix4x3dv
#undef glUniformMatrix4x3dv
#endif // glUniformMatrix4x3dv
#define glUniformMatrix4x3dv __glUniformMatrix4x3dv
#ifdef glUniformMatrix4x3fv
#undef glUniformMatrix4x3fv
#endif // glUniformMatrix4x3fv
#define glUniformMatrix4x3fv __glUniformMatrix4x3fv
#ifdef glUniformSubroutinesuiv
#undef glUniformSubroutinesuiv
#endif // glUniformSubroutinesuiv
#define glUniformSubroutinesuiv __glUniformSubroutinesuiv
#ifdef glUnmapBuffer
#undef glUnmapBuffer
#endif // glUnmapBuffer
#define glUnmapBuffer __glUnmapBuffer
#ifdef glUnmapBufferARB
#undef glUnmapBufferARB
#endif // glUnmapBufferARB
#define glUnmapBufferARB __glUnmapBufferARB
#ifdef glUseProgram
#undef glUseProgram
#endif // glUseProgram
#define glUseProgram __glUseProgram
#ifdef glUseProgramObjectARB
#undef glUseProgramObjectARB
#endif // glUseProgramObjectARB
#define glUseProgramObjectARB __glUseProgramObjectARB
#ifdef glUseProgramStages
#undef glUseProgramStages
#endif // glUseProgramStages
#define glUseProgramStages __glUseProgramStages
#ifdef glValidateProgram
#undef glValidateProgram
#endif // glValidateProgram
#define glValidateProgram __glValidateProgram
#ifdef glValidateProgramARB
#undef glValidateProgramARB
#endif // glValidateProgramARB
#define glValidateProgramARB __glValidateProgramARB
#ifdef glValidateProgramPipeline
#undef glValidateProgramPipeline
#endif // glValidateProgramPipeline
#define glValidateProgramPipeline __glValidateProgramPipeline
#ifdef glVertex2bOES
#undef glVertex2bOES
#endif // glVertex2bOES
#define glVertex2bOES __glVertex2bOES
#ifdef glVertex2bvOES
#undef glVertex2bvOES
#endif // glVertex2bvOES
#define glVertex2bvOES __glVertex2bvOES
#ifdef glVertex2d
#undef glVertex2d
#endif // glVertex2d
#define glVertex2d __glVertex2d
#ifdef glVertex2dv
#undef glVertex2dv
#endif // glVertex2dv
#define glVertex2dv __glVertex2dv
#ifdef glVertex2f
#undef glVertex2f
#endif // glVertex2f
#define glVertex2f __glVertex2f
#ifdef glVertex2fv
#undef glVertex2fv
#endif // glVertex2fv
#define glVertex2fv __glVertex2fv
#ifdef glVertex2i
#undef glVertex2i
#endif // glVertex2i
#define glVertex2i __glVertex2i
#ifdef glVertex2iv
#undef glVertex2iv
#endif // glVertex2iv
#define glVertex2iv __glVertex2iv
#ifdef glVertex2s
#undef glVertex2s
#endif // glVertex2s
#define glVertex2s __glVertex2s
#ifdef glVertex2sv
#undef glVertex2sv
#endif // glVertex2sv
#define glVertex2sv __glVertex2sv
#ifdef glVertex2xOES
#undef glVertex2xOES
#endif // glVertex2xOES
#define glVertex2xOES __glVertex2xOES
#ifdef glVertex2xvOES
#undef glVertex2xvOES
#endif // glVertex2xvOES
#define glVertex2xvOES __glVertex2xvOES
#ifdef glVertex3bOES
#undef glVertex3bOES
#endif // glVertex3bOES
#define glVertex3bOES __glVertex3bOES
#ifdef glVertex3bvOES
#undef glVertex3bvOES
#endif // glVertex3bvOES
#define glVertex3bvOES __glVertex3bvOES
#ifdef glVertex3d
#undef glVertex3d
#endif // glVertex3d
#define glVertex3d __glVertex3d
#ifdef glVertex3dv
#undef glVertex3dv
#endif // glVertex3dv
#define glVertex3dv __glVertex3dv
#ifdef glVertex3f
#undef glVertex3f
#endif // glVertex3f
#define glVertex3f __glVertex3f
#ifdef glVertex3fv
#undef glVertex3fv
#endif // glVertex3fv
#define glVertex3fv __glVertex3fv
#ifdef glVertex3i
#undef glVertex3i
#endif // glVertex3i
#define glVertex3i __glVertex3i
#ifdef glVertex3iv
#undef glVertex3iv
#endif // glVertex3iv
#define glVertex3iv __glVertex3iv
#ifdef glVertex3s
#undef glVertex3s
#endif // glVertex3s
#define glVertex3s __glVertex3s
#ifdef glVertex3sv
#undef glVertex3sv
#endif // glVertex3sv
#define glVertex3sv __glVertex3sv
#ifdef glVertex3xOES
#undef glVertex3xOES
#endif // glVertex3xOES
#define glVertex3xOES __glVertex3xOES
#ifdef glVertex3xvOES
#undef glVertex3xvOES
#endif // glVertex3xvOES
#define glVertex3xvOES __glVertex3xvOES
#ifdef glVertex4bOES
#undef glVertex4bOES
#endif // glVertex4bOES
#define glVertex4bOES __glVertex4bOES
#ifdef glVertex4bvOES
#undef glVertex4bvOES
#endif // glVertex4bvOES
#define glVertex4bvOES __glVertex4bvOES
#ifdef glVertex4d
#undef glVertex4d
#endif // glVertex4d
#define glVertex4d __glVertex4d
#ifdef glVertex4dv
#undef glVertex4dv
#endif // glVertex4dv
#define glVertex4dv __glVertex4dv
#ifdef glVertex4f
#undef glVertex4f
#endif // glVertex4f
#define glVertex4f __glVertex4f
#ifdef glVertex4fv
#undef glVertex4fv
#endif // glVertex4fv
#define glVertex4fv __glVertex4fv
#ifdef glVertex4i
#undef glVertex4i
#endif // glVertex4i
#define glVertex4i __glVertex4i
#ifdef glVertex4iv
#undef glVertex4iv
#endif // glVertex4iv
#define glVertex4iv __glVertex4iv
#ifdef glVertex4s
#undef glVertex4s
#endif // glVertex4s
#define glVertex4s __glVertex4s
#ifdef glVertex4sv
#undef glVertex4sv
#endif // glVertex4sv
#define glVertex4sv __glVertex4sv
#ifdef glVertex4xOES
#undef glVertex4xOES
#endif // glVertex4xOES
#define glVertex4xOES __glVertex4xOES
#ifdef glVertex4xvOES
#undef glVertex4xvOES
#endif // glVertex4xvOES
#define glVertex4xvOES __glVertex4xvOES
#ifdef glVertexAttrib1d
#undef glVertexAttrib1d
#endif // glVertexAttrib1d
#define glVertexAttrib1d __glVertexAttrib1d
#ifdef glVertexAttrib1dARB
#undef glVertexAttrib1dARB
#endif // glVertexAttrib1dARB
#define glVertexAttrib1dARB __glVertexAttrib1dARB
#ifdef glVertexAttrib1dv
#undef glVertexAttrib1dv
#endif // glVertexAttrib1dv
#define glVertexAttrib1dv __glVertexAttrib1dv
#ifdef glVertexAttrib1dvARB
#undef glVertexAttrib1dvARB
#endif // glVertexAttrib1dvARB
#define glVertexAttrib1dvARB __glVertexAttrib1dvARB
#ifdef glVertexAttrib1f
#undef glVertexAttrib1f
#endif // glVertexAttrib1f
#define glVertexAttrib1f __glVertexAttrib1f
#ifdef glVertexAttrib1fARB
#undef glVertexAttrib1fARB
#endif // glVertexAttrib1fARB
#define glVertexAttrib1fARB __glVertexAttrib1fARB
#ifdef glVertexAttrib1fv
#undef glVertexAttrib1fv
#endif // glVertexAttrib1fv
#define glVertexAttrib1fv __glVertexAttrib1fv
#ifdef glVertexAttrib1fvARB
#undef glVertexAttrib1fvARB
#endif // glVertexAttrib1fvARB
#define glVertexAttrib1fvARB __glVertexAttrib1fvARB
#ifdef glVertexAttrib1s
#undef glVertexAttrib1s
#endif // glVertexAttrib1s
#define glVertexAttrib1s __glVertexAttrib1s
#ifdef glVertexAttrib1sARB
#undef glVertexAttrib1sARB
#endif // glVertexAttrib1sARB
#define glVertexAttrib1sARB __glVertexAttrib1sARB
#ifdef glVertexAttrib1sv
#undef glVertexAttrib1sv
#endif // glVertexAttrib1sv
#define glVertexAttrib1sv __glVertexAttrib1sv
#ifdef glVertexAttrib1svARB
#undef glVertexAttrib1svARB
#endif // glVertexAttrib1svARB
#define glVertexAttrib1svARB __glVertexAttrib1svARB
#ifdef glVertexAttrib2d
#undef glVertexAttrib2d
#endif // glVertexAttrib2d
#define glVertexAttrib2d __glVertexAttrib2d
#ifdef glVertexAttrib2dARB
#undef glVertexAttrib2dARB
#endif // glVertexAttrib2dARB
#define glVertexAttrib2dARB __glVertexAttrib2dARB
#ifdef glVertexAttrib2dv
#undef glVertexAttrib2dv
#endif // glVertexAttrib2dv
#define glVertexAttrib2dv __glVertexAttrib2dv
#ifdef glVertexAttrib2dvARB
#undef glVertexAttrib2dvARB
#endif // glVertexAttrib2dvARB
#define glVertexAttrib2dvARB __glVertexAttrib2dvARB
#ifdef glVertexAttrib2f
#undef glVertexAttrib2f
#endif // glVertexAttrib2f
#define glVertexAttrib2f __glVertexAttrib2f
#ifdef glVertexAttrib2fARB
#undef glVertexAttrib2fARB
#endif // glVertexAttrib2fARB
#define glVertexAttrib2fARB __glVertexAttrib2fARB
#ifdef glVertexAttrib2fv
#undef glVertexAttrib2fv
#endif // glVertexAttrib2fv
#define glVertexAttrib2fv __glVertexAttrib2fv
#ifdef glVertexAttrib2fvARB
#undef glVertexAttrib2fvARB
#endif // glVertexAttrib2fvARB
#define glVertexAttrib2fvARB __glVertexAttrib2fvARB
#ifdef glVertexAttrib2s
#undef glVertexAttrib2s
#endif // glVertexAttrib2s
#define glVertexAttrib2s __glVertexAttrib2s
#ifdef glVertexAttrib2sARB
#undef glVertexAttrib2sARB
#endif // glVertexAttrib2sARB
#define glVertexAttrib2sARB __glVertexAttrib2sARB
#ifdef glVertexAttrib2sv
#undef glVertexAttrib2sv
#endif // glVertexAttrib2sv
#define glVertexAttrib2sv __glVertexAttrib2sv
#ifdef glVertexAttrib2svARB
#undef glVertexAttrib2svARB
#endif // glVertexAttrib2svARB
#define glVertexAttrib2svARB __glVertexAttrib2svARB
#ifdef glVertexAttrib3d
#undef glVertexAttrib3d
#endif // glVertexAttrib3d
#define glVertexAttrib3d __glVertexAttrib3d
#ifdef glVertexAttrib3dARB
#undef glVertexAttrib3dARB
#endif // glVertexAttrib3dARB
#define glVertexAttrib3dARB __glVertexAttrib3dARB
#ifdef glVertexAttrib3dv
#undef glVertexAttrib3dv
#endif // glVertexAttrib3dv
#define glVertexAttrib3dv __glVertexAttrib3dv
#ifdef glVertexAttrib3dvARB
#undef glVertexAttrib3dvARB
#endif // glVertexAttrib3dvARB
#define glVertexAttrib3dvARB __glVertexAttrib3dvARB
#ifdef glVertexAttrib3f
#undef glVertexAttrib3f
#endif // glVertexAttrib3f
#define glVertexAttrib3f __glVertexAttrib3f
#ifdef glVertexAttrib3fARB
#undef glVertexAttrib3fARB
#endif // glVertexAttrib3fARB
#define glVertexAttrib3fARB __glVertexAttrib3fARB
#ifdef glVertexAttrib3fv
#undef glVertexAttrib3fv
#endif // glVertexAttrib3fv
#define glVertexAttrib3fv __glVertexAttrib3fv
#ifdef glVertexAttrib3fvARB
#undef glVertexAttrib3fvARB
#endif // glVertexAttrib3fvARB
#define glVertexAttrib3fvARB __glVertexAttrib3fvARB
#ifdef glVertexAttrib3s
#undef glVertexAttrib3s
#endif // glVertexAttrib3s
#define glVertexAttrib3s __glVertexAttrib3s
#ifdef glVertexAttrib3sARB
#undef glVertexAttrib3sARB
#endif // glVertexAttrib3sARB
#define glVertexAttrib3sARB __glVertexAttrib3sARB
#ifdef glVertexAttrib3sv
#undef glVertexAttrib3sv
#endif // glVertexAttrib3sv
#define glVertexAttrib3sv __glVertexAttrib3sv
#ifdef glVertexAttrib3svARB
#undef glVertexAttrib3svARB
#endif // glVertexAttrib3svARB
#define glVertexAttrib3svARB __glVertexAttrib3svARB
#ifdef glVertexAttrib4Nbv
#undef glVertexAttrib4Nbv
#endif // glVertexAttrib4Nbv
#define glVertexAttrib4Nbv __glVertexAttrib4Nbv
#ifdef glVertexAttrib4NbvARB
#undef glVertexAttrib4NbvARB
#endif // glVertexAttrib4NbvARB
#define glVertexAttrib4NbvARB __glVertexAttrib4NbvARB
#ifdef glVertexAttrib4Niv
#undef glVertexAttrib4Niv
#endif // glVertexAttrib4Niv
#define glVertexAttrib4Niv __glVertexAttrib4Niv
#ifdef glVertexAttrib4NivARB
#undef glVertexAttrib4NivARB
#endif // glVertexAttrib4NivARB
#define glVertexAttrib4NivARB __glVertexAttrib4NivARB
#ifdef glVertexAttrib4Nsv
#undef glVertexAttrib4Nsv
#endif // glVertexAttrib4Nsv
#define glVertexAttrib4Nsv __glVertexAttrib4Nsv
#ifdef glVertexAttrib4NsvARB
#undef glVertexAttrib4NsvARB
#endif // glVertexAttrib4NsvARB
#define glVertexAttrib4NsvARB __glVertexAttrib4NsvARB
#ifdef glVertexAttrib4Nub
#undef glVertexAttrib4Nub
#endif // glVertexAttrib4Nub
#define glVertexAttrib4Nub __glVertexAttrib4Nub
#ifdef glVertexAttrib4NubARB
#undef glVertexAttrib4NubARB
#endif // glVertexAttrib4NubARB
#define glVertexAttrib4NubARB __glVertexAttrib4NubARB
#ifdef glVertexAttrib4Nubv
#undef glVertexAttrib4Nubv
#endif // glVertexAttrib4Nubv
#define glVertexAttrib4Nubv __glVertexAttrib4Nubv
#ifdef glVertexAttrib4NubvARB
#undef glVertexAttrib4NubvARB
#endif // glVertexAttrib4NubvARB
#define glVertexAttrib4NubvARB __glVertexAttrib4NubvARB
#ifdef glVertexAttrib4Nuiv
#undef glVertexAttrib4Nuiv
#endif // glVertexAttrib4Nuiv
#define glVertexAttrib4Nuiv __glVertexAttrib4Nuiv
#ifdef glVertexAttrib4NuivARB
#undef glVertexAttrib4NuivARB
#endif // glVertexAttrib4NuivARB
#define glVertexAttrib4NuivARB __glVertexAttrib4NuivARB
#ifdef glVertexAttrib4Nusv
#undef glVertexAttrib4Nusv
#endif // glVertexAttrib4Nusv
#define glVertexAttrib4Nusv __glVertexAttrib4Nusv
#ifdef glVertexAttrib4NusvARB
#undef glVertexAttrib4NusvARB
#endif // glVertexAttrib4NusvARB
#define glVertexAttrib4NusvARB __glVertexAttrib4NusvARB
#ifdef glVertexAttrib4bv
#undef glVertexAttrib4bv
#endif // glVertexAttrib4bv
#define glVertexAttrib4bv __glVertexAttrib4bv
#ifdef glVertexAttrib4bvARB
#undef glVertexAttrib4bvARB
#endif // glVertexAttrib4bvARB
#define glVertexAttrib4bvARB __glVertexAttrib4bvARB
#ifdef glVertexAttrib4d
#undef glVertexAttrib4d
#endif // glVertexAttrib4d
#define glVertexAttrib4d __glVertexAttrib4d
#ifdef glVertexAttrib4dARB
#undef glVertexAttrib4dARB
#endif // glVertexAttrib4dARB
#define glVertexAttrib4dARB __glVertexAttrib4dARB
#ifdef glVertexAttrib4dv
#undef glVertexAttrib4dv
#endif // glVertexAttrib4dv
#define glVertexAttrib4dv __glVertexAttrib4dv
#ifdef glVertexAttrib4dvARB
#undef glVertexAttrib4dvARB
#endif // glVertexAttrib4dvARB
#define glVertexAttrib4dvARB __glVertexAttrib4dvARB
#ifdef glVertexAttrib4f
#undef glVertexAttrib4f
#endif // glVertexAttrib4f
#define glVertexAttrib4f __glVertexAttrib4f
#ifdef glVertexAttrib4fARB
#undef glVertexAttrib4fARB
#endif // glVertexAttrib4fARB
#define glVertexAttrib4fARB __glVertexAttrib4fARB
#ifdef glVertexAttrib4fv
#undef glVertexAttrib4fv
#endif // glVertexAttrib4fv
#define glVertexAttrib4fv __glVertexAttrib4fv
#ifdef glVertexAttrib4fvARB
#undef glVertexAttrib4fvARB
#endif // glVertexAttrib4fvARB
#define glVertexAttrib4fvARB __glVertexAttrib4fvARB
#ifdef glVertexAttrib4iv
#undef glVertexAttrib4iv
#endif // glVertexAttrib4iv
#define glVertexAttrib4iv __glVertexAttrib4iv
#ifdef glVertexAttrib4ivARB
#undef glVertexAttrib4ivARB
#endif // glVertexAttrib4ivARB
#define glVertexAttrib4ivARB __glVertexAttrib4ivARB
#ifdef glVertexAttrib4s
#undef glVertexAttrib4s
#endif // glVertexAttrib4s
#define glVertexAttrib4s __glVertexAttrib4s
#ifdef glVertexAttrib4sARB
#undef glVertexAttrib4sARB
#endif // glVertexAttrib4sARB
#define glVertexAttrib4sARB __glVertexAttrib4sARB
#ifdef glVertexAttrib4sv
#undef glVertexAttrib4sv
#endif // glVertexAttrib4sv
#define glVertexAttrib4sv __glVertexAttrib4sv
#ifdef glVertexAttrib4svARB
#undef glVertexAttrib4svARB
#endif // glVertexAttrib4svARB
#define glVertexAttrib4svARB __glVertexAttrib4svARB
#ifdef glVertexAttrib4ubv
#undef glVertexAttrib4ubv
#endif // glVertexAttrib4ubv
#define glVertexAttrib4ubv __glVertexAttrib4ubv
#ifdef glVertexAttrib4ubvARB
#undef glVertexAttrib4ubvARB
#endif // glVertexAttrib4ubvARB
#define glVertexAttrib4ubvARB __glVertexAttrib4ubvARB
#ifdef glVertexAttrib4uiv
#undef glVertexAttrib4uiv
#endif // glVertexAttrib4uiv
#define glVertexAttrib4uiv __glVertexAttrib4uiv
#ifdef glVertexAttrib4uivARB
#undef glVertexAttrib4uivARB
#endif // glVertexAttrib4uivARB
#define glVertexAttrib4uivARB __glVertexAttrib4uivARB
#ifdef glVertexAttrib4usv
#undef glVertexAttrib4usv
#endif // glVertexAttrib4usv
#define glVertexAttrib4usv __glVertexAttrib4usv
#ifdef glVertexAttrib4usvARB
#undef glVertexAttrib4usvARB
#endif // glVertexAttrib4usvARB
#define glVertexAttrib4usvARB __glVertexAttrib4usvARB
#ifdef glVertexAttribBinding
#undef glVertexAttribBinding
#endif // glVertexAttribBinding
#define glVertexAttribBinding __glVertexAttribBinding
#ifdef glVertexAttribDivisor
#undef glVertexAttribDivisor
#endif // glVertexAttribDivisor
#define glVertexAttribDivisor __glVertexAttribDivisor
#ifdef glVertexAttribDivisorARB
#undef glVertexAttribDivisorARB
#endif // glVertexAttribDivisorARB
#define glVertexAttribDivisorARB __glVertexAttribDivisorARB
#ifdef glVertexAttribFormat
#undef glVertexAttribFormat
#endif // glVertexAttribFormat
#define glVertexAttribFormat __glVertexAttribFormat
#ifdef glVertexAttribI1i
#undef glVertexAttribI1i
#endif // glVertexAttribI1i
#define glVertexAttribI1i __glVertexAttribI1i
#ifdef glVertexAttribI1iv
#undef glVertexAttribI1iv
#endif // glVertexAttribI1iv
#define glVertexAttribI1iv __glVertexAttribI1iv
#ifdef glVertexAttribI1ui
#undef glVertexAttribI1ui
#endif // glVertexAttribI1ui
#define glVertexAttribI1ui __glVertexAttribI1ui
#ifdef glVertexAttribI1uiv
#undef glVertexAttribI1uiv
#endif // glVertexAttribI1uiv
#define glVertexAttribI1uiv __glVertexAttribI1uiv
#ifdef glVertexAttribI2i
#undef glVertexAttribI2i
#endif // glVertexAttribI2i
#define glVertexAttribI2i __glVertexAttribI2i
#ifdef glVertexAttribI2iv
#undef glVertexAttribI2iv
#endif // glVertexAttribI2iv
#define glVertexAttribI2iv __glVertexAttribI2iv
#ifdef glVertexAttribI2ui
#undef glVertexAttribI2ui
#endif // glVertexAttribI2ui
#define glVertexAttribI2ui __glVertexAttribI2ui
#ifdef glVertexAttribI2uiv
#undef glVertexAttribI2uiv
#endif // glVertexAttribI2uiv
#define glVertexAttribI2uiv __glVertexAttribI2uiv
#ifdef glVertexAttribI3i
#undef glVertexAttribI3i
#endif // glVertexAttribI3i
#define glVertexAttribI3i __glVertexAttribI3i
#ifdef glVertexAttribI3iv
#undef glVertexAttribI3iv
#endif // glVertexAttribI3iv
#define glVertexAttribI3iv __glVertexAttribI3iv
#ifdef glVertexAttribI3ui
#undef glVertexAttribI3ui
#endif // glVertexAttribI3ui
#define glVertexAttribI3ui __glVertexAttribI3ui
#ifdef glVertexAttribI3uiv
#undef glVertexAttribI3uiv
#endif // glVertexAttribI3uiv
#define glVertexAttribI3uiv __glVertexAttribI3uiv
#ifdef glVertexAttribI4bv
#undef glVertexAttribI4bv
#endif // glVertexAttribI4bv
#define glVertexAttribI4bv __glVertexAttribI4bv
#ifdef glVertexAttribI4i
#undef glVertexAttribI4i
#endif // glVertexAttribI4i
#define glVertexAttribI4i __glVertexAttribI4i
#ifdef glVertexAttribI4iv
#undef glVertexAttribI4iv
#endif // glVertexAttribI4iv
#define glVertexAttribI4iv __glVertexAttribI4iv
#ifdef glVertexAttribI4sv
#undef glVertexAttribI4sv
#endif // glVertexAttribI4sv
#define glVertexAttribI4sv __glVertexAttribI4sv
#ifdef glVertexAttribI4ubv
#undef glVertexAttribI4ubv
#endif // glVertexAttribI4ubv
#define glVertexAttribI4ubv __glVertexAttribI4ubv
#ifdef glVertexAttribI4ui
#undef glVertexAttribI4ui
#endif // glVertexAttribI4ui
#define glVertexAttribI4ui __glVertexAttribI4ui
#ifdef glVertexAttribI4uiv
#undef glVertexAttribI4uiv
#endif // glVertexAttribI4uiv
#define glVertexAttribI4uiv __glVertexAttribI4uiv
#ifdef glVertexAttribI4usv
#undef glVertexAttribI4usv
#endif // glVertexAttribI4usv
#define glVertexAttribI4usv __glVertexAttribI4usv
#ifdef glVertexAttribIFormat
#undef glVertexAttribIFormat
#endif // glVertexAttribIFormat
#define glVertexAttribIFormat __glVertexAttribIFormat
#ifdef glVertexAttribIPointer
#undef glVertexAttribIPointer
#endif // glVertexAttribIPointer
#define glVertexAttribIPointer __glVertexAttribIPointer
#ifdef glVertexAttribL1d
#undef glVertexAttribL1d
#endif // glVertexAttribL1d
#define glVertexAttribL1d __glVertexAttribL1d
#ifdef glVertexAttribL1dv
#undef glVertexAttribL1dv
#endif // glVertexAttribL1dv
#define glVertexAttribL1dv __glVertexAttribL1dv
#ifdef glVertexAttribL1ui64ARB
#undef glVertexAttribL1ui64ARB
#endif // glVertexAttribL1ui64ARB
#define glVertexAttribL1ui64ARB __glVertexAttribL1ui64ARB
#ifdef glVertexAttribL1ui64vARB
#undef glVertexAttribL1ui64vARB
#endif // glVertexAttribL1ui64vARB
#define glVertexAttribL1ui64vARB __glVertexAttribL1ui64vARB
#ifdef glVertexAttribL2d
#undef glVertexAttribL2d
#endif // glVertexAttribL2d
#define glVertexAttribL2d __glVertexAttribL2d
#ifdef glVertexAttribL2dv
#undef glVertexAttribL2dv
#endif // glVertexAttribL2dv
#define glVertexAttribL2dv __glVertexAttribL2dv
#ifdef glVertexAttribL3d
#undef glVertexAttribL3d
#endif // glVertexAttribL3d
#define glVertexAttribL3d __glVertexAttribL3d
#ifdef glVertexAttribL3dv
#undef glVertexAttribL3dv
#endif // glVertexAttribL3dv
#define glVertexAttribL3dv __glVertexAttribL3dv
#ifdef glVertexAttribL4d
#undef glVertexAttribL4d
#endif // glVertexAttribL4d
#define glVertexAttribL4d __glVertexAttribL4d
#ifdef glVertexAttribL4dv
#undef glVertexAttribL4dv
#endif // glVertexAttribL4dv
#define glVertexAttribL4dv __glVertexAttribL4dv
#ifdef glVertexAttribLFormat
#undef glVertexAttribLFormat
#endif // glVertexAttribLFormat
#define glVertexAttribLFormat __glVertexAttribLFormat
#ifdef glVertexAttribLPointer
#undef glVertexAttribLPointer
#endif // glVertexAttribLPointer
#define glVertexAttribLPointer __glVertexAttribLPointer
#ifdef glVertexAttribP1ui
#undef glVertexAttribP1ui
#endif // glVertexAttribP1ui
#define glVertexAttribP1ui __glVertexAttribP1ui
#ifdef glVertexAttribP1uiv
#undef glVertexAttribP1uiv
#endif // glVertexAttribP1uiv
#define glVertexAttribP1uiv __glVertexAttribP1uiv
#ifdef glVertexAttribP2ui
#undef glVertexAttribP2ui
#endif // glVertexAttribP2ui
#define glVertexAttribP2ui __glVertexAttribP2ui
#ifdef glVertexAttribP2uiv
#undef glVertexAttribP2uiv
#endif // glVertexAttribP2uiv
#define glVertexAttribP2uiv __glVertexAttribP2uiv
#ifdef glVertexAttribP3ui
#undef glVertexAttribP3ui
#endif // glVertexAttribP3ui
#define glVertexAttribP3ui __glVertexAttribP3ui
#ifdef glVertexAttribP3uiv
#undef glVertexAttribP3uiv
#endif // glVertexAttribP3uiv
#define glVertexAttribP3uiv __glVertexAttribP3uiv
#ifdef glVertexAttribP4ui
#undef glVertexAttribP4ui
#endif // glVertexAttribP4ui
#define glVertexAttribP4ui __glVertexAttribP4ui
#ifdef glVertexAttribP4uiv
#undef glVertexAttribP4uiv
#endif // glVertexAttribP4uiv
#define glVertexAttribP4uiv __glVertexAttribP4uiv
#ifdef glVertexAttribPointer
#undef glVertexAttribPointer
#endif // glVertexAttribPointer
#define glVertexAttribPointer __glVertexAttribPointer
#ifdef glVertexAttribPointerARB
#undef glVertexAttribPointerARB
#endif // glVertexAttribPointerARB
#define glVertexAttribPointerARB __glVertexAttribPointerARB
#ifdef glVertexBindingDivisor
#undef glVertexBindingDivisor
#endif // glVertexBindingDivisor
#define glVertexBindingDivisor __glVertexBindingDivisor
#ifdef glVertexBlendARB
#undef glVertexBlendARB
#endif // glVertexBlendARB
#define glVertexBlendARB __glVertexBlendARB
#ifdef glVertexP2ui
#undef glVertexP2ui
#endif // glVertexP2ui
#define glVertexP2ui __glVertexP2ui
#ifdef glVertexP2uiv
#undef glVertexP2uiv
#endif // glVertexP2uiv
#define glVertexP2uiv __glVertexP2uiv
#ifdef glVertexP3ui
#undef glVertexP3ui
#endif // glVertexP3ui
#define glVertexP3ui __glVertexP3ui
#ifdef glVertexP3uiv
#undef glVertexP3uiv
#endif // glVertexP3uiv
#define glVertexP3uiv __glVertexP3uiv
#ifdef glVertexP4ui
#undef glVertexP4ui
#endif // glVertexP4ui
#define glVertexP4ui __glVertexP4ui
#ifdef glVertexP4uiv
#undef glVertexP4uiv
#endif // glVertexP4uiv
#define glVertexP4uiv __glVertexP4uiv
#ifdef glVertexPointer
#undef glVertexPointer
#endif // glVertexPointer
#define glVertexPointer __glVertexPointer
#ifdef glViewport
#undef glViewport
#endif // glViewport
#define glViewport __glViewport
#ifdef glViewportArrayv
#undef glViewportArrayv
#endif // glViewportArrayv
#define glViewportArrayv __glViewportArrayv
#ifdef glViewportIndexedf
#undef glViewportIndexedf
#endif // glViewportIndexedf
#define glViewportIndexedf __glViewportIndexedf
#ifdef glViewportIndexedfv
#undef glViewportIndexedfv
#endif // glViewportIndexedfv
#define glViewportIndexedfv __glViewportIndexedfv
#ifdef glWaitSync
#undef glWaitSync
#endif // glWaitSync
#define glWaitSync __glWaitSync
#ifdef glWeightPointerARB
#undef glWeightPointerARB
#endif // glWeightPointerARB
#define glWeightPointerARB __glWeightPointerARB
#ifdef glWeightbvARB
#undef glWeightbvARB
#endif // glWeightbvARB
#define glWeightbvARB __glWeightbvARB
#ifdef glWeightdvARB
#undef glWeightdvARB
#endif // glWeightdvARB
#define glWeightdvARB __glWeightdvARB
#ifdef glWeightfvARB
#undef glWeightfvARB
#endif // glWeightfvARB
#define glWeightfvARB __glWeightfvARB
#ifdef glWeightivARB
#undef glWeightivARB
#endif // glWeightivARB
#define glWeightivARB __glWeightivARB
#ifdef glWeightsvARB
#undef glWeightsvARB
#endif // glWeightsvARB
#define glWeightsvARB __glWeightsvARB
#ifdef glWeightubvARB
#undef glWeightubvARB
#endif // glWeightubvARB
#define glWeightubvARB __glWeightubvARB
#ifdef glWeightuivARB
#undef glWeightuivARB
#endif // glWeightuivARB
#define glWeightuivARB __glWeightuivARB
#ifdef glWeightusvARB
#undef glWeightusvARB
#endif // glWeightusvARB
#define glWeightusvARB __glWeightusvARB
#ifdef glWindowPos2d
#undef glWindowPos2d
#endif // glWindowPos2d
#define glWindowPos2d __glWindowPos2d
#ifdef glWindowPos2dARB
#undef glWindowPos2dARB
#endif // glWindowPos2dARB
#define glWindowPos2dARB __glWindowPos2dARB
#ifdef glWindowPos2dv
#undef 
#endif // glWindowPos2dv
#define glWindowPos2dv __glWindowPos2dv
#ifdef glWindowPos2dvARB
#undef glWindowPos2dvARB
#endif // glWindowPos2dvARB
#define glWindowPos2dvARB __glWindowPos2dvARB
#ifdef glWindowPos2f
#undef glWindowPos2f
#endif // glWindowPos2f
#define glWindowPos2f __glWindowPos2f
#ifdef glWindowPos2fARB
#undef glWindowPos2fARB
#endif // glWindowPos2fARB
#define glWindowPos2fARB __glWindowPos2fARB
#ifdef glWindowPos2fv
#undef glWindowPos2fv
#endif // glWindowPos2fv
#define glWindowPos2fv __glWindowPos2fv
#ifdef glWindowPos2fvARB
#undef glWindowPos2fvARB
#endif // glWindowPos2fvARB
#define glWindowPos2fvARB __glWindowPos2fvARB
#ifdef glWindowPos2i
#undef glWindowPos2i
#endif // glWindowPos2i
#define glWindowPos2i __glWindowPos2i
#ifdef glWindowPos2iARB
#undef glWindowPos2iARB
#endif // glWindowPos2iARB
#define glWindowPos2iARB __glWindowPos2iARB
#ifdef glWindowPos2iv
#undef glWindowPos2iv
#endif // glWindowPos2iv
#define glWindowPos2iv __glWindowPos2iv
#ifdef glWindowPos2ivARB
#undef glWindowPos2ivARB
#endif // glWindowPos2ivARB
#define glWindowPos2ivARB __glWindowPos2ivARB
#ifdef glWindowPos2s
#undef glWindowPos2s
#endif // glWindowPos2s
#define glWindowPos2s __glWindowPos2s
#ifdef glWindowPos2sARB
#undef glWindowPos2sARB
#endif // glWindowPos2sARB
#define glWindowPos2sARB __glWindowPos2sARB
#ifdef glWindowPos2sv
#undef glWindowPos2sv
#endif // glWindowPos2sv
#define glWindowPos2sv __glWindowPos2sv
#ifdef glWindowPos2svARB
#undef glWindowPos2svARB
#endif // glWindowPos2svARB
#define glWindowPos2svARB __glWindowPos2svARB
#ifdef glWindowPos3d
#undef glWindowPos3d
#endif // glWindowPos3d
#define glWindowPos3d __glWindowPos3d
#ifdef glWindowPos3dARB
#undef glWindowPos3dARB
#endif // glWindowPos3dARB
#define glWindowPos3dARB __glWindowPos3dARB
#ifdef glWindowPos3dv
#undef glWindowPos3dv
#endif // glWindowPos3dv
#define glWindowPos3dv __glWindowPos3dv
#ifdef glWindowPos3dvARB
#undef glWindowPos3dvARB
#endif // glWindowPos3dvARB
#define glWindowPos3dvARB __glWindowPos3dvARB
#ifdef glWindowPos3f
#undef glWindowPos3f
#endif // glWindowPos3f
#define glWindowPos3f __glWindowPos3f
#ifdef glWindowPos3fARB
#undef glWindowPos3fARB
#endif // glWindowPos3fARB
#define glWindowPos3fARB __glWindowPos3fARB
#ifdef glWindowPos3fv
#undef glWindowPos3fv
#endif // glWindowPos3fv
#define glWindowPos3fv __glWindowPos3fv
#ifdef glWindowPos3fvARB
#undef glWindowPos3fvARB
#endif // glWindowPos3fvARB
#define glWindowPos3fvARB __glWindowPos3fvARB
#ifdef glWindowPos3i
#undef glWindowPos3i
#endif // glWindowPos3i
#define glWindowPos3i __glWindowPos3i
#ifdef glWindowPos3iARB
#undef glWindowPos3iARB
#endif // glWindowPos3iARB
#define glWindowPos3iARB __glWindowPos3iARB
#ifdef glWindowPos3iv
#undef glWindowPos3iv
#endif // glWindowPos3iv
#define glWindowPos3iv __glWindowPos3iv
#ifdef glWindowPos3ivARB
#undef glWindowPos3ivARB
#endif // glWindowPos3ivARB
#define glWindowPos3ivARB __glWindowPos3ivARB
#ifdef glWindowPos3s
#undef glWindowPos3s
#endif // glWindowPos3s
#define glWindowPos3s __glWindowPos3s
#ifdef glWindowPos3sARB
#undef glWindowPos3sARB
#endif // glWindowPos3sARB
#define glWindowPos3sARB __glWindowPos3sARB
#ifdef glWindowPos3sv
#undef glWindowPos3sv
#endif // glWindowPos3sv
#define glWindowPos3sv __glWindowPos3sv
#ifdef glWindowPos3svARB
#undef glWindowPos3svARB
#endif // glWindowPos3svARB
#define glWindowPos3svARB __glWindowPos3svARB

// EXT Symbols
#define glCopyImageSubDataNV glCopyImageSubData
#define glGenFramebuffersEXT glGenFramebuffers
#define glGenRenderbuffersEXT glGenRenderbuffers
#define glBindRenderbufferEXT glBindRenderbuffer
#define glRenderbufferStorageEXT glRenderbufferStorage
#define glBindFramebufferEXT glBindFramebuffer
#define glFramebufferTexture2DEXT glFramebufferTexture2D
#define glFramebufferRenderbufferEXT glFramebufferRenderbuffer
#define glCheckFramebufferStatusEXT glCheckFramebufferStatus
#define glBindFramebufferEXT glBindFramebuffer
#define glDeleteFramebuffersEXT glDeleteFramebuffers

#endif // __LIBRETRO__
#endif
#endif

#ifdef USING_GLES2
#ifndef HAVE_LIBNX
// Support OpenGL ES 3.0
// This uses the "DYNAMIC" approach from the gles3jni NDK sample.
#include "../gfx_es2/gl3stub.h"
#endif // HAVE_LIBNX
#endif


#ifdef USING_GLES2

#ifndef GL_MIN_EXT
#define GL_MIN_EXT 0x8007
#endif

#ifndef GL_MAX_EXT
#define GL_MAX_EXT 0x8008
#endif

#if defined(__ANDROID__)
#include <EGL/egl.h>
// Additional extensions not included in GLES2/gl2ext.h from the NDK

typedef uint64_t EGLuint64NV;
typedef EGLuint64NV(EGLAPIENTRYP PFNEGLGETSYSTEMTIMEFREQUENCYNVPROC) (void);
typedef EGLuint64NV(EGLAPIENTRYP PFNEGLGETSYSTEMTIMENVPROC) (void);
extern PFNEGLGETSYSTEMTIMEFREQUENCYNVPROC eglGetSystemTimeFrequencyNV;
extern PFNEGLGETSYSTEMTIMENVPROC eglGetSystemTimeNV;

typedef GLvoid* (GL_APIENTRYP PFNGLMAPBUFFERPROC) (GLenum target, GLenum access);
extern PFNGLMAPBUFFERPROC glMapBuffer;

typedef void (EGLAPIENTRYP PFNGLDRAWTEXTURENVPROC) (GLuint texture, GLuint sampler, GLfloat x0, GLfloat y0, GLfloat x1, GLfloat y1, GLfloat z, GLfloat s0, GLfloat t0, GLfloat s1, GLfloat t1);
extern PFNGLDRAWTEXTURENVPROC glDrawTextureNV;
#if !PPSSPP_ARCH(ARM64)
typedef void (EGLAPIENTRYP PFNGLBLITFRAMEBUFFERNVPROC) (
	GLint srcX0, GLint srcY0, GLint srcX1, GLint srcY1,
	GLint dstX0, GLint dstY0, GLint dstX1, GLint dstY1,
	GLbitfield mask, GLenum filter);
#endif
extern PFNGLBLITFRAMEBUFFERNVPROC glBlitFramebufferNV;

#if PPSSPP_PLATFORM(IOS)
extern PFNGLDISCARDFRAMEBUFFEREXTPROC glDiscardFramebufferEXT;
extern PFNGLGENVERTEXARRAYSOESPROC glGenVertexArraysOES;
extern PFNGLBINDVERTEXARRAYOESPROC glBindVertexArrayOES;
extern PFNGLDELETEVERTEXARRAYSOESPROC glDeleteVertexArraysOES;
extern PFNGLISVERTEXARRAYOESPROC glIsVertexArrayOES;

// Rename standard functions to the OES version.
#define glGenVertexArrays glGenVertexArraysOES
#define glBindVertexArray glBindVertexArrayOES
#define glDeleteVertexArrays glDeleteVertexArraysOES
#define glIsVertexArray glIsVertexArrayOES
#endif

#endif

#ifndef GL_READ_FRAMEBUFFER
#define GL_READ_FRAMEBUFFER GL_FRAMEBUFFER
#define GL_DRAW_FRAMEBUFFER GL_FRAMEBUFFER
#endif
#ifndef GL_DEPTH_COMPONENT24
#define GL_DEPTH_COMPONENT24 GL_DEPTH_COMPONENT24_OES
#endif

#ifndef GL_RGBA8
#define GL_RGBA8 GL_RGBA
#endif

#endif /* EGL_NV_system_time */

#ifndef GL_DEPTH24_STENCIL8_OES
#define GL_DEPTH24_STENCIL8_OES 0x88F0
#endif
